#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1160
#define LARGE_STATE_COUNT 166
#define SYMBOL_COUNT 148
#define ALIAS_COUNT 4
#define TOKEN_COUNT 67
#define EXTERNAL_TOKEN_COUNT 15
#define FIELD_COUNT 0
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 6

enum ts_symbol_identifiers {
  sym__backslash_escape = 1,
  sym_entity_reference = 2,
  sym_numeric_character_reference = 3,
  anon_sym_LBRACK = 4,
  anon_sym_RBRACK = 5,
  anon_sym_LT = 6,
  anon_sym_GT = 7,
  anon_sym_BANG = 8,
  anon_sym_DQUOTE = 9,
  anon_sym_POUND = 10,
  anon_sym_DOLLAR = 11,
  anon_sym_PERCENT = 12,
  anon_sym_AMP = 13,
  anon_sym_SQUOTE = 14,
  anon_sym_STAR = 15,
  anon_sym_PLUS = 16,
  anon_sym_COMMA = 17,
  anon_sym_DASH = 18,
  anon_sym_DOT = 19,
  anon_sym_SLASH = 20,
  anon_sym_COLON = 21,
  anon_sym_SEMI = 22,
  anon_sym_EQ = 23,
  anon_sym_QMARK = 24,
  anon_sym_AT = 25,
  anon_sym_BSLASH = 26,
  anon_sym_CARET = 27,
  anon_sym__ = 28,
  anon_sym_BQUOTE = 29,
  anon_sym_LBRACE = 30,
  anon_sym_PIPE = 31,
  anon_sym_RBRACE = 32,
  anon_sym_TILDE = 33,
  anon_sym_LPAREN = 34,
  anon_sym_RPAREN = 35,
  sym__newline_token = 36,
  sym_uri_autolink = 37,
  sym_email_autolink = 38,
  sym__attribute_name = 39,
  aux_sym__attribute_value_token1 = 40,
  anon_sym_LT_BANG_DASH_DASH = 41,
  anon_sym_DASH_DASH_GT = 42,
  anon_sym_LT_QMARK = 43,
  anon_sym_QMARK_GT = 44,
  aux_sym__declaration_token1 = 45,
  anon_sym_LT_BANG_LBRACKCDATA_LBRACK = 46,
  anon_sym_RBRACK_RBRACK_GT = 47,
  sym__whitespace_ge_2 = 48,
  aux_sym__whitespace_token1 = 49,
  sym__word_no_digit = 50,
  sym__digits = 51,
  sym__error = 52,
  sym__trigger_error = 53,
  sym__code_span_start = 54,
  sym__code_span_close = 55,
  sym__emphasis_open_star = 56,
  sym__emphasis_open_underscore = 57,
  sym__emphasis_close_star = 58,
  sym__emphasis_close_underscore = 59,
  sym__last_token_whitespace = 60,
  sym__last_token_punctuation = 61,
  sym__strikethrough_open = 62,
  sym__strikethrough_close = 63,
  sym__latex_span_start = 64,
  sym__latex_span_close = 65,
  sym__unclosed_span = 66,
  sym_inline = 67,
  sym_backslash_escape = 68,
  sym_link_label = 69,
  sym_link_destination = 70,
  sym__link_destination_parenthesis = 71,
  sym__text_no_angle = 72,
  sym_link_title = 73,
  sym_code_span = 74,
  sym_latex_block = 75,
  sym__link_text = 76,
  sym__link_text_non_empty = 77,
  sym_shortcut_link = 78,
  sym_full_reference_link = 79,
  sym_collapsed_reference_link = 80,
  sym_inline_link = 81,
  sym_image = 82,
  sym__image_inline_link = 83,
  sym__image_shortcut_link = 84,
  sym__image_full_reference_link = 85,
  sym__image_collapsed_reference_link = 86,
  sym__image_description = 87,
  sym__image_description_non_empty = 88,
  sym__html_tag = 89,
  sym__open_tag = 90,
  sym__closing_tag = 91,
  sym__tag_name = 92,
  sym__attribute = 93,
  sym__attribute_value = 94,
  sym__html_comment = 95,
  sym__processing_instruction = 96,
  sym__declaration = 97,
  sym__cdata_section = 98,
  sym_hard_line_break = 99,
  sym__whitespace = 100,
  sym__word = 101,
  sym__soft_line_break = 102,
  sym__inline_base = 103,
  sym__text_base = 104,
  sym__text_inline_no_link = 105,
  sym__inline_element = 106,
  aux_sym__inline = 107,
  sym__inline_element_no_star = 108,
  aux_sym__inline_no_star = 109,
  sym__inline_element_no_underscore = 110,
  aux_sym__inline_no_underscore = 111,
  sym__inline_element_no_tilde = 112,
  aux_sym__inline_no_tilde = 113,
  sym__strikethrough = 114,
  sym__emphasis_star = 115,
  sym__strong_emphasis_star = 116,
  sym__emphasis_underscore = 117,
  sym__strong_emphasis_underscore = 118,
  sym__inline_element_no_link = 119,
  aux_sym__inline_no_link = 120,
  sym__inline_element_no_star_no_link = 121,
  aux_sym__inline_no_star_no_link = 122,
  sym__inline_element_no_underscore_no_link = 123,
  aux_sym__inline_no_underscore_no_link = 124,
  sym__inline_element_no_tilde_no_link = 125,
  aux_sym__inline_no_tilde_no_link = 126,
  sym__strikethrough_no_link = 127,
  sym__emphasis_star_no_link = 128,
  sym__strong_emphasis_star_no_link = 129,
  sym__emphasis_underscore_no_link = 130,
  sym__strong_emphasis_underscore_no_link = 131,
  aux_sym_link_label_repeat1 = 132,
  aux_sym_link_destination_repeat1 = 133,
  aux_sym_link_destination_repeat2 = 134,
  aux_sym_link_title_repeat1 = 135,
  aux_sym_link_title_repeat2 = 136,
  aux_sym_link_title_repeat3 = 137,
  aux_sym_code_span_repeat1 = 138,
  aux_sym_inline_link_repeat1 = 139,
  aux_sym__open_tag_repeat1 = 140,
  aux_sym__tag_name_repeat1 = 141,
  aux_sym__attribute_value_repeat1 = 142,
  aux_sym__attribute_value_repeat2 = 143,
  aux_sym__html_comment_repeat1 = 144,
  aux_sym__processing_instruction_repeat1 = 145,
  aux_sym__declaration_repeat1 = 146,
  aux_sym__inline_base_repeat1 = 147,
  alias_sym_emphasis = 148,
  alias_sym_html_tag = 149,
  alias_sym_image_description = 150,
  alias_sym_link_text = 151,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__backslash_escape] = "_backslash_escape",
  [sym_entity_reference] = "entity_reference",
  [sym_numeric_character_reference] = "numeric_character_reference",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_BANG] = "!",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_POUND] = "#",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_PERCENT] = "%",
  [anon_sym_AMP] = "&",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_STAR] = "*",
  [anon_sym_PLUS] = "+",
  [anon_sym_COMMA] = ",",
  [anon_sym_DASH] = "-",
  [anon_sym_DOT] = ".",
  [anon_sym_SLASH] = "/",
  [anon_sym_COLON] = ":",
  [anon_sym_SEMI] = ";",
  [anon_sym_EQ] = "=",
  [anon_sym_QMARK] = "\?",
  [anon_sym_AT] = "@",
  [anon_sym_BSLASH] = "\\",
  [anon_sym_CARET] = "^",
  [anon_sym__] = "_",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LBRACE] = "{",
  [anon_sym_PIPE] = "|",
  [anon_sym_RBRACE] = "}",
  [anon_sym_TILDE] = "~",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [sym__newline_token] = "_newline_token",
  [sym_uri_autolink] = "uri_autolink",
  [sym_email_autolink] = "email_autolink",
  [sym__attribute_name] = "_attribute_name",
  [aux_sym__attribute_value_token1] = "_attribute_value_token1",
  [anon_sym_LT_BANG_DASH_DASH] = "<!--",
  [anon_sym_DASH_DASH_GT] = "-->",
  [anon_sym_LT_QMARK] = "<\?",
  [anon_sym_QMARK_GT] = "\?>",
  [aux_sym__declaration_token1] = "_declaration_token1",
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = "<![CDATA[",
  [anon_sym_RBRACK_RBRACK_GT] = "]]>",
  [sym__whitespace_ge_2] = "_whitespace_ge_2",
  [aux_sym__whitespace_token1] = "_whitespace_token1",
  [sym__word_no_digit] = "_word_no_digit",
  [sym__digits] = "_digits",
  [sym__error] = "_error",
  [sym__trigger_error] = "_trigger_error",
  [sym__code_span_start] = "code_span_delimiter",
  [sym__code_span_close] = "code_span_delimiter",
  [sym__emphasis_open_star] = "_emphasis_open_star",
  [sym__emphasis_open_underscore] = "_emphasis_open_underscore",
  [sym__emphasis_close_star] = "emphasis_delimiter",
  [sym__emphasis_close_underscore] = "emphasis_delimiter",
  [sym__last_token_whitespace] = "_last_token_whitespace",
  [sym__last_token_punctuation] = "_last_token_punctuation",
  [sym__strikethrough_open] = "_strikethrough_open",
  [sym__strikethrough_close] = "emphasis_delimiter",
  [sym__latex_span_start] = "latex_span_delimiter",
  [sym__latex_span_close] = "latex_span_delimiter",
  [sym__unclosed_span] = "_unclosed_span",
  [sym_inline] = "inline",
  [sym_backslash_escape] = "backslash_escape",
  [sym_link_label] = "link_label",
  [sym_link_destination] = "link_destination",
  [sym__link_destination_parenthesis] = "_link_destination_parenthesis",
  [sym__text_no_angle] = "_text_no_angle",
  [sym_link_title] = "link_title",
  [sym_code_span] = "code_span",
  [sym_latex_block] = "latex_block",
  [sym__link_text] = "_link_text",
  [sym__link_text_non_empty] = "_link_text_non_empty",
  [sym_shortcut_link] = "shortcut_link",
  [sym_full_reference_link] = "full_reference_link",
  [sym_collapsed_reference_link] = "collapsed_reference_link",
  [sym_inline_link] = "inline_link",
  [sym_image] = "image",
  [sym__image_inline_link] = "_image_inline_link",
  [sym__image_shortcut_link] = "_image_shortcut_link",
  [sym__image_full_reference_link] = "_image_full_reference_link",
  [sym__image_collapsed_reference_link] = "_image_collapsed_reference_link",
  [sym__image_description] = "_image_description",
  [sym__image_description_non_empty] = "_image_description_non_empty",
  [sym__html_tag] = "_html_tag",
  [sym__open_tag] = "_open_tag",
  [sym__closing_tag] = "_closing_tag",
  [sym__tag_name] = "_tag_name",
  [sym__attribute] = "_attribute",
  [sym__attribute_value] = "_attribute_value",
  [sym__html_comment] = "_html_comment",
  [sym__processing_instruction] = "_processing_instruction",
  [sym__declaration] = "_declaration",
  [sym__cdata_section] = "_cdata_section",
  [sym_hard_line_break] = "hard_line_break",
  [sym__whitespace] = "_whitespace",
  [sym__word] = "_word",
  [sym__soft_line_break] = "_soft_line_break",
  [sym__inline_base] = "_inline_base",
  [sym__text_base] = "_text_base",
  [sym__text_inline_no_link] = "_text_inline_no_link",
  [sym__inline_element] = "_inline_element",
  [aux_sym__inline] = "_inline",
  [sym__inline_element_no_star] = "_inline_element_no_star",
  [aux_sym__inline_no_star] = "_inline_no_star",
  [sym__inline_element_no_underscore] = "_inline_element_no_underscore",
  [aux_sym__inline_no_underscore] = "_inline_no_underscore",
  [sym__inline_element_no_tilde] = "_inline_element_no_tilde",
  [aux_sym__inline_no_tilde] = "_inline_no_tilde",
  [sym__strikethrough] = "strikethrough",
  [sym__emphasis_star] = "_emphasis_star",
  [sym__strong_emphasis_star] = "strong_emphasis",
  [sym__emphasis_underscore] = "_emphasis_underscore",
  [sym__strong_emphasis_underscore] = "strong_emphasis",
  [sym__inline_element_no_link] = "_inline_element_no_link",
  [aux_sym__inline_no_link] = "_inline_no_link",
  [sym__inline_element_no_star_no_link] = "_inline_element_no_star_no_link",
  [aux_sym__inline_no_star_no_link] = "_inline_no_star_no_link",
  [sym__inline_element_no_underscore_no_link] = "_inline_element_no_underscore_no_link",
  [aux_sym__inline_no_underscore_no_link] = "_inline_no_underscore_no_link",
  [sym__inline_element_no_tilde_no_link] = "_inline_element_no_tilde_no_link",
  [aux_sym__inline_no_tilde_no_link] = "_inline_no_tilde_no_link",
  [sym__strikethrough_no_link] = "strikethrough",
  [sym__emphasis_star_no_link] = "_emphasis_star_no_link",
  [sym__strong_emphasis_star_no_link] = "strong_emphasis",
  [sym__emphasis_underscore_no_link] = "_emphasis_underscore_no_link",
  [sym__strong_emphasis_underscore_no_link] = "strong_emphasis",
  [aux_sym_link_label_repeat1] = "link_label_repeat1",
  [aux_sym_link_destination_repeat1] = "link_destination_repeat1",
  [aux_sym_link_destination_repeat2] = "link_destination_repeat2",
  [aux_sym_link_title_repeat1] = "link_title_repeat1",
  [aux_sym_link_title_repeat2] = "link_title_repeat2",
  [aux_sym_link_title_repeat3] = "link_title_repeat3",
  [aux_sym_code_span_repeat1] = "code_span_repeat1",
  [aux_sym_inline_link_repeat1] = "inline_link_repeat1",
  [aux_sym__open_tag_repeat1] = "_open_tag_repeat1",
  [aux_sym__tag_name_repeat1] = "_tag_name_repeat1",
  [aux_sym__attribute_value_repeat1] = "_attribute_value_repeat1",
  [aux_sym__attribute_value_repeat2] = "_attribute_value_repeat2",
  [aux_sym__html_comment_repeat1] = "_html_comment_repeat1",
  [aux_sym__processing_instruction_repeat1] = "_processing_instruction_repeat1",
  [aux_sym__declaration_repeat1] = "_declaration_repeat1",
  [aux_sym__inline_base_repeat1] = "_inline_base_repeat1",
  [alias_sym_emphasis] = "emphasis",
  [alias_sym_html_tag] = "html_tag",
  [alias_sym_image_description] = "image_description",
  [alias_sym_link_text] = "link_text",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__backslash_escape] = sym__backslash_escape,
  [sym_entity_reference] = sym_entity_reference,
  [sym_numeric_character_reference] = sym_numeric_character_reference,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_BSLASH] = anon_sym_BSLASH,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym__] = anon_sym__,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym__newline_token] = sym__newline_token,
  [sym_uri_autolink] = sym_uri_autolink,
  [sym_email_autolink] = sym_email_autolink,
  [sym__attribute_name] = sym__attribute_name,
  [aux_sym__attribute_value_token1] = aux_sym__attribute_value_token1,
  [anon_sym_LT_BANG_DASH_DASH] = anon_sym_LT_BANG_DASH_DASH,
  [anon_sym_DASH_DASH_GT] = anon_sym_DASH_DASH_GT,
  [anon_sym_LT_QMARK] = anon_sym_LT_QMARK,
  [anon_sym_QMARK_GT] = anon_sym_QMARK_GT,
  [aux_sym__declaration_token1] = aux_sym__declaration_token1,
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
  [anon_sym_RBRACK_RBRACK_GT] = anon_sym_RBRACK_RBRACK_GT,
  [sym__whitespace_ge_2] = sym__whitespace_ge_2,
  [aux_sym__whitespace_token1] = aux_sym__whitespace_token1,
  [sym__word_no_digit] = sym__word_no_digit,
  [sym__digits] = sym__digits,
  [sym__error] = sym__error,
  [sym__trigger_error] = sym__trigger_error,
  [sym__code_span_start] = sym__code_span_start,
  [sym__code_span_close] = sym__code_span_start,
  [sym__emphasis_open_star] = sym__emphasis_open_star,
  [sym__emphasis_open_underscore] = sym__emphasis_open_underscore,
  [sym__emphasis_close_star] = sym__emphasis_close_star,
  [sym__emphasis_close_underscore] = sym__emphasis_close_star,
  [sym__last_token_whitespace] = sym__last_token_whitespace,
  [sym__last_token_punctuation] = sym__last_token_punctuation,
  [sym__strikethrough_open] = sym__strikethrough_open,
  [sym__strikethrough_close] = sym__emphasis_close_star,
  [sym__latex_span_start] = sym__latex_span_start,
  [sym__latex_span_close] = sym__latex_span_start,
  [sym__unclosed_span] = sym__unclosed_span,
  [sym_inline] = sym_inline,
  [sym_backslash_escape] = sym_backslash_escape,
  [sym_link_label] = sym_link_label,
  [sym_link_destination] = sym_link_destination,
  [sym__link_destination_parenthesis] = sym__link_destination_parenthesis,
  [sym__text_no_angle] = sym__text_no_angle,
  [sym_link_title] = sym_link_title,
  [sym_code_span] = sym_code_span,
  [sym_latex_block] = sym_latex_block,
  [sym__link_text] = sym__link_text,
  [sym__link_text_non_empty] = sym__link_text_non_empty,
  [sym_shortcut_link] = sym_shortcut_link,
  [sym_full_reference_link] = sym_full_reference_link,
  [sym_collapsed_reference_link] = sym_collapsed_reference_link,
  [sym_inline_link] = sym_inline_link,
  [sym_image] = sym_image,
  [sym__image_inline_link] = sym__image_inline_link,
  [sym__image_shortcut_link] = sym__image_shortcut_link,
  [sym__image_full_reference_link] = sym__image_full_reference_link,
  [sym__image_collapsed_reference_link] = sym__image_collapsed_reference_link,
  [sym__image_description] = sym__image_description,
  [sym__image_description_non_empty] = sym__image_description_non_empty,
  [sym__html_tag] = sym__html_tag,
  [sym__open_tag] = sym__open_tag,
  [sym__closing_tag] = sym__closing_tag,
  [sym__tag_name] = sym__tag_name,
  [sym__attribute] = sym__attribute,
  [sym__attribute_value] = sym__attribute_value,
  [sym__html_comment] = sym__html_comment,
  [sym__processing_instruction] = sym__processing_instruction,
  [sym__declaration] = sym__declaration,
  [sym__cdata_section] = sym__cdata_section,
  [sym_hard_line_break] = sym_hard_line_break,
  [sym__whitespace] = sym__whitespace,
  [sym__word] = sym__word,
  [sym__soft_line_break] = sym__soft_line_break,
  [sym__inline_base] = sym__inline_base,
  [sym__text_base] = sym__text_base,
  [sym__text_inline_no_link] = sym__text_inline_no_link,
  [sym__inline_element] = sym__inline_element,
  [aux_sym__inline] = aux_sym__inline,
  [sym__inline_element_no_star] = sym__inline_element_no_star,
  [aux_sym__inline_no_star] = aux_sym__inline_no_star,
  [sym__inline_element_no_underscore] = sym__inline_element_no_underscore,
  [aux_sym__inline_no_underscore] = aux_sym__inline_no_underscore,
  [sym__inline_element_no_tilde] = sym__inline_element_no_tilde,
  [aux_sym__inline_no_tilde] = aux_sym__inline_no_tilde,
  [sym__strikethrough] = sym__strikethrough,
  [sym__emphasis_star] = sym__emphasis_star,
  [sym__strong_emphasis_star] = sym__strong_emphasis_star,
  [sym__emphasis_underscore] = sym__emphasis_underscore,
  [sym__strong_emphasis_underscore] = sym__strong_emphasis_star,
  [sym__inline_element_no_link] = sym__inline_element_no_link,
  [aux_sym__inline_no_link] = aux_sym__inline_no_link,
  [sym__inline_element_no_star_no_link] = sym__inline_element_no_star_no_link,
  [aux_sym__inline_no_star_no_link] = aux_sym__inline_no_star_no_link,
  [sym__inline_element_no_underscore_no_link] = sym__inline_element_no_underscore_no_link,
  [aux_sym__inline_no_underscore_no_link] = aux_sym__inline_no_underscore_no_link,
  [sym__inline_element_no_tilde_no_link] = sym__inline_element_no_tilde_no_link,
  [aux_sym__inline_no_tilde_no_link] = aux_sym__inline_no_tilde_no_link,
  [sym__strikethrough_no_link] = sym__strikethrough,
  [sym__emphasis_star_no_link] = sym__emphasis_star_no_link,
  [sym__strong_emphasis_star_no_link] = sym__strong_emphasis_star,
  [sym__emphasis_underscore_no_link] = sym__emphasis_underscore_no_link,
  [sym__strong_emphasis_underscore_no_link] = sym__strong_emphasis_star,
  [aux_sym_link_label_repeat1] = aux_sym_link_label_repeat1,
  [aux_sym_link_destination_repeat1] = aux_sym_link_destination_repeat1,
  [aux_sym_link_destination_repeat2] = aux_sym_link_destination_repeat2,
  [aux_sym_link_title_repeat1] = aux_sym_link_title_repeat1,
  [aux_sym_link_title_repeat2] = aux_sym_link_title_repeat2,
  [aux_sym_link_title_repeat3] = aux_sym_link_title_repeat3,
  [aux_sym_code_span_repeat1] = aux_sym_code_span_repeat1,
  [aux_sym_inline_link_repeat1] = aux_sym_inline_link_repeat1,
  [aux_sym__open_tag_repeat1] = aux_sym__open_tag_repeat1,
  [aux_sym__tag_name_repeat1] = aux_sym__tag_name_repeat1,
  [aux_sym__attribute_value_repeat1] = aux_sym__attribute_value_repeat1,
  [aux_sym__attribute_value_repeat2] = aux_sym__attribute_value_repeat2,
  [aux_sym__html_comment_repeat1] = aux_sym__html_comment_repeat1,
  [aux_sym__processing_instruction_repeat1] = aux_sym__processing_instruction_repeat1,
  [aux_sym__declaration_repeat1] = aux_sym__declaration_repeat1,
  [aux_sym__inline_base_repeat1] = aux_sym__inline_base_repeat1,
  [alias_sym_emphasis] = alias_sym_emphasis,
  [alias_sym_html_tag] = alias_sym_html_tag,
  [alias_sym_image_description] = alias_sym_image_description,
  [alias_sym_link_text] = alias_sym_link_text,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__backslash_escape] = {
    .visible = false,
    .named = true,
  },
  [sym_entity_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric_character_reference] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BSLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym__newline_token] = {
    .visible = false,
    .named = true,
  },
  [sym_uri_autolink] = {
    .visible = true,
    .named = true,
  },
  [sym_email_autolink] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute_name] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__attribute_value_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_BANG_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK_GT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__declaration_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__whitespace_ge_2] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__whitespace_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__word_no_digit] = {
    .visible = false,
    .named = true,
  },
  [sym__digits] = {
    .visible = false,
    .named = true,
  },
  [sym__error] = {
    .visible = false,
    .named = true,
  },
  [sym__trigger_error] = {
    .visible = false,
    .named = true,
  },
  [sym__code_span_start] = {
    .visible = true,
    .named = true,
  },
  [sym__code_span_close] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_open_star] = {
    .visible = false,
    .named = true,
  },
  [sym__emphasis_open_underscore] = {
    .visible = false,
    .named = true,
  },
  [sym__emphasis_close_star] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_close_underscore] = {
    .visible = true,
    .named = true,
  },
  [sym__last_token_whitespace] = {
    .visible = false,
    .named = true,
  },
  [sym__last_token_punctuation] = {
    .visible = false,
    .named = true,
  },
  [sym__strikethrough_open] = {
    .visible = false,
    .named = true,
  },
  [sym__strikethrough_close] = {
    .visible = true,
    .named = true,
  },
  [sym__latex_span_start] = {
    .visible = true,
    .named = true,
  },
  [sym__latex_span_close] = {
    .visible = true,
    .named = true,
  },
  [sym__unclosed_span] = {
    .visible = false,
    .named = true,
  },
  [sym_inline] = {
    .visible = true,
    .named = true,
  },
  [sym_backslash_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_link_label] = {
    .visible = true,
    .named = true,
  },
  [sym_link_destination] = {
    .visible = true,
    .named = true,
  },
  [sym__link_destination_parenthesis] = {
    .visible = false,
    .named = true,
  },
  [sym__text_no_angle] = {
    .visible = false,
    .named = true,
  },
  [sym_link_title] = {
    .visible = true,
    .named = true,
  },
  [sym_code_span] = {
    .visible = true,
    .named = true,
  },
  [sym_latex_block] = {
    .visible = true,
    .named = true,
  },
  [sym__link_text] = {
    .visible = false,
    .named = true,
  },
  [sym__link_text_non_empty] = {
    .visible = false,
    .named = true,
  },
  [sym_shortcut_link] = {
    .visible = true,
    .named = true,
  },
  [sym_full_reference_link] = {
    .visible = true,
    .named = true,
  },
  [sym_collapsed_reference_link] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_link] = {
    .visible = true,
    .named = true,
  },
  [sym_image] = {
    .visible = true,
    .named = true,
  },
  [sym__image_inline_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_shortcut_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_full_reference_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_collapsed_reference_link] = {
    .visible = false,
    .named = true,
  },
  [sym__image_description] = {
    .visible = false,
    .named = true,
  },
  [sym__image_description_non_empty] = {
    .visible = false,
    .named = true,
  },
  [sym__html_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__open_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__closing_tag] = {
    .visible = false,
    .named = true,
  },
  [sym__tag_name] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__attribute_value] = {
    .visible = false,
    .named = true,
  },
  [sym__html_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__processing_instruction] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__cdata_section] = {
    .visible = false,
    .named = true,
  },
  [sym_hard_line_break] = {
    .visible = true,
    .named = true,
  },
  [sym__whitespace] = {
    .visible = false,
    .named = true,
  },
  [sym__word] = {
    .visible = false,
    .named = true,
  },
  [sym__soft_line_break] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_base] = {
    .visible = false,
    .named = true,
  },
  [sym__text_base] = {
    .visible = false,
    .named = true,
  },
  [sym__text_inline_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__inline_element] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_star] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_star] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_underscore] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_underscore] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_tilde] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_tilde] = {
    .visible = false,
    .named = false,
  },
  [sym__strikethrough] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_star] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_star] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_underscore] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_underscore] = {
    .visible = true,
    .named = true,
  },
  [sym__inline_element_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_star_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_star_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_underscore_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_underscore_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__inline_element_no_tilde_no_link] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__inline_no_tilde_no_link] = {
    .visible = false,
    .named = false,
  },
  [sym__strikethrough_no_link] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_star_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_star_no_link] = {
    .visible = true,
    .named = true,
  },
  [sym__emphasis_underscore_no_link] = {
    .visible = false,
    .named = true,
  },
  [sym__strong_emphasis_underscore_no_link] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_link_label_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_destination_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_destination_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_link_title_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_code_span_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inline_link_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__open_tag_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__tag_name_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__attribute_value_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__html_comment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__processing_instruction_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__inline_base_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_emphasis] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_html_tag] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_image_description] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_link_text] = {
    .visible = true,
    .named = true,
  },
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_html_tag,
  },
  [2] = {
    [0] = alias_sym_emphasis,
  },
  [3] = {
    [0] = sym__emphasis_close_star,
  },
  [4] = {
    [1] = alias_sym_link_text,
  },
  [5] = {
    [2] = alias_sym_image_description,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__html_tag, 2,
    sym__html_tag,
    alias_sym_html_tag,
  aux_sym__inline, 2,
    aux_sym__inline,
    alias_sym_image_description,
  sym__emphasis_star, 2,
    sym__emphasis_star,
    alias_sym_emphasis,
  sym__emphasis_underscore, 2,
    sym__emphasis_underscore,
    alias_sym_emphasis,
  aux_sym__inline_no_link, 2,
    aux_sym__inline_no_link,
    alias_sym_link_text,
  sym__emphasis_star_no_link, 2,
    sym__emphasis_star_no_link,
    alias_sym_emphasis,
  sym__emphasis_underscore_no_link, 2,
    sym__emphasis_underscore_no_link,
    alias_sym_emphasis,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 3,
  [26] = 2,
  [27] = 6,
  [28] = 11,
  [29] = 11,
  [30] = 30,
  [31] = 17,
  [32] = 19,
  [33] = 21,
  [34] = 23,
  [35] = 30,
  [36] = 17,
  [37] = 19,
  [38] = 21,
  [39] = 23,
  [40] = 11,
  [41] = 30,
  [42] = 17,
  [43] = 19,
  [44] = 21,
  [45] = 23,
  [46] = 11,
  [47] = 30,
  [48] = 17,
  [49] = 19,
  [50] = 21,
  [51] = 23,
  [52] = 30,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 57,
  [59] = 53,
  [60] = 60,
  [61] = 57,
  [62] = 54,
  [63] = 18,
  [64] = 57,
  [65] = 57,
  [66] = 57,
  [67] = 57,
  [68] = 60,
  [69] = 57,
  [70] = 56,
  [71] = 54,
  [72] = 60,
  [73] = 53,
  [74] = 56,
  [75] = 54,
  [76] = 60,
  [77] = 53,
  [78] = 56,
  [79] = 54,
  [80] = 60,
  [81] = 53,
  [82] = 56,
  [83] = 54,
  [84] = 54,
  [85] = 54,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 88,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 109,
  [112] = 112,
  [113] = 101,
  [114] = 103,
  [115] = 105,
  [116] = 107,
  [117] = 112,
  [118] = 110,
  [119] = 109,
  [120] = 112,
  [121] = 101,
  [122] = 103,
  [123] = 105,
  [124] = 107,
  [125] = 110,
  [126] = 109,
  [127] = 112,
  [128] = 101,
  [129] = 103,
  [130] = 105,
  [131] = 107,
  [132] = 110,
  [133] = 133,
  [134] = 110,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 137,
  [139] = 139,
  [140] = 139,
  [141] = 139,
  [142] = 136,
  [143] = 137,
  [144] = 137,
  [145] = 136,
  [146] = 136,
  [147] = 139,
  [148] = 148,
  [149] = 149,
  [150] = 148,
  [151] = 149,
  [152] = 149,
  [153] = 149,
  [154] = 148,
  [155] = 148,
  [156] = 148,
  [157] = 149,
  [158] = 149,
  [159] = 148,
  [160] = 149,
  [161] = 149,
  [162] = 148,
  [163] = 148,
  [164] = 149,
  [165] = 148,
  [166] = 166,
  [167] = 167,
  [168] = 167,
  [169] = 166,
  [170] = 167,
  [171] = 166,
  [172] = 167,
  [173] = 167,
  [174] = 167,
  [175] = 166,
  [176] = 166,
  [177] = 167,
  [178] = 166,
  [179] = 166,
  [180] = 180,
  [181] = 166,
  [182] = 180,
  [183] = 180,
  [184] = 167,
  [185] = 166,
  [186] = 180,
  [187] = 180,
  [188] = 180,
  [189] = 180,
  [190] = 167,
  [191] = 180,
  [192] = 180,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 193,
  [197] = 194,
  [198] = 198,
  [199] = 195,
  [200] = 198,
  [201] = 194,
  [202] = 193,
  [203] = 194,
  [204] = 195,
  [205] = 193,
  [206] = 195,
  [207] = 198,
  [208] = 198,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 213,
  [218] = 210,
  [219] = 213,
  [220] = 211,
  [221] = 221,
  [222] = 212,
  [223] = 223,
  [224] = 223,
  [225] = 209,
  [226] = 210,
  [227] = 211,
  [228] = 212,
  [229] = 229,
  [230] = 216,
  [231] = 216,
  [232] = 209,
  [233] = 233,
  [234] = 213,
  [235] = 209,
  [236] = 213,
  [237] = 229,
  [238] = 223,
  [239] = 223,
  [240] = 210,
  [241] = 211,
  [242] = 212,
  [243] = 216,
  [244] = 213,
  [245] = 216,
  [246] = 210,
  [247] = 195,
  [248] = 221,
  [249] = 194,
  [250] = 221,
  [251] = 211,
  [252] = 198,
  [253] = 213,
  [254] = 221,
  [255] = 193,
  [256] = 229,
  [257] = 257,
  [258] = 229,
  [259] = 212,
  [260] = 215,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 262,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 263,
  [282] = 264,
  [283] = 265,
  [284] = 266,
  [285] = 262,
  [286] = 268,
  [287] = 269,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 270,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 271,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 272,
  [329] = 329,
  [330] = 330,
  [331] = 277,
  [332] = 279,
  [333] = 280,
  [334] = 263,
  [335] = 264,
  [336] = 265,
  [337] = 266,
  [338] = 273,
  [339] = 268,
  [340] = 269,
  [341] = 270,
  [342] = 271,
  [343] = 272,
  [344] = 273,
  [345] = 274,
  [346] = 275,
  [347] = 274,
  [348] = 275,
  [349] = 223,
  [350] = 314,
  [351] = 351,
  [352] = 276,
  [353] = 276,
  [354] = 315,
  [355] = 233,
  [356] = 316,
  [357] = 317,
  [358] = 318,
  [359] = 292,
  [360] = 288,
  [361] = 296,
  [362] = 298,
  [363] = 299,
  [364] = 300,
  [365] = 301,
  [366] = 302,
  [367] = 289,
  [368] = 314,
  [369] = 315,
  [370] = 316,
  [371] = 317,
  [372] = 318,
  [373] = 326,
  [374] = 327,
  [375] = 213,
  [376] = 329,
  [377] = 330,
  [378] = 263,
  [379] = 264,
  [380] = 265,
  [381] = 268,
  [382] = 269,
  [383] = 223,
  [384] = 290,
  [385] = 291,
  [386] = 319,
  [387] = 294,
  [388] = 221,
  [389] = 223,
  [390] = 209,
  [391] = 295,
  [392] = 297,
  [393] = 303,
  [394] = 304,
  [395] = 229,
  [396] = 396,
  [397] = 320,
  [398] = 306,
  [399] = 223,
  [400] = 321,
  [401] = 307,
  [402] = 308,
  [403] = 309,
  [404] = 310,
  [405] = 311,
  [406] = 223,
  [407] = 312,
  [408] = 313,
  [409] = 319,
  [410] = 320,
  [411] = 321,
  [412] = 322,
  [413] = 323,
  [414] = 414,
  [415] = 325,
  [416] = 322,
  [417] = 277,
  [418] = 279,
  [419] = 280,
  [420] = 266,
  [421] = 262,
  [422] = 422,
  [423] = 422,
  [424] = 424,
  [425] = 425,
  [426] = 270,
  [427] = 271,
  [428] = 428,
  [429] = 429,
  [430] = 272,
  [431] = 273,
  [432] = 274,
  [433] = 275,
  [434] = 276,
  [435] = 323,
  [436] = 324,
  [437] = 396,
  [438] = 325,
  [439] = 309,
  [440] = 312,
  [441] = 310,
  [442] = 294,
  [443] = 443,
  [444] = 313,
  [445] = 422,
  [446] = 326,
  [447] = 424,
  [448] = 327,
  [449] = 288,
  [450] = 289,
  [451] = 428,
  [452] = 429,
  [453] = 453,
  [454] = 424,
  [455] = 290,
  [456] = 291,
  [457] = 292,
  [458] = 311,
  [459] = 294,
  [460] = 396,
  [461] = 295,
  [462] = 296,
  [463] = 297,
  [464] = 298,
  [465] = 299,
  [466] = 300,
  [467] = 301,
  [468] = 422,
  [469] = 288,
  [470] = 424,
  [471] = 289,
  [472] = 302,
  [473] = 303,
  [474] = 428,
  [475] = 429,
  [476] = 304,
  [477] = 329,
  [478] = 290,
  [479] = 306,
  [480] = 307,
  [481] = 308,
  [482] = 482,
  [483] = 396,
  [484] = 309,
  [485] = 310,
  [486] = 311,
  [487] = 312,
  [488] = 313,
  [489] = 314,
  [490] = 295,
  [491] = 422,
  [492] = 315,
  [493] = 424,
  [494] = 316,
  [495] = 317,
  [496] = 318,
  [497] = 428,
  [498] = 429,
  [499] = 319,
  [500] = 500,
  [501] = 320,
  [502] = 321,
  [503] = 396,
  [504] = 296,
  [505] = 291,
  [506] = 297,
  [507] = 298,
  [508] = 299,
  [509] = 300,
  [510] = 301,
  [511] = 322,
  [512] = 323,
  [513] = 324,
  [514] = 302,
  [515] = 428,
  [516] = 303,
  [517] = 429,
  [518] = 325,
  [519] = 326,
  [520] = 327,
  [521] = 304,
  [522] = 292,
  [523] = 330,
  [524] = 306,
  [525] = 329,
  [526] = 330,
  [527] = 277,
  [528] = 279,
  [529] = 529,
  [530] = 530,
  [531] = 307,
  [532] = 280,
  [533] = 308,
  [534] = 534,
  [535] = 324,
  [536] = 290,
  [537] = 276,
  [538] = 529,
  [539] = 534,
  [540] = 500,
  [541] = 288,
  [542] = 289,
  [543] = 291,
  [544] = 294,
  [545] = 295,
  [546] = 297,
  [547] = 303,
  [548] = 304,
  [549] = 306,
  [550] = 307,
  [551] = 308,
  [552] = 309,
  [553] = 310,
  [554] = 311,
  [555] = 312,
  [556] = 313,
  [557] = 319,
  [558] = 320,
  [559] = 321,
  [560] = 322,
  [561] = 323,
  [562] = 324,
  [563] = 325,
  [564] = 290,
  [565] = 279,
  [566] = 280,
  [567] = 266,
  [568] = 262,
  [569] = 270,
  [570] = 271,
  [571] = 272,
  [572] = 273,
  [573] = 274,
  [574] = 275,
  [575] = 290,
  [576] = 290,
  [577] = 292,
  [578] = 296,
  [579] = 298,
  [580] = 299,
  [581] = 300,
  [582] = 301,
  [583] = 302,
  [584] = 314,
  [585] = 315,
  [586] = 316,
  [587] = 317,
  [588] = 318,
  [589] = 326,
  [590] = 327,
  [591] = 329,
  [592] = 330,
  [593] = 263,
  [594] = 264,
  [595] = 265,
  [596] = 268,
  [597] = 269,
  [598] = 290,
  [599] = 277,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 600,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 600,
  [609] = 605,
  [610] = 600,
  [611] = 605,
  [612] = 606,
  [613] = 607,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 606,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 601,
  [623] = 607,
  [624] = 603,
  [625] = 617,
  [626] = 619,
  [627] = 601,
  [628] = 628,
  [629] = 614,
  [630] = 621,
  [631] = 614,
  [632] = 621,
  [633] = 617,
  [634] = 619,
  [635] = 601,
  [636] = 603,
  [637] = 605,
  [638] = 606,
  [639] = 607,
  [640] = 614,
  [641] = 621,
  [642] = 617,
  [643] = 619,
  [644] = 603,
  [645] = 645,
  [646] = 646,
  [647] = 647,
  [648] = 646,
  [649] = 649,
  [650] = 645,
  [651] = 649,
  [652] = 646,
  [653] = 647,
  [654] = 645,
  [655] = 649,
  [656] = 656,
  [657] = 645,
  [658] = 649,
  [659] = 659,
  [660] = 646,
  [661] = 647,
  [662] = 647,
  [663] = 645,
  [664] = 649,
  [665] = 646,
  [666] = 647,
  [667] = 167,
  [668] = 229,
  [669] = 167,
  [670] = 670,
  [671] = 221,
  [672] = 166,
  [673] = 166,
  [674] = 209,
  [675] = 276,
  [676] = 298,
  [677] = 296,
  [678] = 180,
  [679] = 180,
  [680] = 302,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 686,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 198,
  [693] = 693,
  [694] = 694,
  [695] = 195,
  [696] = 696,
  [697] = 697,
  [698] = 198,
  [699] = 699,
  [700] = 195,
  [701] = 701,
  [702] = 702,
  [703] = 209,
  [704] = 704,
  [705] = 229,
  [706] = 706,
  [707] = 209,
  [708] = 702,
  [709] = 709,
  [710] = 704,
  [711] = 221,
  [712] = 704,
  [713] = 713,
  [714] = 702,
  [715] = 229,
  [716] = 716,
  [717] = 702,
  [718] = 704,
  [719] = 702,
  [720] = 221,
  [721] = 702,
  [722] = 704,
  [723] = 702,
  [724] = 704,
  [725] = 704,
  [726] = 726,
  [727] = 727,
  [728] = 728,
  [729] = 315,
  [730] = 292,
  [731] = 316,
  [732] = 317,
  [733] = 318,
  [734] = 326,
  [735] = 327,
  [736] = 736,
  [737] = 737,
  [738] = 292,
  [739] = 329,
  [740] = 330,
  [741] = 263,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 264,
  [746] = 296,
  [747] = 747,
  [748] = 727,
  [749] = 728,
  [750] = 265,
  [751] = 268,
  [752] = 263,
  [753] = 269,
  [754] = 264,
  [755] = 736,
  [756] = 737,
  [757] = 265,
  [758] = 314,
  [759] = 315,
  [760] = 298,
  [761] = 736,
  [762] = 742,
  [763] = 743,
  [764] = 744,
  [765] = 326,
  [766] = 327,
  [767] = 296,
  [768] = 316,
  [769] = 268,
  [770] = 269,
  [771] = 747,
  [772] = 727,
  [773] = 728,
  [774] = 726,
  [775] = 744,
  [776] = 317,
  [777] = 742,
  [778] = 298,
  [779] = 779,
  [780] = 299,
  [781] = 736,
  [782] = 737,
  [783] = 743,
  [784] = 318,
  [785] = 747,
  [786] = 300,
  [787] = 300,
  [788] = 301,
  [789] = 742,
  [790] = 743,
  [791] = 744,
  [792] = 301,
  [793] = 302,
  [794] = 747,
  [795] = 727,
  [796] = 728,
  [797] = 302,
  [798] = 329,
  [799] = 736,
  [800] = 737,
  [801] = 314,
  [802] = 727,
  [803] = 742,
  [804] = 743,
  [805] = 744,
  [806] = 747,
  [807] = 727,
  [808] = 728,
  [809] = 736,
  [810] = 737,
  [811] = 742,
  [812] = 743,
  [813] = 744,
  [814] = 330,
  [815] = 747,
  [816] = 727,
  [817] = 728,
  [818] = 736,
  [819] = 737,
  [820] = 742,
  [821] = 743,
  [822] = 744,
  [823] = 737,
  [824] = 728,
  [825] = 747,
  [826] = 299,
  [827] = 827,
  [828] = 827,
  [829] = 829,
  [830] = 209,
  [831] = 831,
  [832] = 229,
  [833] = 831,
  [834] = 831,
  [835] = 835,
  [836] = 836,
  [837] = 827,
  [838] = 838,
  [839] = 839,
  [840] = 831,
  [841] = 827,
  [842] = 831,
  [843] = 843,
  [844] = 844,
  [845] = 831,
  [846] = 846,
  [847] = 847,
  [848] = 827,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 827,
  [853] = 827,
  [854] = 854,
  [855] = 831,
  [856] = 856,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 298,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 302,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 276,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 209,
  [883] = 883,
  [884] = 884,
  [885] = 229,
  [886] = 209,
  [887] = 229,
  [888] = 209,
  [889] = 889,
  [890] = 890,
  [891] = 229,
  [892] = 892,
  [893] = 892,
  [894] = 209,
  [895] = 895,
  [896] = 229,
  [897] = 897,
  [898] = 898,
  [899] = 298,
  [900] = 302,
  [901] = 901,
  [902] = 298,
  [903] = 302,
  [904] = 298,
  [905] = 905,
  [906] = 302,
  [907] = 905,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 298,
  [914] = 302,
  [915] = 915,
  [916] = 915,
  [917] = 915,
  [918] = 915,
  [919] = 915,
  [920] = 915,
  [921] = 915,
  [922] = 706,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 926,
  [928] = 924,
  [929] = 925,
  [930] = 923,
  [931] = 924,
  [932] = 925,
  [933] = 923,
  [934] = 926,
  [935] = 925,
  [936] = 925,
  [937] = 924,
  [938] = 923,
  [939] = 924,
  [940] = 923,
  [941] = 926,
  [942] = 926,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 945,
  [947] = 945,
  [948] = 944,
  [949] = 945,
  [950] = 944,
  [951] = 945,
  [952] = 944,
  [953] = 945,
  [954] = 945,
  [955] = 944,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 944,
  [961] = 944,
  [962] = 962,
  [963] = 962,
  [964] = 964,
  [965] = 964,
  [966] = 964,
  [967] = 962,
  [968] = 962,
  [969] = 962,
  [970] = 964,
  [971] = 706,
  [972] = 964,
  [973] = 962,
  [974] = 706,
  [975] = 975,
  [976] = 962,
  [977] = 977,
  [978] = 964,
  [979] = 979,
  [980] = 964,
  [981] = 209,
  [982] = 229,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 985,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 986,
  [1007] = 987,
  [1008] = 1004,
  [1009] = 988,
  [1010] = 1001,
  [1011] = 1011,
  [1012] = 989,
  [1013] = 1005,
  [1014] = 990,
  [1015] = 985,
  [1016] = 986,
  [1017] = 987,
  [1018] = 995,
  [1019] = 995,
  [1020] = 983,
  [1021] = 988,
  [1022] = 989,
  [1023] = 990,
  [1024] = 992,
  [1025] = 983,
  [1026] = 991,
  [1027] = 992,
  [1028] = 1004,
  [1029] = 1005,
  [1030] = 993,
  [1031] = 1011,
  [1032] = 991,
  [1033] = 994,
  [1034] = 993,
  [1035] = 985,
  [1036] = 986,
  [1037] = 987,
  [1038] = 994,
  [1039] = 988,
  [1040] = 989,
  [1041] = 990,
  [1042] = 996,
  [1043] = 992,
  [1044] = 989,
  [1045] = 993,
  [1046] = 994,
  [1047] = 996,
  [1048] = 996,
  [1049] = 997,
  [1050] = 998,
  [1051] = 999,
  [1052] = 1000,
  [1053] = 1001,
  [1054] = 1002,
  [1055] = 997,
  [1056] = 998,
  [1057] = 1000,
  [1058] = 1001,
  [1059] = 995,
  [1060] = 983,
  [1061] = 995,
  [1062] = 997,
  [1063] = 1002,
  [1064] = 998,
  [1065] = 999,
  [1066] = 1011,
  [1067] = 1000,
  [1068] = 209,
  [1069] = 991,
  [1070] = 229,
  [1071] = 995,
  [1072] = 983,
  [1073] = 991,
  [1074] = 992,
  [1075] = 1001,
  [1076] = 1002,
  [1077] = 1002,
  [1078] = 1011,
  [1079] = 1004,
  [1080] = 1011,
  [1081] = 1005,
  [1082] = 993,
  [1083] = 994,
  [1084] = 1084,
  [1085] = 996,
  [1086] = 985,
  [1087] = 1004,
  [1088] = 995,
  [1089] = 986,
  [1090] = 987,
  [1091] = 1091,
  [1092] = 997,
  [1093] = 998,
  [1094] = 999,
  [1095] = 1000,
  [1096] = 1011,
  [1097] = 990,
  [1098] = 988,
  [1099] = 1011,
  [1100] = 1005,
  [1101] = 999,
  [1102] = 298,
  [1103] = 302,
  [1104] = 298,
  [1105] = 302,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1116,
  [1118] = 1116,
  [1119] = 1115,
  [1120] = 1115,
  [1121] = 1115,
  [1122] = 1115,
  [1123] = 1116,
  [1124] = 1116,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1125,
  [1128] = 1125,
  [1129] = 1125,
  [1130] = 209,
  [1131] = 1125,
  [1132] = 1125,
  [1133] = 1125,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1135,
  [1137] = 1137,
  [1138] = 1134,
  [1139] = 1139,
  [1140] = 1137,
  [1141] = 1134,
  [1142] = 1142,
  [1143] = 1135,
  [1144] = 1135,
  [1145] = 1135,
  [1146] = 298,
  [1147] = 1137,
  [1148] = 1134,
  [1149] = 1134,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1134,
  [1153] = 1135,
  [1154] = 1137,
  [1155] = 1137,
  [1156] = 1137,
  [1157] = 1135,
  [1158] = 1134,
  [1159] = 1137,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(2179);
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2196,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2202,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2187,
        '=', 2207,
        '>', 2189,
        '?', 2209,
        '@', 2210,
        '[', 2183,
        '\\', 2212,
        ']', 2185,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2196,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2188,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '\\', 2212,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0 &&
          (lookahead < '[' || '`' < lookahead)) ADVANCE(2241);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2196,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2186,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2212,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2195,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2202,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2188,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2211,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2195,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2202,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2186,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2211,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2195,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2188,
        '=', 2207,
        '>', 2189,
        '?', 2209,
        '@', 2210,
        '[', 2183,
        '\\', 2211,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2195,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2188,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2211,
        ']', 2185,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2195,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2188,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2211,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2195,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2186,
        '=', 2207,
        '>', 2189,
        '?', 2209,
        '@', 2210,
        '[', 2183,
        '\\', 2211,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2195,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2186,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2211,
        ']', 2185,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2195,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2186,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2211,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 11:
      if (lookahead == '\t') ADVANCE(2238);
      if (lookahead == '\n') ADVANCE(2222);
      if (lookahead == '\r') ADVANCE(2223);
      if (lookahead == ' ') ADVANCE(2240);
      if (lookahead == '"') ADVANCE(2191);
      if (lookahead == '\'') ADVANCE(2197);
      if (lookahead != 0 &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != '`') ADVANCE(2227);
      END_STATE();
    case 12:
      if (lookahead == '\t') ADVANCE(2238);
      if (lookahead == '\n') ADVANCE(2222);
      if (lookahead == '\r') ADVANCE(2223);
      if (lookahead == ' ') ADVANCE(2240);
      if (lookahead == '/') ADVANCE(2204);
      if (lookahead == '>') ADVANCE(2189);
      if (lookahead == ':' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2226);
      END_STATE();
    case 13:
      if (lookahead == '-') ADVANCE(14);
      if (lookahead == '@') ADVANCE(2173);
      if (lookahead == '[') ADVANCE(427);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2234);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('.' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 14:
      if (lookahead == '-') ADVANCE(2229);
      if (lookahead == '@') ADVANCE(2173);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('.' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 15:
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(136);
      END_STATE();
    case 16:
      if (lookahead == '-') ADVANCE(17);
      if (lookahead == '[') ADVANCE(427);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2235);
      END_STATE();
    case 17:
      if (lookahead == '-') ADVANCE(2228);
      END_STATE();
    case 18:
      if (lookahead == '-') ADVANCE(2174);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 19:
      if (lookahead == '-') ADVANCE(2174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(139);
      END_STATE();
    case 20:
      if (lookahead == '-') ADVANCE(23);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(22);
      END_STATE();
    case 21:
      if (lookahead == '-') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(22);
      END_STATE();
    case 22:
      if (lookahead == '-') ADVANCE(19);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(18);
      END_STATE();
    case 23:
      if (lookahead == '-') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(18);
      END_STATE();
    case 24:
      if (lookahead == '-') ADVANCE(27);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 25:
      if (lookahead == '-') ADVANCE(27);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(26);
      END_STATE();
    case 26:
      if (lookahead == '-') ADVANCE(21);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(20);
      END_STATE();
    case 27:
      if (lookahead == '-') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(20);
      END_STATE();
    case 28:
      if (lookahead == '-') ADVANCE(31);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      END_STATE();
    case 29:
      if (lookahead == '-') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == '-') ADVANCE(25);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 31:
      if (lookahead == '-') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(24);
      END_STATE();
    case 32:
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      END_STATE();
    case 33:
      if (lookahead == '-') ADVANCE(35);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(34);
      END_STATE();
    case 34:
      if (lookahead == '-') ADVANCE(29);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      END_STATE();
    case 35:
      if (lookahead == '-') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(28);
      END_STATE();
    case 36:
      if (lookahead == '-') ADVANCE(39);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(38);
      END_STATE();
    case 37:
      if (lookahead == '-') ADVANCE(39);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(38);
      END_STATE();
    case 38:
      if (lookahead == '-') ADVANCE(33);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(32);
      END_STATE();
    case 39:
      if (lookahead == '-') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(32);
      END_STATE();
    case 40:
      if (lookahead == '-') ADVANCE(43);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(42);
      END_STATE();
    case 41:
      if (lookahead == '-') ADVANCE(43);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(42);
      END_STATE();
    case 42:
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(36);
      END_STATE();
    case 43:
      if (lookahead == '-') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(36);
      END_STATE();
    case 44:
      if (lookahead == '-') ADVANCE(47);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 45:
      if (lookahead == '-') ADVANCE(47);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(46);
      END_STATE();
    case 46:
      if (lookahead == '-') ADVANCE(41);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(40);
      END_STATE();
    case 47:
      if (lookahead == '-') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(40);
      END_STATE();
    case 48:
      if (lookahead == '-') ADVANCE(51);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 49:
      if (lookahead == '-') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(50);
      END_STATE();
    case 50:
      if (lookahead == '-') ADVANCE(45);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(44);
      END_STATE();
    case 51:
      if (lookahead == '-') ADVANCE(45);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(44);
      END_STATE();
    case 52:
      if (lookahead == '-') ADVANCE(55);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 53:
      if (lookahead == '-') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(54);
      END_STATE();
    case 54:
      if (lookahead == '-') ADVANCE(49);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 55:
      if (lookahead == '-') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(48);
      END_STATE();
    case 56:
      if (lookahead == '-') ADVANCE(59);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 57:
      if (lookahead == '-') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(58);
      END_STATE();
    case 58:
      if (lookahead == '-') ADVANCE(53);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 59:
      if (lookahead == '-') ADVANCE(53);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(52);
      END_STATE();
    case 60:
      if (lookahead == '-') ADVANCE(63);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 61:
      if (lookahead == '-') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(62);
      END_STATE();
    case 62:
      if (lookahead == '-') ADVANCE(57);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 63:
      if (lookahead == '-') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(56);
      END_STATE();
    case 64:
      if (lookahead == '-') ADVANCE(67);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 65:
      if (lookahead == '-') ADVANCE(67);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(66);
      END_STATE();
    case 66:
      if (lookahead == '-') ADVANCE(61);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 67:
      if (lookahead == '-') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(60);
      END_STATE();
    case 68:
      if (lookahead == '-') ADVANCE(71);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 69:
      if (lookahead == '-') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(70);
      END_STATE();
    case 70:
      if (lookahead == '-') ADVANCE(65);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 71:
      if (lookahead == '-') ADVANCE(65);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(64);
      END_STATE();
    case 72:
      if (lookahead == '-') ADVANCE(75);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 73:
      if (lookahead == '-') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(74);
      END_STATE();
    case 74:
      if (lookahead == '-') ADVANCE(69);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 75:
      if (lookahead == '-') ADVANCE(69);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(68);
      END_STATE();
    case 76:
      if (lookahead == '-') ADVANCE(79);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 77:
      if (lookahead == '-') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(78);
      END_STATE();
    case 78:
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 79:
      if (lookahead == '-') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(72);
      END_STATE();
    case 80:
      if (lookahead == '-') ADVANCE(83);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 81:
      if (lookahead == '-') ADVANCE(83);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(82);
      END_STATE();
    case 82:
      if (lookahead == '-') ADVANCE(77);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 83:
      if (lookahead == '-') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(76);
      END_STATE();
    case 84:
      if (lookahead == '-') ADVANCE(87);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 85:
      if (lookahead == '-') ADVANCE(87);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(86);
      END_STATE();
    case 86:
      if (lookahead == '-') ADVANCE(81);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 87:
      if (lookahead == '-') ADVANCE(81);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(80);
      END_STATE();
    case 88:
      if (lookahead == '-') ADVANCE(91);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 89:
      if (lookahead == '-') ADVANCE(91);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(90);
      END_STATE();
    case 90:
      if (lookahead == '-') ADVANCE(85);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 91:
      if (lookahead == '-') ADVANCE(85);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(84);
      END_STATE();
    case 92:
      if (lookahead == '-') ADVANCE(95);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 93:
      if (lookahead == '-') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(94);
      END_STATE();
    case 94:
      if (lookahead == '-') ADVANCE(89);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 95:
      if (lookahead == '-') ADVANCE(89);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(88);
      END_STATE();
    case 96:
      if (lookahead == '-') ADVANCE(99);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 97:
      if (lookahead == '-') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(98);
      END_STATE();
    case 98:
      if (lookahead == '-') ADVANCE(93);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 99:
      if (lookahead == '-') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(92);
      END_STATE();
    case 100:
      if (lookahead == '-') ADVANCE(103);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 101:
      if (lookahead == '-') ADVANCE(103);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(102);
      END_STATE();
    case 102:
      if (lookahead == '-') ADVANCE(97);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 103:
      if (lookahead == '-') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(96);
      END_STATE();
    case 104:
      if (lookahead == '-') ADVANCE(107);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(106);
      END_STATE();
    case 105:
      if (lookahead == '-') ADVANCE(107);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(106);
      END_STATE();
    case 106:
      if (lookahead == '-') ADVANCE(101);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 107:
      if (lookahead == '-') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(100);
      END_STATE();
    case 108:
      if (lookahead == '-') ADVANCE(111);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(110);
      END_STATE();
    case 109:
      if (lookahead == '-') ADVANCE(111);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(110);
      END_STATE();
    case 110:
      if (lookahead == '-') ADVANCE(105);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 111:
      if (lookahead == '-') ADVANCE(105);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 112:
      if (lookahead == '-') ADVANCE(115);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(114);
      END_STATE();
    case 113:
      if (lookahead == '-') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(114);
      END_STATE();
    case 114:
      if (lookahead == '-') ADVANCE(109);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(108);
      END_STATE();
    case 115:
      if (lookahead == '-') ADVANCE(109);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(108);
      END_STATE();
    case 116:
      if (lookahead == '-') ADVANCE(119);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 117:
      if (lookahead == '-') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(118);
      END_STATE();
    case 118:
      if (lookahead == '-') ADVANCE(113);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 119:
      if (lookahead == '-') ADVANCE(113);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(112);
      END_STATE();
    case 120:
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 121:
      if (lookahead == '-') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(122);
      END_STATE();
    case 122:
      if (lookahead == '-') ADVANCE(117);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 123:
      if (lookahead == '-') ADVANCE(117);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(116);
      END_STATE();
    case 124:
      if (lookahead == '-') ADVANCE(127);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 125:
      if (lookahead == '-') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(126);
      END_STATE();
    case 126:
      if (lookahead == '-') ADVANCE(121);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(120);
      END_STATE();
    case 127:
      if (lookahead == '-') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(120);
      END_STATE();
    case 128:
      if (lookahead == '-') ADVANCE(131);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 129:
      if (lookahead == '-') ADVANCE(131);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(130);
      END_STATE();
    case 130:
      if (lookahead == '-') ADVANCE(125);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 131:
      if (lookahead == '-') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(124);
      END_STATE();
    case 132:
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 133:
      if (lookahead == '-') ADVANCE(135);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(134);
      END_STATE();
    case 134:
      if (lookahead == '-') ADVANCE(129);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 135:
      if (lookahead == '-') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(128);
      END_STATE();
    case 136:
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 137:
      if (lookahead == '-') ADVANCE(133);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(132);
      END_STATE();
    case 138:
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      END_STATE();
    case 139:
      if (lookahead == '.') ADVANCE(2173);
      if (lookahead == '>') ADVANCE(2225);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 140:
      if (lookahead == '1') ADVANCE(2153);
      if (lookahead == '3') ADVANCE(143);
      END_STATE();
    case 141:
      if (lookahead == '1') ADVANCE(2167);
      if (lookahead == ';') ADVANCE(2181);
      END_STATE();
    case 142:
      if (lookahead == '1') ADVANCE(369);
      if (lookahead == '2') ADVANCE(2154);
      if (lookahead == '3') ADVANCE(366);
      if (lookahead == '4') ADVANCE(145);
      if (lookahead == '5') ADVANCE(2155);
      if (lookahead == '7') ADVANCE(146);
      END_STATE();
    case 143:
      if (lookahead == '4') ADVANCE(148);
      END_STATE();
    case 144:
      if (lookahead == '4') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(1664);
      END_STATE();
    case 145:
      if (lookahead == '5') ADVANCE(148);
      END_STATE();
    case 146:
      if (lookahead == '8') ADVANCE(148);
      END_STATE();
    case 147:
      if (lookahead == ':') ADVANCE(384);
      if (lookahead == '@') ADVANCE(2173);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '/' ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(386);
      if (lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 148:
      if (lookahead == ';') ADVANCE(2181);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        ';', 2181,
        'A', 589,
        'B', 579,
        'E', 276,
        'H', 542,
        'a', 815,
        'b', 580,
        'c', 607,
        'd', 799,
        'e', 273,
        'f', 1257,
        'g', 163,
        'h', 625,
        'j', 750,
        'l', 199,
        'm', 1240,
        'n', 460,
        'o', 550,
        'p', 629,
        'r', 583,
        's', 530,
        't', 226,
        'u', 1774,
        'v', 1067,
      );
      END_STATE();
    case 150:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1758);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'q') ADVANCE(2075);
      if (lookahead == 's') ADVANCE(972);
      if (lookahead == 'x') ADVANCE(1299);
      END_STATE();
    case 151:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'A') ADVANCE(1877);
      END_STATE();
    case 152:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'V') ADVANCE(1068);
      END_STATE();
    case 153:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'B') ADVANCE(542);
      END_STATE();
    case 154:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'D') ADVANCE(1648);
      END_STATE();
    case 155:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 156:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'L') ADVANCE(1070);
      END_STATE();
    case 157:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'R') ADVANCE(1321);
      END_STATE();
    case 158:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'U') ADVANCE(1692);
      END_STATE();
    case 159:
      ADVANCE_MAP(
        ';', 2181,
        'C', 1659,
        'D', 1633,
        'E', 1368,
        'G', 1893,
        'H', 2086,
        'L', 1042,
        'N', 1009,
        'P', 1854,
        'R', 1043,
        'S', 1737,
        'T', 1246,
        'V', 1082,
      );
      END_STATE();
    case 160:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'C') ADVANCE(568);
      END_STATE();
    case 161:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 162:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'D') ADVANCE(441);
      END_STATE();
    case 163:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(148);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        ';', 2181,
        'E', 148,
        'a', 1673,
        'c', 2064,
        'e', 225,
        'i', 1495,
        'n', 459,
        'o', 878,
        's', 1251,
        'u', 1805,
      );
      END_STATE();
    case 165:
      ADVANCE_MAP(
        ';', 2181,
        'E', 148,
        'd', 1594,
        'e', 236,
        'm', 2071,
        'n', 2156,
        'p', 1444,
        'r', 579,
        's', 1022,
      );
      END_STATE();
    case 166:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'v') ADVANCE(2169);
      END_STATE();
    case 167:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 168:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(877);
      if (lookahead == 'o') ADVANCE(1899);
      if (lookahead == 'p') ADVANCE(1825);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        ';', 2181,
        'E', 293,
        'a', 817,
        'b', 1745,
        'c', 1287,
        'd', 1594,
        'e', 294,
        'f', 1746,
        'g', 276,
        'i', 1480,
        'j', 750,
        'l', 365,
        'n', 460,
        'o', 1676,
        'r', 533,
        's', 785,
        't', 227,
        'v', 1067,
      );
      END_STATE();
    case 170:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 171:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'F') ADVANCE(2093);
      if (lookahead == 'G') ADVANCE(1886);
      if (lookahead == 'L') ADVANCE(968);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 172:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'F') ADVANCE(2093);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 173:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'G') ADVANCE(1886);
      if (lookahead == 'L') ADVANCE(968);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 174:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'S') ADVANCE(1454);
      END_STATE();
    case 175:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E') ADVANCE(1736);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 176:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'G') ADVANCE(148);
      END_STATE();
    case 177:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'H') ADVANCE(148);
      END_STATE();
    case 178:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'I') ADVANCE(1576);
      if (lookahead == 'S') ADVANCE(2057);
      if (lookahead == 'U') ADVANCE(1557);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        ';', 2181,
        'J', 750,
        'a', 816,
        'c', 609,
        'e', 1099,
        'f', 1746,
        'l', 253,
        'm', 1239,
        'o', 1524,
        's', 782,
        'T', 148,
        't', 148,
      );
      END_STATE();
    case 180:
      ADVANCE_MAP(
        ';', 2181,
        'J', 750,
        'a', 1496,
        'b', 1745,
        'c', 976,
        'd', 1594,
        'f', 1746,
        'o', 1676,
        'r', 994,
        's', 774,
        'T', 148,
        'g', 148,
        't', 148,
      );
      END_STATE();
    case 181:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'L') ADVANCE(968);
      END_STATE();
    case 182:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'N') ADVANCE(148);
      END_STATE();
    case 183:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'P') ADVANCE(148);
      END_STATE();
    case 184:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'P') ADVANCE(1444);
      END_STATE();
    case 185:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'T') ADVANCE(148);
      END_STATE();
    case 186:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 187:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'Y') ADVANCE(148);
      END_STATE();
    case 188:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(780);
      if (lookahead == 'p') ADVANCE(1410);
      END_STATE();
    case 189:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1131);
      if (lookahead == 'o') ADVANCE(2009);
      END_STATE();
    case 190:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(2171);
      END_STATE();
    case 191:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 192:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1746);
      END_STATE();
    case 193:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(788);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 194:
      ADVANCE_MAP(
        ';', 2181,
        'a', 1674,
        'c', 2064,
        'e', 245,
        'i', 1813,
        'n', 459,
        'p', 1669,
        's', 1251,
        'E', 148,
        'y', 148,
      );
      END_STATE();
    case 195:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(301);
      if (lookahead == 's') ADVANCE(1252);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 196:
      ADVANCE_MAP(
        ';', 2181,
        'a', 1673,
        'b', 272,
        'f', 1899,
        'h', 1335,
        'l', 1673,
        'p', 1354,
        's', 1251,
        't', 1354,
        'c', 148,
        'w', 148,
      );
      END_STATE();
    case 197:
      ADVANCE_MAP(
        ';', 2181,
        'a', 846,
        'c', 1229,
        'd', 2165,
        'm', 305,
        's', 1251,
        't', 2117,
        'b', 148,
        'e', 148,
      );
      END_STATE();
    case 198:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(846);
      if (lookahead == 'i') ADVANCE(877);
      if (lookahead == 'o') ADVANCE(1899);
      if (lookahead == 'p') ADVANCE(1819);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 199:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'c') ADVANCE(1645);
      if (lookahead == 'h') ADVANCE(644);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 200:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'd') ADVANCE(268);
      if (lookahead == 'i') ADVANCE(1133);
      if (lookahead == 'o') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1409);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 201:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1899);
      END_STATE();
    case 202:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1910);
      if (lookahead == 'c') ADVANCE(1229);
      if (lookahead == 'd') ADVANCE(1601);
      END_STATE();
    case 203:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1354);
      END_STATE();
    case 204:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 205:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1359);
      if (lookahead == 'c') ADVANCE(1954);
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 206:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1499);
      if (lookahead == 'b') ADVANCE(1868);
      if (lookahead == 'c') ADVANCE(572);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 207:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1499);
      if (lookahead == 's') ADVANCE(1409);
      if (lookahead == 'd' ||
          lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 208:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(839);
      END_STATE();
    case 209:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1794);
      if (lookahead == 'c') ADVANCE(1186);
      if (lookahead == 'o') ADVANCE(1833);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 210:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1378);
      END_STATE();
    case 211:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1762);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 212:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1708);
      if (lookahead == 'c') ADVANCE(2084);
      if (lookahead == 'e') ADVANCE(1728);
      if (lookahead == 'n') ADVANCE(666);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 213:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1259);
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 214:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a') ADVANCE(1453);
      if (lookahead == 's') ADVANCE(1354);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 215:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'b') ADVANCE(1594);
      if (lookahead == 'c') ADVANCE(1229);
      if (lookahead == 'f') ADVANCE(314);
      END_STATE();
    case 216:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'd') ADVANCE(352);
      END_STATE();
    case 217:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'h') ADVANCE(1946);
      END_STATE();
    case 218:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'b') ADVANCE(192);
      END_STATE();
    case 219:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'b') ADVANCE(192);
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 220:
      ADVANCE_MAP(
        ';', 2181,
        'b', 272,
        'f', 1899,
        'h', 1335,
        'l', 1673,
        'p', 1354,
        's', 1251,
        't', 1354,
      );
      END_STATE();
    case 221:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 222:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'b') ADVANCE(1821);
      if (lookahead == 'c') ADVANCE(572);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'o') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 223:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 224:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(256);
      if (lookahead == 'f') ADVANCE(1562);
      if (lookahead == 'm') ADVANCE(1218);
      if (lookahead == 's') ADVANCE(846);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 225:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 226:
      ADVANCE_MAP(
        ';', 2181,
        'c', 759,
        'd', 1594,
        'h', 1795,
        'i', 1493,
        'l', 579,
        'q', 2076,
        'r', 501,
      );
      END_STATE();
    case 227:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(759);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'l') ADVANCE(500);
      if (lookahead == 'q') ADVANCE(2076);
      if (lookahead == 'r') ADVANCE(567);
      END_STATE();
    case 228:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(255);
      END_STATE();
    case 229:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'd') ADVANCE(1638);
      if (lookahead == 'l') ADVANCE(263);
      END_STATE();
    case 230:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(758);
      if (lookahead == 'd') ADVANCE(1639);
      if (lookahead == 'g') ADVANCE(263);
      if (lookahead == 's') ADVANCE(665);
      END_STATE();
    case 231:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(596);
      if (lookahead == 'e') ADVANCE(1164);
      if (lookahead == 'l') ADVANCE(651);
      if (lookahead == 'p') ADVANCE(1806);
      END_STATE();
    case 232:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(1229);
      if (lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 233:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(2064);
      if (lookahead == 'e') ADVANCE(228);
      END_STATE();
    case 234:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(2064);
      if (lookahead == 'e' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 235:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c') ADVANCE(686);
      if (lookahead == 'f') ADVANCE(1274);
      if (lookahead == 'o') ADVANCE(872);
      if (lookahead == 't') ADVANCE(231);
      END_STATE();
    case 236:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'd') ADVANCE(1594);
      END_STATE();
    case 237:
      ADVANCE_MAP(
        ';', 2181,
        'd', 1594,
        'e', 321,
        'g', 163,
        'l', 163,
        'n', 922,
        'p', 1444,
        'r', 579,
      );
      END_STATE();
    case 238:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 's') ADVANCE(354);
      if (lookahead == 'E' ||
          lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 239:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 240:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(922);
      END_STATE();
    case 241:
      ADVANCE_MAP(
        ';', 2181,
        'd', 1595,
        'e', 236,
        'h', 1912,
        'l', 579,
        'm', 2071,
        'n', 2156,
        'p', 1444,
        's', 1022,
      );
      if (('1' <= lookahead && lookahead <= '3') ||
          lookahead == 'E') ADVANCE(148);
      END_STATE();
    case 242:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'd') ADVANCE(1587);
      if (lookahead == 'l') ADVANCE(982);
      if (lookahead == 'r') ADVANCE(1282);
      END_STATE();
    case 243:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'd') ADVANCE(1587);
      if (lookahead == 'l') ADVANCE(982);
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 244:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'd') ADVANCE(1587);
      if (lookahead == 'l') ADVANCE(1075);
      if (lookahead == 'q') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1325);
      END_STATE();
    case 245:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'd') ADVANCE(1259);
      END_STATE();
    case 246:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 247:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(922);
      if (lookahead == 'm') ADVANCE(1929);
      if (lookahead == 'r') ADVANCE(1983);
      if (lookahead == 's') ADVANCE(1696);
      if (lookahead == 'z') ADVANCE(579);
      END_STATE();
    case 248:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1010);
      END_STATE();
    case 249:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1746);
      END_STATE();
    case 250:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1729);
      if (lookahead == 'm') ADVANCE(1311);
      if (lookahead == 'p') ADVANCE(1444);
      if (lookahead == 's') ADVANCE(1743);
      END_STATE();
    case 251:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1954);
      END_STATE();
    case 252:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1157);
      END_STATE();
    case 253:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1102);
      END_STATE();
    case 254:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 255:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 256:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1728);
      if (lookahead == 'l') ADVANCE(942);
      END_STATE();
    case 257:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 258:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(848);
      if (lookahead == 'i') ADVANCE(1483);
      if (lookahead == 'o') ADVANCE(901);
      END_STATE();
    case 259:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(317);
      END_STATE();
    case 260:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1733);
      END_STATE();
    case 261:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1733);
      if (lookahead == 'n') ADVANCE(987);
      END_STATE();
    case 262:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(595);
      END_STATE();
    case 263:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1899);
      END_STATE();
    case 264:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1930);
      END_STATE();
    case 265:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1554);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 266:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1831);
      if (lookahead == 's') ADVANCE(957);
      END_STATE();
    case 267:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1787);
      if (lookahead == 's') ADVANCE(1673);
      END_STATE();
    case 268:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1797);
      if (lookahead == 'f' ||
          lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 269:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e') ADVANCE(1786);
      END_STATE();
    case 270:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 271:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1583);
      if (lookahead == 'y') ADVANCE(331);
      END_STATE();
    case 272:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'f') ADVANCE(1899);
      END_STATE();
    case 273:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'f') ADVANCE(1959);
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(322);
      if (lookahead == 's') ADVANCE(230);
      END_STATE();
    case 274:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'f') ADVANCE(1500);
      if (lookahead == 'l') ADVANCE(943);
      END_STATE();
    case 275:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'f') ADVANCE(1984);
      if (lookahead == 'q') ADVANCE(322);
      if (lookahead == 's') ADVANCE(330);
      END_STATE();
    case 276:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 277:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1975);
      if (lookahead == 'm') ADVANCE(1707);
      END_STATE();
    case 278:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'g') ADVANCE(1954);
      END_STATE();
    case 279:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'g') ADVANCE(922);
      END_STATE();
    case 280:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 281:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1625);
      END_STATE();
    case 282:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'h') ADVANCE(1584);
      END_STATE();
    case 283:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(1232);
      if (lookahead == 'n') ADVANCE(1114);
      if (lookahead == 'o') ADVANCE(1975);
      END_STATE();
    case 284:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(896);
      if (lookahead == 'o') ADVANCE(1516);
      END_STATE();
    case 285:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'u') ADVANCE(1990);
      if (lookahead == 'E' ||
          lookahead == 'd' ||
          lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 286:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 287:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(1534);
      if (lookahead == 'p') ADVANCE(648);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 288:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(2013);
      END_STATE();
    case 289:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(861);
      END_STATE();
    case 290:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(1508);
      if (lookahead == 'n') ADVANCE(1242);
      END_STATE();
    case 291:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(1436);
      END_STATE();
    case 292:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'i') ADVANCE(1573);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 's') ADVANCE(236);
      END_STATE();
    case 293:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 294:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(322);
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 295:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(2012);
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 296:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(1954);
      END_STATE();
    case 297:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(1625);
      END_STATE();
    case 298:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(1625);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 299:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(922);
      if (lookahead == 'd' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 300:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(2016);
      if (lookahead == 'm') ADVANCE(568);
      END_STATE();
    case 301:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'l') ADVANCE(1395);
      END_STATE();
    case 302:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 303:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'm') ADVANCE(267);
      END_STATE();
    case 304:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'm') ADVANCE(602);
      END_STATE();
    case 305:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 306:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'n') ADVANCE(621);
      END_STATE();
    case 307:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 308:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(326);
      END_STATE();
    case 309:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(293);
      END_STATE();
    case 310:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(1092);
      END_STATE();
    case 311:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(2123);
      END_STATE();
    case 312:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(2112);
      END_STATE();
    case 313:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(846);
      END_STATE();
    case 314:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(1800);
      END_STATE();
    case 315:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(2029);
      END_STATE();
    case 316:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(1539);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 317:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'o') ADVANCE(1564);
      END_STATE();
    case 318:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 319:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(290);
      END_STATE();
    case 320:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'p') ADVANCE(1825);
      END_STATE();
    case 321:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'q') ADVANCE(148);
      END_STATE();
    case 322:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'q') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1439);
      END_STATE();
    case 323:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'q') ADVANCE(322);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 324:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'q') ADVANCE(321);
      END_STATE();
    case 325:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'q') ADVANCE(2075);
      END_STATE();
    case 326:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 327:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'r') ADVANCE(560);
      if (lookahead == 's') ADVANCE(236);
      END_STATE();
    case 328:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'r') ADVANCE(1267);
      END_STATE();
    case 329:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'r') ADVANCE(1245);
      END_STATE();
    case 330:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 331:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(1746);
      END_STATE();
    case 332:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(239);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 333:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(219);
      END_STATE();
    case 334:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(2145);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 335:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(1459);
      END_STATE();
    case 336:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(1354);
      END_STATE();
    case 337:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(2017);
      END_STATE();
    case 338:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(957);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 339:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(1012);
      END_STATE();
    case 340:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(1025);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 341:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 's') ADVANCE(2079);
      END_STATE();
    case 342:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 343:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 344:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(1584);
      END_STATE();
    case 345:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 346:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(730);
      END_STATE();
    case 347:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(1354);
      END_STATE();
    case 348:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(828);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 349:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(675);
      END_STATE();
    case 350:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(1608);
      END_STATE();
    case 351:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 't') ADVANCE(1267);
      END_STATE();
    case 352:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 353:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'u') ADVANCE(1237);
      END_STATE();
    case 354:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 355:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'v') ADVANCE(2169);
      END_STATE();
    case 356:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'v') ADVANCE(719);
      END_STATE();
    case 357:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'v') ADVANCE(1024);
      END_STATE();
    case 358:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'a' ||
          lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 359:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'b' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 360:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'c' ||
          lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 361:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e' ||
          lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 362:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e' ||
          lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 363:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'f' ||
          lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 364:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 365:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'E' ||
          lookahead == 'a' ||
          lookahead == 'j') ADVANCE(148);
      END_STATE();
    case 366:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == '4' ||
          lookahead == '5' ||
          lookahead == '8') ADVANCE(148);
      END_STATE();
    case 367:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'D' ||
          lookahead == 'U' ||
          lookahead == 'd' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 368:
      if (lookahead == ';') ADVANCE(2181);
      if (lookahead == 'H' ||
          lookahead == 'L' ||
          lookahead == 'R' ||
          lookahead == 'h' ||
          lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 369:
      if (lookahead == ';') ADVANCE(2181);
      if (('2' <= lookahead && lookahead <= '6') ||
          lookahead == '8') ADVANCE(148);
      END_STATE();
    case 370:
      if (lookahead == ';') ADVANCE(2182);
      END_STATE();
    case 371:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(372);
      END_STATE();
    case 372:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(370);
      END_STATE();
    case 373:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(371);
      END_STATE();
    case 374:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(373);
      END_STATE();
    case 375:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(374);
      END_STATE();
    case 376:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(375);
      END_STATE();
    case 377:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 378:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(377);
      END_STATE();
    case 379:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(378);
      END_STATE();
    case 380:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(379);
      END_STATE();
    case 381:
      if (lookahead == ';') ADVANCE(2182);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(380);
      END_STATE();
    case 382:
      if (lookahead == '>') ADVANCE(2230);
      END_STATE();
    case 383:
      if (lookahead == '>') ADVANCE(2237);
      END_STATE();
    case 384:
      if (lookahead == '>') ADVANCE(2224);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '<') ADVANCE(384);
      END_STATE();
    case 385:
      if (lookahead == '@') ADVANCE(2173);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '/' ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(386);
      if (lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(147);
      END_STATE();
    case 386:
      if (lookahead == '@') ADVANCE(2173);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 387:
      ADVANCE_MAP(
        'A', 505,
        'a', 821,
        'c', 1285,
        'f', 1746,
        'i', 1373,
        'o', 1679,
        's', 795,
        'u', 1472,
      );
      END_STATE();
    case 388:
      ADVANCE_MAP(
        'A', 589,
        'B', 579,
        'H', 542,
        'a', 768,
        'b', 580,
        'c', 607,
        'd', 798,
        'e', 205,
        'f', 1257,
        'h', 626,
        'i', 1147,
        'l', 585,
        'm', 1657,
        'n', 1473,
        'o', 551,
        'p', 633,
        'r', 579,
        's', 531,
        't', 1213,
        'u', 1399,
        'x', 148,
      );
      END_STATE();
    case 389:
      if (lookahead == 'A') ADVANCE(523);
      END_STATE();
    case 390:
      ADVANCE_MAP(
        'A', 750,
        'I', 750,
        'U', 750,
        'a', 808,
        'c', 1287,
        'f', 1746,
        'o', 1676,
        's', 774,
        'u', 1481,
      );
      END_STATE();
    case 391:
      if (lookahead == 'A') ADVANCE(444);
      END_STATE();
    case 392:
      ADVANCE_MAP(
        'A', 1571,
        'C', 1084,
        'D', 1589,
        'F', 1398,
        'R', 1320,
        'T', 1029,
        'U', 1687,
        'V', 1063,
        'a', 1877,
        'r', 1313,
      );
      END_STATE();
    case 393:
      if (lookahead == 'A') ADVANCE(514);
      END_STATE();
    case 394:
      ADVANCE_MAP(
        'A', 1765,
        'B', 636,
        'D', 575,
        'a', 1531,
        'c', 2135,
        'd', 575,
        'e', 935,
        'f', 1746,
        'l', 2012,
        'n', 1928,
        'o', 1676,
        'p', 1815,
        'r', 2012,
        's', 797,
        'z', 1260,
      );
      END_STATE();
    case 395:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'd') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(275);
      if (lookahead == 's') ADVANCE(1251);
      if (lookahead == 't') ADVANCE(329);
      END_STATE();
    case 396:
      ADVANCE_MAP(
        'A', 1765,
        'H', 542,
        'a', 1130,
        'b', 1351,
        'c', 612,
        'd', 189,
        'e', 277,
        'f', 1258,
        'h', 619,
        'i', 590,
        'j', 750,
        'l', 764,
        'o', 1402,
        'r', 726,
        's', 766,
        't', 876,
        'u', 584,
        'w', 594,
        'z', 755,
      );
      END_STATE();
    case 397:
      ADVANCE_MAP(
        'A', 1765,
        'H', 542,
        'a', 809,
        'b', 1768,
        'c', 1266,
        'd', 581,
        'f', 1258,
        'g', 1807,
        'h', 620,
        'l', 857,
        'm', 191,
        'o', 1134,
        'p', 691,
        'r', 856,
        's', 774,
        't', 873,
        'u', 586,
        'w', 594,
      );
      END_STATE();
    case 398:
      ADVANCE_MAP(
        'A', 1765,
        'a', 1273,
        'b', 542,
        'c', 1285,
        'e', 673,
        'f', 1746,
        'k', 1900,
        'o', 587,
        's', 787,
        'y', 728,
      );
      END_STATE();
    case 399:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1765);
      END_STATE();
    case 400:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'p') ADVANCE(542);
      END_STATE();
    case 401:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1758);
      if (lookahead == 'c') ADVANCE(342);
      if (lookahead == 'm') ADVANCE(1219);
      if (lookahead == 's') ADVANCE(2118);
      if (lookahead == 't') ADVANCE(1467);
      if (lookahead == 'x') ADVANCE(1954);
      END_STATE();
    case 402:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1758);
      if (lookahead == 'n') ADVANCE(2118);
      END_STATE();
    case 403:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1758);
      if (lookahead == 'n') ADVANCE(971);
      END_STATE();
    case 404:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'a') ADVANCE(1857);
      if (lookahead == 'i') ADVANCE(1150);
      if (lookahead == 't') ADVANCE(1840);
      END_STATE();
    case 405:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 't') ADVANCE(328);
      END_STATE();
    case 406:
      if (lookahead == 'A') ADVANCE(1765);
      if (lookahead == 't') ADVANCE(1835);
      END_STATE();
    case 407:
      ADVANCE_MAP(
        'A', 1880,
        'D', 1648,
        'E', 1739,
        'T', 1014,
        'a', 1877,
        'd', 1655,
        'p', 1023,
        's', 1236,
      );
      END_STATE();
    case 408:
      if (lookahead == 'A') ADVANCE(814);
      END_STATE();
    case 409:
      if (lookahead == 'A') ADVANCE(814);
      if (lookahead == 'D') ADVANCE(1592);
      if (lookahead == 'G') ADVANCE(1798);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 410:
      if (lookahead == 'A') ADVANCE(1396);
      END_STATE();
    case 411:
      ADVANCE_MAP(
        'A', 1572,
        'C', 1084,
        'D', 1589,
        'F', 1398,
        'T', 1029,
        'U', 1687,
        'V', 1063,
        'a', 1877,
      );
      END_STATE();
    case 412:
      if (lookahead == 'A') ADVANCE(1877);
      END_STATE();
    case 413:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'D') ADVANCE(1648);
      END_STATE();
    case 414:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'R') ADVANCE(1321);
      END_STATE();
    case 415:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'R') ADVANCE(1321);
      if (lookahead == 'T') ADVANCE(999);
      END_STATE();
    case 416:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'T') ADVANCE(999);
      END_STATE();
    case 417:
      if (lookahead == 'A') ADVANCE(1877);
      if (lookahead == 'V') ADVANCE(1068);
      END_STATE();
    case 418:
      if (lookahead == 'A') ADVANCE(1881);
      if (lookahead == 'B') ADVANCE(1745);
      if (lookahead == 'L') ADVANCE(1061);
      if (lookahead == 'R') ADVANCE(1319);
      if (lookahead == 'T') ADVANCE(1014);
      if (lookahead == 'a') ADVANCE(1877);
      END_STATE();
    case 419:
      if (lookahead == 'B') ADVANCE(545);
      if (lookahead == 'P') ADVANCE(694);
      END_STATE();
    case 420:
      ADVANCE_MAP(
        'B', 579,
        'E', 176,
        'a', 818,
        'c', 609,
        'e', 357,
        'f', 1746,
        'h', 1584,
        'i', 1128,
        'o', 1682,
        'r', 1313,
        's', 781,
        'u', 1389,
      );
      END_STATE();
    case 421:
      if (lookahead == 'B') ADVANCE(542);
      END_STATE();
    case 422:
      if (lookahead == 'B') ADVANCE(542);
      if (lookahead == 'L') ADVANCE(1268);
      if (lookahead == 'S') ADVANCE(1056);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 423:
      if (lookahead == 'B') ADVANCE(1878);
      END_STATE();
    case 424:
      if (lookahead == 'B') ADVANCE(1870);
      if (lookahead == 'n') ADVANCE(425);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 425:
      if (lookahead == 'B') ADVANCE(1875);
      END_STATE();
    case 426:
      if (lookahead == 'C') ADVANCE(478);
      if (lookahead == 'c') ADVANCE(2135);
      END_STATE();
    case 427:
      if (lookahead == 'C') ADVANCE(447);
      END_STATE();
    case 428:
      if (lookahead == 'C') ADVANCE(568);
      END_STATE();
    case 429:
      if (lookahead == 'C') ADVANCE(1649);
      if (lookahead == 'T') ADVANCE(1300);
      END_STATE();
    case 430:
      if (lookahead == 'C') ADVANCE(1326);
      END_STATE();
    case 431:
      if (lookahead == 'C') ADVANCE(1421);
      END_STATE();
    case 432:
      if (lookahead == 'C') ADVANCE(2083);
      END_STATE();
    case 433:
      if (lookahead == 'C') ADVANCE(1665);
      END_STATE();
    case 434:
      if (lookahead == 'C') ADVANCE(1665);
      if (lookahead == 'D') ADVANCE(1591);
      if (lookahead == 'L') ADVANCE(1073);
      if (lookahead == 'R') ADVANCE(1323);
      if (lookahead == 'U') ADVANCE(1688);
      if (lookahead == 'V') ADVANCE(1082);
      END_STATE();
    case 435:
      if (lookahead == 'D') ADVANCE(1594);
      END_STATE();
    case 436:
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'M') ADVANCE(1311);
      if (lookahead == 'P') ADVANCE(1444);
      if (lookahead == 'T') ADVANCE(1300);
      END_STATE();
    case 437:
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'a') ADVANCE(1765);
      END_STATE();
    case 438:
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'o') ADVANCE(1954);
      END_STATE();
    case 439:
      if (lookahead == 'D') ADVANCE(1594);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 440:
      ADVANCE_MAP(
        'D', 315,
        'J', 750,
        'S', 750,
        'Z', 750,
        'a', 1132,
        'c', 612,
        'e', 1355,
        'f', 1746,
        'i', 554,
        'o', 1680,
        's', 795,
      );
      END_STATE();
    case 441:
      if (lookahead == 'D') ADVANCE(148);
      END_STATE();
    case 442:
      ADVANCE_MAP(
        'D', 438,
        'a', 812,
        'c', 610,
        'd', 1594,
        'e', 148,
        'f', 439,
        'g', 327,
        'l', 292,
        'm', 541,
        'n', 1117,
        'o', 1134,
        'p', 623,
        'q', 805,
        'r', 437,
        's', 775,
        't', 358,
        'u', 1461,
        'x', 833,
      );
      END_STATE();
    case 443:
      ADVANCE_MAP(
        'D', 435,
        'a', 760,
        'c', 1650,
        'd', 575,
        'e', 658,
        'f', 1746,
        'h', 1584,
        'i', 849,
        'l', 813,
        'n', 1704,
        'o', 913,
        'p', 148,
        's', 794,
        'u', 300,
      );
      END_STATE();
    case 444:
      if (lookahead == 'D') ADVANCE(458);
      END_STATE();
    case 445:
      ADVANCE_MAP(
        'D', 2170,
        'H', 367,
        'U', 2170,
        'V', 368,
        'b', 1599,
        'd', 2170,
        'h', 367,
        'm', 1311,
        'p', 1444,
        't', 1300,
        'u', 2170,
        'v', 368,
      );
      END_STATE();
    case 446:
      if (lookahead == 'D') ADVANCE(750);
      END_STATE();
    case 447:
      if (lookahead == 'D') ADVANCE(393);
      END_STATE();
    case 448:
      ADVANCE_MAP(
        'D', 575,
        'H', 579,
        'a', 1673,
        'd', 575,
        'g', 2162,
        'i', 1518,
        'l', 405,
        'r', 406,
        's', 1251,
      );
      END_STATE();
    case 449:
      ADVANCE_MAP(
        'D', 575,
        'b', 542,
        'c', 2135,
        'd', 578,
        'e', 925,
        'f', 1746,
        'o', 1676,
        's', 774,
        'v', 893,
      );
      END_STATE();
    case 450:
      if (lookahead == 'D') ADVANCE(575);
      if (lookahead == 'd') ADVANCE(575);
      END_STATE();
    case 451:
      if (lookahead == 'D') ADVANCE(1648);
      if (lookahead == 'L') ADVANCE(1070);
      if (lookahead == 'R') ADVANCE(1321);
      if (lookahead == 'U') ADVANCE(1692);
      END_STATE();
    case 452:
      if (lookahead == 'D') ADVANCE(1250);
      END_STATE();
    case 453:
      if (lookahead == 'D') ADVANCE(1016);
      END_STATE();
    case 454:
      if (lookahead == 'D') ADVANCE(1656);
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 455:
      if (lookahead == 'D') ADVANCE(1660);
      if (lookahead == 'T') ADVANCE(1035);
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 456:
      if (lookahead == 'D') ADVANCE(1670);
      if (lookahead == 'Q') ADVANCE(2094);
      END_STATE();
    case 457:
      ADVANCE_MAP(
        'E', 1394,
        'M', 183,
        'a', 808,
        'b', 1745,
        'c', 1266,
        'f', 1746,
        'g', 1807,
        'l', 1675,
        'm', 537,
        'n', 877,
        'o', 1134,
        'p', 1700,
        'r', 1241,
        's', 792,
        't', 1288,
        'u', 1460,
      );
      END_STATE();
    case 458:
      if (lookahead == 'E') ADVANCE(148);
      END_STATE();
    case 459:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1673);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 460:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'a') ADVANCE(1691);
      if (lookahead == 'e') ADVANCE(324);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 461:
      if (lookahead == 'E') ADVANCE(148);
      if (lookahead == 'e') ADVANCE(323);
      if (lookahead == 's') ADVANCE(1251);
      if (lookahead == 't') ADVANCE(326);
      END_STATE();
    case 462:
      if (lookahead == 'E') ADVANCE(1367);
      if (lookahead == 'U') ADVANCE(1723);
      END_STATE();
    case 463:
      ADVANCE_MAP(
        'E', 750,
        'J', 1400,
        'O', 750,
        'a', 808,
        'c', 1266,
        'd', 1594,
        'f', 1746,
        'g', 1807,
        'm', 188,
        'n', 1982,
        'o', 1135,
        's', 774,
        't', 1314,
        'u', 1343,
      );
      END_STATE();
    case 464:
      if (lookahead == 'E') ADVANCE(1366);
      END_STATE();
    case 465:
      ADVANCE_MAP(
        'E', 1400,
        'a', 808,
        'c', 1266,
        'd', 748,
        'f', 1746,
        'g', 1807,
        'm', 539,
        'o', 1676,
        'p', 986,
        'r', 148,
        's', 789,
        't', 1235,
        'u', 1460,
        'v', 1001,
      );
      END_STATE();
    case 466:
      if (lookahead == 'E') ADVANCE(1739);
      END_STATE();
    case 467:
      if (lookahead == 'E') ADVANCE(1736);
      END_STATE();
    case 468:
      if (lookahead == 'E') ADVANCE(1741);
      if (lookahead == 'F') ADVANCE(2093);
      if (lookahead == 'G') ADVANCE(1886);
      if (lookahead == 'L') ADVANCE(968);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 469:
      if (lookahead == 'E') ADVANCE(1742);
      if (lookahead == 'F') ADVANCE(2093);
      if (lookahead == 'G') ADVANCE(1886);
      if (lookahead == 'L') ADVANCE(968);
      if (lookahead == 'S') ADVANCE(1454);
      if (lookahead == 'T') ADVANCE(1314);
      END_STATE();
    case 470:
      if (lookahead == 'F') ADVANCE(513);
      END_STATE();
    case 471:
      if (lookahead == 'F') ADVANCE(2087);
      END_STATE();
    case 472:
      if (lookahead == 'G') ADVANCE(148);
      END_STATE();
    case 473:
      ADVANCE_MAP(
        'G', 1118,
        'L', 1049,
        'R', 1313,
        'V', 450,
        'a', 732,
        'b', 1901,
        'c', 562,
        'd', 575,
        'e', 150,
        'f', 1746,
        'g', 461,
        'h', 400,
        'i', 332,
        'j', 750,
        'l', 395,
        'm', 1218,
        'o', 319,
        'p', 631,
        'r', 404,
        's', 767,
        't', 1138,
        'u', 303,
        'v', 448,
        'w', 403,
      );
      END_STATE();
    case 474:
      if (lookahead == 'G') ADVANCE(1886);
      END_STATE();
    case 475:
      if (lookahead == 'G') ADVANCE(1895);
      if (lookahead == 'L') ADVANCE(1051);
      END_STATE();
    case 476:
      ADVANCE_MAP(
        'H', 426,
        'O', 470,
        'a', 814,
        'c', 204,
        'f', 1746,
        'h', 1651,
        'i', 1136,
        'm', 656,
        'o', 1676,
        'q', 1772,
        's', 774,
        't', 542,
        'u', 716,
      );
      END_STATE();
    case 477:
      ADVANCE_MAP(
        'H', 498,
        'R', 391,
        'S', 482,
        'a', 2159,
        'c', 609,
        'f', 1746,
        'h', 956,
        'i', 1382,
        'o', 1676,
        'r', 1293,
        's', 795,
      );
      END_STATE();
    case 478:
      if (lookahead == 'H') ADVANCE(750);
      END_STATE();
    case 479:
      if (lookahead == 'H') ADVANCE(750);
      if (lookahead == 'J') ADVANCE(750);
      if (lookahead == 'a') ADVANCE(1697);
      if (lookahead == 'c') ADVANCE(977);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 480:
      ADVANCE_MAP(
        'H', 750,
        'O', 499,
        'a', 820,
        'c', 608,
        'd', 1594,
        'e', 910,
        'f', 1746,
        'h', 1219,
        'i', 1793,
        'l', 1598,
        'o', 1438,
        'r', 1600,
        's', 774,
        'u', 1683,
      );
      END_STATE();
    case 481:
      ADVANCE_MAP(
        'H', 750,
        'a', 814,
        'c', 612,
        'd', 1594,
        'e', 1803,
        'f', 1746,
        'o', 1676,
        's', 774,
      );
      END_STATE();
    case 482:
      if (lookahead == 'H') ADVANCE(750);
      if (lookahead == 'c') ADVANCE(2135);
      END_STATE();
    case 483:
      if (lookahead == 'H') ADVANCE(2095);
      END_STATE();
    case 484:
      if (lookahead == 'I') ADVANCE(148);
      END_STATE();
    case 485:
      if (lookahead == 'I') ADVANCE(1494);
      END_STATE();
    case 486:
      if (lookahead == 'I') ADVANCE(1561);
      END_STATE();
    case 487:
      ADVANCE_MAP(
        'J', 750,
        'a', 814,
        'c', 609,
        'e', 1139,
        'f', 1746,
        'o', 424,
        's', 774,
        't', 1288,
        'u', 148,
      );
      END_STATE();
    case 488:
      if (lookahead == 'L') ADVANCE(968);
      END_STATE();
    case 489:
      if (lookahead == 'L') ADVANCE(1268);
      END_STATE();
    case 490:
      if (lookahead == 'L') ADVANCE(1066);
      if (lookahead == 'R') ADVANCE(1321);
      END_STATE();
    case 491:
      if (lookahead == 'L') ADVANCE(1066);
      if (lookahead == 'R') ADVANCE(1321);
      if (lookahead == 'l') ADVANCE(1048);
      if (lookahead == 'r') ADVANCE(1313);
      END_STATE();
    case 492:
      if (lookahead == 'L') ADVANCE(1070);
      if (lookahead == 'R') ADVANCE(1321);
      END_STATE();
    case 493:
      if (lookahead == 'M') ADVANCE(1052);
      if (lookahead == 'T') ADVANCE(1201);
      if (lookahead == 'V') ADVANCE(1040);
      END_STATE();
    case 494:
      if (lookahead == 'M') ADVANCE(1311);
      END_STATE();
    case 495:
      ADVANCE_MAP(
        'N', 1594,
        'a', 804,
        'b', 1789,
        'c', 1615,
        'd', 1735,
        'e', 869,
        'f', 1746,
        'i', 1119,
        'k', 674,
        'l', 555,
        'n', 934,
        'o', 1681,
        'p', 1816,
        'r', 932,
        's', 776,
        'u', 1401,
      );
      END_STATE();
    case 496:
      ADVANCE_MAP(
        'N', 472,
        'T', 177,
        'a', 808,
        'c', 611,
        'd', 1594,
        'f', 1746,
        'g', 1807,
        'l', 1053,
        'm', 540,
        'o', 1134,
        'p', 1950,
        'q', 2047,
        's', 784,
        't', 528,
        'u', 1460,
        'x', 1244,
      );
      END_STATE();
    case 497:
      if (lookahead == 'O') ADVANCE(185);
      END_STATE();
    case 498:
      if (lookahead == 'O') ADVANCE(504);
      END_STATE();
    case 499:
      if (lookahead == 'P') ADVANCE(187);
      END_STATE();
    case 500:
      if (lookahead == 'P') ADVANCE(542);
      END_STATE();
    case 501:
      if (lookahead == 'P') ADVANCE(542);
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 502:
      if (lookahead == 'P') ADVANCE(1444);
      END_STATE();
    case 503:
      if (lookahead == 'Q') ADVANCE(2094);
      END_STATE();
    case 504:
      if (lookahead == 'R') ADVANCE(182);
      END_STATE();
    case 505:
      if (lookahead == 'R') ADVANCE(446);
      END_STATE();
    case 506:
      if (lookahead == 'R') ADVANCE(1324);
      if (lookahead == 'T') ADVANCE(1035);
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 507:
      ADVANCE_MAP(
        'S', 148,
        'a', 811,
        'c', 1266,
        'd', 576,
        'e', 1400,
        'f', 847,
        'g', 1626,
        'h', 723,
        'i', 1512,
        'l', 582,
        'm', 538,
        'o', 1676,
        'p', 543,
        'r', 200,
        's', 790,
        't', 1283,
        'u', 1460,
        'v', 721,
      );
      END_STATE();
    case 508:
      if (lookahead == 'S') ADVANCE(1498);
      END_STATE();
    case 509:
      if (lookahead == 'S') ADVANCE(1498);
      if (lookahead == 'V') ADVANCE(1038);
      END_STATE();
    case 510:
      if (lookahead == 'S') ADVANCE(1716);
      END_STATE();
    case 511:
      if (lookahead == 'S') ADVANCE(2057);
      END_STATE();
    case 512:
      if (lookahead == 'S') ADVANCE(1743);
      END_STATE();
    case 513:
      if (lookahead == 'T') ADVANCE(750);
      END_STATE();
    case 514:
      if (lookahead == 'T') ADVANCE(389);
      END_STATE();
    case 515:
      if (lookahead == 'T') ADVANCE(1215);
      END_STATE();
    case 516:
      if (lookahead == 'T') ADVANCE(1196);
      END_STATE();
    case 517:
      if (lookahead == 'T') ADVANCE(1035);
      if (lookahead == 'V') ADVANCE(1063);
      END_STATE();
    case 518:
      if (lookahead == 'T') ADVANCE(1897);
      END_STATE();
    case 519:
      if (lookahead == 'U') ADVANCE(497);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 520:
      if (lookahead == 'V') ADVANCE(1082);
      END_STATE();
    case 521:
      if (lookahead == 'V') ADVANCE(1068);
      END_STATE();
    case 522:
      if (lookahead == 'W') ADVANCE(1270);
      END_STATE();
    case 523:
      if (lookahead == '[') ADVANCE(2236);
      END_STATE();
    case 524:
      if (lookahead == '_') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(2241);
      END_STATE();
    case 525:
      ADVANCE_MAP(
        'a', 808,
        'b', 1745,
        'c', 285,
        'e', 1394,
        'f', 326,
        'g', 1807,
        'l', 933,
        'm', 193,
        'n', 881,
        'o', 1134,
        'p', 198,
        'r', 1241,
        's', 793,
        't', 1288,
        'u', 1460,
        'w', 829,
      );
      END_STATE();
    case 526:
      ADVANCE_MAP(
        'a', 808,
        'c', 286,
        'e', 757,
        'f', 2163,
        'g', 1807,
        'i', 283,
        'j', 1400,
        'm', 534,
        'n', 235,
        'o', 754,
        'p', 1806,
        'q', 2062,
        's', 786,
        't', 291,
        'u', 1343,
      );
      END_STATE();
    case 527:
      ADVANCE_MAP(
        'a', 800,
        'c', 2135,
        'e', 835,
        'f', 1746,
        'o', 1676,
        'r', 931,
        's', 774,
        'u', 1471,
      );
      END_STATE();
    case 528:
      if (lookahead == 'a') ADVANCE(148);
      END_STATE();
    case 529:
      if (lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 530:
      if (lookahead == 'a') ADVANCE(1735);
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(1465);
      if (lookahead == 'q') ADVANCE(715);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 531:
      if (lookahead == 'a') ADVANCE(1735);
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 'q') ADVANCE(715);
      END_STATE();
    case 532:
      ADVANCE_MAP(
        'a', 819,
        'c', 557,
        'd', 1594,
        'e', 903,
        'f', 1746,
        'h', 752,
        'i', 1750,
        'l', 2052,
        'o', 1448,
        'r', 588,
        's', 796,
        't', 872,
        'u', 920,
        'w', 829,
        'y', 1391,
      );
      END_STATE();
    case 533:
      if (lookahead == 'a') ADVANCE(2109);
      END_STATE();
    case 534:
      if (lookahead == 'a') ADVANCE(779);
      if (lookahead == 'o') ADVANCE(1092);
      if (lookahead == 'p') ADVANCE(921);
      END_STATE();
    case 535:
      if (lookahead == 'a') ADVANCE(1408);
      if (lookahead == 'e') ADVANCE(1721);
      if (lookahead == 'i') ADVANCE(879);
      if (lookahead == 't') ADVANCE(257);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(363);
      END_STATE();
    case 537:
      if (lookahead == 'a') ADVANCE(774);
      END_STATE();
    case 538:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'e') ADVANCE(1127);
      if (lookahead == 'i') ADVANCE(841);
      END_STATE();
    case 539:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'e') ADVANCE(1127);
      if (lookahead == 'i') ADVANCE(840);
      END_STATE();
    case 540:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'p') ADVANCE(1981);
      END_STATE();
    case 541:
      if (lookahead == 'a') ADVANCE(774);
      if (lookahead == 'p') ADVANCE(1989);
      if (lookahead == 's') ADVANCE(1686);
      END_STATE();
    case 542:
      if (lookahead == 'a') ADVANCE(1746);
      END_STATE();
    case 543:
      if (lookahead == 'a') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1794);
      if (lookahead == 'l') ADVANCE(2061);
      END_STATE();
    case 544:
      if (lookahead == 'a') ADVANCE(1746);
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(2061);
      END_STATE();
    case 545:
      if (lookahead == 'a') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(624);
      END_STATE();
    case 546:
      ADVANCE_MAP(
        'a', 810,
        'b', 1768,
        'c', 1266,
        'd', 748,
        'f', 1746,
        'g', 1807,
        'm', 537,
        'n', 891,
        'o', 1134,
        'p', 407,
        'r', 1256,
        's', 774,
        't', 1314,
        'u', 1460,
      );
      END_STATE();
    case 547:
      if (lookahead == 'a') ADVANCE(1512);
      END_STATE();
    case 548:
      if (lookahead == 'a') ADVANCE(354);
      END_STATE();
    case 549:
      ADVANCE_MAP(
        'a', 1871,
        'b', 1800,
        'c', 609,
        'd', 1594,
        'e', 1449,
        'f', 1746,
        'h', 963,
        'i', 1437,
        'o', 954,
        'p', 1816,
        'r', 661,
        's', 765,
        'w', 1223,
      );
      END_STATE();
    case 550:
      ADVANCE_MAP(
        'a', 1522,
        'b', 1800,
        'n', 1125,
        'o', 1722,
        'p', 544,
        't', 1300,
        'w', 592,
        'z', 265,
      );
      END_STATE();
    case 551:
      if (lookahead == 'a') ADVANCE(1522);
      if (lookahead == 'b') ADVANCE(1800);
      if (lookahead == 'p') ADVANCE(544);
      if (lookahead == 't') ADVANCE(1300);
      END_STATE();
    case 552:
      if (lookahead == 'a') ADVANCE(1954);
      END_STATE();
    case 553:
      if (lookahead == 'a') ADVANCE(1954);
      if (lookahead == 'l') ADVANCE(1248);
      if (lookahead == 't') ADVANCE(1528);
      END_STATE();
    case 554:
      if (lookahead == 'a') ADVANCE(863);
      if (lookahead == 'f') ADVANCE(1103);
      END_STATE();
    case 555:
      if (lookahead == 'a') ADVANCE(830);
      if (lookahead == 'k') ADVANCE(140);
      if (lookahead == 'o') ADVANCE(823);
      END_STATE();
    case 556:
      if (lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 557:
      if (lookahead == 'a') ADVANCE(1698);
      if (lookahead == 'e') ADVANCE(902);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'u') ADVANCE(1706);
      END_STATE();
    case 558:
      if (lookahead == 'a') ADVANCE(914);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(334);
      END_STATE();
    case 560:
      if (lookahead == 'a') ADVANCE(2107);
      END_STATE();
    case 561:
      if (lookahead == 'a') ADVANCE(770);
      if (lookahead == 'o') ADVANCE(2123);
      END_STATE();
    case 562:
      if (lookahead == 'a') ADVANCE(1674);
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'o') ADVANCE(1535);
      if (lookahead == 'u') ADVANCE(1673);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 563:
      if (lookahead == 'a') ADVANCE(342);
      END_STATE();
    case 564:
      ADVANCE_MAP(
        'a', 769,
        'c', 1287,
        'e', 305,
        'f', 1746,
        'i', 750,
        'o', 1676,
        's', 774,
        'u', 756,
      );
      END_STATE();
    case 565:
      ADVANCE_MAP(
        'a', 1796,
        'c', 2135,
        'f', 1746,
        'h', 1219,
        'i', 148,
        'l', 2056,
        'o', 1284,
        'r', 258,
        's', 783,
      );
      END_STATE();
    case 566:
      if (lookahead == 'a') ADVANCE(1697);
      END_STATE();
    case 567:
      if (lookahead == 'a') ADVANCE(1709);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'e') ADVANCE(1730);
      if (lookahead == 'l') ADVANCE(968);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 568:
      if (lookahead == 'a') ADVANCE(1673);
      END_STATE();
    case 569:
      ADVANCE_MAP(
        'a', 1673,
        'c', 2135,
        'e', 898,
        'f', 1746,
        'i', 1552,
        'o', 1676,
        's', 774,
        'u', 148,
      );
      END_STATE();
    case 570:
      if (lookahead == 'a') ADVANCE(1673);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 571:
      if (lookahead == 'a') ADVANCE(1673);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 572:
      if (lookahead == 'a') ADVANCE(1673);
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 573:
      if (lookahead == 'a') ADVANCE(1116);
      END_STATE();
    case 574:
      ADVANCE_MAP(
        'a', 1456,
        'c', 2135,
        'e', 1486,
        'f', 1281,
        'i', 1400,
        'j', 1400,
        'l', 553,
        'n', 1586,
        'o', 1677,
        'p', 664,
        'r', 561,
        's', 774,
      );
      END_STATE();
    case 575:
      if (lookahead == 'a') ADVANCE(1920);
      END_STATE();
    case 576:
      if (lookahead == 'a') ADVANCE(1920);
      if (lookahead == 'b') ADVANCE(1434);
      if (lookahead == 'i') ADVANCE(2104);
      if (lookahead == 'o') ADVANCE(1954);
      if (lookahead == 's') ADVANCE(1636);
      END_STATE();
    case 577:
      if (lookahead == 'a') ADVANCE(1335);
      END_STATE();
    case 578:
      if (lookahead == 'a') ADVANCE(1923);
      END_STATE();
    case 579:
      if (lookahead == 'a') ADVANCE(1765);
      END_STATE();
    case 580:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'b') ADVANCE(1800);
      if (lookahead == 'r') ADVANCE(614);
      END_STATE();
    case 581:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'b') ADVANCE(1434);
      if (lookahead == 'h') ADVANCE(542);
      END_STATE();
    case 582:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'c') ADVANCE(1230);
      if (lookahead == 'i') ADVANCE(1534);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 583:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'c') ADVANCE(1645);
      if (lookahead == 'h') ADVANCE(645);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 584:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'h') ADVANCE(542);
      END_STATE();
    case 585:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'h') ADVANCE(542);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 586:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 587:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'm') ADVANCE(1996);
      if (lookahead == 'o') ADVANCE(1338);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'r') ADVANCE(721);
      END_STATE();
    case 588:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'o') ADVANCE(1925);
      END_STATE();
    case 589:
      if (lookahead == 'a') ADVANCE(1765);
      if (lookahead == 'r') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(675);
      END_STATE();
    case 590:
      if (lookahead == 'a') ADVANCE(1463);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'g') ADVANCE(657);
      if (lookahead == 's') ADVANCE(1263);
      if (lookahead == 'v') ADVANCE(284);
      END_STATE();
    case 591:
      if (lookahead == 'a') ADVANCE(2146);
      END_STATE();
    case 592:
      if (lookahead == 'a') ADVANCE(1910);
      if (lookahead == 'b') ADVANCE(542);
      END_STATE();
    case 593:
      if (lookahead == 'a') ADVANCE(1910);
      if (lookahead == 'c') ADVANCE(1285);
      if (lookahead == 'd') ADVANCE(575);
      if (lookahead == 'R' ||
          lookahead == 'S') ADVANCE(148);
      END_STATE();
    case 594:
      if (lookahead == 'a') ADVANCE(1533);
      END_STATE();
    case 595:
      if (lookahead == 'a') ADVANCE(1993);
      END_STATE();
    case 596:
      if (lookahead == 'a') ADVANCE(1354);
      END_STATE();
    case 597:
      ADVANCE_MAP(
        'a', 1752,
        'c', 2135,
        'e', 1753,
        'f', 1746,
        'h', 1233,
        'i', 348,
        'l', 613,
        'm', 148,
        'o', 1294,
        'r', 164,
        's', 783,
        'u', 1532,
      );
      END_STATE();
    case 598:
      if (lookahead == 'a') ADVANCE(1987);
      if (lookahead == 'e') ADVANCE(1934);
      if (lookahead == 'o') ADVANCE(342);
      END_STATE();
    case 599:
      if (lookahead == 'a') ADVANCE(1178);
      END_STATE();
    case 600:
      if (lookahead == 'a') ADVANCE(1352);
      END_STATE();
    case 601:
      if (lookahead == 'a') ADVANCE(1377);
      if (lookahead == 'l') ADVANCE(1268);
      if (lookahead == 's') ADVANCE(2081);
      END_STATE();
    case 602:
      if (lookahead == 'a') ADVANCE(1800);
      END_STATE();
    case 603:
      if (lookahead == 'a') ADVANCE(1913);
      END_STATE();
    case 604:
      if (lookahead == 'a') ADVANCE(1500);
      END_STATE();
    case 605:
      if (lookahead == 'a') ADVANCE(758);
      END_STATE();
    case 606:
      if (lookahead == 'a') ADVANCE(1534);
      END_STATE();
    case 607:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'e') ADVANCE(918);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 608:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'e') ADVANCE(902);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'o') ADVANCE(1562);
      END_STATE();
    case 609:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 610:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'o') ADVANCE(1384);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 611:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 612:
      if (lookahead == 'a') ADVANCE(1799);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 613:
      if (lookahead == 'a') ADVANCE(1506);
      if (lookahead == 'u') ADVANCE(1904);
      END_STATE();
    case 614:
      if (lookahead == 'a') ADVANCE(772);
      if (lookahead == 'k') ADVANCE(926);
      END_STATE();
    case 615:
      if (lookahead == 'a') ADVANCE(1695);
      if (lookahead == 'u') ADVANCE(1695);
      END_STATE();
    case 616:
      if (lookahead == 'a') ADVANCE(883);
      END_STATE();
    case 617:
      if (lookahead == 'a') ADVANCE(1371);
      END_STATE();
    case 618:
      if (lookahead == 'a') ADVANCE(1371);
      if (lookahead == 'i') ADVANCE(1416);
      END_STATE();
    case 619:
      if (lookahead == 'a') ADVANCE(1755);
      END_STATE();
    case 620:
      if (lookahead == 'a') ADVANCE(1755);
      if (lookahead == 'b') ADVANCE(1385);
      END_STATE();
    case 621:
      if (lookahead == 'a') ADVANCE(1390);
      END_STATE();
    case 622:
      if (lookahead == 'a') ADVANCE(1390);
      if (lookahead == 'e') ADVANCE(1910);
      if (lookahead == 'i') ADVANCE(2106);
      END_STATE();
    case 623:
      if (lookahead == 'a') ADVANCE(1790);
      if (lookahead == 'l') ADVANCE(2061);
      if (lookahead == 's') ADVANCE(1226);
      END_STATE();
    case 624:
      if (lookahead == 'a') ADVANCE(773);
      END_STATE();
    case 625:
      if (lookahead == 'a') ADVANCE(1785);
      if (lookahead == 'b') ADVANCE(1385);
      END_STATE();
    case 626:
      if (lookahead == 'a') ADVANCE(1785);
      if (lookahead == 'o') ADVANCE(354);
      END_STATE();
    case 627:
      if (lookahead == 'a') ADVANCE(1717);
      END_STATE();
    case 628:
      if (lookahead == 'a') ADVANCE(858);
      END_STATE();
    case 629:
      if (lookahead == 'a') ADVANCE(1783);
      END_STATE();
    case 630:
      if (lookahead == 'a') ADVANCE(1383);
      END_STATE();
    case 631:
      if (lookahead == 'a') ADVANCE(1775);
      if (lookahead == 'o') ADVANCE(1450);
      if (lookahead == 'r') ADVANCE(233);
      END_STATE();
    case 632:
      if (lookahead == 'a') ADVANCE(1381);
      END_STATE();
    case 633:
      if (lookahead == 'a') ADVANCE(1770);
      if (lookahead == 'p') ADVANCE(1669);
      END_STATE();
    case 634:
      if (lookahead == 'a') ADVANCE(1756);
      if (lookahead == 'r') ADVANCE(705);
      END_STATE();
    case 635:
      if (lookahead == 'a') ADVANCE(1361);
      END_STATE();
    case 636:
      if (lookahead == 'a') ADVANCE(1769);
      END_STATE();
    case 637:
      if (lookahead == 'a') ADVANCE(1369);
      END_STATE();
    case 638:
      if (lookahead == 'a') ADVANCE(1356);
      END_STATE();
    case 639:
      if (lookahead == 'a') ADVANCE(1362);
      END_STATE();
    case 640:
      if (lookahead == 'a') ADVANCE(1357);
      END_STATE();
    case 641:
      if (lookahead == 'a') ADVANCE(1823);
      END_STATE();
    case 642:
      if (lookahead == 'a') ADVANCE(1375);
      END_STATE();
    case 643:
      if (lookahead == 'a') ADVANCE(1363);
      END_STATE();
    case 644:
      if (lookahead == 'a') ADVANCE(1744);
      END_STATE();
    case 645:
      if (lookahead == 'a') ADVANCE(1773);
      END_STATE();
    case 646:
      if (lookahead == 'a') ADVANCE(1749);
      END_STATE();
    case 647:
      if (lookahead == 'a') ADVANCE(1827);
      END_STATE();
    case 648:
      if (lookahead == 'a') ADVANCE(1771);
      END_STATE();
    case 649:
      if (lookahead == 'a') ADVANCE(2011);
      END_STATE();
    case 650:
      if (lookahead == 'a') ADVANCE(1838);
      END_STATE();
    case 651:
      if (lookahead == 'a') ADVANCE(1811);
      END_STATE();
    case 652:
      if (lookahead == 'a') ADVANCE(1802);
      END_STATE();
    case 653:
      if (lookahead == 'a') ADVANCE(1808);
      END_STATE();
    case 654:
      ADVANCE_MAP(
        'a', 814,
        'b', 1735,
        'c', 194,
        'd', 1623,
        'e', 401,
        'f', 1766,
        'h', 209,
        'i', 1155,
        'l', 579,
        'm', 535,
        'o', 1100,
        'p', 558,
        'q', 802,
        'r', 579,
        's', 777,
        't', 634,
        'u', 717,
        'w', 402,
        'z', 1394,
      );
      END_STATE();
    case 655:
      ADVANCE_MAP(
        'a', 814,
        'c', 612,
        'd', 1594,
        'e', 1059,
        'f', 1746,
        'h', 750,
        'i', 1149,
        'o', 1676,
        's', 774,
        'w', 1334,
      );
      END_STATE();
    case 656:
      if (lookahead == 'a') ADVANCE(1406);
      END_STATE();
    case 657:
      if (lookahead == 'a') ADVANCE(1475);
      END_STATE();
    case 658:
      if (lookahead == 'a') ADVANCE(1932);
      END_STATE();
    case 659:
      ADVANCE_MAP(
        'a', 1701,
        'c', 977,
        'f', 1746,
        'g', 1810,
        'h', 750,
        'j', 750,
        'o', 1676,
        's', 774,
      );
      END_STATE();
    case 660:
      if (lookahead == 'a') ADVANCE(852);
      END_STATE();
    case 661:
      if (lookahead == 'a') ADVANCE(899);
      if (lookahead == 'i') ADVANCE(706);
      if (lookahead == 'p') ADVANCE(961);
      END_STATE();
    case 662:
      if (lookahead == 'a') ADVANCE(1859);
      END_STATE();
    case 663:
      if (lookahead == 'a') ADVANCE(2008);
      END_STATE();
    case 664:
      if (lookahead == 'a') ADVANCE(1826);
      END_STATE();
    case 665:
      if (lookahead == 'a') ADVANCE(1708);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'e') ADVANCE(1731);
      if (lookahead == 'g') ADVANCE(1974);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 666:
      if (lookahead == 'a') ADVANCE(1708);
      if (lookahead == 'e') ADVANCE(1734);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 667:
      if (lookahead == 'a') ADVANCE(1708);
      if (lookahead == 's') ADVANCE(1251);
      END_STATE();
    case 668:
      if (lookahead == 'a') ADVANCE(838);
      END_STATE();
    case 669:
      if (lookahead == 'a') ADVANCE(1860);
      if (lookahead == 'l') ADVANCE(2137);
      if (lookahead == 'r') ADVANCE(930);
      if (lookahead == 'v') ADVANCE(1079);
      END_STATE();
    case 670:
      if (lookahead == 'a') ADVANCE(1545);
      END_STATE();
    case 671:
      if (lookahead == 'a') ADVANCE(1396);
      if (lookahead == 'k') ADVANCE(354);
      END_STATE();
    case 672:
      if (lookahead == 'a') ADVANCE(2018);
      END_STATE();
    case 673:
      if (lookahead == 'a') ADVANCE(1872);
      if (lookahead == 'l') ADVANCE(1411);
      if (lookahead == 'r') ADVANCE(822);
      END_STATE();
    case 674:
      if (lookahead == 'a') ADVANCE(1822);
      END_STATE();
    case 675:
      if (lookahead == 'a') ADVANCE(1259);
      END_STATE();
    case 676:
      if (lookahead == 'a') ADVANCE(1259);
      if (lookahead == 'i') ADVANCE(1596);
      END_STATE();
    case 677:
      if (lookahead == 'a') ADVANCE(2072);
      END_STATE();
    case 678:
      if (lookahead == 'a') ADVANCE(1418);
      END_STATE();
    case 679:
      if (lookahead == 'a') ADVANCE(1863);
      END_STATE();
    case 680:
      if (lookahead == 'a') ADVANCE(2074);
      END_STATE();
    case 681:
      if (lookahead == 'a') ADVANCE(2026);
      END_STATE();
    case 682:
      if (lookahead == 'a') ADVANCE(1546);
      END_STATE();
    case 683:
      if (lookahead == 'a') ADVANCE(1865);
      END_STATE();
    case 684:
      if (lookahead == 'a') ADVANCE(1403);
      END_STATE();
    case 685:
      if (lookahead == 'a') ADVANCE(1855);
      END_STATE();
    case 686:
      if (lookahead == 'a') ADVANCE(1814);
      END_STATE();
    case 687:
      if (lookahead == 'a') ADVANCE(1861);
      END_STATE();
    case 688:
      if (lookahead == 'a') ADVANCE(1862);
      END_STATE();
    case 689:
      if (lookahead == 'a') ADVANCE(1453);
      END_STATE();
    case 690:
      if (lookahead == 'a') ADVANCE(1877);
      END_STATE();
    case 691:
      if (lookahead == 'a') ADVANCE(1877);
      if (lookahead == 'd') ADVANCE(1655);
      if (lookahead == 'h') ADVANCE(647);
      if (lookahead == 'l') ADVANCE(2061);
      if (lookahead == 's') ADVANCE(1228);
      if (lookahead == 'u') ADVANCE(1727);
      END_STATE();
    case 692:
      if (lookahead == 'a') ADVANCE(1877);
      if (lookahead == 'd') ADVANCE(1671);
      if (lookahead == 'h') ADVANCE(647);
      END_STATE();
    case 693:
      if (lookahead == 'a') ADVANCE(1877);
      if (lookahead == 'r') ADVANCE(1313);
      END_STATE();
    case 694:
      if (lookahead == 'a') ADVANCE(1888);
      END_STATE();
    case 695:
      if (lookahead == 'a') ADVANCE(2034);
      END_STATE();
    case 696:
      if (lookahead == 'a') ADVANCE(1882);
      if (lookahead == 'h') ADVANCE(707);
      if (lookahead == 'l') ADVANCE(1071);
      if (lookahead == 'r') ADVANCE(1328);
      if (lookahead == 's') ADVANCE(1738);
      if (lookahead == 't') ADVANCE(1216);
      END_STATE();
    case 697:
      if (lookahead == 'a') ADVANCE(1882);
      if (lookahead == 'h') ADVANCE(707);
      if (lookahead == 'l') ADVANCE(1091);
      if (lookahead == 'r') ADVANCE(1322);
      if (lookahead == 't') ADVANCE(1216);
      END_STATE();
    case 698:
      if (lookahead == 'a') ADVANCE(2036);
      END_STATE();
    case 699:
      if (lookahead == 'a') ADVANCE(1883);
      END_STATE();
    case 700:
      if (lookahead == 'a') ADVANCE(1883);
      if (lookahead == 'd') ADVANCE(593);
      END_STATE();
    case 701:
      if (lookahead == 'a') ADVANCE(1884);
      END_STATE();
    case 702:
      if (lookahead == 'a') ADVANCE(1884);
      if (lookahead == 'h') ADVANCE(709);
      END_STATE();
    case 703:
      if (lookahead == 'a') ADVANCE(2038);
      END_STATE();
    case 704:
      if (lookahead == 'a') ADVANCE(1885);
      if (lookahead == 'h') ADVANCE(709);
      if (lookahead == 's') ADVANCE(1738);
      END_STATE();
    case 705:
      if (lookahead == 'a') ADVANCE(1318);
      if (lookahead == 'n') ADVANCE(1899);
      END_STATE();
    case 706:
      if (lookahead == 'a') ADVANCE(1567);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'm') ADVANCE(1311);
      if (lookahead == 'p') ADVANCE(1444);
      if (lookahead == 's') ADVANCE(714);
      if (lookahead == 't') ADVANCE(1296);
      END_STATE();
    case 707:
      if (lookahead == 'a') ADVANCE(1890);
      END_STATE();
    case 708:
      if (lookahead == 'a') ADVANCE(1574);
      END_STATE();
    case 709:
      if (lookahead == 'a') ADVANCE(1892);
      END_STATE();
    case 710:
      if (lookahead == 'a') ADVANCE(1575);
      END_STATE();
    case 711:
      if (lookahead == 'a') ADVANCE(1577);
      END_STATE();
    case 712:
      if (lookahead == 'a') ADVANCE(1578);
      END_STATE();
    case 713:
      if (lookahead == 'a') ADVANCE(1579);
      END_STATE();
    case 714:
      if (lookahead == 'b') ADVANCE(148);
      END_STATE();
    case 715:
      if (lookahead == 'b') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(1585);
      END_STATE();
    case 716:
      if (lookahead == 'b') ADVANCE(339);
      if (lookahead == 'c') ADVANCE(860);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 717:
      if (lookahead == 'b') ADVANCE(165);
      if (lookahead == 'c') ADVANCE(771);
      if (lookahead == 'm') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'p') ADVANCE(241);
      END_STATE();
    case 718:
      if (lookahead == 'b') ADVANCE(340);
      if (lookahead == 'c') ADVANCE(827);
      if (lookahead == 'p') ADVANCE(340);
      END_STATE();
    case 719:
      if (lookahead == 'b') ADVANCE(239);
      END_STATE();
    case 720:
      if (lookahead == 'b') ADVANCE(248);
      if (lookahead == 'p') ADVANCE(248);
      END_STATE();
    case 721:
      if (lookahead == 'b') ADVANCE(542);
      END_STATE();
    case 722:
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 'g') ADVANCE(965);
      END_STATE();
    case 723:
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 724:
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 725:
      if (lookahead == 'b') ADVANCE(542);
      if (lookahead == 't') ADVANCE(289);
      if (lookahead == 'y') ADVANCE(515);
      END_STATE();
    case 726:
      if (lookahead == 'b') ADVANCE(1350);
      if (lookahead == 'c') ADVANCE(1644);
      END_STATE();
    case 727:
      if (lookahead == 'b') ADVANCE(246);
      if (lookahead == 'p') ADVANCE(246);
      END_STATE();
    case 728:
      if (lookahead == 'b') ADVANCE(2090);
      if (lookahead == 'p') ADVANCE(1211);
      END_STATE();
    case 729:
      if (lookahead == 'b') ADVANCE(887);
      END_STATE();
    case 730:
      if (lookahead == 'b') ADVANCE(1800);
      END_STATE();
    case 731:
      if (lookahead == 'b') ADVANCE(922);
      if (lookahead == 'p') ADVANCE(922);
      END_STATE();
    case 732:
      if (lookahead == 'b') ADVANCE(1364);
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'p') ADVANCE(168);
      if (lookahead == 't') ADVANCE(2080);
      END_STATE();
    case 733:
      if (lookahead == 'b') ADVANCE(1905);
      END_STATE();
    case 734:
      if (lookahead == 'b') ADVANCE(529);
      END_STATE();
    case 735:
      if (lookahead == 'b') ADVANCE(1074);
      END_STATE();
    case 736:
      if (lookahead == 'b') ADVANCE(1507);
      if (lookahead == 'p') ADVANCE(1507);
      END_STATE();
    case 737:
      if (lookahead == 'b') ADVANCE(1949);
      if (lookahead == 'c') ADVANCE(859);
      if (lookahead == 'p') ADVANCE(1026);
      END_STATE();
    case 738:
      if (lookahead == 'b') ADVANCE(1949);
      if (lookahead == 'p') ADVANCE(1026);
      END_STATE();
    case 739:
      if (lookahead == 'b') ADVANCE(1420);
      END_STATE();
    case 740:
      if (lookahead == 'b') ADVANCE(1423);
      END_STATE();
    case 741:
      if (lookahead == 'b') ADVANCE(1866);
      END_STATE();
    case 742:
      if (lookahead == 'b') ADVANCE(1426);
      END_STATE();
    case 743:
      if (lookahead == 'b') ADVANCE(1427);
      END_STATE();
    case 744:
      if (lookahead == 'b') ADVANCE(1441);
      END_STATE();
    case 745:
      if (lookahead == 'b') ADVANCE(653);
      END_STATE();
    case 746:
      if (lookahead == 'b') ADVANCE(1432);
      END_STATE();
    case 747:
      if (lookahead == 'b') ADVANCE(1433);
      END_STATE();
    case 748:
      if (lookahead == 'b') ADVANCE(1434);
      END_STATE();
    case 749:
      if (lookahead == 'b') ADVANCE(1952);
      if (lookahead == 'p') ADVANCE(1952);
      END_STATE();
    case 750:
      if (lookahead == 'c') ADVANCE(2135);
      END_STATE();
    case 751:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'e') ADVANCE(2109);
      END_STATE();
    case 752:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'e') ADVANCE(832);
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 753:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1445);
      if (lookahead == 'o') ADVANCE(1678);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 754:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'g') ADVANCE(1625);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 755:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'i') ADVANCE(1149);
      END_STATE();
    case 756:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 757:
      if (lookahead == 'c') ADVANCE(2135);
      if (lookahead == 'x') ADVANCE(761);
      END_STATE();
    case 758:
      if (lookahead == 'c') ADVANCE(148);
      END_STATE();
    case 759:
      if (lookahead == 'c') ADVANCE(148);
      if (lookahead == 'i') ADVANCE(1746);
      END_STATE();
    case 760:
      if (lookahead == 'c') ADVANCE(326);
      if (lookahead == 'l') ADVANCE(927);
      if (lookahead == 'p') ADVANCE(337);
      if (lookahead == 'r') ADVANCE(1347);
      END_STATE();
    case 761:
      if (lookahead == 'c') ADVANCE(293);
      END_STATE();
    case 762:
      ADVANCE_MAP(
        'c', 570,
        'd', 2012,
        'f', 1746,
        'h', 399,
        'i', 148,
        'l', 399,
        'm', 568,
        'n', 1255,
        'o', 874,
        'r', 399,
        's', 791,
        'u', 1705,
        'v', 999,
        'w', 962,
      );
      END_STATE();
    case 763:
      if (lookahead == 'c') ADVANCE(570);
      if (lookahead == 'o') ADVANCE(875);
      if (lookahead == 's') ADVANCE(1740);
      if (lookahead == 't') ADVANCE(1896);
      if (lookahead == 'u') ADVANCE(1704);
      if (lookahead == 'v') ADVANCE(999);
      if (lookahead == 'w') ADVANCE(962);
      END_STATE();
    case 764:
      if (lookahead == 'c') ADVANCE(1644);
      END_STATE();
    case 765:
      if (lookahead == 'c') ADVANCE(2166);
      if (lookahead == 'h') ADVANCE(750);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 766:
      if (lookahead == 'c') ADVANCE(2166);
      if (lookahead == 'o') ADVANCE(1354);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 767:
      if (lookahead == 'c') ADVANCE(234);
      if (lookahead == 'h') ADVANCE(1662);
      if (lookahead == 'i') ADVANCE(1476);
      if (lookahead == 'm') ADVANCE(1218);
      if (lookahead == 'p') ADVANCE(542);
      if (lookahead == 'q') ADVANCE(1933);
      if (lookahead == 'u') ADVANCE(718);
      END_STATE();
    case 768:
      if (lookahead == 'c') ADVANCE(928);
      if (lookahead == 'd') ADVANCE(1265);
      if (lookahead == 'e') ADVANCE(1477);
      if (lookahead == 'n') ADVANCE(1126);
      if (lookahead == 'q') ADVANCE(2050);
      if (lookahead == 'r') ADVANCE(1759);
      if (lookahead == 't') ADVANCE(676);
      END_STATE();
    case 769:
      if (lookahead == 'c') ADVANCE(2059);
      END_STATE();
    case 770:
      if (lookahead == 'c') ADVANCE(142);
      if (lookahead == 's') ADVANCE(1354);
      END_STATE();
    case 771:
      if (lookahead == 'c') ADVANCE(212);
      END_STATE();
    case 772:
      if (lookahead == 'c') ADVANCE(2161);
      END_STATE();
    case 773:
      if (lookahead == 'c') ADVANCE(923);
      END_STATE();
    case 774:
      if (lookahead == 'c') ADVANCE(1746);
      END_STATE();
    case 775:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 776:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1468);
      if (lookahead == 'i') ADVANCE(1469);
      if (lookahead == 'o') ADVANCE(1358);
      END_STATE();
    case 777:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(2002);
      if (lookahead == 'm') ADVANCE(1308);
      if (lookahead == 't') ADVANCE(646);
      END_STATE();
    case 778:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'e') ADVANCE(1779);
      END_STATE();
    case 779:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(924);
      if (lookahead == 't') ADVANCE(1179);
      END_STATE();
    case 780:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'g') ADVANCE(1278);
      END_STATE();
    case 781:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 782:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'h') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 783:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 784:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 785:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1464);
      END_STATE();
    case 786:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1505);
      END_STATE();
    case 787:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(575);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 788:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(1116);
      END_STATE();
    case 789:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(603);
      END_STATE();
    case 790:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'l') ADVANCE(603);
      if (lookahead == 'o') ADVANCE(1354);
      END_STATE();
    case 791:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'q') ADVANCE(843);
      END_STATE();
    case 792:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1261);
      END_STATE();
    case 793:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'y') ADVANCE(1484);
      END_STATE();
    case 794:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1714);
      END_STATE();
    case 795:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 't') ADVANCE(1817);
      END_STATE();
    case 796:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(727);
      END_STATE();
    case 797:
      if (lookahead == 'c') ADVANCE(1746);
      if (lookahead == 'u') ADVANCE(736);
      END_STATE();
    case 798:
      if (lookahead == 'c') ADVANCE(528);
      if (lookahead == 'l') ADVANCE(908);
      if (lookahead == 'q') ADVANCE(2070);
      if (lookahead == 's') ADVANCE(1179);
      END_STATE();
    case 799:
      if (lookahead == 'c') ADVANCE(528);
      if (lookahead == 'q') ADVANCE(2070);
      if (lookahead == 'r') ADVANCE(909);
      if (lookahead == 's') ADVANCE(1179);
      END_STATE();
    case 800:
      if (lookahead == 'c') ADVANCE(1346);
      if (lookahead == 'r') ADVANCE(2105);
      END_STATE();
    case 801:
      if (lookahead == 'c') ADVANCE(1512);
      if (lookahead == 'i') ADVANCE(1583);
      if (lookahead == 'm') ADVANCE(1259);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 't') ADVANCE(1015);
      END_STATE();
    case 802:
      if (lookahead == 'c') ADVANCE(615);
      if (lookahead == 's') ADVANCE(2051);
      if (lookahead == 'u') ADVANCE(211);
      END_STATE();
    case 803:
      if (lookahead == 'c') ADVANCE(1954);
      END_STATE();
    case 804:
      if (lookahead == 'c') ADVANCE(1337);
      if (lookahead == 'r') ADVANCE(2108);
      END_STATE();
    case 805:
      if (lookahead == 'c') ADVANCE(1286);
      if (lookahead == 's') ADVANCE(1253);
      if (lookahead == 'u') ADVANCE(622);
      if (lookahead == 'v') ADVANCE(1721);
      END_STATE();
    case 806:
      if (lookahead == 'c') ADVANCE(1285);
      if (lookahead == 'e') ADVANCE(882);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(262);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 807:
      if (lookahead == 'c') ADVANCE(1285);
      if (lookahead == 'e') ADVANCE(911);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 808:
      if (lookahead == 'c') ADVANCE(2058);
      END_STATE();
    case 809:
      if (lookahead == 'c') ADVANCE(2058);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 810:
      if (lookahead == 'c') ADVANCE(2058);
      if (lookahead == 'r') ADVANCE(1782);
      END_STATE();
    case 811:
      if (lookahead == 'c') ADVANCE(2058);
      if (lookahead == 's') ADVANCE(1954);
      END_STATE();
    case 812:
      if (lookahead == 'c') ADVANCE(2058);
      if (lookahead == 's') ADVANCE(2008);
      END_STATE();
    case 813:
      if (lookahead == 'c') ADVANCE(1673);
      if (lookahead == 'd') ADVANCE(1746);
      END_STATE();
    case 814:
      if (lookahead == 'c') ADVANCE(2091);
      END_STATE();
    case 815:
      ADVANCE_MAP(
        'c', 2091,
        'e', 1477,
        'g', 1864,
        'm', 729,
        'n', 1124,
        'p', 148,
        'q', 2050,
        'r', 1757,
        't', 213,
      );
      END_STATE();
    case 816:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'm') ADVANCE(729);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'p') ADVANCE(1443);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 817:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'm') ADVANCE(1487);
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 818:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'r') ADVANCE(1792);
      END_STATE();
    case 819:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'p') ADVANCE(206);
      if (lookahead == 'r') ADVANCE(958);
      END_STATE();
    case 820:
      if (lookahead == 'c') ADVANCE(2091);
      if (lookahead == 'p') ADVANCE(288);
      if (lookahead == 'y') ADVANCE(1404);
      END_STATE();
    case 821:
      if (lookahead == 'c') ADVANCE(985);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 822:
      if (lookahead == 'c') ADVANCE(1625);
      END_STATE();
    case 823:
      if (lookahead == 'c') ADVANCE(1335);
      END_STATE();
    case 824:
      if (lookahead == 'c') ADVANCE(1344);
      END_STATE();
    case 825:
      if (lookahead == 'c') ADVANCE(1344);
      if (lookahead == 's') ADVANCE(959);
      END_STATE();
    case 826:
      if (lookahead == 'c') ADVANCE(1336);
      if (lookahead == 'n') ADVANCE(510);
      END_STATE();
    case 827:
      if (lookahead == 'c') ADVANCE(255);
      END_STATE();
    case 828:
      if (lookahead == 'c') ADVANCE(1212);
      END_STATE();
    case 829:
      if (lookahead == 'c') ADVANCE(1605);
      if (lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 830:
      if (lookahead == 'c') ADVANCE(1339);
      if (lookahead == 'n') ADVANCE(1335);
      END_STATE();
    case 831:
      if (lookahead == 'c') ADVANCE(568);
      END_STATE();
    case 832:
      if (lookahead == 'c') ADVANCE(1340);
      END_STATE();
    case 833:
      if (lookahead == 'c') ADVANCE(1354);
      if (lookahead == 'i') ADVANCE(1910);
      if (lookahead == 'p') ADVANCE(1054);
      END_STATE();
    case 834:
      if (lookahead == 'c') ADVANCE(1349);
      if (lookahead == 'n') ADVANCE(1919);
      END_STATE();
    case 835:
      if (lookahead == 'c') ADVANCE(677);
      if (lookahead == 'r') ADVANCE(1537);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 836:
      if (lookahead == 'c') ADVANCE(1341);
      if (lookahead == 'k') ADVANCE(2104);
      END_STATE();
    case 837:
      if (lookahead == 'c') ADVANCE(758);
      END_STATE();
    case 838:
      if (lookahead == 'c') ADVANCE(922);
      END_STATE();
    case 839:
      if (lookahead == 'c') ADVANCE(1193);
      END_STATE();
    case 840:
      if (lookahead == 'c') ADVANCE(1799);
      END_STATE();
    case 841:
      if (lookahead == 'c') ADVANCE(1799);
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(2061);
      END_STATE();
    case 842:
      if (lookahead == 'c') ADVANCE(1919);
      END_STATE();
    case 843:
      if (lookahead == 'c') ADVANCE(2054);
      END_STATE();
    case 844:
      if (lookahead == 'c') ADVANCE(1953);
      END_STATE();
    case 845:
      if (lookahead == 'c') ADVANCE(596);
      END_STATE();
    case 846:
      if (lookahead == 'c') ADVANCE(1229);
      END_STATE();
    case 847:
      if (lookahead == 'c') ADVANCE(1229);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 848:
      if (lookahead == 'c') ADVANCE(1062);
      END_STATE();
    case 849:
      if (lookahead == 'c') ADVANCE(1788);
      if (lookahead == 'd') ADVANCE(202);
      if (lookahead == 'n') ADVANCE(2069);
      END_STATE();
    case 850:
      if (lookahead == 'c') ADVANCE(2040);
      END_STATE();
    case 851:
      if (lookahead == 'c') ADVANCE(2027);
      END_STATE();
    case 852:
      if (lookahead == 'c') ADVANCE(1058);
      END_STATE();
    case 853:
      if (lookahead == 'c') ADVANCE(2011);
      END_STATE();
    case 854:
      if (lookahead == 'c') ADVANCE(1287);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'm') ADVANCE(595);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == 'u') ADVANCE(1342);
      END_STATE();
    case 855:
      if (lookahead == 'c') ADVANCE(1287);
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(778);
      if (lookahead == 'u') ADVANCE(1342);
      END_STATE();
    case 856:
      if (lookahead == 'c') ADVANCE(1646);
      if (lookahead == 'i') ADVANCE(1521);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 857:
      if (lookahead == 'c') ADVANCE(1646);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 858:
      if (lookahead == 'c') ADVANCE(1348);
      END_STATE();
    case 859:
      if (lookahead == 'c') ADVANCE(1028);
      END_STATE();
    case 860:
      if (lookahead == 'c') ADVANCE(1028);
      if (lookahead == 'h') ADVANCE(516);
      END_STATE();
    case 861:
      if (lookahead == 'c') ADVANCE(635);
      END_STATE();
    case 862:
      if (lookahead == 'c') ADVANCE(1419);
      END_STATE();
    case 863:
      if (lookahead == 'c') ADVANCE(1843);
      if (lookahead == 'm') ADVANCE(1631);
      END_STATE();
    case 864:
      if (lookahead == 'c') ADVANCE(639);
      END_STATE();
    case 865:
      if (lookahead == 'c') ADVANCE(2026);
      END_STATE();
    case 866:
      if (lookahead == 'c') ADVANCE(1614);
      if (lookahead == 'e') ADVANCE(1672);
      if (lookahead == 'p') ADVANCE(1816);
      if (lookahead == 's') ADVANCE(1271);
      END_STATE();
    case 867:
      if (lookahead == 'c') ADVANCE(1403);
      END_STATE();
    case 868:
      if (lookahead == 'c') ADVANCE(642);
      END_STATE();
    case 869:
      if (lookahead == 'c') ADVANCE(680);
      if (lookahead == 'm') ADVANCE(1707);
      if (lookahead == 'p') ADVANCE(1914);
      if (lookahead == 'r') ADVANCE(1560);
      if (lookahead == 't') ADVANCE(2122);
      END_STATE();
    case 870:
      if (lookahead == 'c') ADVANCE(687);
      END_STATE();
    case 871:
      if (lookahead == 'c') ADVANCE(1086);
      END_STATE();
    case 872:
      if (lookahead == 'd') ADVANCE(1594);
      END_STATE();
    case 873:
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'i') ADVANCE(1436);
      if (lookahead == 'r') ADVANCE(1225);
      END_STATE();
    case 874:
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'p') ADVANCE(1093);
      if (lookahead == 't') ADVANCE(1296);
      END_STATE();
    case 875:
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'p') ADVANCE(1444);
      if (lookahead == 't') ADVANCE(1300);
      END_STATE();
    case 876:
      if (lookahead == 'd') ADVANCE(1594);
      if (lookahead == 'r') ADVANCE(1225);
      END_STATE();
    case 877:
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 878:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'f') ADVANCE(601);
      if (lookahead == 'p') ADVANCE(344);
      END_STATE();
    case 879:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(922);
      END_STATE();
    case 880:
      if (lookahead == 'd') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(293);
      END_STATE();
    case 881:
      if (lookahead == 'd') ADVANCE(207);
      if (lookahead == 'g') ADVANCE(247);
      END_STATE();
    case 882:
      if (lookahead == 'd') ADVANCE(722);
      if (lookahead == 'i') ADVANCE(1017);
      END_STATE();
    case 883:
      if (lookahead == 'd') ADVANCE(1440);
      END_STATE();
    case 884:
      if (lookahead == 'd') ADVANCE(509);
      END_STATE();
    case 885:
      if (lookahead == 'd') ADVANCE(485);
      END_STATE();
    case 886:
      if (lookahead == 'd') ADVANCE(475);
      END_STATE();
    case 887:
      if (lookahead == 'd') ADVANCE(528);
      END_STATE();
    case 888:
      if (lookahead == 'd') ADVANCE(750);
      if (lookahead == 'r') ADVANCE(232);
      END_STATE();
    case 889:
      if (lookahead == 'd') ADVANCE(279);
      END_STATE();
    case 890:
      if (lookahead == 'd') ADVANCE(190);
      END_STATE();
    case 891:
      if (lookahead == 'd') ADVANCE(1001);
      if (lookahead == 'i') ADVANCE(1629);
      END_STATE();
    case 892:
      if (lookahead == 'd') ADVANCE(246);
      END_STATE();
    case 893:
      if (lookahead == 'd') ADVANCE(575);
      END_STATE();
    case 894:
      if (lookahead == 'd') ADVANCE(594);
      END_STATE();
    case 895:
      if (lookahead == 'd') ADVANCE(341);
      END_STATE();
    case 896:
      if (lookahead == 'd') ADVANCE(259);
      END_STATE();
    case 897:
      if (lookahead == 'd') ADVANCE(1262);
      END_STATE();
    case 898:
      if (lookahead == 'd') ADVANCE(1262);
      if (lookahead == 'l') ADVANCE(1452);
      END_STATE();
    case 899:
      if (lookahead == 'd') ADVANCE(922);
      END_STATE();
    case 900:
      if (lookahead == 'd') ADVANCE(2066);
      END_STATE();
    case 901:
      if (lookahead == 'd') ADVANCE(2066);
      if (lookahead == 'p') ADVANCE(1668);
      END_STATE();
    case 902:
      if (lookahead == 'd') ADVANCE(1220);
      END_STATE();
    case 903:
      if (lookahead == 'd') ADVANCE(1220);
      if (lookahead == 'm') ADVANCE(1707);
      if (lookahead == 'n') ADVANCE(345);
      END_STATE();
    case 904:
      if (lookahead == 'd') ADVANCE(1945);
      if (lookahead == 'u') ADVANCE(1189);
      END_STATE();
    case 905:
      if (lookahead == 'd') ADVANCE(936);
      END_STATE();
    case 906:
      if (lookahead == 'd') ADVANCE(1908);
      END_STATE();
    case 907:
      if (lookahead == 'd') ADVANCE(2001);
      END_STATE();
    case 908:
      if (lookahead == 'd') ADVANCE(1189);
      END_STATE();
    case 909:
      if (lookahead == 'd') ADVANCE(1189);
      if (lookahead == 'u') ADVANCE(1945);
      END_STATE();
    case 910:
      if (lookahead == 'd') ADVANCE(1295);
      if (lookahead == 'n') ADVANCE(2030);
      END_STATE();
    case 911:
      if (lookahead == 'd') ADVANCE(1141);
      END_STATE();
    case 912:
      if (lookahead == 'd') ADVANCE(1587);
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 913:
      if (lookahead == 'd') ADVANCE(1006);
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 914:
      if (lookahead == 'd') ADVANCE(1002);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 915:
      if (lookahead == 'd') ADVANCE(1019);
      END_STATE();
    case 916:
      if (lookahead == 'd') ADVANCE(1610);
      END_STATE();
    case 917:
      if (lookahead == 'd') ADVANCE(1259);
      END_STATE();
    case 918:
      if (lookahead == 'd') ADVANCE(1259);
      if (lookahead == 'i') ADVANCE(1354);
      END_STATE();
    case 919:
      if (lookahead == 'd') ADVANCE(1021);
      END_STATE();
    case 920:
      if (lookahead == 'd') ADVANCE(641);
      if (lookahead == 'e') ADVANCE(1689);
      if (lookahead == 'l') ADVANCE(662);
      if (lookahead == 'p') ADVANCE(222);
      if (lookahead == 'r') ADVANCE(669);
      if (lookahead == 'v') ADVANCE(999);
      if (lookahead == 'w') ADVANCE(921);
      END_STATE();
    case 921:
      if (lookahead == 'e') ADVANCE(877);
      END_STATE();
    case 922:
      if (lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 923:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'k') ADVANCE(957);
      END_STATE();
    case 924:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(1268);
      if (lookahead == 'p') ADVANCE(648);
      END_STATE();
    case 925:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(725);
      END_STATE();
    case 926:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1360);
      END_STATE();
    case 927:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 928:
      if (lookahead == 'e') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(2003);
      END_STATE();
    case 929:
      if (lookahead == 'e') ADVANCE(435);
      END_STATE();
    case 930:
      if (lookahead == 'e') ADVANCE(305);
      END_STATE();
    case 931:
      if (lookahead == 'e') ADVANCE(2109);
      END_STATE();
    case 932:
      if (lookahead == 'e') ADVANCE(2109);
      if (lookahead == 'v') ADVANCE(734);
      END_STATE();
    case 933:
      if (lookahead == 'e') ADVANCE(1101);
      if (lookahead == 'p') ADVANCE(1182);
      END_STATE();
    case 934:
      if (lookahead == 'e') ADVANCE(325);
      if (lookahead == 'o') ADVANCE(1954);
      END_STATE();
    case 935:
      if (lookahead == 'e') ADVANCE(221);
      if (lookahead == 'l') ADVANCE(1411);
      if (lookahead == 'r') ADVANCE(724);
      END_STATE();
    case 936:
      if (lookahead == 'e') ADVANCE(172);
      END_STATE();
    case 937:
      if (lookahead == 'e') ADVANCE(151);
      END_STATE();
    case 938:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 939:
      if (lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 940:
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 941:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 942:
      if (lookahead == 'e') ADVANCE(700);
      END_STATE();
    case 943:
      if (lookahead == 'e') ADVANCE(1490);
      END_STATE();
    case 944:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 945:
      if (lookahead == 'e') ADVANCE(462);
      END_STATE();
    case 946:
      if (lookahead == 'e') ADVANCE(493);
      END_STATE();
    case 947:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 948:
      if (lookahead == 'e') ADVANCE(429);
      END_STATE();
    case 949:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 950:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 951:
      if (lookahead == 'e') ADVANCE(242);
      END_STATE();
    case 952:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 953:
      if (lookahead == 'e') ADVANCE(1746);
      END_STATE();
    case 954:
      if (lookahead == 'e') ADVANCE(528);
      if (lookahead == 'p') ADVANCE(215);
      if (lookahead == 's') ADVANCE(528);
      END_STATE();
    case 955:
      if (lookahead == 'e') ADVANCE(1512);
      END_STATE();
    case 956:
      if (lookahead == 'e') ADVANCE(1832);
      if (lookahead == 'i') ADVANCE(826);
      END_STATE();
    case 957:
      if (lookahead == 'e') ADVANCE(1954);
      END_STATE();
    case 958:
      if (lookahead == 'e') ADVANCE(1954);
      if (lookahead == 'o') ADVANCE(1500);
      END_STATE();
    case 959:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 960:
      if (lookahead == 'e') ADVANCE(423);
      END_STATE();
    case 961:
      if (lookahead == 'e') ADVANCE(2151);
      END_STATE();
    case 962:
      if (lookahead == 'e') ADVANCE(911);
      END_STATE();
    case 963:
      if (lookahead == 'e') ADVANCE(1848);
      if (lookahead == 'i') ADVANCE(834);
      if (lookahead == 'k') ADVANCE(571);
      if (lookahead == 'o') ADVANCE(1748);
      END_STATE();
    case 964:
      if (lookahead == 'e') ADVANCE(1102);
      END_STATE();
    case 965:
      if (lookahead == 'e') ADVANCE(321);
      END_STATE();
    case 966:
      if (lookahead == 'e') ADVANCE(464);
      END_STATE();
    case 967:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 968:
      if (lookahead == 'e') ADVANCE(1925);
      END_STATE();
    case 969:
      if (lookahead == 'e') ADVANCE(1728);
      END_STATE();
    case 970:
      if (lookahead == 'e') ADVANCE(912);
      END_STATE();
    case 971:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 972:
      if (lookahead == 'e') ADVANCE(542);
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 973:
      if (lookahead == 'e') ADVANCE(453);
      END_STATE();
    case 974:
      if (lookahead == 'e') ADVANCE(1106);
      END_STATE();
    case 975:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 976:
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 977:
      if (lookahead == 'e') ADVANCE(917);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 978:
      if (lookahead == 'e') ADVANCE(2147);
      END_STATE();
    case 979:
      if (lookahead == 'e') ADVANCE(408);
      END_STATE();
    case 980:
      if (lookahead == 'e') ADVANCE(1732);
      if (lookahead == 'v') ADVANCE(999);
      if (lookahead == 'w') ADVANCE(962);
      END_STATE();
    case 981:
      if (lookahead == 'e') ADVANCE(433);
      END_STATE();
    case 982:
      if (lookahead == 'e') ADVANCE(1097);
      END_STATE();
    case 983:
      if (lookahead == 'e') ADVANCE(333);
      END_STATE();
    case 984:
      if (lookahead == 'e') ADVANCE(1734);
      END_STATE();
    case 985:
      if (lookahead == 'e') ADVANCE(1335);
      END_STATE();
    case 986:
      if (lookahead == 'e') ADVANCE(1513);
      END_STATE();
    case 987:
      if (lookahead == 'e') ADVANCE(1733);
      END_STATE();
    case 988:
      if (lookahead == 'e') ADVANCE(1975);
      END_STATE();
    case 989:
      if (lookahead == 'e') ADVANCE(1899);
      END_STATE();
    case 990:
      if (lookahead == 'e') ADVANCE(1910);
      END_STATE();
    case 991:
      if (lookahead == 'e') ADVANCE(1993);
      END_STATE();
    case 992:
      if (lookahead == 'e') ADVANCE(1354);
      END_STATE();
    case 993:
      if (lookahead == 'e') ADVANCE(884);
      END_STATE();
    case 994:
      if (lookahead == 'e') ADVANCE(695);
      END_STATE();
    case 995:
      if (lookahead == 'e') ADVANCE(886);
      END_STATE();
    case 996:
      if (lookahead == 'e') ADVANCE(1500);
      END_STATE();
    case 997:
      if (lookahead == 'e') ADVANCE(758);
      END_STATE();
    case 998:
      if (lookahead == 'e') ADVANCE(889);
      END_STATE();
    case 999:
      if (lookahead == 'e') ADVANCE(922);
      END_STATE();
    case 1000:
      if (lookahead == 'e') ADVANCE(906);
      END_STATE();
    case 1001:
      if (lookahead == 'e') ADVANCE(1754);
      END_STATE();
    case 1002:
      if (lookahead == 'e') ADVANCE(1905);
      END_STATE();
    case 1003:
      if (lookahead == 'e') ADVANCE(1672);
      if (lookahead == 'k') ADVANCE(566);
      if (lookahead == 'n') ADVANCE(1640);
      if (lookahead == 'p') ADVANCE(1188);
      if (lookahead == 'r') ADVANCE(282);
      if (lookahead == 's') ADVANCE(1234);
      if (lookahead == 't') ADVANCE(1205);
      END_STATE();
    case 1004:
      if (lookahead == 'e') ADVANCE(1672);
      if (lookahead == 'p') ADVANCE(1187);
      END_STATE();
    case 1005:
      if (lookahead == 'e') ADVANCE(1916);
      END_STATE();
    case 1006:
      if (lookahead == 'e') ADVANCE(1390);
      END_STATE();
    case 1007:
      if (lookahead == 'e') ADVANCE(865);
      END_STATE();
    case 1008:
      if (lookahead == 'e') ADVANCE(1554);
      END_STATE();
    case 1009:
      if (lookahead == 'e') ADVANCE(1947);
      END_STATE();
    case 1010:
      if (lookahead == 'e') ADVANCE(1999);
      END_STATE();
    case 1011:
      if (lookahead == 'e') ADVANCE(1918);
      END_STATE();
    case 1012:
      if (lookahead == 'e') ADVANCE(1977);
      END_STATE();
    case 1013:
      if (lookahead == 'e') ADVANCE(577);
      END_STATE();
    case 1014:
      if (lookahead == 'e') ADVANCE(937);
      END_STATE();
    case 1015:
      if (lookahead == 'e') ADVANCE(1526);
      END_STATE();
    case 1016:
      if (lookahead == 'e') ADVANCE(1417);
      END_STATE();
    case 1017:
      if (lookahead == 'e') ADVANCE(1794);
      END_STATE();
    case 1018:
      if (lookahead == 'e') ADVANCE(616);
      END_STATE();
    case 1019:
      if (lookahead == 'e') ADVANCE(1908);
      END_STATE();
    case 1020:
      if (lookahead == 'e') ADVANCE(600);
      END_STATE();
    case 1021:
      if (lookahead == 'e') ADVANCE(1909);
      END_STATE();
    case 1022:
      if (lookahead == 'e') ADVANCE(1964);
      if (lookahead == 'i') ADVANCE(1459);
      if (lookahead == 'u') ADVANCE(2158);
      END_STATE();
    case 1023:
      if (lookahead == 'e') ADVANCE(1760);
      END_STATE();
    case 1024:
      if (lookahead == 'e') ADVANCE(1867);
      END_STATE();
    case 1025:
      if (lookahead == 'e') ADVANCE(2000);
      END_STATE();
    case 1026:
      if (lookahead == 'e') ADVANCE(1831);
      END_STATE();
    case 1027:
      if (lookahead == 'e') ADVANCE(2007);
      END_STATE();
    case 1028:
      if (lookahead == 'e') ADVANCE(1000);
      END_STATE();
    case 1029:
      if (lookahead == 'e') ADVANCE(944);
      if (lookahead == 'r') ADVANCE(1331);
      END_STATE();
    case 1030:
      if (lookahead == 'e') ADVANCE(1747);
      END_STATE();
    case 1031:
      if (lookahead == 'e') ADVANCE(1841);
      if (lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 1032:
      if (lookahead == 'e') ADVANCE(1791);
      END_STATE();
    case 1033:
      if (lookahead == 'e') ADVANCE(1869);
      END_STATE();
    case 1034:
      if (lookahead == 'e') ADVANCE(1889);
      END_STATE();
    case 1035:
      if (lookahead == 'e') ADVANCE(949);
      END_STATE();
    case 1036:
      if (lookahead == 'e') ADVANCE(1804);
      END_STATE();
    case 1037:
      if (lookahead == 'e') ADVANCE(1076);
      END_STATE();
    case 1038:
      if (lookahead == 'e') ADVANCE(1801);
      END_STATE();
    case 1039:
      if (lookahead == 'e') ADVANCE(1764);
      END_STATE();
    case 1040:
      if (lookahead == 'e') ADVANCE(1809);
      END_STATE();
    case 1041:
      if (lookahead == 'e') ADVANCE(1767);
      END_STATE();
    case 1042:
      if (lookahead == 'e') ADVANCE(1107);
      END_STATE();
    case 1043:
      if (lookahead == 'e') ADVANCE(2111);
      if (lookahead == 'i') ADVANCE(1154);
      END_STATE();
    case 1044:
      if (lookahead == 'e') ADVANCE(1424);
      END_STATE();
    case 1045:
      if (lookahead == 'e') ADVANCE(520);
      END_STATE();
    case 1046:
      if (lookahead == 'e') ADVANCE(894);
      END_STATE();
    case 1047:
      if (lookahead == 'e') ADVANCE(674);
      if (lookahead == 'w') ADVANCE(674);
      END_STATE();
    case 1048:
      if (lookahead == 'e') ADVANCE(1104);
      END_STATE();
    case 1049:
      if (lookahead == 'e') ADVANCE(1104);
      if (lookahead == 'l') ADVANCE(148);
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 1050:
      if (lookahead == 'e') ADVANCE(996);
      END_STATE();
    case 1051:
      if (lookahead == 'e') ADVANCE(1936);
      END_STATE();
    case 1052:
      if (lookahead == 'e') ADVANCE(897);
      END_STATE();
    case 1053:
      if (lookahead == 'e') ADVANCE(1489);
      END_STATE();
    case 1054:
      if (lookahead == 'e') ADVANCE(850);
      if (lookahead == 'o') ADVANCE(1570);
      END_STATE();
    case 1055:
      if (lookahead == 'e') ADVANCE(663);
      END_STATE();
    case 1056:
      if (lookahead == 'e') ADVANCE(1725);
      END_STATE();
    case 1057:
      if (lookahead == 'e') ADVANCE(1829);
      END_STATE();
    case 1058:
      if (lookahead == 'e') ADVANCE(2022);
      END_STATE();
    case 1059:
      if (lookahead == 'e') ADVANCE(2022);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1060:
      if (lookahead == 'e') ADVANCE(745);
      END_STATE();
    case 1061:
      if (lookahead == 'e') ADVANCE(1108);
      END_STATE();
    case 1062:
      if (lookahead == 'e') ADVANCE(915);
      END_STATE();
    case 1063:
      if (lookahead == 'e') ADVANCE(851);
      END_STATE();
    case 1064:
      if (lookahead == 'e') ADVANCE(1926);
      END_STATE();
    case 1065:
      if (lookahead == 'e') ADVANCE(1712);
      END_STATE();
    case 1066:
      if (lookahead == 'e') ADVANCE(1109);
      END_STATE();
    case 1067:
      if (lookahead == 'e') ADVANCE(1828);
      if (lookahead == 'n') ADVANCE(458);
      END_STATE();
    case 1068:
      if (lookahead == 'e') ADVANCE(853);
      END_STATE();
    case 1069:
      if (lookahead == 'e') ADVANCE(1580);
      END_STATE();
    case 1070:
      if (lookahead == 'e') ADVANCE(1110);
      END_STATE();
    case 1071:
      if (lookahead == 'e') ADVANCE(1111);
      END_STATE();
    case 1072:
      if (lookahead == 'e') ADVANCE(1563);
      END_STATE();
    case 1073:
      if (lookahead == 'e') ADVANCE(1112);
      if (lookahead == 'o') ADVANCE(1540);
      END_STATE();
    case 1074:
      if (lookahead == 'e') ADVANCE(1847);
      END_STATE();
    case 1075:
      if (lookahead == 'e') ADVANCE(1105);
      END_STATE();
    case 1076:
      if (lookahead == 'e') ADVANCE(2041);
      END_STATE();
    case 1077:
      if (lookahead == 'e') ADVANCE(1894);
      END_STATE();
    case 1078:
      if (lookahead == 'e') ADVANCE(1548);
      END_STATE();
    case 1079:
      if (lookahead == 'e') ADVANCE(699);
      END_STATE();
    case 1080:
      if (lookahead == 'e') ADVANCE(1458);
      END_STATE();
    case 1081:
      if (lookahead == 'e') ADVANCE(1156);
      END_STATE();
    case 1082:
      if (lookahead == 'e') ADVANCE(1891);
      END_STATE();
    case 1083:
      if (lookahead == 'e') ADVANCE(2028);
      END_STATE();
    case 1084:
      if (lookahead == 'e') ADVANCE(1307);
      END_STATE();
    case 1085:
      if (lookahead == 'e') ADVANCE(1874);
      END_STATE();
    case 1086:
      if (lookahead == 'e') ADVANCE(919);
      END_STATE();
    case 1087:
      if (lookahead == 'e') ADVANCE(698);
      END_STATE();
    case 1088:
      if (lookahead == 'e') ADVANCE(1523);
      END_STATE();
    case 1089:
      if (lookahead == 'e') ADVANCE(703);
      END_STATE();
    case 1090:
      if (lookahead == 'e') ADVANCE(871);
      END_STATE();
    case 1091:
      if (lookahead == 'e') ADVANCE(1115);
      END_STATE();
    case 1092:
      if (lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 1093:
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'l') ADVANCE(2061);
      END_STATE();
    case 1094:
      if (lookahead == 'f') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1620);
      END_STATE();
    case 1095:
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 's') ADVANCE(774);
      END_STATE();
    case 1096:
      if (lookahead == 'f') ADVANCE(1746);
      if (lookahead == 'i') ADVANCE(1512);
      if (lookahead == 'o') ADVANCE(1676);
      if (lookahead == 'p') ADVANCE(1816);
      if (lookahead == 's') ADVANCE(774);
      if (lookahead == 'u') ADVANCE(598);
      END_STATE();
    case 1097:
      if (lookahead == 'f') ADVANCE(1954);
      END_STATE();
    case 1098:
      if (lookahead == 'f') ADVANCE(1103);
      END_STATE();
    case 1099:
      if (lookahead == 'f') ADVANCE(1957);
      if (lookahead == 's') ADVANCE(1902);
      END_STATE();
    case 1100:
      if (lookahead == 'f') ADVANCE(1980);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1101:
      if (lookahead == 'f') ADVANCE(1921);
      if (lookahead == 'p') ADVANCE(1179);
      END_STATE();
    case 1102:
      if (lookahead == 'f') ADVANCE(2045);
      END_STATE();
    case 1103:
      if (lookahead == 'f') ADVANCE(1077);
      END_STATE();
    case 1104:
      if (lookahead == 'f') ADVANCE(1984);
      END_STATE();
    case 1105:
      if (lookahead == 'f') ADVANCE(1999);
      END_STATE();
    case 1106:
      if (lookahead == 'f') ADVANCE(1664);
      END_STATE();
    case 1107:
      if (lookahead == 'f') ADVANCE(1991);
      if (lookahead == 's') ADVANCE(1907);
      END_STATE();
    case 1108:
      if (lookahead == 'f') ADVANCE(1966);
      END_STATE();
    case 1109:
      if (lookahead == 'f') ADVANCE(1968);
      END_STATE();
    case 1110:
      if (lookahead == 'f') ADVANCE(1986);
      END_STATE();
    case 1111:
      if (lookahead == 'f') ADVANCE(2024);
      END_STATE();
    case 1112:
      if (lookahead == 'f') ADVANCE(1972);
      END_STATE();
    case 1113:
      if (lookahead == 'f') ADVANCE(1624);
      END_STATE();
    case 1114:
      if (lookahead == 'f') ADVANCE(1263);
      END_STATE();
    case 1115:
      if (lookahead == 'f') ADVANCE(2044);
      END_STATE();
    case 1116:
      if (lookahead == 'g') ADVANCE(148);
      END_STATE();
    case 1117:
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 's') ADVANCE(1673);
      END_STATE();
    case 1118:
      if (lookahead == 'g') ADVANCE(148);
      if (lookahead == 't') ADVANCE(354);
      END_STATE();
    case 1119:
      if (lookahead == 'g') ADVANCE(763);
      END_STATE();
    case 1120:
      if (lookahead == 'g') ADVANCE(236);
      END_STATE();
    case 1121:
      if (lookahead == 'g') ADVANCE(236);
      if (lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 1122:
      if (lookahead == 'g') ADVANCE(491);
      END_STATE();
    case 1123:
      if (lookahead == 'g') ADVANCE(510);
      END_STATE();
    case 1124:
      if (lookahead == 'g') ADVANCE(240);
      END_STATE();
    case 1125:
      if (lookahead == 'g') ADVANCE(1457);
      END_STATE();
    case 1126:
      if (lookahead == 'g') ADVANCE(299);
      END_STATE();
    case 1127:
      if (lookahead == 'g') ADVANCE(528);
      END_STATE();
    case 1128:
      if (lookahead == 'g') ADVANCE(1195);
      END_STATE();
    case 1129:
      if (lookahead == 'g') ADVANCE(2150);
      END_STATE();
    case 1130:
      if (lookahead == 'g') ADVANCE(1142);
      if (lookahead == 'l') ADVANCE(991);
      if (lookahead == 'r') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1183);
      END_STATE();
    case 1131:
      if (lookahead == 'g') ADVANCE(1142);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1132:
      if (lookahead == 'g') ADVANCE(1142);
      if (lookahead == 'r') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(1185);
      END_STATE();
    case 1133:
      if (lookahead == 'g') ADVANCE(1586);
      END_STATE();
    case 1134:
      if (lookahead == 'g') ADVANCE(1625);
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1135:
      if (lookahead == 'g') ADVANCE(1625);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1136:
      if (lookahead == 'g') ADVANCE(1466);
      END_STATE();
    case 1137:
      if (lookahead == 'g') ADVANCE(1184);
      END_STATE();
    case 1138:
      if (lookahead == 'g') ADVANCE(1354);
      if (lookahead == 'i') ADVANCE(1386);
      if (lookahead == 'l') ADVANCE(1116);
      if (lookahead == 'r') ADVANCE(1327);
      END_STATE();
    case 1139:
      if (lookahead == 'g') ADVANCE(672);
      if (lookahead == 's') ADVANCE(2010);
      if (lookahead == 'w') ADVANCE(489);
      END_STATE();
    case 1140:
      if (lookahead == 'g') ADVANCE(1500);
      END_STATE();
    case 1141:
      if (lookahead == 'g') ADVANCE(922);
      END_STATE();
    case 1142:
      if (lookahead == 'g') ADVANCE(953);
      END_STATE();
    case 1143:
      if (lookahead == 'g') ADVANCE(957);
      END_STATE();
    case 1144:
      if (lookahead == 'g') ADVANCE(1873);
      END_STATE();
    case 1145:
      if (lookahead == 'g') ADVANCE(1873);
      if (lookahead == 'i') ADVANCE(1512);
      if (lookahead == 't') ADVANCE(1654);
      END_STATE();
    case 1146:
      if (lookahead == 'g') ADVANCE(1771);
      END_STATE();
    case 1147:
      if (lookahead == 'g') ADVANCE(1198);
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 's') ADVANCE(1297);
      END_STATE();
    case 1148:
      if (lookahead == 'g') ADVANCE(916);
      END_STATE();
    case 1149:
      if (lookahead == 'g') ADVANCE(1780);
      END_STATE();
    case 1150:
      if (lookahead == 'g') ADVANCE(1194);
      END_STATE();
    case 1151:
      if (lookahead == 'g') ADVANCE(1974);
      END_STATE();
    case 1152:
      if (lookahead == 'g') ADVANCE(1974);
      if (lookahead == 'l') ADVANCE(968);
      END_STATE();
    case 1153:
      if (lookahead == 'g') ADVANCE(1974);
      if (lookahead == 'q') ADVANCE(1151);
      END_STATE();
    case 1154:
      if (lookahead == 'g') ADVANCE(1199);
      END_STATE();
    case 1155:
      if (lookahead == 'g') ADVANCE(1492);
      if (lookahead == 'm') ADVANCE(237);
      END_STATE();
    case 1156:
      if (lookahead == 'g') ADVANCE(1824);
      END_STATE();
    case 1157:
      if (lookahead == 'g') ADVANCE(1824);
      if (lookahead == 'r') ADVANCE(1941);
      END_STATE();
    case 1158:
      if (lookahead == 'g') ADVANCE(1200);
      END_STATE();
    case 1159:
      if (lookahead == 'g') ADVANCE(1202);
      END_STATE();
    case 1160:
      if (lookahead == 'g') ADVANCE(1203);
      END_STATE();
    case 1161:
      if (lookahead == 'g') ADVANCE(1204);
      END_STATE();
    case 1162:
      if (lookahead == 'g') ADVANCE(1403);
      END_STATE();
    case 1163:
      if (lookahead == 'g') ADVANCE(1206);
      END_STATE();
    case 1164:
      if (lookahead == 'g') ADVANCE(1036);
      if (lookahead == 'r') ADVANCE(845);
      END_STATE();
    case 1165:
      if (lookahead == 'g') ADVANCE(1207);
      END_STATE();
    case 1166:
      if (lookahead == 'g') ADVANCE(1208);
      END_STATE();
    case 1167:
      if (lookahead == 'g') ADVANCE(1425);
      END_STATE();
    case 1168:
      if (lookahead == 'g') ADVANCE(1197);
      END_STATE();
    case 1169:
      if (lookahead == 'g') ADVANCE(1427);
      END_STATE();
    case 1170:
      if (lookahead == 'g') ADVANCE(1428);
      END_STATE();
    case 1171:
      if (lookahead == 'g') ADVANCE(1429);
      END_STATE();
    case 1172:
      if (lookahead == 'g') ADVANCE(1442);
      END_STATE();
    case 1173:
      if (lookahead == 'g') ADVANCE(1430);
      END_STATE();
    case 1174:
      if (lookahead == 'g') ADVANCE(1431);
      END_STATE();
    case 1175:
      if (lookahead == 'g') ADVANCE(490);
      END_STATE();
    case 1176:
      if (lookahead == 'g') ADVANCE(690);
      END_STATE();
    case 1177:
      if (lookahead == 'g') ADVANCE(1217);
      END_STATE();
    case 1178:
      if (lookahead == 'h') ADVANCE(877);
      END_STATE();
    case 1179:
      if (lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 1180:
      if (lookahead == 'h') ADVANCE(293);
      END_STATE();
    case 1181:
      if (lookahead == 'h') ADVANCE(510);
      END_STATE();
    case 1182:
      if (lookahead == 'h') ADVANCE(528);
      END_STATE();
    case 1183:
      if (lookahead == 'h') ADVANCE(354);
      END_STATE();
    case 1184:
      if (lookahead == 'h') ADVANCE(1954);
      END_STATE();
    case 1185:
      if (lookahead == 'h') ADVANCE(2104);
      END_STATE();
    case 1186:
      if (lookahead == 'h') ADVANCE(750);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1187:
      if (lookahead == 'h') ADVANCE(1219);
      END_STATE();
    case 1188:
      if (lookahead == 'h') ADVANCE(1219);
      if (lookahead == 'i') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1653);
      END_STATE();
    case 1189:
      if (lookahead == 'h') ADVANCE(542);
      END_STATE();
    case 1190:
      if (lookahead == 'h') ADVANCE(1673);
      END_STATE();
    case 1191:
      if (lookahead == 'h') ADVANCE(1335);
      END_STATE();
    case 1192:
      if (lookahead == 'h') ADVANCE(1335);
      if (lookahead == 'r') ADVANCE(312);
      END_STATE();
    case 1193:
      if (lookahead == 'h') ADVANCE(922);
      END_STATE();
    case 1194:
      if (lookahead == 'h') ADVANCE(2045);
      END_STATE();
    case 1195:
      if (lookahead == 'h') ADVANCE(1961);
      END_STATE();
    case 1196:
      if (lookahead == 'h') ADVANCE(552);
      END_STATE();
    case 1197:
      if (lookahead == 'h') ADVANCE(1999);
      END_STATE();
    case 1198:
      if (lookahead == 'h') ADVANCE(1963);
      END_STATE();
    case 1199:
      if (lookahead == 'h') ADVANCE(1991);
      END_STATE();
    case 1200:
      if (lookahead == 'h') ADVANCE(1976);
      END_STATE();
    case 1201:
      if (lookahead == 'h') ADVANCE(1222);
      END_STATE();
    case 1202:
      if (lookahead == 'h') ADVANCE(1967);
      END_STATE();
    case 1203:
      if (lookahead == 'h') ADVANCE(1969);
      END_STATE();
    case 1204:
      if (lookahead == 'h') ADVANCE(1986);
      END_STATE();
    case 1205:
      if (lookahead == 'h') ADVANCE(988);
      if (lookahead == 'r') ADVANCE(1330);
      END_STATE();
    case 1206:
      if (lookahead == 'h') ADVANCE(1971);
      END_STATE();
    case 1207:
      if (lookahead == 'h') ADVANCE(1973);
      END_STATE();
    case 1208:
      if (lookahead == 'h') ADVANCE(1970);
      END_STATE();
    case 1209:
      if (lookahead == 'h') ADVANCE(1064);
      END_STATE();
    case 1210:
      if (lookahead == 'h') ADVANCE(1256);
      END_STATE();
    case 1211:
      if (lookahead == 'h') ADVANCE(996);
      END_STATE();
    case 1212:
      if (lookahead == 'h') ADVANCE(1113);
      END_STATE();
    case 1213:
      if (lookahead == 'h') ADVANCE(1795);
      if (lookahead == 'i') ADVANCE(1493);
      if (lookahead == 'r') ADVANCE(1227);
      END_STATE();
    case 1214:
      if (lookahead == 'h') ADVANCE(1018);
      END_STATE();
    case 1215:
      if (lookahead == 'h') ADVANCE(1280);
      END_STATE();
    case 1216:
      if (lookahead == 'h') ADVANCE(1876);
      END_STATE();
    case 1217:
      if (lookahead == 'h') ADVANCE(2044);
      END_STATE();
    case 1218:
      if (lookahead == 'i') ADVANCE(877);
      END_STATE();
    case 1219:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 1220:
      if (lookahead == 'i') ADVANCE(293);
      END_STATE();
    case 1221:
      if (lookahead == 'i') ADVANCE(276);
      END_STATE();
    case 1222:
      if (lookahead == 'i') ADVANCE(826);
      END_STATE();
    case 1223:
      if (lookahead == 'i') ADVANCE(2133);
      if (lookahead == 'o') ADVANCE(1214);
      END_STATE();
    case 1224:
      if (lookahead == 'i') ADVANCE(2149);
      END_STATE();
    case 1225:
      if (lookahead == 'i') ADVANCE(270);
      END_STATE();
    case 1226:
      if (lookahead == 'i') ADVANCE(298);
      END_STATE();
    case 1227:
      if (lookahead == 'i') ADVANCE(295);
      END_STATE();
    case 1228:
      if (lookahead == 'i') ADVANCE(281);
      END_STATE();
    case 1229:
      if (lookahead == 'i') ADVANCE(1746);
      END_STATE();
    case 1230:
      if (lookahead == 'i') ADVANCE(1746);
      if (lookahead == 'r') ADVANCE(1600);
      END_STATE();
    case 1231:
      if (lookahead == 'i') ADVANCE(1512);
      END_STATE();
    case 1232:
      if (lookahead == 'i') ADVANCE(1512);
      if (lookahead == 'n') ADVANCE(1954);
      END_STATE();
    case 1233:
      if (lookahead == 'i') ADVANCE(354);
      if (lookahead == 'm') ADVANCE(1491);
      if (lookahead == 'o') ADVANCE(1534);
      END_STATE();
    case 1234:
      if (lookahead == 'i') ADVANCE(1136);
      if (lookahead == 'u') ADVANCE(749);
      END_STATE();
    case 1235:
      if (lookahead == 'i') ADVANCE(1387);
      END_STATE();
    case 1236:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 1237:
      if (lookahead == 'i') ADVANCE(1954);
      END_STATE();
    case 1238:
      if (lookahead == 'i') ADVANCE(2104);
      END_STATE();
    case 1239:
      if (lookahead == 'i') ADVANCE(872);
      END_STATE();
    case 1240:
      if (lookahead == 'i') ADVANCE(872);
      if (lookahead == 'o') ADVANCE(2088);
      END_STATE();
    case 1241:
      if (lookahead == 'i') ADVANCE(1501);
      END_STATE();
    case 1242:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 1243:
      if (lookahead == 'i') ADVANCE(1948);
      END_STATE();
    case 1244:
      if (lookahead == 'i') ADVANCE(1948);
      if (lookahead == 'p') ADVANCE(1628);
      END_STATE();
    case 1245:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 1246:
      if (lookahead == 'i') ADVANCE(1382);
      END_STATE();
    case 1247:
      if (lookahead == 'i') ADVANCE(1673);
      END_STATE();
    case 1248:
      if (lookahead == 'i') ADVANCE(1116);
      END_STATE();
    case 1249:
      if (lookahead == 'i') ADVANCE(1116);
      if (lookahead == 'l') ADVANCE(1248);
      END_STATE();
    case 1250:
      if (lookahead == 'i') ADVANCE(1098);
      END_STATE();
    case 1251:
      if (lookahead == 'i') ADVANCE(1459);
      END_STATE();
    case 1252:
      if (lookahead == 'i') ADVANCE(1459);
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 1253:
      if (lookahead == 'i') ADVANCE(1459);
      if (lookahead == 'l') ADVANCE(670);
      END_STATE();
    case 1254:
      if (lookahead == 'i') ADVANCE(1625);
      END_STATE();
    case 1255:
      if (lookahead == 'i') ADVANCE(1899);
      END_STATE();
    case 1256:
      if (lookahead == 'i') ADVANCE(1521);
      END_STATE();
    case 1257:
      if (lookahead == 'i') ADVANCE(1924);
      if (lookahead == 'l') ADVANCE(1634);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1258:
      if (lookahead == 'i') ADVANCE(1924);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1259:
      if (lookahead == 'i') ADVANCE(1354);
      END_STATE();
    case 1260:
      if (lookahead == 'i') ADVANCE(1129);
      END_STATE();
    case 1261:
      if (lookahead == 'i') ADVANCE(1140);
      END_STATE();
    case 1262:
      if (lookahead == 'i') ADVANCE(2065);
      END_STATE();
    case 1263:
      if (lookahead == 'i') ADVANCE(1500);
      END_STATE();
    case 1264:
      if (lookahead == 'i') ADVANCE(1384);
      END_STATE();
    case 1265:
      if (lookahead == 'i') ADVANCE(758);
      END_STATE();
    case 1266:
      if (lookahead == 'i') ADVANCE(1776);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1267:
      if (lookahead == 'i') ADVANCE(922);
      END_STATE();
    case 1268:
      if (lookahead == 'i') ADVANCE(1534);
      END_STATE();
    case 1269:
      if (lookahead == 'i') ADVANCE(684);
      END_STATE();
    case 1270:
      if (lookahead == 'i') ADVANCE(907);
      END_STATE();
    case 1271:
      if (lookahead == 'i') ADVANCE(1478);
      END_STATE();
    case 1272:
      if (lookahead == 'i') ADVANCE(1176);
      END_STATE();
    case 1273:
      if (lookahead == 'i') ADVANCE(1820);
      if (lookahead == 'l') ADVANCE(1092);
      if (lookahead == 'm') ADVANCE(1275);
      if (lookahead == 'r') ADVANCE(888);
      END_STATE();
    case 1274:
      if (lookahead == 'i') ADVANCE(1525);
      END_STATE();
    case 1275:
      if (lookahead == 'i') ADVANCE(1370);
      END_STATE();
    case 1276:
      if (lookahead == 'i') ADVANCE(989);
      END_STATE();
    case 1277:
      if (lookahead == 'i') ADVANCE(2060);
      END_STATE();
    case 1278:
      if (lookahead == 'i') ADVANCE(1565);
      END_STATE();
    case 1279:
      if (lookahead == 'i') ADVANCE(1558);
      END_STATE();
    case 1280:
      if (lookahead == 'i') ADVANCE(1503);
      END_STATE();
    case 1281:
      if (lookahead == 'i') ADVANCE(1400);
      if (lookahead == 'l') ADVANCE(1249);
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1282:
      if (lookahead == 'i') ADVANCE(1137);
      END_STATE();
    case 1283:
      if (lookahead == 'i') ADVANCE(1388);
      END_STATE();
    case 1284:
      if (lookahead == 'i') ADVANCE(1536);
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1285:
      if (lookahead == 'i') ADVANCE(1813);
      END_STATE();
    case 1286:
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'o') ADVANCE(1384);
      END_STATE();
    case 1287:
      if (lookahead == 'i') ADVANCE(1813);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1288:
      if (lookahead == 'i') ADVANCE(1386);
      END_STATE();
    case 1289:
      if (lookahead == 'i') ADVANCE(741);
      END_STATE();
    case 1290:
      if (lookahead == 'i') ADVANCE(632);
      END_STATE();
    case 1291:
      if (lookahead == 'i') ADVANCE(1939);
      END_STATE();
    case 1292:
      if (lookahead == 'i') ADVANCE(2110);
      END_STATE();
    case 1293:
      if (lookahead == 'i') ADVANCE(1719);
      END_STATE();
    case 1294:
      if (lookahead == 'i') ADVANCE(1544);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'u') ADVANCE(1515);
      END_STATE();
    case 1295:
      if (lookahead == 'i') ADVANCE(1405);
      END_STATE();
    case 1296:
      if (lookahead == 'i') ADVANCE(1483);
      END_STATE();
    case 1297:
      if (lookahead == 'i') ADVANCE(1538);
      END_STATE();
    case 1298:
      if (lookahead == 'i') ADVANCE(1943);
      END_STATE();
    case 1299:
      if (lookahead == 'i') ADVANCE(1938);
      END_STATE();
    case 1300:
      if (lookahead == 'i') ADVANCE(1493);
      END_STATE();
    case 1301:
      if (lookahead == 'i') ADVANCE(1479);
      END_STATE();
    case 1302:
      if (lookahead == 'i') ADVANCE(2019);
      END_STATE();
    case 1303:
      if (lookahead == 'i') ADVANCE(1416);
      END_STATE();
    case 1304:
      if (lookahead == 'i') ADVANCE(1542);
      END_STATE();
    case 1305:
      if (lookahead == 'i') ADVANCE(1033);
      END_STATE();
    case 1306:
      if (lookahead == 'i') ADVANCE(640);
      END_STATE();
    case 1307:
      if (lookahead == 'i') ADVANCE(1435);
      END_STATE();
    case 1308:
      if (lookahead == 'i') ADVANCE(1403);
      END_STATE();
    case 1309:
      if (lookahead == 'i') ADVANCE(1642);
      END_STATE();
    case 1310:
      if (lookahead == 'i') ADVANCE(1621);
      END_STATE();
    case 1311:
      if (lookahead == 'i') ADVANCE(1559);
      END_STATE();
    case 1312:
      if (lookahead == 'i') ADVANCE(1559);
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 1313:
      if (lookahead == 'i') ADVANCE(1150);
      END_STATE();
    case 1314:
      if (lookahead == 'i') ADVANCE(1436);
      END_STATE();
    case 1315:
      if (lookahead == 'i') ADVANCE(864);
      END_STATE();
    case 1316:
      if (lookahead == 'i') ADVANCE(868);
      END_STATE();
    case 1317:
      if (lookahead == 'i') ADVANCE(742);
      END_STATE();
    case 1318:
      if (lookahead == 'i') ADVANCE(1158);
      END_STATE();
    case 1319:
      if (lookahead == 'i') ADVANCE(1159);
      END_STATE();
    case 1320:
      if (lookahead == 'i') ADVANCE(1160);
      END_STATE();
    case 1321:
      if (lookahead == 'i') ADVANCE(1161);
      END_STATE();
    case 1322:
      if (lookahead == 'i') ADVANCE(1163);
      END_STATE();
    case 1323:
      if (lookahead == 'i') ADVANCE(1165);
      END_STATE();
    case 1324:
      if (lookahead == 'i') ADVANCE(1166);
      END_STATE();
    case 1325:
      if (lookahead == 'i') ADVANCE(1168);
      END_STATE();
    case 1326:
      if (lookahead == 'i') ADVANCE(1887);
      END_STATE();
    case 1327:
      if (lookahead == 'i') ADVANCE(708);
      END_STATE();
    case 1328:
      if (lookahead == 'i') ADVANCE(1177);
      END_STATE();
    case 1329:
      if (lookahead == 'i') ADVANCE(710);
      END_STATE();
    case 1330:
      if (lookahead == 'i') ADVANCE(711);
      END_STATE();
    case 1331:
      if (lookahead == 'i') ADVANCE(712);
      END_STATE();
    case 1332:
      if (lookahead == 'i') ADVANCE(713);
      END_STATE();
    case 1333:
      if (lookahead == 'j') ADVANCE(148);
      END_STATE();
    case 1334:
      if (lookahead == 'j') ADVANCE(148);
      if (lookahead == 'n') ADVANCE(1333);
      END_STATE();
    case 1335:
      if (lookahead == 'k') ADVANCE(148);
      END_STATE();
    case 1336:
      if (lookahead == 'k') ADVANCE(510);
      END_STATE();
    case 1337:
      if (lookahead == 'k') ADVANCE(866);
      END_STATE();
    case 1338:
      if (lookahead == 'k') ADVANCE(1440);
      END_STATE();
    case 1339:
      if (lookahead == 'k') ADVANCE(1413);
      END_STATE();
    case 1340:
      if (lookahead == 'k') ADVANCE(304);
      END_STATE();
    case 1341:
      if (lookahead == 'k') ADVANCE(280);
      END_STATE();
    case 1342:
      if (lookahead == 'k') ADVANCE(750);
      END_STATE();
    case 1343:
      if (lookahead == 'k') ADVANCE(750);
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 1344:
      if (lookahead == 'k') ADVANCE(2127);
      END_STATE();
    case 1345:
      if (lookahead == 'k') ADVANCE(346);
      END_STATE();
    case 1346:
      if (lookahead == 'k') ADVANCE(1935);
      END_STATE();
    case 1347:
      if (lookahead == 'k') ADVANCE(953);
      END_STATE();
    case 1348:
      if (lookahead == 'k') ADVANCE(957);
      END_STATE();
    case 1349:
      if (lookahead == 'k') ADVANCE(667);
      END_STATE();
    case 1350:
      if (lookahead == 'k') ADVANCE(674);
      END_STATE();
    case 1351:
      if (lookahead == 'k') ADVANCE(674);
      if (lookahead == 'l') ADVANCE(605);
      END_STATE();
    case 1352:
      if (lookahead == 'k') ADVANCE(1304);
      END_STATE();
    case 1353:
      if (lookahead == 'l') ADVANCE(877);
      END_STATE();
    case 1354:
      if (lookahead == 'l') ADVANCE(148);
      END_STATE();
    case 1355:
      if (lookahead == 'l') ADVANCE(343);
      END_STATE();
    case 1356:
      if (lookahead == 'l') ADVANCE(489);
      END_STATE();
    case 1357:
      if (lookahead == 'l') ADVANCE(458);
      END_STATE();
    case 1358:
      if (lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 1359:
      if (lookahead == 'l') ADVANCE(287);
      END_STATE();
    case 1360:
      if (lookahead == 'l') ADVANCE(2160);
      END_STATE();
    case 1361:
      if (lookahead == 'l') ADVANCE(422);
      END_STATE();
    case 1362:
      if (lookahead == 'l') ADVANCE(409);
      END_STATE();
    case 1363:
      if (lookahead == 'l') ADVANCE(181);
      END_STATE();
    case 1364:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 1365:
      if (lookahead == 'l') ADVANCE(2139);
      END_STATE();
    case 1366:
      if (lookahead == 'l') ADVANCE(1053);
      END_STATE();
    case 1367:
      if (lookahead == 'l') ADVANCE(1053);
      if (lookahead == 'q') ADVANCE(2078);
      END_STATE();
    case 1368:
      if (lookahead == 'l') ADVANCE(1053);
      if (lookahead == 'q') ADVANCE(2077);
      if (lookahead == 'x') ADVANCE(1243);
      END_STATE();
    case 1369:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 1370:
      if (lookahead == 'l') ADVANCE(1954);
      END_STATE();
    case 1371:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 1372:
      if (lookahead == 'l') ADVANCE(467);
      END_STATE();
    case 1373:
      if (lookahead == 'l') ADVANCE(735);
      END_STATE();
    case 1374:
      if (lookahead == 'l') ADVANCE(430);
      END_STATE();
    case 1375:
      if (lookahead == 'l') ADVANCE(421);
      END_STATE();
    case 1376:
      if (lookahead == 'l') ADVANCE(512);
      END_STATE();
    case 1377:
      if (lookahead == 'l') ADVANCE(542);
      END_STATE();
    case 1378:
      if (lookahead == 'l') ADVANCE(330);
      END_STATE();
    case 1379:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 1380:
      if (lookahead == 'l') ADVANCE(251);
      END_STATE();
    case 1381:
      if (lookahead == 'l') ADVANCE(441);
      END_STATE();
    case 1382:
      if (lookahead == 'l') ADVANCE(905);
      END_STATE();
    case 1383:
      if (lookahead == 'l') ADVANCE(452);
      END_STATE();
    case 1384:
      if (lookahead == 'l') ADVANCE(1625);
      END_STATE();
    case 1385:
      if (lookahead == 'l') ADVANCE(1335);
      END_STATE();
    case 1386:
      if (lookahead == 'l') ADVANCE(892);
      END_STATE();
    case 1387:
      if (lookahead == 'l') ADVANCE(892);
      if (lookahead == 'm') ADVANCE(989);
      END_STATE();
    case 1388:
      if (lookahead == 'l') ADVANCE(892);
      if (lookahead == 'm') ADVANCE(1011);
      END_STATE();
    case 1389:
      if (lookahead == 'l') ADVANCE(973);
      END_STATE();
    case 1390:
      if (lookahead == 'l') ADVANCE(1899);
      END_STATE();
    case 1391:
      if (lookahead == 'l') ADVANCE(844);
      END_STATE();
    case 1392:
      if (lookahead == 'l') ADVANCE(1255);
      END_STATE();
    case 1393:
      if (lookahead == 'l') ADVANCE(2138);
      END_STATE();
    case 1394:
      if (lookahead == 'l') ADVANCE(1221);
      END_STATE();
    case 1395:
      if (lookahead == 'l') ADVANCE(992);
      END_STATE();
    case 1396:
      if (lookahead == 'l') ADVANCE(1354);
      END_STATE();
    case 1397:
      if (lookahead == 'l') ADVANCE(2148);
      END_STATE();
    case 1398:
      if (lookahead == 'l') ADVANCE(1634);
      END_STATE();
    case 1399:
      if (lookahead == 'l') ADVANCE(2085);
      END_STATE();
    case 1400:
      if (lookahead == 'l') ADVANCE(1248);
      END_STATE();
    case 1401:
      if (lookahead == 'l') ADVANCE(1380);
      if (lookahead == 'm') ADVANCE(1685);
      END_STATE();
    case 1402:
      if (lookahead == 'l') ADVANCE(1377);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(250);
      if (lookahead == 'u') ADVANCE(740);
      if (lookahead == 'w') ADVANCE(1504);
      END_STATE();
    case 1403:
      if (lookahead == 'l') ADVANCE(922);
      END_STATE();
    case 1404:
      if (lookahead == 'l') ADVANCE(978);
      END_STATE();
    case 1405:
      if (lookahead == 'l') ADVANCE(1364);
      END_STATE();
    case 1406:
      if (lookahead == 'l') ADVANCE(1374);
      END_STATE();
    case 1407:
      if (lookahead == 'l') ADVANCE(993);
      END_STATE();
    case 1408:
      if (lookahead == 'l') ADVANCE(1455);
      if (lookahead == 's') ADVANCE(1190);
      END_STATE();
    case 1409:
      if (lookahead == 'l') ADVANCE(1652);
      END_STATE();
    case 1410:
      if (lookahead == 'l') ADVANCE(1276);
      END_STATE();
    case 1411:
      if (lookahead == 'l') ADVANCE(1247);
      END_STATE();
    case 1412:
      if (lookahead == 'l') ADVANCE(1372);
      END_STATE();
    case 1413:
      if (lookahead == 'l') ADVANCE(1603);
      if (lookahead == 's') ADVANCE(1743);
      if (lookahead == 't') ADVANCE(1898);
      END_STATE();
    case 1414:
      if (lookahead == 'l') ADVANCE(968);
      END_STATE();
    case 1415:
      if (lookahead == 'l') ADVANCE(968);
      if (lookahead == 'q') ADVANCE(1414);
      END_STATE();
    case 1416:
      if (lookahead == 'l') ADVANCE(1289);
      END_STATE();
    case 1417:
      if (lookahead == 'l') ADVANCE(591);
      END_STATE();
    case 1418:
      if (lookahead == 'l') ADVANCE(1376);
      END_STATE();
    case 1419:
      if (lookahead == 'l') ADVANCE(939);
      END_STATE();
    case 1420:
      if (lookahead == 'l') ADVANCE(940);
      END_STATE();
    case 1421:
      if (lookahead == 'l') ADVANCE(1637);
      END_STATE();
    case 1422:
      if (lookahead == 'l') ADVANCE(929);
      END_STATE();
    case 1423:
      if (lookahead == 'l') ADVANCE(1060);
      END_STATE();
    case 1424:
      if (lookahead == 'l') ADVANCE(982);
      if (lookahead == 'r') ADVANCE(1282);
      END_STATE();
    case 1425:
      if (lookahead == 'l') ADVANCE(947);
      END_STATE();
    case 1426:
      if (lookahead == 'l') ADVANCE(948);
      END_STATE();
    case 1427:
      if (lookahead == 'l') ADVANCE(960);
      END_STATE();
    case 1428:
      if (lookahead == 'l') ADVANCE(1080);
      END_STATE();
    case 1429:
      if (lookahead == 'l') ADVANCE(970);
      END_STATE();
    case 1430:
      if (lookahead == 'l') ADVANCE(950);
      END_STATE();
    case 1431:
      if (lookahead == 'l') ADVANCE(951);
      END_STATE();
    case 1432:
      if (lookahead == 'l') ADVANCE(952);
      END_STATE();
    case 1433:
      if (lookahead == 'l') ADVANCE(979);
      END_STATE();
    case 1434:
      if (lookahead == 'l') ADVANCE(605);
      END_STATE();
    case 1435:
      if (lookahead == 'l') ADVANCE(1256);
      END_STATE();
    case 1436:
      if (lookahead == 'l') ADVANCE(899);
      END_STATE();
    case 1437:
      if (lookahead == 'l') ADVANCE(899);
      if (lookahead == 'm') ADVANCE(983);
      if (lookahead == 'n') ADVANCE(1954);
      END_STATE();
    case 1438:
      if (lookahead == 'l') ADVANCE(1627);
      if (lookahead == 'n') ADVANCE(1145);
      if (lookahead == 'p') ADVANCE(1094);
      if (lookahead == 'u') ADVANCE(1566);
      END_STATE();
    case 1439:
      if (lookahead == 'l') ADVANCE(547);
      END_STATE();
    case 1440:
      if (lookahead == 'l') ADVANCE(964);
      if (lookahead == 'r') ADVANCE(1313);
      END_STATE();
    case 1441:
      if (lookahead == 'l') ADVANCE(1045);
      END_STATE();
    case 1442:
      if (lookahead == 'l') ADVANCE(1044);
      END_STATE();
    case 1443:
      if (lookahead == 'l') ADVANCE(660);
      END_STATE();
    case 1444:
      if (lookahead == 'l') ADVANCE(2061);
      END_STATE();
    case 1445:
      if (lookahead == 'l') ADVANCE(1407);
      END_STATE();
    case 1446:
      if (lookahead == 'l') ADVANCE(606);
      END_STATE();
    case 1447:
      if (lookahead == 'l') ADVANCE(1297);
      END_STATE();
    case 1448:
      if (lookahead == 'l') ADVANCE(1632);
      if (lookahead == 'm') ADVANCE(1488);
      if (lookahead == 'n') ADVANCE(1121);
      if (lookahead == 'p') ADVANCE(271);
      END_STATE();
    case 1449:
      if (lookahead == 'l') ADVANCE(1845);
      END_STATE();
    case 1450:
      if (lookahead == 'l') ADVANCE(1231);
      END_STATE();
    case 1451:
      if (lookahead == 'l') ADVANCE(1392);
      END_STATE();
    case 1452:
      if (lookahead == 'l') ADVANCE(1279);
      END_STATE();
    case 1453:
      if (lookahead == 'l') ADVANCE(1395);
      END_STATE();
    case 1454:
      if (lookahead == 'l') ADVANCE(682);
      END_STATE();
    case 1455:
      if (lookahead == 'l') ADVANCE(1951);
      END_STATE();
    case 1456:
      if (lookahead == 'l') ADVANCE(1447);
      END_STATE();
    case 1457:
      if (lookahead == 'l') ADVANCE(1048);
      if (lookahead == 'm') ADVANCE(627);
      if (lookahead == 'r') ADVANCE(1313);
      END_STATE();
    case 1458:
      if (lookahead == 'l') ADVANCE(1075);
      if (lookahead == 'r') ADVANCE(1325);
      END_STATE();
    case 1459:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 1460:
      if (lookahead == 'm') ADVANCE(293);
      END_STATE();
    case 1461:
      if (lookahead == 'm') ADVANCE(293);
      if (lookahead == 'r') ADVANCE(1584);
      END_STATE();
    case 1462:
      if (lookahead == 'm') ADVANCE(510);
      END_STATE();
    case 1463:
      if (lookahead == 'm') ADVANCE(316);
      END_STATE();
    case 1464:
      if (lookahead == 'm') ADVANCE(362);
      END_STATE();
    case 1465:
      if (lookahead == 'm') ADVANCE(361);
      END_STATE();
    case 1466:
      if (lookahead == 'm') ADVANCE(528);
      END_STATE();
    case 1467:
      if (lookahead == 'm') ADVANCE(1312);
      END_STATE();
    case 1468:
      if (lookahead == 'm') ADVANCE(1219);
      END_STATE();
    case 1469:
      if (lookahead == 'm') ADVANCE(246);
      END_STATE();
    case 1470:
      if (lookahead == 'm') ADVANCE(1673);
      END_STATE();
    case 1471:
      if (lookahead == 'm') ADVANCE(1703);
      END_STATE();
    case 1472:
      if (lookahead == 'm') ADVANCE(1684);
      END_STATE();
    case 1473:
      if (lookahead == 'm') ADVANCE(1218);
      END_STATE();
    case 1474:
      if (lookahead == 'm') ADVANCE(1218);
      if (lookahead == 'p') ADVANCE(679);
      END_STATE();
    case 1475:
      if (lookahead == 'm') ADVANCE(1466);
      END_STATE();
    case 1476:
      if (lookahead == 'm') ADVANCE(254);
      END_STATE();
    case 1477:
      if (lookahead == 'm') ADVANCE(1707);
      END_STATE();
    case 1478:
      if (lookahead == 'm') ADVANCE(255);
      END_STATE();
    case 1479:
      if (lookahead == 'm') ADVANCE(568);
      END_STATE();
    case 1480:
      if (lookahead == 'm') ADVANCE(992);
      END_STATE();
    case 1481:
      if (lookahead == 'm') ADVANCE(1354);
      END_STATE();
    case 1482:
      if (lookahead == 'm') ADVANCE(1500);
      END_STATE();
    case 1483:
      if (lookahead == 'm') ADVANCE(922);
      END_STATE();
    case 1484:
      if (lookahead == 'm') ADVANCE(1699);
      END_STATE();
    case 1485:
      if (lookahead == 'm') ADVANCE(1694);
      END_STATE();
    case 1486:
      if (lookahead == 'm') ADVANCE(684);
      END_STATE();
    case 1487:
      if (lookahead == 'm') ADVANCE(556);
      END_STATE();
    case 1488:
      if (lookahead == 'm') ADVANCE(563);
      if (lookahead == 'p') ADVANCE(274);
      END_STATE();
    case 1489:
      if (lookahead == 'm') ADVANCE(955);
      END_STATE();
    case 1490:
      if (lookahead == 'm') ADVANCE(955);
      if (lookahead == 'x') ADVANCE(989);
      END_STATE();
    case 1491:
      if (lookahead == 'm') ADVANCE(552);
      END_STATE();
    case 1492:
      if (lookahead == 'm') ADVANCE(536);
      END_STATE();
    case 1493:
      if (lookahead == 'm') ADVANCE(989);
      END_STATE();
    case 1494:
      if (lookahead == 'm') ADVANCE(1715);
      END_STATE();
    case 1495:
      if (lookahead == 'm') ADVANCE(975);
      END_STATE();
    case 1496:
      if (lookahead == 'm') ADVANCE(1487);
      END_STATE();
    case 1497:
      if (lookahead == 'm') ADVANCE(1311);
      END_STATE();
    case 1498:
      if (lookahead == 'm') ADVANCE(678);
      END_STATE();
    case 1499:
      if (lookahead == 'n') ADVANCE(877);
      END_STATE();
    case 1500:
      if (lookahead == 'n') ADVANCE(148);
      END_STATE();
    case 1501:
      if (lookahead == 'n') ADVANCE(276);
      END_STATE();
    case 1502:
      if (lookahead == 'n') ADVANCE(418);
      END_STATE();
    case 1503:
      if (lookahead == 'n') ADVANCE(510);
      END_STATE();
    case 1504:
      if (lookahead == 'n') ADVANCE(692);
      END_STATE();
    case 1505:
      if (lookahead == 'n') ADVANCE(238);
      END_STATE();
    case 1506:
      if (lookahead == 'n') ADVANCE(836);
      END_STATE();
    case 1507:
      if (lookahead == 'n') ADVANCE(2156);
      END_STATE();
    case 1508:
      if (lookahead == 'n') ADVANCE(166);
      END_STATE();
    case 1509:
      if (lookahead == 'n') ADVANCE(517);
      END_STATE();
    case 1510:
      if (lookahead == 'n') ADVANCE(521);
      END_STATE();
    case 1511:
      if (lookahead == 'n') ADVANCE(184);
      END_STATE();
    case 1512:
      if (lookahead == 'n') ADVANCE(1954);
      END_STATE();
    case 1513:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 1514:
      if (lookahead == 'n') ADVANCE(483);
      END_STATE();
    case 1515:
      if (lookahead == 'n') ADVANCE(239);
      END_STATE();
    case 1516:
      if (lookahead == 'n') ADVANCE(2132);
      END_STATE();
    case 1517:
      if (lookahead == 'n') ADVANCE(412);
      END_STATE();
    case 1518:
      if (lookahead == 'n') ADVANCE(1114);
      END_STATE();
    case 1519:
      if (lookahead == 'n') ADVANCE(912);
      END_STATE();
    case 1520:
      if (lookahead == 'n') ADVANCE(246);
      END_STATE();
    case 1521:
      if (lookahead == 'n') ADVANCE(1116);
      END_STATE();
    case 1522:
      if (lookahead == 'n') ADVANCE(1116);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1523:
      if (lookahead == 'n') ADVANCE(2014);
      END_STATE();
    case 1524:
      if (lookahead == 'n') ADVANCE(1122);
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'w') ADVANCE(1023);
      END_STATE();
    case 1525:
      if (lookahead == 'n') ADVANCE(351);
      END_STATE();
    case 1526:
      if (lookahead == 'n') ADVANCE(1335);
      END_STATE();
    case 1527:
      if (lookahead == 'n') ADVANCE(254);
      END_STATE();
    case 1528:
      if (lookahead == 'n') ADVANCE(1899);
      END_STATE();
    case 1529:
      if (lookahead == 'n') ADVANCE(885);
      END_STATE();
    case 1530:
      if (lookahead == 'n') ADVANCE(249);
      END_STATE();
    case 1531:
      if (lookahead == 'n') ADVANCE(1146);
      if (lookahead == 'r') ADVANCE(1003);
      END_STATE();
    case 1532:
      if (lookahead == 'n') ADVANCE(842);
      END_STATE();
    case 1533:
      if (lookahead == 'n') ADVANCE(1162);
      END_STATE();
    case 1534:
      if (lookahead == 'n') ADVANCE(922);
      END_STATE();
    case 1535:
      if (lookahead == 'n') ADVANCE(1120);
      END_STATE();
    case 1536:
      if (lookahead == 'n') ADVANCE(870);
      END_STATE();
    case 1537:
      if (lookahead == 'n') ADVANCE(1630);
      END_STATE();
    case 1538:
      if (lookahead == 'n') ADVANCE(1148);
      END_STATE();
    case 1539:
      if (lookahead == 'n') ADVANCE(895);
      END_STATE();
    case 1540:
      if (lookahead == 'n') ADVANCE(1175);
      END_STATE();
    case 1541:
      if (lookahead == 'n') ADVANCE(953);
      END_STATE();
    case 1542:
      if (lookahead == 'n') ADVANCE(1123);
      END_STATE();
    case 1543:
      if (lookahead == 'n') ADVANCE(865);
      END_STATE();
    case 1544:
      if (lookahead == 'n') ADVANCE(2032);
      END_STATE();
    case 1545:
      if (lookahead == 'n') ADVANCE(1965);
      END_STATE();
    case 1546:
      if (lookahead == 'n') ADVANCE(1979);
      END_STATE();
    case 1547:
      if (lookahead == 'n') ADVANCE(2004);
      END_STATE();
    case 1548:
      if (lookahead == 'n') ADVANCE(2006);
      END_STATE();
    case 1549:
      if (lookahead == 'n') ADVANCE(984);
      END_STATE();
    case 1550:
      if (lookahead == 'n') ADVANCE(987);
      END_STATE();
    case 1551:
      if (lookahead == 'n') ADVANCE(1424);
      END_STATE();
    case 1552:
      if (lookahead == 'n') ADVANCE(2063);
      END_STATE();
    case 1553:
      if (lookahead == 'n') ADVANCE(203);
      END_STATE();
    case 1554:
      if (lookahead == 'n') ADVANCE(1141);
      END_STATE();
    case 1555:
      if (lookahead == 'n') ADVANCE(1144);
      END_STATE();
    case 1556:
      if (lookahead == 'n') ADVANCE(1069);
      END_STATE();
    case 1557:
      if (lookahead == 'n') ADVANCE(1254);
      END_STATE();
    case 1558:
      if (lookahead == 'n') ADVANCE(2022);
      END_STATE();
    case 1559:
      if (lookahead == 'n') ADVANCE(2061);
      END_STATE();
    case 1560:
      if (lookahead == 'n') ADVANCE(1635);
      END_STATE();
    case 1561:
      if (lookahead == 'n') ADVANCE(2023);
      END_STATE();
    case 1562:
      if (lookahead == 'n') ADVANCE(1231);
      END_STATE();
    case 1563:
      if (lookahead == 'n') ADVANCE(2021);
      END_STATE();
    case 1564:
      if (lookahead == 'n') ADVANCE(2041);
      END_STATE();
    case 1565:
      if (lookahead == 'n') ADVANCE(652);
      END_STATE();
    case 1566:
      if (lookahead == 'n') ADVANCE(2033);
      END_STATE();
    case 1567:
      if (lookahead == 'n') ADVANCE(1167);
      END_STATE();
    case 1568:
      if (lookahead == 'n') ADVANCE(2031);
      END_STATE();
    case 1569:
      if (lookahead == 'n') ADVANCE(1310);
      END_STATE();
    case 1570:
      if (lookahead == 'n') ADVANCE(1072);
      END_STATE();
    case 1571:
      if (lookahead == 'n') ADVANCE(1169);
      if (lookahead == 'r') ADVANCE(1849);
      END_STATE();
    case 1572:
      if (lookahead == 'n') ADVANCE(1169);
      if (lookahead == 'r') ADVANCE(1853);
      END_STATE();
    case 1573:
      if (lookahead == 'n') ADVANCE(2035);
      END_STATE();
    case 1574:
      if (lookahead == 'n') ADVANCE(1170);
      END_STATE();
    case 1575:
      if (lookahead == 'n') ADVANCE(1171);
      END_STATE();
    case 1576:
      if (lookahead == 'n') ADVANCE(2037);
      END_STATE();
    case 1577:
      if (lookahead == 'n') ADVANCE(1172);
      END_STATE();
    case 1578:
      if (lookahead == 'n') ADVANCE(1173);
      END_STATE();
    case 1579:
      if (lookahead == 'n') ADVANCE(1174);
      END_STATE();
    case 1580:
      if (lookahead == 'n') ADVANCE(2042);
      END_STATE();
    case 1581:
      if (lookahead == 'n') ADVANCE(701);
      END_STATE();
    case 1582:
      if (lookahead == 'n') ADVANCE(690);
      END_STATE();
    case 1583:
      if (lookahead == 'o') ADVANCE(877);
      END_STATE();
    case 1584:
      if (lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 1585:
      if (lookahead == 'o') ADVANCE(326);
      END_STATE();
    case 1586:
      if (lookahead == 'o') ADVANCE(1092);
      END_STATE();
    case 1587:
      if (lookahead == 'o') ADVANCE(2123);
      END_STATE();
    case 1588:
      if (lookahead == 'o') ADVANCE(522);
      END_STATE();
    case 1589:
      if (lookahead == 'o') ADVANCE(2102);
      END_STATE();
    case 1590:
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 1591:
      if (lookahead == 'o') ADVANCE(1956);
      END_STATE();
    case 1592:
      if (lookahead == 'o') ADVANCE(1955);
      END_STATE();
    case 1593:
      if (lookahead == 'o') ADVANCE(1746);
      END_STATE();
    case 1594:
      if (lookahead == 'o') ADVANCE(1954);
      END_STATE();
    case 1595:
      if (lookahead == 'o') ADVANCE(1954);
      if (lookahead == 's') ADVANCE(2055);
      END_STATE();
    case 1596:
      if (lookahead == 'o') ADVANCE(306);
      END_STATE();
    case 1597:
      if (lookahead == 'o') ADVANCE(2134);
      END_STATE();
    case 1598:
      if (lookahead == 'o') ADVANCE(825);
      END_STATE();
    case 1599:
      if (lookahead == 'o') ADVANCE(2132);
      END_STATE();
    case 1600:
      if (lookahead == 'o') ADVANCE(1925);
      END_STATE();
    case 1601:
      if (lookahead == 'o') ADVANCE(342);
      END_STATE();
    case 1602:
      if (lookahead == 'o') ADVANCE(2112);
      END_STATE();
    case 1603:
      if (lookahead == 'o') ADVANCE(2152);
      END_STATE();
    case 1604:
      if (lookahead == 'o') ADVANCE(1673);
      END_STATE();
    case 1605:
      if (lookahead == 'o') ADVANCE(1562);
      END_STATE();
    case 1606:
      if (lookahead == 'o') ADVANCE(2113);
      END_STATE();
    case 1607:
      if (lookahead == 'o') ADVANCE(2114);
      END_STATE();
    case 1608:
      if (lookahead == 'o') ADVANCE(1459);
      END_STATE();
    case 1609:
      if (lookahead == 'o') ADVANCE(1335);
      END_STATE();
    case 1610:
      if (lookahead == 'o') ADVANCE(2009);
      END_STATE();
    case 1611:
      if (lookahead == 'o') ADVANCE(2115);
      END_STATE();
    case 1612:
      if (lookahead == 'o') ADVANCE(2128);
      END_STATE();
    case 1613:
      if (lookahead == 'o') ADVANCE(1899);
      END_STATE();
    case 1614:
      if (lookahead == 'o') ADVANCE(1521);
      END_STATE();
    case 1615:
      if (lookahead == 'o') ADVANCE(1521);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1616:
      if (lookahead == 'o') ADVANCE(2129);
      END_STATE();
    case 1617:
      if (lookahead == 'o') ADVANCE(2121);
      END_STATE();
    case 1618:
      if (lookahead == 'o') ADVANCE(2116);
      END_STATE();
    case 1619:
      if (lookahead == 'o') ADVANCE(1354);
      if (lookahead == 'u') ADVANCE(714);
      END_STATE();
    case 1620:
      if (lookahead == 'o') ADVANCE(900);
      END_STATE();
    case 1621:
      if (lookahead == 'o') ADVANCE(1528);
      END_STATE();
    case 1622:
      if (lookahead == 'o') ADVANCE(2119);
      END_STATE();
    case 1623:
      if (lookahead == 'o') ADVANCE(1960);
      END_STATE();
    case 1624:
      if (lookahead == 'o') ADVANCE(1800);
      END_STATE();
    case 1625:
      if (lookahead == 'o') ADVANCE(1500);
      END_STATE();
    case 1626:
      if (lookahead == 'o') ADVANCE(1500);
      if (lookahead == 'r') ADVANCE(560);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1627:
      if (lookahead == 'o') ADVANCE(1520);
      END_STATE();
    case 1628:
      if (lookahead == 'o') ADVANCE(1556);
      END_STATE();
    case 1629:
      if (lookahead == 'o') ADVANCE(1511);
      END_STATE();
    case 1630:
      if (lookahead == 'o') ADVANCE(2098);
      END_STATE();
    case 1631:
      if (lookahead == 'o') ADVANCE(1499);
      END_STATE();
    case 1632:
      if (lookahead == 'o') ADVANCE(1527);
      END_STATE();
    case 1633:
      if (lookahead == 'o') ADVANCE(2100);
      END_STATE();
    case 1634:
      if (lookahead == 'o') ADVANCE(1593);
      END_STATE();
    case 1635:
      if (lookahead == 'o') ADVANCE(2046);
      END_STATE();
    case 1636:
      if (lookahead == 'o') ADVANCE(1353);
      END_STATE();
    case 1637:
      if (lookahead == 'o') ADVANCE(824);
      END_STATE();
    case 1638:
      if (lookahead == 'o') ADVANCE(1995);
      END_STATE();
    case 1639:
      if (lookahead == 'o') ADVANCE(1997);
      END_STATE();
    case 1640:
      if (lookahead == 'o') ADVANCE(2039);
      END_STATE();
    case 1641:
      if (lookahead == 'o') ADVANCE(1551);
      END_STATE();
    case 1642:
      if (lookahead == 'o') ADVANCE(1553);
      END_STATE();
    case 1643:
      if (lookahead == 'o') ADVANCE(1519);
      END_STATE();
    case 1644:
      if (lookahead == 'o') ADVANCE(1812);
      if (lookahead == 'r') ADVANCE(1604);
      END_STATE();
    case 1645:
      if (lookahead == 'o') ADVANCE(1837);
      END_STATE();
    case 1646:
      if (lookahead == 'o') ADVANCE(1839);
      if (lookahead == 'r') ADVANCE(1604);
      END_STATE();
    case 1647:
      if (lookahead == 'o') ADVANCE(1763);
      END_STATE();
    case 1648:
      if (lookahead == 'o') ADVANCE(2124);
      END_STATE();
    case 1649:
      if (lookahead == 'o') ADVANCE(1475);
      END_STATE();
    case 1650:
      if (lookahead == 'o') ADVANCE(1475);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 1651:
      if (lookahead == 'o') ADVANCE(1818);
      END_STATE();
    case 1652:
      if (lookahead == 'o') ADVANCE(1702);
      END_STATE();
    case 1653:
      if (lookahead == 'o') ADVANCE(1713);
      END_STATE();
    case 1654:
      if (lookahead == 'o') ADVANCE(2082);
      END_STATE();
    case 1655:
      if (lookahead == 'o') ADVANCE(2130);
      END_STATE();
    case 1656:
      if (lookahead == 'o') ADVANCE(2125);
      END_STATE();
    case 1657:
      if (lookahead == 'o') ADVANCE(2088);
      END_STATE();
    case 1658:
      if (lookahead == 'o') ADVANCE(2003);
      END_STATE();
    case 1659:
      if (lookahead == 'o') ADVANCE(1555);
      if (lookahead == 'u') ADVANCE(1693);
      END_STATE();
    case 1660:
      if (lookahead == 'o') ADVANCE(2126);
      END_STATE();
    case 1661:
      if (lookahead == 'o') ADVANCE(1568);
      END_STATE();
    case 1662:
      if (lookahead == 'o') ADVANCE(1833);
      END_STATE();
    case 1663:
      if (lookahead == 'o') ADVANCE(1641);
      END_STATE();
    case 1664:
      if (lookahead == 'o') ADVANCE(1814);
      END_STATE();
    case 1665:
      if (lookahead == 'o') ADVANCE(1547);
      END_STATE();
    case 1666:
      if (lookahead == 'o') ADVANCE(1621);
      END_STATE();
    case 1667:
      if (lookahead == 'o') ADVANCE(1643);
      END_STATE();
    case 1668:
      if (lookahead == 'o') ADVANCE(1879);
      END_STATE();
    case 1669:
      if (lookahead == 'o') ADVANCE(1450);
      END_STATE();
    case 1670:
      if (lookahead == 'o') ADVANCE(2103);
      END_STATE();
    case 1671:
      if (lookahead == 'o') ADVANCE(2131);
      END_STATE();
    case 1672:
      if (lookahead == 'p') ADVANCE(1950);
      END_STATE();
    case 1673:
      if (lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 1674:
      if (lookahead == 'p') ADVANCE(148);
      if (lookahead == 'r') ADVANCE(1625);
      END_STATE();
    case 1675:
      if (lookahead == 'p') ADVANCE(1182);
      END_STATE();
    case 1676:
      if (lookahead == 'p') ADVANCE(1092);
      END_STATE();
    case 1677:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'r') ADVANCE(671);
      END_STATE();
    case 1678:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'r') ADVANCE(410);
      if (lookahead == 'u') ADVANCE(1830);
      END_STATE();
    case 1679:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'r') ADVANCE(1224);
      END_STATE();
    case 1680:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(161);
      if (lookahead == 'u') ADVANCE(739);
      if (lookahead == 'w') ADVANCE(1502);
      END_STATE();
    case 1681:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 't') ADVANCE(350);
      if (lookahead == 'w') ADVANCE(2015);
      if (lookahead == 'x') ADVANCE(445);
      END_STATE();
    case 1682:
      if (lookahead == 'p') ADVANCE(1092);
      if (lookahead == 'u') ADVANCE(1529);
      END_STATE();
    case 1683:
      if (lookahead == 'p') ADVANCE(160);
      END_STATE();
    case 1684:
      if (lookahead == 'p') ADVANCE(454);
      END_STATE();
    case 1685:
      if (lookahead == 'p') ADVANCE(167);
      END_STATE();
    case 1686:
      if (lookahead == 'p') ADVANCE(141);
      END_STATE();
    case 1687:
      if (lookahead == 'p') ADVANCE(455);
      END_STATE();
    case 1688:
      if (lookahead == 'p') ADVANCE(413);
      END_STATE();
    case 1689:
      if (lookahead == 'p') ADVANCE(1746);
      if (lookahead == 's') ADVANCE(758);
      END_STATE();
    case 1690:
      if (lookahead == 'p') ADVANCE(528);
      END_STATE();
    case 1691:
      if (lookahead == 'p') ADVANCE(320);
      END_STATE();
    case 1692:
      if (lookahead == 'p') ADVANCE(412);
      END_STATE();
    case 1693:
      if (lookahead == 'p') ADVANCE(428);
      END_STATE();
    case 1694:
      if (lookahead == 'p') ADVANCE(246);
      END_STATE();
    case 1695:
      if (lookahead == 'p') ADVANCE(330);
      END_STATE();
    case 1696:
      if (lookahead == 'p') ADVANCE(1179);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1697:
      if (lookahead == 'p') ADVANCE(1690);
      END_STATE();
    case 1698:
      if (lookahead == 'p') ADVANCE(1899);
      if (lookahead == 'r') ADVANCE(1625);
      END_STATE();
    case 1699:
      if (lookahead == 'p') ADVANCE(255);
      END_STATE();
    case 1700:
      if (lookahead == 'p') ADVANCE(1365);
      END_STATE();
    case 1701:
      if (lookahead == 'p') ADVANCE(1710);
      END_STATE();
    case 1702:
      if (lookahead == 'p') ADVANCE(922);
      END_STATE();
    case 1703:
      if (lookahead == 'p') ADVANCE(969);
      END_STATE();
    case 1704:
      if (lookahead == 'p') ADVANCE(1444);
      END_STATE();
    case 1705:
      if (lookahead == 'p') ADVANCE(1444);
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 1706:
      if (lookahead == 'p') ADVANCE(1922);
      END_STATE();
    case 1707:
      if (lookahead == 'p') ADVANCE(1994);
      END_STATE();
    case 1708:
      if (lookahead == 'p') ADVANCE(1720);
      END_STATE();
    case 1709:
      if (lookahead == 'p') ADVANCE(1720);
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1710:
      if (lookahead == 'p') ADVANCE(548);
      END_STATE();
    case 1711:
      if (lookahead == 'p') ADVANCE(1663);
      END_STATE();
    case 1712:
      if (lookahead == 'p') ADVANCE(1446);
      END_STATE();
    case 1713:
      if (lookahead == 'p') ADVANCE(1985);
      END_STATE();
    case 1714:
      if (lookahead == 'p') ADVANCE(1613);
      END_STATE();
    case 1715:
      if (lookahead == 'p') ADVANCE(1410);
      END_STATE();
    case 1716:
      if (lookahead == 'p') ADVANCE(668);
      END_STATE();
    case 1717:
      if (lookahead == 'p') ADVANCE(1940);
      END_STATE();
    case 1718:
      if (lookahead == 'p') ADVANCE(1845);
      if (lookahead == 's') ADVANCE(2073);
      END_STATE();
    case 1719:
      if (lookahead == 'p') ADVANCE(1422);
      END_STATE();
    case 1720:
      if (lookahead == 'p') ADVANCE(1825);
      END_STATE();
    case 1721:
      if (lookahead == 'p') ADVANCE(650);
      END_STATE();
    case 1722:
      if (lookahead == 'p') ADVANCE(699);
      END_STATE();
    case 1723:
      if (lookahead == 'p') ADVANCE(466);
      END_STATE();
    case 1724:
      if (lookahead == 'p') ADVANCE(1667);
      END_STATE();
    case 1725:
      if (lookahead == 'p') ADVANCE(683);
      END_STATE();
    case 1726:
      if (lookahead == 'p') ADVANCE(1666);
      END_STATE();
    case 1727:
      if (lookahead == 'p') ADVANCE(701);
      END_STATE();
    case 1728:
      if (lookahead == 'q') ADVANCE(148);
      END_STATE();
    case 1729:
      if (lookahead == 'q') ADVANCE(236);
      END_STATE();
    case 1730:
      if (lookahead == 'q') ADVANCE(1415);
      END_STATE();
    case 1731:
      if (lookahead == 'q') ADVANCE(1153);
      END_STATE();
    case 1732:
      if (lookahead == 'q') ADVANCE(1718);
      END_STATE();
    case 1733:
      if (lookahead == 'q') ADVANCE(321);
      END_STATE();
    case 1734:
      if (lookahead == 'q') ADVANCE(1728);
      END_STATE();
    case 1735:
      if (lookahead == 'q') ADVANCE(2049);
      END_STATE();
    case 1736:
      if (lookahead == 'q') ADVANCE(2068);
      END_STATE();
    case 1737:
      if (lookahead == 'q') ADVANCE(2101);
      if (lookahead == 'u') ADVANCE(737);
      END_STATE();
    case 1738:
      if (lookahead == 'q') ADVANCE(2089);
      END_STATE();
    case 1739:
      if (lookahead == 'q') ADVANCE(2078);
      END_STATE();
    case 1740:
      if (lookahead == 'q') ADVANCE(843);
      if (lookahead == 't') ADVANCE(542);
      END_STATE();
    case 1741:
      if (lookahead == 'q') ADVANCE(2092);
      END_STATE();
    case 1742:
      if (lookahead == 'q') ADVANCE(2096);
      END_STATE();
    case 1743:
      if (lookahead == 'q') ADVANCE(2099);
      END_STATE();
    case 1744:
      if (lookahead == 'r') ADVANCE(877);
      END_STATE();
    case 1745:
      if (lookahead == 'r') ADVANCE(931);
      END_STATE();
    case 1746:
      if (lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 1747:
      if (lookahead == 'r') ADVANCE(435);
      END_STATE();
    case 1748:
      if (lookahead == 'r') ADVANCE(305);
      END_STATE();
    case 1749:
      if (lookahead == 'r') ADVANCE(1092);
      END_STATE();
    case 1750:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 1751:
      if (lookahead == 'r') ADVANCE(318);
      END_STATE();
    case 1752:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 1753:
      if (lookahead == 'r') ADVANCE(801);
      END_STATE();
    case 1754:
      if (lookahead == 'r') ADVANCE(419);
      END_STATE();
    case 1755:
      if (lookahead == 'r') ADVANCE(2164);
      END_STATE();
    case 1756:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 1757:
      if (lookahead == 'r') ADVANCE(220);
      END_STATE();
    case 1758:
      if (lookahead == 'r') ADVANCE(1192);
      END_STATE();
    case 1759:
      if (lookahead == 'r') ADVANCE(196);
      END_STATE();
    case 1760:
      if (lookahead == 'r') ADVANCE(492);
      END_STATE();
    case 1761:
      if (lookahead == 'r') ADVANCE(360);
      END_STATE();
    case 1762:
      if (lookahead == 'r') ADVANCE(2168);
      END_STATE();
    case 1763:
      if (lookahead == 'r') ADVANCE(153);
      END_STATE();
    case 1764:
      if (lookahead == 'r') ADVANCE(171);
      END_STATE();
    case 1765:
      if (lookahead == 'r') ADVANCE(1746);
      END_STATE();
    case 1766:
      if (lookahead == 'r') ADVANCE(311);
      END_STATE();
    case 1767:
      if (lookahead == 'r') ADVANCE(474);
      END_STATE();
    case 1768:
      if (lookahead == 'r') ADVANCE(751);
      END_STATE();
    case 1769:
      if (lookahead == 'r') ADVANCE(354);
      END_STATE();
    case 1770:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 1771:
      if (lookahead == 'r') ADVANCE(1954);
      END_STATE();
    case 1772:
      if (lookahead == 'r') ADVANCE(1954);
      if (lookahead == 'u') ADVANCE(685);
      END_STATE();
    case 1773:
      if (lookahead == 'r') ADVANCE(239);
      END_STATE();
    case 1774:
      if (lookahead == 'r') ADVANCE(904);
      END_STATE();
    case 1775:
      if (lookahead == 'r') ADVANCE(214);
      END_STATE();
    case 1776:
      if (lookahead == 'r') ADVANCE(223);
      END_STATE();
    case 1777:
      if (lookahead == 'r') ADVANCE(210);
      END_STATE();
    case 1778:
      if (lookahead == 'r') ADVANCE(486);
      END_STATE();
    case 1779:
      if (lookahead == 'r') ADVANCE(750);
      END_STATE();
    case 1780:
      if (lookahead == 'r') ADVANCE(579);
      END_STATE();
    case 1781:
      if (lookahead == 'r') ADVANCE(1219);
      END_STATE();
    case 1782:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 1783:
      if (lookahead == 'r') ADVANCE(296);
      END_STATE();
    case 1784:
      if (lookahead == 'r') ADVANCE(302);
      END_STATE();
    case 1785:
      if (lookahead == 'r') ADVANCE(880);
      END_STATE();
    case 1786:
      if (lookahead == 'r') ADVANCE(872);
      END_STATE();
    case 1787:
      if (lookahead == 'r') ADVANCE(1584);
      END_STATE();
    case 1788:
      if (lookahead == 'r') ADVANCE(307);
      END_STATE();
    case 1789:
      if (lookahead == 'r') ADVANCE(1345);
      END_STATE();
    case 1790:
      if (lookahead == 'r') ADVANCE(336);
      END_STATE();
    case 1791:
      if (lookahead == 'r') ADVANCE(431);
      END_STATE();
    case 1792:
      if (lookahead == 'r') ADVANCE(347);
      END_STATE();
    case 1793:
      if (lookahead == 'r') ADVANCE(862);
      END_STATE();
    case 1794:
      if (lookahead == 'r') ADVANCE(1673);
      END_STATE();
    case 1795:
      if (lookahead == 'r') ADVANCE(999);
      END_STATE();
    case 1796:
      if (lookahead == 'r') ADVANCE(2014);
      END_STATE();
    case 1797:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 1798:
      if (lookahead == 'r') ADVANCE(533);
      END_STATE();
    case 1799:
      if (lookahead == 'r') ADVANCE(1625);
      END_STATE();
    case 1800:
      if (lookahead == 'r') ADVANCE(1335);
      END_STATE();
    case 1801:
      if (lookahead == 'r') ADVANCE(2142);
      END_STATE();
    case 1802:
      if (lookahead == 'r') ADVANCE(2144);
      END_STATE();
    case 1803:
      if (lookahead == 'r') ADVANCE(1588);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1804:
      if (lookahead == 'r') ADVANCE(1899);
      END_STATE();
    case 1805:
      if (lookahead == 'r') ADVANCE(992);
      END_STATE();
    case 1806:
      if (lookahead == 'r') ADVANCE(1583);
      END_STATE();
    case 1807:
      if (lookahead == 'r') ADVANCE(560);
      END_STATE();
    case 1808:
      if (lookahead == 'r') ADVANCE(2120);
      END_STATE();
    case 1809:
      if (lookahead == 'r') ADVANCE(2143);
      END_STATE();
    case 1810:
      if (lookahead == 'r') ADVANCE(1050);
      END_STATE();
    case 1811:
      if (lookahead == 'r') ADVANCE(1191);
      END_STATE();
    case 1812:
      if (lookahead == 'r') ADVANCE(1500);
      END_STATE();
    case 1813:
      if (lookahead == 'r') ADVANCE(758);
      END_STATE();
    case 1814:
      if (lookahead == 'r') ADVANCE(922);
      END_STATE();
    case 1815:
      if (lookahead == 'r') ADVANCE(1604);
      END_STATE();
    case 1816:
      if (lookahead == 'r') ADVANCE(1296);
      END_STATE();
    case 1817:
      if (lookahead == 'r') ADVANCE(1609);
      END_STATE();
    case 1818:
      if (lookahead == 'r') ADVANCE(1962);
      END_STATE();
    case 1819:
      if (lookahead == 'r') ADVANCE(1597);
      END_STATE();
    case 1820:
      if (lookahead == 'r') ADVANCE(1919);
      END_STATE();
    case 1821:
      if (lookahead == 'r') ADVANCE(831);
      END_STATE();
    case 1822:
      if (lookahead == 'r') ADVANCE(1602);
      END_STATE();
    case 1823:
      if (lookahead == 'r') ADVANCE(1755);
      END_STATE();
    case 1824:
      if (lookahead == 'r') ADVANCE(596);
      END_STATE();
    case 1825:
      if (lookahead == 'r') ADVANCE(1599);
      END_STATE();
    case 1826:
      if (lookahead == 'r') ADVANCE(2032);
      END_STATE();
    case 1827:
      if (lookahead == 'r') ADVANCE(1711);
      END_STATE();
    case 1828:
      if (lookahead == 'r') ADVANCE(2025);
      END_STATE();
    case 1829:
      if (lookahead == 'r') ADVANCE(1941);
      END_STATE();
    case 1830:
      if (lookahead == 'r') ADVANCE(1305);
      END_STATE();
    case 1831:
      if (lookahead == 'r') ADVANCE(1949);
      END_STATE();
    case 1832:
      if (lookahead == 'r') ADVANCE(974);
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1833:
      if (lookahead == 'r') ADVANCE(1978);
      END_STATE();
    case 1834:
      if (lookahead == 'r') ADVANCE(599);
      END_STATE();
    case 1835:
      if (lookahead == 'r') ADVANCE(1267);
      END_STATE();
    case 1836:
      if (lookahead == 'r') ADVANCE(1606);
      END_STATE();
    case 1837:
      if (lookahead == 'r') ADVANCE(1541);
      END_STATE();
    case 1838:
      if (lookahead == 'r') ADVANCE(1927);
      END_STATE();
    case 1839:
      if (lookahead == 'r') ADVANCE(1530);
      END_STATE();
    case 1840:
      if (lookahead == 'r') ADVANCE(1245);
      END_STATE();
    case 1841:
      if (lookahead == 'r') ADVANCE(1569);
      END_STATE();
    case 1842:
      if (lookahead == 'r') ADVANCE(1393);
      END_STATE();
    case 1843:
      if (lookahead == 'r') ADVANCE(1302);
      END_STATE();
    case 1844:
      if (lookahead == 'r') ADVANCE(1397);
      END_STATE();
    case 1845:
      if (lookahead == 'r') ADVANCE(997);
      END_STATE();
    case 1846:
      if (lookahead == 'r') ADVANCE(1607);
      END_STATE();
    case 1847:
      if (lookahead == 'r') ADVANCE(1958);
      END_STATE();
    case 1848:
      if (lookahead == 'r') ADVANCE(938);
      if (lookahead == 't') ADVANCE(559);
      END_STATE();
    case 1849:
      if (lookahead == 'r') ADVANCE(1611);
      END_STATE();
    case 1850:
      if (lookahead == 'r') ADVANCE(1612);
      END_STATE();
    case 1851:
      if (lookahead == 'r') ADVANCE(1616);
      END_STATE();
    case 1852:
      if (lookahead == 'r') ADVANCE(1617);
      END_STATE();
    case 1853:
      if (lookahead == 'r') ADVANCE(1618);
      END_STATE();
    case 1854:
      if (lookahead == 'r') ADVANCE(1090);
      END_STATE();
    case 1855:
      if (lookahead == 'r') ADVANCE(941);
      END_STATE();
    case 1856:
      if (lookahead == 'r') ADVANCE(1622);
      END_STATE();
    case 1857:
      if (lookahead == 'r') ADVANCE(1761);
      END_STATE();
    case 1858:
      if (lookahead == 'r') ADVANCE(1046);
      END_STATE();
    case 1859:
      if (lookahead == 'r') ADVANCE(1751);
      END_STATE();
    case 1860:
      if (lookahead == 'r') ADVANCE(1784);
      END_STATE();
    case 1861:
      if (lookahead == 'r') ADVANCE(1065);
      END_STATE();
    case 1862:
      if (lookahead == 'r') ADVANCE(967);
      END_STATE();
    case 1863:
      if (lookahead == 'r') ADVANCE(689);
      END_STATE();
    case 1864:
      if (lookahead == 'r') ADVANCE(604);
      END_STATE();
    case 1865:
      if (lookahead == 'r') ADVANCE(649);
      END_STATE();
    case 1866:
      if (lookahead == 'r') ADVANCE(1277);
      END_STATE();
    case 1867:
      if (lookahead == 'r') ADVANCE(1942);
      END_STATE();
    case 1868:
      if (lookahead == 'r') ADVANCE(843);
      END_STATE();
    case 1869:
      if (lookahead == 'r') ADVANCE(2022);
      END_STATE();
    case 1870:
      if (lookahead == 'r') ADVANCE(1013);
      END_STATE();
    case 1871:
      if (lookahead == 'r') ADVANCE(1143);
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 1872:
      if (lookahead == 'r') ADVANCE(2005);
      END_STATE();
    case 1873:
      if (lookahead == 'r') ADVANCE(2067);
      END_STATE();
    case 1874:
      if (lookahead == 'r') ADVANCE(1944);
      END_STATE();
    case 1875:
      if (lookahead == 'r') ADVANCE(1020);
      END_STATE();
    case 1876:
      if (lookahead == 'r') ADVANCE(1037);
      END_STATE();
    case 1877:
      if (lookahead == 'r') ADVANCE(1822);
      END_STATE();
    case 1878:
      if (lookahead == 'r') ADVANCE(628);
      END_STATE();
    case 1879:
      if (lookahead == 'r') ADVANCE(2020);
      END_STATE();
    case 1880:
      if (lookahead == 'r') ADVANCE(1836);
      END_STATE();
    case 1881:
      if (lookahead == 'r') ADVANCE(1846);
      END_STATE();
    case 1882:
      if (lookahead == 'r') ADVANCE(1850);
      END_STATE();
    case 1883:
      if (lookahead == 'r') ADVANCE(1851);
      END_STATE();
    case 1884:
      if (lookahead == 'r') ADVANCE(1852);
      END_STATE();
    case 1885:
      if (lookahead == 'r') ADVANCE(1856);
      END_STATE();
    case 1886:
      if (lookahead == 'r') ADVANCE(1055);
      END_STATE();
    case 1887:
      if (lookahead == 'r') ADVANCE(867);
      END_STATE();
    case 1888:
      if (lookahead == 'r') ADVANCE(1078);
      END_STATE();
    case 1889:
      if (lookahead == 'r') ADVANCE(469);
      END_STATE();
    case 1890:
      if (lookahead == 'r') ADVANCE(1724);
      END_STATE();
    case 1891:
      if (lookahead == 'r') ADVANCE(2043);
      END_STATE();
    case 1892:
      if (lookahead == 'r') ADVANCE(1726);
      END_STATE();
    case 1893:
      if (lookahead == 'r') ADVANCE(1087);
      END_STATE();
    case 1894:
      if (lookahead == 'r') ADVANCE(1088);
      END_STATE();
    case 1895:
      if (lookahead == 'r') ADVANCE(1089);
      END_STATE();
    case 1896:
      if (lookahead == 'r') ADVANCE(1329);
      END_STATE();
    case 1897:
      if (lookahead == 'r') ADVANCE(1331);
      END_STATE();
    case 1898:
      if (lookahead == 'r') ADVANCE(1332);
      END_STATE();
    case 1899:
      if (lookahead == 's') ADVANCE(148);
      END_STATE();
    case 1900:
      if (lookahead == 's') ADVANCE(1047);
      END_STATE();
    case 1901:
      if (lookahead == 's') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(1485);
      END_STATE();
    case 1902:
      if (lookahead == 's') ADVANCE(468);
      END_STATE();
    case 1903:
      if (lookahead == 's') ADVANCE(494);
      END_STATE();
    case 1904:
      if (lookahead == 's') ADVANCE(197);
      END_STATE();
    case 1905:
      if (lookahead == 's') ADVANCE(353);
      END_STATE();
    case 1906:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 1907:
      if (lookahead == 's') ADVANCE(173);
      END_STATE();
    case 1908:
      if (lookahead == 's') ADVANCE(175);
      END_STATE();
    case 1909:
      if (lookahead == 's') ADVANCE(174);
      END_STATE();
    case 1910:
      if (lookahead == 's') ADVANCE(1954);
      END_STATE();
    case 1911:
      if (lookahead == 's') ADVANCE(488);
      END_STATE();
    case 1912:
      if (lookahead == 's') ADVANCE(1619);
      END_STATE();
    case 1913:
      if (lookahead == 's') ADVANCE(280);
      END_STATE();
    case 1914:
      if (lookahead == 's') ADVANCE(1219);
      END_STATE();
    case 1915:
      if (lookahead == 's') ADVANCE(502);
      END_STATE();
    case 1916:
      if (lookahead == 's') ADVANCE(342);
      END_STATE();
    case 1917:
      if (lookahead == 's') ADVANCE(246);
      END_STATE();
    case 1918:
      if (lookahead == 's') ADVANCE(201);
      END_STATE();
    case 1919:
      if (lookahead == 's') ADVANCE(1673);
      END_STATE();
    case 1920:
      if (lookahead == 's') ADVANCE(1179);
      END_STATE();
    case 1921:
      if (lookahead == 's') ADVANCE(2145);
      END_STATE();
    case 1922:
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 1923:
      if (lookahead == 's') ADVANCE(1180);
      END_STATE();
    case 1924:
      if (lookahead == 's') ADVANCE(1184);
      END_STATE();
    case 1925:
      if (lookahead == 's') ADVANCE(1899);
      END_STATE();
    case 1926:
      if (lookahead == 's') ADVANCE(1255);
      END_STATE();
    case 1927:
      if (lookahead == 's') ADVANCE(1354);
      END_STATE();
    case 1928:
      if (lookahead == 's') ADVANCE(2048);
      END_STATE();
    case 1929:
      if (lookahead == 's') ADVANCE(890);
      END_STATE();
    case 1930:
      if (lookahead == 's') ADVANCE(922);
      END_STATE();
    case 1931:
      if (lookahead == 's') ADVANCE(969);
      END_STATE();
    case 1932:
      if (lookahead == 's') ADVANCE(2097);
      END_STATE();
    case 1933:
      if (lookahead == 's') ADVANCE(2053);
      END_STATE();
    case 1934:
      if (lookahead == 's') ADVANCE(1999);
      END_STATE();
    case 1935:
      if (lookahead == 's') ADVANCE(1379);
      END_STATE();
    case 1936:
      if (lookahead == 's') ADVANCE(1911);
      END_STATE();
    case 1937:
      if (lookahead == 's') ADVANCE(1988);
      END_STATE();
    case 1938:
      if (lookahead == 's') ADVANCE(1992);
      END_STATE();
    case 1939:
      if (lookahead == 's') ADVANCE(1317);
      END_STATE();
    case 1940:
      if (lookahead == 's') ADVANCE(1985);
      END_STATE();
    case 1941:
      if (lookahead == 's') ADVANCE(1007);
      END_STATE();
    case 1942:
      if (lookahead == 's') ADVANCE(945);
      END_STATE();
    case 1943:
      if (lookahead == 's') ADVANCE(981);
      END_STATE();
    case 1944:
      if (lookahead == 's') ADVANCE(966);
      END_STATE();
    case 1945:
      if (lookahead == 's') ADVANCE(1189);
      END_STATE();
    case 1946:
      if (lookahead == 's') ADVANCE(2055);
      END_STATE();
    case 1947:
      if (lookahead == 's') ADVANCE(2010);
      END_STATE();
    case 1948:
      if (lookahead == 's') ADVANCE(1998);
      END_STATE();
    case 1949:
      if (lookahead == 's') ADVANCE(1012);
      END_STATE();
    case 1950:
      if (lookahead == 's') ADVANCE(1264);
      END_STATE();
    case 1951:
      if (lookahead == 's') ADVANCE(1027);
      END_STATE();
    case 1952:
      if (lookahead == 's') ADVANCE(1083);
      END_STATE();
    case 1953:
      if (lookahead == 't') ADVANCE(2135);
      END_STATE();
    case 1954:
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 1955:
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'u') ADVANCE(747);
      END_STATE();
    case 1956:
      if (lookahead == 't') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(1517);
      END_STATE();
    case 1957:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 1958:
      if (lookahead == 't') ADVANCE(510);
      END_STATE();
    case 1959:
      if (lookahead == 't') ADVANCE(697);
      END_STATE();
    case 1960:
      if (lookahead == 't') ADVANCE(359);
      END_STATE();
    case 1961:
      if (lookahead == 't') ADVANCE(411);
      END_STATE();
    case 1962:
      if (lookahead == 't') ADVANCE(451);
      END_STATE();
    case 1963:
      if (lookahead == 't') ADVANCE(696);
      END_STATE();
    case 1964:
      if (lookahead == 't') ADVANCE(261);
      END_STATE();
    case 1965:
      if (lookahead == 't') ADVANCE(1152);
      END_STATE();
    case 1966:
      if (lookahead == 't') ADVANCE(506);
      END_STATE();
    case 1967:
      if (lookahead == 't') ADVANCE(517);
      END_STATE();
    case 1968:
      if (lookahead == 't') ADVANCE(414);
      END_STATE();
    case 1969:
      if (lookahead == 't') ADVANCE(417);
      END_STATE();
    case 1970:
      if (lookahead == 't') ADVANCE(521);
      END_STATE();
    case 1971:
      if (lookahead == 't') ADVANCE(704);
      END_STATE();
    case 1972:
      if (lookahead == 't') ADVANCE(415);
      END_STATE();
    case 1973:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 1974:
      if (lookahead == 't') ADVANCE(1746);
      END_STATE();
    case 1975:
      if (lookahead == 't') ADVANCE(528);
      END_STATE();
    case 1976:
      if (lookahead == 't') ADVANCE(1004);
      END_STATE();
    case 1977:
      if (lookahead == 't') ADVANCE(170);
      END_STATE();
    case 1978:
      if (lookahead == 't') ADVANCE(1474);
      END_STATE();
    case 1979:
      if (lookahead == 't') ADVANCE(467);
      END_STATE();
    case 1980:
      if (lookahead == 't') ADVANCE(750);
      END_STATE();
    case 1981:
      if (lookahead == 't') ADVANCE(2136);
      END_STATE();
    case 1982:
      if (lookahead == 't') ADVANCE(252);
      if (lookahead == 'v') ADVANCE(1291);
      END_STATE();
    case 1983:
      if (lookahead == 't') ADVANCE(356);
      END_STATE();
    case 1984:
      if (lookahead == 't') ADVANCE(693);
      END_STATE();
    case 1985:
      if (lookahead == 't') ADVANCE(1584);
      END_STATE();
    case 1986:
      if (lookahead == 't') ADVANCE(412);
      END_STATE();
    case 1987:
      if (lookahead == 't') ADVANCE(1031);
      END_STATE();
    case 1988:
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 1989:
      if (lookahead == 't') ADVANCE(2140);
      END_STATE();
    case 1990:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 1991:
      if (lookahead == 't') ADVANCE(518);
      END_STATE();
    case 1992:
      if (lookahead == 't') ADVANCE(330);
      END_STATE();
    case 1993:
      if (lookahead == 't') ADVANCE(1179);
      END_STATE();
    case 1994:
      if (lookahead == 't') ADVANCE(2141);
      END_STATE();
    case 1995:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 1996:
      if (lookahead == 't') ADVANCE(1184);
      END_STATE();
    case 1997:
      if (lookahead == 't') ADVANCE(308);
      END_STATE();
    case 1998:
      if (lookahead == 't') ADVANCE(1899);
      END_STATE();
    case 1999:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 2000:
      if (lookahead == 't') ADVANCE(260);
      END_STATE();
    case 2001:
      if (lookahead == 't') ADVANCE(1181);
      END_STATE();
    case 2002:
      if (lookahead == 't') ADVANCE(1482);
      END_STATE();
    case 2003:
      if (lookahead == 't') ADVANCE(922);
      END_STATE();
    case 2004:
      if (lookahead == 't') ADVANCE(1654);
      END_STATE();
    case 2005:
      if (lookahead == 't') ADVANCE(1905);
      END_STATE();
    case 2006:
      if (lookahead == 't') ADVANCE(1209);
      END_STATE();
    case 2007:
      if (lookahead == 't') ADVANCE(1497);
      END_STATE();
    case 2008:
      if (lookahead == 't') ADVANCE(953);
      END_STATE();
    case 2009:
      if (lookahead == 't') ADVANCE(1931);
      END_STATE();
    case 2010:
      if (lookahead == 't') ADVANCE(995);
      END_STATE();
    case 2011:
      if (lookahead == 't') ADVANCE(1593);
      END_STATE();
    case 2012:
      if (lookahead == 't') ADVANCE(1781);
      END_STATE();
    case 2013:
      if (lookahead == 't') ADVANCE(630);
      END_STATE();
    case 2014:
      if (lookahead == 't') ADVANCE(1290);
      END_STATE();
    case 2015:
      if (lookahead == 't') ADVANCE(1267);
      END_STATE();
    case 2016:
      if (lookahead == 't') ADVANCE(1301);
      END_STATE();
    case 2017:
      if (lookahead == 't') ADVANCE(1590);
      END_STATE();
    case 2018:
      if (lookahead == 't') ADVANCE(1292);
      END_STATE();
    case 2019:
      if (lookahead == 't') ADVANCE(1315);
      END_STATE();
    case 2020:
      if (lookahead == 't') ADVANCE(1309);
      END_STATE();
    case 2021:
      if (lookahead == 't') ADVANCE(1269);
      END_STATE();
    case 2022:
      if (lookahead == 't') ADVANCE(1749);
      END_STATE();
    case 2023:
      if (lookahead == 't') ADVANCE(1081);
      END_STATE();
    case 2024:
      if (lookahead == 't') ADVANCE(702);
      END_STATE();
    case 2025:
      if (lookahead == 't') ADVANCE(1549);
      END_STATE();
    case 2026:
      if (lookahead == 't') ADVANCE(1254);
      END_STATE();
    case 2027:
      if (lookahead == 't') ADVANCE(1647);
      END_STATE();
    case 2028:
      if (lookahead == 't') ADVANCE(1550);
      END_STATE();
    case 2029:
      if (lookahead == 't') ADVANCE(1834);
      END_STATE();
    case 2030:
      if (lookahead == 't') ADVANCE(1030);
      END_STATE();
    case 2031:
      if (lookahead == 't') ADVANCE(638);
      END_STATE();
    case 2032:
      if (lookahead == 't') ADVANCE(1231);
      END_STATE();
    case 2033:
      if (lookahead == 't') ADVANCE(1032);
      END_STATE();
    case 2034:
      if (lookahead == 't') ADVANCE(1034);
      END_STATE();
    case 2035:
      if (lookahead == 't') ADVANCE(1036);
      END_STATE();
    case 2036:
      if (lookahead == 't') ADVANCE(1039);
      END_STATE();
    case 2037:
      if (lookahead == 't') ADVANCE(1057);
      END_STATE();
    case 2038:
      if (lookahead == 't') ADVANCE(1041);
      END_STATE();
    case 2039:
      if (lookahead == 't') ADVANCE(1210);
      END_STATE();
    case 2040:
      if (lookahead == 't') ADVANCE(681);
      END_STATE();
    case 2041:
      if (lookahead == 't') ADVANCE(1300);
      END_STATE();
    case 2042:
      if (lookahead == 't') ADVANCE(1306);
      END_STATE();
    case 2043:
      if (lookahead == 't') ADVANCE(1316);
      END_STATE();
    case 2044:
      if (lookahead == 't') ADVANCE(701);
      END_STATE();
    case 2045:
      if (lookahead == 't') ADVANCE(690);
      END_STATE();
    case 2046:
      if (lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2047:
      if (lookahead == 'u') ADVANCE(618);
      END_STATE();
    case 2048:
      if (lookahead == 'u') ADVANCE(2158);
      END_STATE();
    case 2049:
      if (lookahead == 'u') ADVANCE(1584);
      END_STATE();
    case 2050:
      if (lookahead == 'u') ADVANCE(307);
      END_STATE();
    case 2051:
      if (lookahead == 'u') ADVANCE(720);
      END_STATE();
    case 2052:
      if (lookahead == 'u') ADVANCE(733);
      END_STATE();
    case 2053:
      if (lookahead == 'u') ADVANCE(731);
      END_STATE();
    case 2054:
      if (lookahead == 'u') ADVANCE(1673);
      END_STATE();
    case 2055:
      if (lookahead == 'u') ADVANCE(714);
      END_STATE();
    case 2056:
      if (lookahead == 'u') ADVANCE(1903);
      END_STATE();
    case 2057:
      if (lookahead == 'u') ADVANCE(738);
      END_STATE();
    case 2058:
      if (lookahead == 'u') ADVANCE(1990);
      END_STATE();
    case 2059:
      if (lookahead == 'u') ADVANCE(1990);
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2060:
      if (lookahead == 'u') ADVANCE(1459);
      END_STATE();
    case 2061:
      if (lookahead == 'u') ADVANCE(1899);
      END_STATE();
    case 2062:
      if (lookahead == 'u') ADVANCE(1005);
      END_STATE();
    case 2063:
      if (lookahead == 'u') ADVANCE(1915);
      END_STATE();
    case 2064:
      if (lookahead == 'u') ADVANCE(922);
      END_STATE();
    case 2065:
      if (lookahead == 'u') ADVANCE(1462);
      END_STATE();
    case 2066:
      if (lookahead == 'u') ADVANCE(803);
      END_STATE();
    case 2067:
      if (lookahead == 'u') ADVANCE(955);
      END_STATE();
    case 2068:
      if (lookahead == 'u') ADVANCE(596);
      END_STATE();
    case 2069:
      if (lookahead == 'u') ADVANCE(1906);
      END_STATE();
    case 2070:
      if (lookahead == 'u') ADVANCE(1585);
      END_STATE();
    case 2071:
      if (lookahead == 'u') ADVANCE(1370);
      END_STATE();
    case 2072:
      if (lookahead == 'u') ADVANCE(1930);
      END_STATE();
    case 2073:
      if (lookahead == 'u') ADVANCE(837);
      END_STATE();
    case 2074:
      if (lookahead == 'u') ADVANCE(1917);
      END_STATE();
    case 2075:
      if (lookahead == 'u') ADVANCE(1238);
      END_STATE();
    case 2076:
      if (lookahead == 'u') ADVANCE(990);
      END_STATE();
    case 2077:
      if (lookahead == 'u') ADVANCE(617);
      END_STATE();
    case 2078:
      if (lookahead == 'u') ADVANCE(1303);
      END_STATE();
    case 2079:
      if (lookahead == 'u') ADVANCE(1237);
      END_STATE();
    case 2080:
      if (lookahead == 'u') ADVANCE(1777);
      END_STATE();
    case 2081:
      if (lookahead == 'u') ADVANCE(1749);
      END_STATE();
    case 2082:
      if (lookahead == 'u') ADVANCE(1778);
      END_STATE();
    case 2083:
      if (lookahead == 'u') ADVANCE(1842);
      END_STATE();
    case 2084:
      if (lookahead == 'u') ADVANCE(1844);
      END_STATE();
    case 2085:
      if (lookahead == 'u') ADVANCE(1189);
      END_STATE();
    case 2086:
      if (lookahead == 'u') ADVANCE(1472);
      END_STATE();
    case 2087:
      if (lookahead == 'u') ADVANCE(1543);
      END_STATE();
    case 2088:
      if (lookahead == 'u') ADVANCE(1937);
      END_STATE();
    case 2089:
      if (lookahead == 'u') ADVANCE(1272);
      END_STATE();
    case 2090:
      if (lookahead == 'u') ADVANCE(1396);
      END_STATE();
    case 2091:
      if (lookahead == 'u') ADVANCE(2003);
      END_STATE();
    case 2092:
      if (lookahead == 'u') ADVANCE(637);
      END_STATE();
    case 2093:
      if (lookahead == 'u') ADVANCE(1412);
      END_STATE();
    case 2094:
      if (lookahead == 'u') ADVANCE(1658);
      END_STATE();
    case 2095:
      if (lookahead == 'u') ADVANCE(1470);
      END_STATE();
    case 2096:
      if (lookahead == 'u') ADVANCE(643);
      END_STATE();
    case 2097:
      if (lookahead == 'u') ADVANCE(1858);
      END_STATE();
    case 2098:
      if (lookahead == 'u') ADVANCE(1451);
      END_STATE();
    case 2099:
      if (lookahead == 'u') ADVANCE(686);
      END_STATE();
    case 2100:
      if (lookahead == 'u') ADVANCE(744);
      END_STATE();
    case 2101:
      if (lookahead == 'u') ADVANCE(688);
      END_STATE();
    case 2102:
      if (lookahead == 'u') ADVANCE(743);
      if (lookahead == 'w') ADVANCE(1509);
      END_STATE();
    case 2103:
      if (lookahead == 'u') ADVANCE(746);
      END_STATE();
    case 2104:
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 2105:
      if (lookahead == 'v') ADVANCE(148);
      if (lookahead == 'w') ADVANCE(921);
      END_STATE();
    case 2106:
      if (lookahead == 'v') ADVANCE(162);
      END_STATE();
    case 2107:
      if (lookahead == 'v') ADVANCE(246);
      END_STATE();
    case 2108:
      if (lookahead == 'v') ADVANCE(999);
      if (lookahead == 'w') ADVANCE(998);
      END_STATE();
    case 2109:
      if (lookahead == 'v') ADVANCE(922);
      END_STATE();
    case 2110:
      if (lookahead == 'v') ADVANCE(946);
      END_STATE();
    case 2111:
      if (lookahead == 'v') ADVANCE(1085);
      END_STATE();
    case 2112:
      if (lookahead == 'w') ADVANCE(148);
      END_STATE();
    case 2113:
      if (lookahead == 'w') ADVANCE(154);
      END_STATE();
    case 2114:
      if (lookahead == 'w') ADVANCE(158);
      END_STATE();
    case 2115:
      if (lookahead == 'w') ADVANCE(157);
      END_STATE();
    case 2116:
      if (lookahead == 'w') ADVANCE(156);
      END_STATE();
    case 2117:
      if (lookahead == 'w') ADVANCE(1584);
      END_STATE();
    case 2118:
      if (lookahead == 'w') ADVANCE(542);
      END_STATE();
    case 2119:
      if (lookahead == 'w') ADVANCE(330);
      END_STATE();
    case 2120:
      if (lookahead == 'w') ADVANCE(962);
      END_STATE();
    case 2121:
      if (lookahead == 'w') ADVANCE(1899);
      END_STATE();
    case 2122:
      if (lookahead == 'w') ADVANCE(1050);
      if (lookahead == 'a' ||
          lookahead == 'h') ADVANCE(148);
      END_STATE();
    case 2123:
      if (lookahead == 'w') ADVANCE(1500);
      END_STATE();
    case 2124:
      if (lookahead == 'w') ADVANCE(1517);
      END_STATE();
    case 2125:
      if (lookahead == 'w') ADVANCE(1514);
      END_STATE();
    case 2126:
      if (lookahead == 'w') ADVANCE(1510);
      END_STATE();
    case 2127:
      if (lookahead == 'w') ADVANCE(1298);
      END_STATE();
    case 2128:
      if (lookahead == 'w') ADVANCE(349);
      END_STATE();
    case 2129:
      if (lookahead == 'w') ADVANCE(1424);
      END_STATE();
    case 2130:
      if (lookahead == 'w') ADVANCE(1582);
      END_STATE();
    case 2131:
      if (lookahead == 'w') ADVANCE(1581);
      END_STATE();
    case 2132:
      if (lookahead == 'x') ADVANCE(148);
      END_STATE();
    case 2133:
      if (lookahead == 'x') ADVANCE(1954);
      END_STATE();
    case 2134:
      if (lookahead == 'x') ADVANCE(255);
      END_STATE();
    case 2135:
      if (lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2136:
      if (lookahead == 'y') ADVANCE(509);
      END_STATE();
    case 2137:
      if (lookahead == 'y') ADVANCE(980);
      END_STATE();
    case 2138:
      if (lookahead == 'y') ADVANCE(456);
      END_STATE();
    case 2139:
      if (lookahead == 'y') ADVANCE(471);
      END_STATE();
    case 2140:
      if (lookahead == 'y') ADVANCE(338);
      END_STATE();
    case 2141:
      if (lookahead == 'y') ADVANCE(2104);
      END_STATE();
    case 2142:
      if (lookahead == 'y') ADVANCE(508);
      END_STATE();
    case 2143:
      if (lookahead == 'y') ADVANCE(515);
      END_STATE();
    case 2144:
      if (lookahead == 'y') ADVANCE(484);
      END_STATE();
    case 2145:
      if (lookahead == 'y') ADVANCE(1459);
      END_STATE();
    case 2146:
      if (lookahead == 'y') ADVANCE(921);
      END_STATE();
    case 2147:
      if (lookahead == 'y') ADVANCE(1899);
      END_STATE();
    case 2148:
      if (lookahead == 'y') ADVANCE(969);
      END_STATE();
    case 2149:
      if (lookahead == 'z') ADVANCE(1661);
      END_STATE();
    case 2150:
      if (lookahead == 'z') ADVANCE(573);
      END_STATE();
    case 2151:
      if (lookahead == 'z') ADVANCE(1277);
      END_STATE();
    case 2152:
      if (lookahead == 'z') ADVANCE(1008);
      END_STATE();
    case 2153:
      if (lookahead == '2' ||
          lookahead == '4') ADVANCE(148);
      END_STATE();
    case 2154:
      if (lookahead == '3' ||
          lookahead == '5') ADVANCE(148);
      END_STATE();
    case 2155:
      if (lookahead == '6' ||
          lookahead == '8') ADVANCE(148);
      END_STATE();
    case 2156:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(148);
      END_STATE();
    case 2157:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(2172);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(376);
      END_STATE();
    case 2158:
      if (lookahead == 'b' ||
          lookahead == 'p') ADVANCE(148);
      END_STATE();
    case 2159:
      if (lookahead == 'b' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2160:
      if (lookahead == 'd' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2161:
      if (lookahead == 'e' ||
          lookahead == 'k') ADVANCE(148);
      END_STATE();
    case 2162:
      if (lookahead == 'e' ||
          lookahead == 't') ADVANCE(148);
      END_STATE();
    case 2163:
      if (lookahead == 'f' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2164:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2165:
      if (lookahead == 'o' ||
          lookahead == 'u') ADVANCE(148);
      END_STATE();
    case 2166:
      if (lookahead == 'r' ||
          lookahead == 'y') ADVANCE(148);
      END_STATE();
    case 2167:
      if (lookahead == '3' ||
          lookahead == '4') ADVANCE(148);
      END_STATE();
    case 2168:
      if (lookahead == 'e' ||
          lookahead == 'f') ADVANCE(148);
      END_STATE();
    case 2169:
      if (('a' <= lookahead && lookahead <= 'c')) ADVANCE(148);
      END_STATE();
    case 2170:
      if (lookahead == 'L' ||
          lookahead == 'R' ||
          lookahead == 'l' ||
          lookahead == 'r') ADVANCE(148);
      END_STATE();
    case 2171:
      if (('a' <= lookahead && lookahead <= 'h')) ADVANCE(148);
      END_STATE();
    case 2172:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(381);
      END_STATE();
    case 2173:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(15);
      END_STATE();
    case 2174:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(138);
      END_STATE();
    case 2175:
      if (eof) ADVANCE(2179);
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2196,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2202,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2187,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2212,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 2176:
      if (eof) ADVANCE(2179);
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2196,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2187,
        '=', 2207,
        '>', 2189,
        '?', 2209,
        '@', 2210,
        '[', 2183,
        '\\', 2212,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 2177:
      if (eof) ADVANCE(2179);
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2196,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2187,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2212,
        ']', 2185,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 2178:
      if (eof) ADVANCE(2179);
      ADVANCE_MAP(
        '\t', 2238,
        '\n', 2222,
        '\r', 2223,
        ' ', 2240,
        '!', 2190,
        '"', 2191,
        '#', 2192,
        '$', 2193,
        '%', 2194,
        '&', 2196,
        '\'', 2197,
        '(', 2220,
        ')', 2221,
        '*', 2198,
        '+', 2199,
        ',', 2200,
        '-', 2201,
        '.', 2203,
        '/', 2204,
        ':', 2205,
        ';', 2206,
        '<', 2187,
        '=', 2207,
        '>', 2189,
        '?', 2208,
        '@', 2210,
        '[', 2183,
        '\\', 2212,
        ']', 2184,
        '^', 2213,
        '_', 2214,
        '`', 2215,
        '{', 2216,
        '|', 2217,
        '}', 2218,
        '~', 2219,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(2242);
      if (lookahead != 0) ADVANCE(2241);
      END_STATE();
    case 2179:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 2180:
      ACCEPT_TOKEN(sym__backslash_escape);
      END_STATE();
    case 2181:
      ACCEPT_TOKEN(sym_entity_reference);
      END_STATE();
    case 2182:
      ACCEPT_TOKEN(sym_numeric_character_reference);
      END_STATE();
    case 2183:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 2184:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 2185:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      if (lookahead == ']') ADVANCE(383);
      END_STATE();
    case 2186:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 2187:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(13);
      if (lookahead == '?') ADVANCE(2232);
      if (('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('^' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(386);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(385);
      END_STATE();
    case 2188:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '!') ADVANCE(16);
      if (lookahead == '?') ADVANCE(2231);
      END_STATE();
    case 2189:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 2190:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 2191:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 2192:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 2193:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 2194:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 2195:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 2196:
      ACCEPT_TOKEN(anon_sym_AMP);
      ADVANCE_MAP(
        '#', 2157,
        'A', 457,
        'B', 527,
        'C', 480,
        'D', 440,
        'E', 496,
        'F', 753,
        'G', 180,
        'H', 387,
        'I', 463,
        'J', 855,
        'K', 479,
        'L', 179,
        'M', 569,
        'N', 487,
        'O', 465,
        'P', 565,
        'Q', 519,
        'R', 420,
        'S', 476,
        'T', 477,
        'U', 546,
        'V', 449,
        'W', 807,
        'X', 1095,
        'Y', 390,
        'Z', 481,
        'a', 525,
        'b', 495,
        'c', 532,
        'd', 396,
        'e', 442,
        'f', 574,
        'g', 169,
        'h', 398,
        'i', 526,
        'j', 854,
        'k', 659,
        'l', 149,
        'm', 443,
        'n', 473,
        'o', 507,
        'p', 597,
        'q', 1096,
        'r', 388,
        's', 654,
        't', 549,
        'u', 397,
        'v', 394,
        'w', 806,
        'x', 762,
        'y', 564,
        'z', 655,
      );
      END_STATE();
    case 2197:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 2198:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 2199:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 2200:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 2201:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 2202:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(382);
      END_STATE();
    case 2203:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 2204:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 2205:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 2206:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 2207:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 2208:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 2209:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (lookahead == '>') ADVANCE(2233);
      END_STATE();
    case 2210:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 2211:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      END_STATE();
    case 2212:
      ACCEPT_TOKEN(anon_sym_BSLASH);
      if (('!' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          ('[' <= lookahead && lookahead <= '`') ||
          ('{' <= lookahead && lookahead <= '~')) ADVANCE(2180);
      END_STATE();
    case 2213:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 2214:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2215:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 2216:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 2217:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 2218:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 2219:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 2220:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 2221:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 2222:
      ACCEPT_TOKEN(sym__newline_token);
      END_STATE();
    case 2223:
      ACCEPT_TOKEN(sym__newline_token);
      if (lookahead == '\n') ADVANCE(2222);
      END_STATE();
    case 2224:
      ACCEPT_TOKEN(sym_uri_autolink);
      END_STATE();
    case 2225:
      ACCEPT_TOKEN(sym_email_autolink);
      END_STATE();
    case 2226:
      ACCEPT_TOKEN(sym__attribute_name);
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= ':') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(2226);
      END_STATE();
    case 2227:
      ACCEPT_TOKEN(aux_sym__attribute_value_token1);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ' &&
          lookahead != '"' &&
          lookahead != '\'' &&
          (lookahead < '<' || '>' < lookahead) &&
          lookahead != '`') ADVANCE(2227);
      END_STATE();
    case 2228:
      ACCEPT_TOKEN(anon_sym_LT_BANG_DASH_DASH);
      END_STATE();
    case 2229:
      ACCEPT_TOKEN(anon_sym_LT_BANG_DASH_DASH);
      if (lookahead == '@') ADVANCE(2173);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 2230:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_GT);
      END_STATE();
    case 2231:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      END_STATE();
    case 2232:
      ACCEPT_TOKEN(anon_sym_LT_QMARK);
      if (lookahead == '@') ADVANCE(2173);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          ('?' <= lookahead && lookahead <= 'Z') ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 2233:
      ACCEPT_TOKEN(anon_sym_QMARK_GT);
      END_STATE();
    case 2234:
      ACCEPT_TOKEN(aux_sym__declaration_token1);
      if (lookahead == '@') ADVANCE(2173);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2234);
      if (lookahead == '!' ||
          ('#' <= lookahead && lookahead <= '\'') ||
          lookahead == '*' ||
          lookahead == '+' ||
          ('-' <= lookahead && lookahead <= '9') ||
          lookahead == '=' ||
          lookahead == '?' ||
          ('^' <= lookahead && lookahead <= '~')) ADVANCE(386);
      END_STATE();
    case 2235:
      ACCEPT_TOKEN(aux_sym__declaration_token1);
      if (('A' <= lookahead && lookahead <= 'Z')) ADVANCE(2235);
      END_STATE();
    case 2236:
      ACCEPT_TOKEN(anon_sym_LT_BANG_LBRACKCDATA_LBRACK);
      END_STATE();
    case 2237:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK_GT);
      END_STATE();
    case 2238:
      ACCEPT_TOKEN(sym__whitespace_ge_2);
      END_STATE();
    case 2239:
      ACCEPT_TOKEN(sym__whitespace_ge_2);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(2239);
      END_STATE();
    case 2240:
      ACCEPT_TOKEN(aux_sym__whitespace_token1);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(2239);
      END_STATE();
    case 2241:
      ACCEPT_TOKEN(sym__word_no_digit);
      if (lookahead == '_') ADVANCE(524);
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          (lookahead < ' ' || '@' < lookahead) &&
          (lookahead < '[' || '`' < lookahead) &&
          (lookahead < '{' || '~' < lookahead)) ADVANCE(2241);
      END_STATE();
    case 2242:
      ACCEPT_TOKEN(sym__digits);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(2242);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 2178, .external_lex_state = 2},
  [2] = {.lex_state = 2178, .external_lex_state = 3},
  [3] = {.lex_state = 2178, .external_lex_state = 3},
  [4] = {.lex_state = 2178, .external_lex_state = 4},
  [5] = {.lex_state = 2178, .external_lex_state = 4},
  [6] = {.lex_state = 2178, .external_lex_state = 3},
  [7] = {.lex_state = 2178, .external_lex_state = 5},
  [8] = {.lex_state = 2178, .external_lex_state = 5},
  [9] = {.lex_state = 2178, .external_lex_state = 6},
  [10] = {.lex_state = 2178, .external_lex_state = 6},
  [11] = {.lex_state = 2178, .external_lex_state = 7},
  [12] = {.lex_state = 2178, .external_lex_state = 3},
  [13] = {.lex_state = 2178, .external_lex_state = 8},
  [14] = {.lex_state = 2178, .external_lex_state = 8},
  [15] = {.lex_state = 2178, .external_lex_state = 3},
  [16] = {.lex_state = 2178, .external_lex_state = 3},
  [17] = {.lex_state = 2178, .external_lex_state = 9},
  [18] = {.lex_state = 2178, .external_lex_state = 8},
  [19] = {.lex_state = 2178, .external_lex_state = 7},
  [20] = {.lex_state = 2178, .external_lex_state = 7},
  [21] = {.lex_state = 2178, .external_lex_state = 10},
  [22] = {.lex_state = 2178, .external_lex_state = 10},
  [23] = {.lex_state = 2178, .external_lex_state = 9},
  [24] = {.lex_state = 2178, .external_lex_state = 9},
  [25] = {.lex_state = 2178, .external_lex_state = 3},
  [26] = {.lex_state = 2178, .external_lex_state = 3},
  [27] = {.lex_state = 2178, .external_lex_state = 3},
  [28] = {.lex_state = 2178, .external_lex_state = 7},
  [29] = {.lex_state = 2178, .external_lex_state = 7},
  [30] = {.lex_state = 2178, .external_lex_state = 10},
  [31] = {.lex_state = 2178, .external_lex_state = 9},
  [32] = {.lex_state = 2178, .external_lex_state = 7},
  [33] = {.lex_state = 2178, .external_lex_state = 10},
  [34] = {.lex_state = 2178, .external_lex_state = 9},
  [35] = {.lex_state = 2178, .external_lex_state = 10},
  [36] = {.lex_state = 2178, .external_lex_state = 9},
  [37] = {.lex_state = 2178, .external_lex_state = 7},
  [38] = {.lex_state = 2178, .external_lex_state = 10},
  [39] = {.lex_state = 2178, .external_lex_state = 9},
  [40] = {.lex_state = 2178, .external_lex_state = 7},
  [41] = {.lex_state = 2178, .external_lex_state = 10},
  [42] = {.lex_state = 2178, .external_lex_state = 9},
  [43] = {.lex_state = 2178, .external_lex_state = 7},
  [44] = {.lex_state = 2178, .external_lex_state = 10},
  [45] = {.lex_state = 2178, .external_lex_state = 9},
  [46] = {.lex_state = 2178, .external_lex_state = 7},
  [47] = {.lex_state = 2178, .external_lex_state = 10},
  [48] = {.lex_state = 2178, .external_lex_state = 9},
  [49] = {.lex_state = 2178, .external_lex_state = 7},
  [50] = {.lex_state = 2178, .external_lex_state = 10},
  [51] = {.lex_state = 2178, .external_lex_state = 9},
  [52] = {.lex_state = 2178, .external_lex_state = 10},
  [53] = {.lex_state = 2178, .external_lex_state = 8},
  [54] = {.lex_state = 2178, .external_lex_state = 8},
  [55] = {.lex_state = 2178, .external_lex_state = 8},
  [56] = {.lex_state = 2178, .external_lex_state = 8},
  [57] = {.lex_state = 2178, .external_lex_state = 8},
  [58] = {.lex_state = 2178, .external_lex_state = 8},
  [59] = {.lex_state = 2178, .external_lex_state = 8},
  [60] = {.lex_state = 2178, .external_lex_state = 8},
  [61] = {.lex_state = 2178, .external_lex_state = 8},
  [62] = {.lex_state = 2178, .external_lex_state = 8},
  [63] = {.lex_state = 2178, .external_lex_state = 8},
  [64] = {.lex_state = 2178, .external_lex_state = 8},
  [65] = {.lex_state = 2178, .external_lex_state = 8},
  [66] = {.lex_state = 2178, .external_lex_state = 8},
  [67] = {.lex_state = 2178, .external_lex_state = 8},
  [68] = {.lex_state = 2178, .external_lex_state = 8},
  [69] = {.lex_state = 2178, .external_lex_state = 8},
  [70] = {.lex_state = 2178, .external_lex_state = 8},
  [71] = {.lex_state = 2178, .external_lex_state = 8},
  [72] = {.lex_state = 2178, .external_lex_state = 8},
  [73] = {.lex_state = 2178, .external_lex_state = 8},
  [74] = {.lex_state = 2178, .external_lex_state = 8},
  [75] = {.lex_state = 2178, .external_lex_state = 8},
  [76] = {.lex_state = 2178, .external_lex_state = 8},
  [77] = {.lex_state = 2178, .external_lex_state = 8},
  [78] = {.lex_state = 2178, .external_lex_state = 8},
  [79] = {.lex_state = 2178, .external_lex_state = 8},
  [80] = {.lex_state = 2178, .external_lex_state = 8},
  [81] = {.lex_state = 2178, .external_lex_state = 8},
  [82] = {.lex_state = 2178, .external_lex_state = 8},
  [83] = {.lex_state = 2178, .external_lex_state = 8},
  [84] = {.lex_state = 2178, .external_lex_state = 8},
  [85] = {.lex_state = 2178, .external_lex_state = 8},
  [86] = {.lex_state = 2178, .external_lex_state = 4},
  [87] = {.lex_state = 2178, .external_lex_state = 6},
  [88] = {.lex_state = 2178, .external_lex_state = 3},
  [89] = {.lex_state = 2178, .external_lex_state = 5},
  [90] = {.lex_state = 2178, .external_lex_state = 3},
  [91] = {.lex_state = 2178, .external_lex_state = 3},
  [92] = {.lex_state = 2178, .external_lex_state = 6},
  [93] = {.lex_state = 2178, .external_lex_state = 5},
  [94] = {.lex_state = 2178, .external_lex_state = 5},
  [95] = {.lex_state = 2178, .external_lex_state = 6},
  [96] = {.lex_state = 2178, .external_lex_state = 4},
  [97] = {.lex_state = 2178, .external_lex_state = 4},
  [98] = {.lex_state = 2178, .external_lex_state = 3},
  [99] = {.lex_state = 2178, .external_lex_state = 3},
  [100] = {.lex_state = 2178, .external_lex_state = 3},
  [101] = {.lex_state = 2178, .external_lex_state = 9},
  [102] = {.lex_state = 2178, .external_lex_state = 8},
  [103] = {.lex_state = 2178, .external_lex_state = 7},
  [104] = {.lex_state = 2178, .external_lex_state = 3},
  [105] = {.lex_state = 2178, .external_lex_state = 10},
  [106] = {.lex_state = 2178, .external_lex_state = 10},
  [107] = {.lex_state = 2178, .external_lex_state = 9},
  [108] = {.lex_state = 2178, .external_lex_state = 9},
  [109] = {.lex_state = 2178, .external_lex_state = 7},
  [110] = {.lex_state = 2178, .external_lex_state = 8},
  [111] = {.lex_state = 2178, .external_lex_state = 7},
  [112] = {.lex_state = 2178, .external_lex_state = 10},
  [113] = {.lex_state = 2178, .external_lex_state = 9},
  [114] = {.lex_state = 2178, .external_lex_state = 7},
  [115] = {.lex_state = 2178, .external_lex_state = 10},
  [116] = {.lex_state = 2178, .external_lex_state = 9},
  [117] = {.lex_state = 2178, .external_lex_state = 10},
  [118] = {.lex_state = 2178, .external_lex_state = 8},
  [119] = {.lex_state = 2178, .external_lex_state = 7},
  [120] = {.lex_state = 2178, .external_lex_state = 10},
  [121] = {.lex_state = 2178, .external_lex_state = 9},
  [122] = {.lex_state = 2178, .external_lex_state = 7},
  [123] = {.lex_state = 2178, .external_lex_state = 10},
  [124] = {.lex_state = 2178, .external_lex_state = 9},
  [125] = {.lex_state = 2178, .external_lex_state = 8},
  [126] = {.lex_state = 2178, .external_lex_state = 7},
  [127] = {.lex_state = 2178, .external_lex_state = 10},
  [128] = {.lex_state = 2178, .external_lex_state = 9},
  [129] = {.lex_state = 2178, .external_lex_state = 7},
  [130] = {.lex_state = 2178, .external_lex_state = 10},
  [131] = {.lex_state = 2178, .external_lex_state = 9},
  [132] = {.lex_state = 2178, .external_lex_state = 8},
  [133] = {.lex_state = 2178, .external_lex_state = 3},
  [134] = {.lex_state = 2178, .external_lex_state = 8},
  [135] = {.lex_state = 2178, .external_lex_state = 7},
  [136] = {.lex_state = 2178, .external_lex_state = 8},
  [137] = {.lex_state = 2178, .external_lex_state = 8},
  [138] = {.lex_state = 2178, .external_lex_state = 8},
  [139] = {.lex_state = 2178, .external_lex_state = 8},
  [140] = {.lex_state = 2178, .external_lex_state = 8},
  [141] = {.lex_state = 2178, .external_lex_state = 8},
  [142] = {.lex_state = 2178, .external_lex_state = 8},
  [143] = {.lex_state = 2178, .external_lex_state = 8},
  [144] = {.lex_state = 2178, .external_lex_state = 8},
  [145] = {.lex_state = 2178, .external_lex_state = 8},
  [146] = {.lex_state = 2178, .external_lex_state = 8},
  [147] = {.lex_state = 2178, .external_lex_state = 8},
  [148] = {.lex_state = 2178, .external_lex_state = 7},
  [149] = {.lex_state = 2178, .external_lex_state = 7},
  [150] = {.lex_state = 2178, .external_lex_state = 10},
  [151] = {.lex_state = 2178, .external_lex_state = 10},
  [152] = {.lex_state = 2178, .external_lex_state = 8},
  [153] = {.lex_state = 2178, .external_lex_state = 9},
  [154] = {.lex_state = 2178, .external_lex_state = 9},
  [155] = {.lex_state = 2178, .external_lex_state = 8},
  [156] = {.lex_state = 2178, .external_lex_state = 8},
  [157] = {.lex_state = 2178, .external_lex_state = 8},
  [158] = {.lex_state = 2178, .external_lex_state = 10},
  [159] = {.lex_state = 2178, .external_lex_state = 10},
  [160] = {.lex_state = 2178, .external_lex_state = 9},
  [161] = {.lex_state = 2178, .external_lex_state = 7},
  [162] = {.lex_state = 2178, .external_lex_state = 7},
  [163] = {.lex_state = 2178, .external_lex_state = 9},
  [164] = {.lex_state = 2178, .external_lex_state = 8},
  [165] = {.lex_state = 2178, .external_lex_state = 8},
  [166] = {.lex_state = 2176, .external_lex_state = 7},
  [167] = {.lex_state = 2177, .external_lex_state = 7},
  [168] = {.lex_state = 2177, .external_lex_state = 9},
  [169] = {.lex_state = 2176, .external_lex_state = 9},
  [170] = {.lex_state = 2177, .external_lex_state = 10},
  [171] = {.lex_state = 2176, .external_lex_state = 10},
  [172] = {.lex_state = 2177, .external_lex_state = 9},
  [173] = {.lex_state = 2177, .external_lex_state = 8},
  [174] = {.lex_state = 2177, .external_lex_state = 10},
  [175] = {.lex_state = 2176, .external_lex_state = 7},
  [176] = {.lex_state = 2176, .external_lex_state = 8},
  [177] = {.lex_state = 2177, .external_lex_state = 7},
  [178] = {.lex_state = 2176, .external_lex_state = 9},
  [179] = {.lex_state = 2176, .external_lex_state = 10},
  [180] = {.lex_state = 2175, .external_lex_state = 10},
  [181] = {.lex_state = 2176, .external_lex_state = 8},
  [182] = {.lex_state = 2175, .external_lex_state = 7},
  [183] = {.lex_state = 2175, .external_lex_state = 9},
  [184] = {.lex_state = 2177, .external_lex_state = 8},
  [185] = {.lex_state = 2176, .external_lex_state = 8},
  [186] = {.lex_state = 2175, .external_lex_state = 8},
  [187] = {.lex_state = 2175, .external_lex_state = 7},
  [188] = {.lex_state = 2175, .external_lex_state = 9},
  [189] = {.lex_state = 2175, .external_lex_state = 10},
  [190] = {.lex_state = 2177, .external_lex_state = 8},
  [191] = {.lex_state = 2175, .external_lex_state = 8},
  [192] = {.lex_state = 2175, .external_lex_state = 8},
  [193] = {.lex_state = 2178, .external_lex_state = 11},
  [194] = {.lex_state = 2178, .external_lex_state = 3},
  [195] = {.lex_state = 2178, .external_lex_state = 5},
  [196] = {.lex_state = 2178, .external_lex_state = 2},
  [197] = {.lex_state = 2178, .external_lex_state = 6},
  [198] = {.lex_state = 2178, .external_lex_state = 7},
  [199] = {.lex_state = 2178, .external_lex_state = 4},
  [200] = {.lex_state = 2178, .external_lex_state = 10},
  [201] = {.lex_state = 2178, .external_lex_state = 5},
  [202] = {.lex_state = 2178, .external_lex_state = 12},
  [203] = {.lex_state = 2178, .external_lex_state = 4},
  [204] = {.lex_state = 2178, .external_lex_state = 6},
  [205] = {.lex_state = 2178, .external_lex_state = 13},
  [206] = {.lex_state = 2178, .external_lex_state = 3},
  [207] = {.lex_state = 2178, .external_lex_state = 9},
  [208] = {.lex_state = 2178, .external_lex_state = 8},
  [209] = {.lex_state = 2178, .external_lex_state = 11},
  [210] = {.lex_state = 7, .external_lex_state = 14},
  [211] = {.lex_state = 7, .external_lex_state = 15},
  [212] = {.lex_state = 7, .external_lex_state = 14},
  [213] = {.lex_state = 2178, .external_lex_state = 6},
  [214] = {.lex_state = 2178, .external_lex_state = 5},
  [215] = {.lex_state = 7, .external_lex_state = 15},
  [216] = {.lex_state = 7, .external_lex_state = 15},
  [217] = {.lex_state = 2178, .external_lex_state = 3},
  [218] = {.lex_state = 7, .external_lex_state = 14},
  [219] = {.lex_state = 2178, .external_lex_state = 5},
  [220] = {.lex_state = 7, .external_lex_state = 15},
  [221] = {.lex_state = 2178, .external_lex_state = 5},
  [222] = {.lex_state = 7, .external_lex_state = 14},
  [223] = {.lex_state = 2178, .external_lex_state = 6},
  [224] = {.lex_state = 2178, .external_lex_state = 3},
  [225] = {.lex_state = 2178, .external_lex_state = 13},
  [226] = {.lex_state = 7, .external_lex_state = 14},
  [227] = {.lex_state = 7, .external_lex_state = 15},
  [228] = {.lex_state = 7, .external_lex_state = 14},
  [229] = {.lex_state = 2178, .external_lex_state = 2},
  [230] = {.lex_state = 7, .external_lex_state = 15},
  [231] = {.lex_state = 7, .external_lex_state = 15},
  [232] = {.lex_state = 2178, .external_lex_state = 12},
  [233] = {.lex_state = 2178, .external_lex_state = 3},
  [234] = {.lex_state = 2178, .external_lex_state = 4},
  [235] = {.lex_state = 2178, .external_lex_state = 2},
  [236] = {.lex_state = 2178, .external_lex_state = 5},
  [237] = {.lex_state = 2178, .external_lex_state = 13},
  [238] = {.lex_state = 2178, .external_lex_state = 4},
  [239] = {.lex_state = 2178, .external_lex_state = 5},
  [240] = {.lex_state = 7, .external_lex_state = 14},
  [241] = {.lex_state = 7, .external_lex_state = 15},
  [242] = {.lex_state = 7, .external_lex_state = 14},
  [243] = {.lex_state = 7, .external_lex_state = 15},
  [244] = {.lex_state = 2178, .external_lex_state = 6},
  [245] = {.lex_state = 7, .external_lex_state = 15},
  [246] = {.lex_state = 7, .external_lex_state = 14},
  [247] = {.lex_state = 2178, .external_lex_state = 3},
  [248] = {.lex_state = 2178, .external_lex_state = 6},
  [249] = {.lex_state = 2178, .external_lex_state = 3},
  [250] = {.lex_state = 2178, .external_lex_state = 3},
  [251] = {.lex_state = 7, .external_lex_state = 15},
  [252] = {.lex_state = 2178, .external_lex_state = 8},
  [253] = {.lex_state = 2178, .external_lex_state = 4},
  [254] = {.lex_state = 2178, .external_lex_state = 4},
  [255] = {.lex_state = 2178, .external_lex_state = 2},
  [256] = {.lex_state = 2178, .external_lex_state = 11},
  [257] = {.lex_state = 2178, .external_lex_state = 4},
  [258] = {.lex_state = 2178, .external_lex_state = 12},
  [259] = {.lex_state = 7, .external_lex_state = 14},
  [260] = {.lex_state = 7, .external_lex_state = 14},
  [261] = {.lex_state = 2178, .external_lex_state = 6},
  [262] = {.lex_state = 2178, .external_lex_state = 9},
  [263] = {.lex_state = 2178, .external_lex_state = 7},
  [264] = {.lex_state = 2178, .external_lex_state = 7},
  [265] = {.lex_state = 2178, .external_lex_state = 7},
  [266] = {.lex_state = 2178, .external_lex_state = 10},
  [267] = {.lex_state = 2178, .external_lex_state = 10},
  [268] = {.lex_state = 2178, .external_lex_state = 7},
  [269] = {.lex_state = 2178, .external_lex_state = 7},
  [270] = {.lex_state = 2178, .external_lex_state = 10},
  [271] = {.lex_state = 2178, .external_lex_state = 10},
  [272] = {.lex_state = 2178, .external_lex_state = 10},
  [273] = {.lex_state = 2178, .external_lex_state = 10},
  [274] = {.lex_state = 2178, .external_lex_state = 10},
  [275] = {.lex_state = 2178, .external_lex_state = 10},
  [276] = {.lex_state = 2178, .external_lex_state = 9},
  [277] = {.lex_state = 2178, .external_lex_state = 8},
  [278] = {.lex_state = 1, .external_lex_state = 16},
  [279] = {.lex_state = 2178, .external_lex_state = 8},
  [280] = {.lex_state = 2178, .external_lex_state = 8},
  [281] = {.lex_state = 2178, .external_lex_state = 8},
  [282] = {.lex_state = 2178, .external_lex_state = 8},
  [283] = {.lex_state = 2178, .external_lex_state = 8},
  [284] = {.lex_state = 2178, .external_lex_state = 8},
  [285] = {.lex_state = 2178, .external_lex_state = 8},
  [286] = {.lex_state = 2178, .external_lex_state = 8},
  [287] = {.lex_state = 2178, .external_lex_state = 8},
  [288] = {.lex_state = 2178, .external_lex_state = 9},
  [289] = {.lex_state = 2178, .external_lex_state = 9},
  [290] = {.lex_state = 2178, .external_lex_state = 9},
  [291] = {.lex_state = 2178, .external_lex_state = 9},
  [292] = {.lex_state = 2178, .external_lex_state = 10},
  [293] = {.lex_state = 2178, .external_lex_state = 8},
  [294] = {.lex_state = 2178, .external_lex_state = 9},
  [295] = {.lex_state = 2178, .external_lex_state = 9},
  [296] = {.lex_state = 2178, .external_lex_state = 10},
  [297] = {.lex_state = 2178, .external_lex_state = 9},
  [298] = {.lex_state = 2178, .external_lex_state = 10},
  [299] = {.lex_state = 2178, .external_lex_state = 10},
  [300] = {.lex_state = 2178, .external_lex_state = 10},
  [301] = {.lex_state = 2178, .external_lex_state = 10},
  [302] = {.lex_state = 2178, .external_lex_state = 10},
  [303] = {.lex_state = 2178, .external_lex_state = 9},
  [304] = {.lex_state = 2178, .external_lex_state = 9},
  [305] = {.lex_state = 2178, .external_lex_state = 8},
  [306] = {.lex_state = 2178, .external_lex_state = 9},
  [307] = {.lex_state = 2178, .external_lex_state = 9},
  [308] = {.lex_state = 2178, .external_lex_state = 9},
  [309] = {.lex_state = 2178, .external_lex_state = 9},
  [310] = {.lex_state = 2178, .external_lex_state = 9},
  [311] = {.lex_state = 2178, .external_lex_state = 9},
  [312] = {.lex_state = 2178, .external_lex_state = 9},
  [313] = {.lex_state = 2178, .external_lex_state = 9},
  [314] = {.lex_state = 2178, .external_lex_state = 10},
  [315] = {.lex_state = 2178, .external_lex_state = 10},
  [316] = {.lex_state = 2178, .external_lex_state = 10},
  [317] = {.lex_state = 2178, .external_lex_state = 10},
  [318] = {.lex_state = 2178, .external_lex_state = 10},
  [319] = {.lex_state = 2178, .external_lex_state = 9},
  [320] = {.lex_state = 2178, .external_lex_state = 9},
  [321] = {.lex_state = 2178, .external_lex_state = 9},
  [322] = {.lex_state = 2178, .external_lex_state = 9},
  [323] = {.lex_state = 2178, .external_lex_state = 9},
  [324] = {.lex_state = 2178, .external_lex_state = 9},
  [325] = {.lex_state = 2178, .external_lex_state = 9},
  [326] = {.lex_state = 2178, .external_lex_state = 10},
  [327] = {.lex_state = 2178, .external_lex_state = 10},
  [328] = {.lex_state = 2178, .external_lex_state = 8},
  [329] = {.lex_state = 2178, .external_lex_state = 10},
  [330] = {.lex_state = 2178, .external_lex_state = 10},
  [331] = {.lex_state = 2178, .external_lex_state = 9},
  [332] = {.lex_state = 2178, .external_lex_state = 9},
  [333] = {.lex_state = 2178, .external_lex_state = 9},
  [334] = {.lex_state = 2178, .external_lex_state = 10},
  [335] = {.lex_state = 2178, .external_lex_state = 10},
  [336] = {.lex_state = 2178, .external_lex_state = 10},
  [337] = {.lex_state = 2178, .external_lex_state = 9},
  [338] = {.lex_state = 2178, .external_lex_state = 8},
  [339] = {.lex_state = 2178, .external_lex_state = 10},
  [340] = {.lex_state = 2178, .external_lex_state = 10},
  [341] = {.lex_state = 2178, .external_lex_state = 9},
  [342] = {.lex_state = 2178, .external_lex_state = 9},
  [343] = {.lex_state = 2178, .external_lex_state = 9},
  [344] = {.lex_state = 2178, .external_lex_state = 9},
  [345] = {.lex_state = 2178, .external_lex_state = 9},
  [346] = {.lex_state = 2178, .external_lex_state = 9},
  [347] = {.lex_state = 2178, .external_lex_state = 8},
  [348] = {.lex_state = 2178, .external_lex_state = 8},
  [349] = {.lex_state = 2178, .external_lex_state = 3},
  [350] = {.lex_state = 2178, .external_lex_state = 8},
  [351] = {.lex_state = 2178, .external_lex_state = 3},
  [352] = {.lex_state = 2178, .external_lex_state = 8},
  [353] = {.lex_state = 2178, .external_lex_state = 7},
  [354] = {.lex_state = 2178, .external_lex_state = 8},
  [355] = {.lex_state = 2178, .external_lex_state = 3},
  [356] = {.lex_state = 2178, .external_lex_state = 8},
  [357] = {.lex_state = 2178, .external_lex_state = 8},
  [358] = {.lex_state = 2178, .external_lex_state = 8},
  [359] = {.lex_state = 2178, .external_lex_state = 9},
  [360] = {.lex_state = 2178, .external_lex_state = 7},
  [361] = {.lex_state = 2178, .external_lex_state = 9},
  [362] = {.lex_state = 2178, .external_lex_state = 9},
  [363] = {.lex_state = 2178, .external_lex_state = 9},
  [364] = {.lex_state = 2178, .external_lex_state = 9},
  [365] = {.lex_state = 2178, .external_lex_state = 9},
  [366] = {.lex_state = 2178, .external_lex_state = 9},
  [367] = {.lex_state = 2178, .external_lex_state = 7},
  [368] = {.lex_state = 2178, .external_lex_state = 9},
  [369] = {.lex_state = 2178, .external_lex_state = 9},
  [370] = {.lex_state = 2178, .external_lex_state = 9},
  [371] = {.lex_state = 2178, .external_lex_state = 9},
  [372] = {.lex_state = 2178, .external_lex_state = 9},
  [373] = {.lex_state = 2178, .external_lex_state = 9},
  [374] = {.lex_state = 2178, .external_lex_state = 9},
  [375] = {.lex_state = 2178, .external_lex_state = 3},
  [376] = {.lex_state = 2178, .external_lex_state = 9},
  [377] = {.lex_state = 2178, .external_lex_state = 9},
  [378] = {.lex_state = 2178, .external_lex_state = 9},
  [379] = {.lex_state = 2178, .external_lex_state = 9},
  [380] = {.lex_state = 2178, .external_lex_state = 9},
  [381] = {.lex_state = 2178, .external_lex_state = 9},
  [382] = {.lex_state = 2178, .external_lex_state = 9},
  [383] = {.lex_state = 2178, .external_lex_state = 4},
  [384] = {.lex_state = 2178, .external_lex_state = 7},
  [385] = {.lex_state = 2178, .external_lex_state = 7},
  [386] = {.lex_state = 2178, .external_lex_state = 8},
  [387] = {.lex_state = 2178, .external_lex_state = 7},
  [388] = {.lex_state = 2178, .external_lex_state = 3},
  [389] = {.lex_state = 2178, .external_lex_state = 5},
  [390] = {.lex_state = 2178, .external_lex_state = 2},
  [391] = {.lex_state = 2178, .external_lex_state = 7},
  [392] = {.lex_state = 2178, .external_lex_state = 7},
  [393] = {.lex_state = 2178, .external_lex_state = 7},
  [394] = {.lex_state = 2178, .external_lex_state = 7},
  [395] = {.lex_state = 2178, .external_lex_state = 2},
  [396] = {.lex_state = 1, .external_lex_state = 16},
  [397] = {.lex_state = 2178, .external_lex_state = 8},
  [398] = {.lex_state = 2178, .external_lex_state = 7},
  [399] = {.lex_state = 2178, .external_lex_state = 6},
  [400] = {.lex_state = 2178, .external_lex_state = 8},
  [401] = {.lex_state = 2178, .external_lex_state = 7},
  [402] = {.lex_state = 2178, .external_lex_state = 7},
  [403] = {.lex_state = 2178, .external_lex_state = 7},
  [404] = {.lex_state = 2178, .external_lex_state = 7},
  [405] = {.lex_state = 2178, .external_lex_state = 7},
  [406] = {.lex_state = 2178, .external_lex_state = 3},
  [407] = {.lex_state = 2178, .external_lex_state = 7},
  [408] = {.lex_state = 2178, .external_lex_state = 7},
  [409] = {.lex_state = 2178, .external_lex_state = 7},
  [410] = {.lex_state = 2178, .external_lex_state = 7},
  [411] = {.lex_state = 2178, .external_lex_state = 7},
  [412] = {.lex_state = 2178, .external_lex_state = 7},
  [413] = {.lex_state = 2178, .external_lex_state = 7},
  [414] = {.lex_state = 2178, .external_lex_state = 10},
  [415] = {.lex_state = 2178, .external_lex_state = 7},
  [416] = {.lex_state = 2178, .external_lex_state = 8},
  [417] = {.lex_state = 2178, .external_lex_state = 7},
  [418] = {.lex_state = 2178, .external_lex_state = 7},
  [419] = {.lex_state = 2178, .external_lex_state = 7},
  [420] = {.lex_state = 2178, .external_lex_state = 7},
  [421] = {.lex_state = 2178, .external_lex_state = 7},
  [422] = {.lex_state = 2178, .external_lex_state = 7},
  [423] = {.lex_state = 2178, .external_lex_state = 7},
  [424] = {.lex_state = 2178, .external_lex_state = 10},
  [425] = {.lex_state = 2178, .external_lex_state = 7},
  [426] = {.lex_state = 2178, .external_lex_state = 7},
  [427] = {.lex_state = 2178, .external_lex_state = 7},
  [428] = {.lex_state = 1, .external_lex_state = 16},
  [429] = {.lex_state = 1, .external_lex_state = 16},
  [430] = {.lex_state = 2178, .external_lex_state = 7},
  [431] = {.lex_state = 2178, .external_lex_state = 7},
  [432] = {.lex_state = 2178, .external_lex_state = 7},
  [433] = {.lex_state = 2178, .external_lex_state = 7},
  [434] = {.lex_state = 2178, .external_lex_state = 10},
  [435] = {.lex_state = 2178, .external_lex_state = 8},
  [436] = {.lex_state = 2178, .external_lex_state = 8},
  [437] = {.lex_state = 1, .external_lex_state = 16},
  [438] = {.lex_state = 2178, .external_lex_state = 8},
  [439] = {.lex_state = 2178, .external_lex_state = 8},
  [440] = {.lex_state = 2178, .external_lex_state = 8},
  [441] = {.lex_state = 2178, .external_lex_state = 8},
  [442] = {.lex_state = 2178, .external_lex_state = 8},
  [443] = {.lex_state = 2178, .external_lex_state = 9},
  [444] = {.lex_state = 2178, .external_lex_state = 8},
  [445] = {.lex_state = 2178, .external_lex_state = 7},
  [446] = {.lex_state = 2178, .external_lex_state = 8},
  [447] = {.lex_state = 2178, .external_lex_state = 10},
  [448] = {.lex_state = 2178, .external_lex_state = 8},
  [449] = {.lex_state = 2178, .external_lex_state = 10},
  [450] = {.lex_state = 2178, .external_lex_state = 10},
  [451] = {.lex_state = 1, .external_lex_state = 16},
  [452] = {.lex_state = 1, .external_lex_state = 16},
  [453] = {.lex_state = 2178, .external_lex_state = 10},
  [454] = {.lex_state = 2178, .external_lex_state = 10},
  [455] = {.lex_state = 2178, .external_lex_state = 10},
  [456] = {.lex_state = 2178, .external_lex_state = 10},
  [457] = {.lex_state = 2178, .external_lex_state = 7},
  [458] = {.lex_state = 2178, .external_lex_state = 8},
  [459] = {.lex_state = 2178, .external_lex_state = 10},
  [460] = {.lex_state = 1, .external_lex_state = 16},
  [461] = {.lex_state = 2178, .external_lex_state = 10},
  [462] = {.lex_state = 2178, .external_lex_state = 7},
  [463] = {.lex_state = 2178, .external_lex_state = 10},
  [464] = {.lex_state = 2178, .external_lex_state = 7},
  [465] = {.lex_state = 2178, .external_lex_state = 7},
  [466] = {.lex_state = 2178, .external_lex_state = 7},
  [467] = {.lex_state = 2178, .external_lex_state = 7},
  [468] = {.lex_state = 2178, .external_lex_state = 7},
  [469] = {.lex_state = 2178, .external_lex_state = 8},
  [470] = {.lex_state = 2178, .external_lex_state = 10},
  [471] = {.lex_state = 2178, .external_lex_state = 8},
  [472] = {.lex_state = 2178, .external_lex_state = 7},
  [473] = {.lex_state = 2178, .external_lex_state = 10},
  [474] = {.lex_state = 1, .external_lex_state = 16},
  [475] = {.lex_state = 1, .external_lex_state = 16},
  [476] = {.lex_state = 2178, .external_lex_state = 10},
  [477] = {.lex_state = 2178, .external_lex_state = 8},
  [478] = {.lex_state = 2178, .external_lex_state = 8},
  [479] = {.lex_state = 2178, .external_lex_state = 10},
  [480] = {.lex_state = 2178, .external_lex_state = 10},
  [481] = {.lex_state = 2178, .external_lex_state = 10},
  [482] = {.lex_state = 2178, .external_lex_state = 9},
  [483] = {.lex_state = 1, .external_lex_state = 16},
  [484] = {.lex_state = 2178, .external_lex_state = 10},
  [485] = {.lex_state = 2178, .external_lex_state = 10},
  [486] = {.lex_state = 2178, .external_lex_state = 10},
  [487] = {.lex_state = 2178, .external_lex_state = 10},
  [488] = {.lex_state = 2178, .external_lex_state = 10},
  [489] = {.lex_state = 2178, .external_lex_state = 7},
  [490] = {.lex_state = 2178, .external_lex_state = 8},
  [491] = {.lex_state = 2178, .external_lex_state = 7},
  [492] = {.lex_state = 2178, .external_lex_state = 7},
  [493] = {.lex_state = 2178, .external_lex_state = 10},
  [494] = {.lex_state = 2178, .external_lex_state = 7},
  [495] = {.lex_state = 2178, .external_lex_state = 7},
  [496] = {.lex_state = 2178, .external_lex_state = 7},
  [497] = {.lex_state = 1, .external_lex_state = 16},
  [498] = {.lex_state = 1, .external_lex_state = 16},
  [499] = {.lex_state = 2178, .external_lex_state = 10},
  [500] = {.lex_state = 2178, .external_lex_state = 8},
  [501] = {.lex_state = 2178, .external_lex_state = 10},
  [502] = {.lex_state = 2178, .external_lex_state = 10},
  [503] = {.lex_state = 1, .external_lex_state = 16},
  [504] = {.lex_state = 2178, .external_lex_state = 8},
  [505] = {.lex_state = 2178, .external_lex_state = 8},
  [506] = {.lex_state = 2178, .external_lex_state = 8},
  [507] = {.lex_state = 2178, .external_lex_state = 8},
  [508] = {.lex_state = 2178, .external_lex_state = 8},
  [509] = {.lex_state = 2178, .external_lex_state = 8},
  [510] = {.lex_state = 2178, .external_lex_state = 8},
  [511] = {.lex_state = 2178, .external_lex_state = 10},
  [512] = {.lex_state = 2178, .external_lex_state = 10},
  [513] = {.lex_state = 2178, .external_lex_state = 10},
  [514] = {.lex_state = 2178, .external_lex_state = 8},
  [515] = {.lex_state = 1, .external_lex_state = 16},
  [516] = {.lex_state = 2178, .external_lex_state = 8},
  [517] = {.lex_state = 1, .external_lex_state = 16},
  [518] = {.lex_state = 2178, .external_lex_state = 10},
  [519] = {.lex_state = 2178, .external_lex_state = 7},
  [520] = {.lex_state = 2178, .external_lex_state = 7},
  [521] = {.lex_state = 2178, .external_lex_state = 8},
  [522] = {.lex_state = 2178, .external_lex_state = 8},
  [523] = {.lex_state = 2178, .external_lex_state = 8},
  [524] = {.lex_state = 2178, .external_lex_state = 8},
  [525] = {.lex_state = 2178, .external_lex_state = 7},
  [526] = {.lex_state = 2178, .external_lex_state = 7},
  [527] = {.lex_state = 2178, .external_lex_state = 10},
  [528] = {.lex_state = 2178, .external_lex_state = 10},
  [529] = {.lex_state = 2178, .external_lex_state = 8},
  [530] = {.lex_state = 2178, .external_lex_state = 7},
  [531] = {.lex_state = 2178, .external_lex_state = 8},
  [532] = {.lex_state = 2178, .external_lex_state = 10},
  [533] = {.lex_state = 2178, .external_lex_state = 8},
  [534] = {.lex_state = 2178, .external_lex_state = 8},
  [535] = {.lex_state = 2178, .external_lex_state = 7},
  [536] = {.lex_state = 2178, .external_lex_state = 8},
  [537] = {.lex_state = 2178, .external_lex_state = 8},
  [538] = {.lex_state = 2178, .external_lex_state = 8},
  [539] = {.lex_state = 2178, .external_lex_state = 8},
  [540] = {.lex_state = 2178, .external_lex_state = 8},
  [541] = {.lex_state = 2178, .external_lex_state = 8},
  [542] = {.lex_state = 2178, .external_lex_state = 8},
  [543] = {.lex_state = 2178, .external_lex_state = 8},
  [544] = {.lex_state = 2178, .external_lex_state = 8},
  [545] = {.lex_state = 2178, .external_lex_state = 8},
  [546] = {.lex_state = 2178, .external_lex_state = 8},
  [547] = {.lex_state = 2178, .external_lex_state = 8},
  [548] = {.lex_state = 2178, .external_lex_state = 8},
  [549] = {.lex_state = 2178, .external_lex_state = 8},
  [550] = {.lex_state = 2178, .external_lex_state = 8},
  [551] = {.lex_state = 2178, .external_lex_state = 8},
  [552] = {.lex_state = 2178, .external_lex_state = 8},
  [553] = {.lex_state = 2178, .external_lex_state = 8},
  [554] = {.lex_state = 2178, .external_lex_state = 8},
  [555] = {.lex_state = 2178, .external_lex_state = 8},
  [556] = {.lex_state = 2178, .external_lex_state = 8},
  [557] = {.lex_state = 2178, .external_lex_state = 8},
  [558] = {.lex_state = 2178, .external_lex_state = 8},
  [559] = {.lex_state = 2178, .external_lex_state = 8},
  [560] = {.lex_state = 2178, .external_lex_state = 8},
  [561] = {.lex_state = 2178, .external_lex_state = 8},
  [562] = {.lex_state = 2178, .external_lex_state = 8},
  [563] = {.lex_state = 2178, .external_lex_state = 8},
  [564] = {.lex_state = 2178, .external_lex_state = 8},
  [565] = {.lex_state = 2178, .external_lex_state = 8},
  [566] = {.lex_state = 2178, .external_lex_state = 8},
  [567] = {.lex_state = 2178, .external_lex_state = 8},
  [568] = {.lex_state = 2178, .external_lex_state = 8},
  [569] = {.lex_state = 2178, .external_lex_state = 8},
  [570] = {.lex_state = 2178, .external_lex_state = 8},
  [571] = {.lex_state = 2178, .external_lex_state = 8},
  [572] = {.lex_state = 2178, .external_lex_state = 8},
  [573] = {.lex_state = 2178, .external_lex_state = 8},
  [574] = {.lex_state = 2178, .external_lex_state = 8},
  [575] = {.lex_state = 2178, .external_lex_state = 7},
  [576] = {.lex_state = 2178, .external_lex_state = 10},
  [577] = {.lex_state = 2178, .external_lex_state = 8},
  [578] = {.lex_state = 2178, .external_lex_state = 8},
  [579] = {.lex_state = 2178, .external_lex_state = 8},
  [580] = {.lex_state = 2178, .external_lex_state = 8},
  [581] = {.lex_state = 2178, .external_lex_state = 8},
  [582] = {.lex_state = 2178, .external_lex_state = 8},
  [583] = {.lex_state = 2178, .external_lex_state = 8},
  [584] = {.lex_state = 2178, .external_lex_state = 8},
  [585] = {.lex_state = 2178, .external_lex_state = 8},
  [586] = {.lex_state = 2178, .external_lex_state = 8},
  [587] = {.lex_state = 2178, .external_lex_state = 8},
  [588] = {.lex_state = 2178, .external_lex_state = 8},
  [589] = {.lex_state = 2178, .external_lex_state = 8},
  [590] = {.lex_state = 2178, .external_lex_state = 8},
  [591] = {.lex_state = 2178, .external_lex_state = 8},
  [592] = {.lex_state = 2178, .external_lex_state = 8},
  [593] = {.lex_state = 2178, .external_lex_state = 8},
  [594] = {.lex_state = 2178, .external_lex_state = 8},
  [595] = {.lex_state = 2178, .external_lex_state = 8},
  [596] = {.lex_state = 2178, .external_lex_state = 8},
  [597] = {.lex_state = 2178, .external_lex_state = 8},
  [598] = {.lex_state = 2178, .external_lex_state = 9},
  [599] = {.lex_state = 2178, .external_lex_state = 8},
  [600] = {.lex_state = 2178, .external_lex_state = 10},
  [601] = {.lex_state = 2178, .external_lex_state = 10},
  [602] = {.lex_state = 2178, .external_lex_state = 9},
  [603] = {.lex_state = 2178, .external_lex_state = 7},
  [604] = {.lex_state = 2178, .external_lex_state = 7},
  [605] = {.lex_state = 2178, .external_lex_state = 7},
  [606] = {.lex_state = 2178, .external_lex_state = 7},
  [607] = {.lex_state = 2178, .external_lex_state = 7},
  [608] = {.lex_state = 2178, .external_lex_state = 9},
  [609] = {.lex_state = 2178, .external_lex_state = 9},
  [610] = {.lex_state = 2178, .external_lex_state = 8},
  [611] = {.lex_state = 2178, .external_lex_state = 8},
  [612] = {.lex_state = 2178, .external_lex_state = 9},
  [613] = {.lex_state = 2178, .external_lex_state = 9},
  [614] = {.lex_state = 2178, .external_lex_state = 7},
  [615] = {.lex_state = 2178, .external_lex_state = 7},
  [616] = {.lex_state = 2178, .external_lex_state = 8},
  [617] = {.lex_state = 2178, .external_lex_state = 9},
  [618] = {.lex_state = 2178, .external_lex_state = 8},
  [619] = {.lex_state = 2178, .external_lex_state = 9},
  [620] = {.lex_state = 2178, .external_lex_state = 10},
  [621] = {.lex_state = 2178, .external_lex_state = 10},
  [622] = {.lex_state = 2178, .external_lex_state = 9},
  [623] = {.lex_state = 2178, .external_lex_state = 8},
  [624] = {.lex_state = 2178, .external_lex_state = 8},
  [625] = {.lex_state = 2178, .external_lex_state = 7},
  [626] = {.lex_state = 2178, .external_lex_state = 7},
  [627] = {.lex_state = 2178, .external_lex_state = 7},
  [628] = {.lex_state = 2178, .external_lex_state = 8},
  [629] = {.lex_state = 2178, .external_lex_state = 7},
  [630] = {.lex_state = 2178, .external_lex_state = 10},
  [631] = {.lex_state = 2178, .external_lex_state = 7},
  [632] = {.lex_state = 2178, .external_lex_state = 10},
  [633] = {.lex_state = 2178, .external_lex_state = 8},
  [634] = {.lex_state = 2178, .external_lex_state = 8},
  [635] = {.lex_state = 2178, .external_lex_state = 8},
  [636] = {.lex_state = 2178, .external_lex_state = 10},
  [637] = {.lex_state = 2178, .external_lex_state = 10},
  [638] = {.lex_state = 2178, .external_lex_state = 10},
  [639] = {.lex_state = 2178, .external_lex_state = 10},
  [640] = {.lex_state = 2178, .external_lex_state = 7},
  [641] = {.lex_state = 2178, .external_lex_state = 10},
  [642] = {.lex_state = 2178, .external_lex_state = 10},
  [643] = {.lex_state = 2178, .external_lex_state = 10},
  [644] = {.lex_state = 2178, .external_lex_state = 9},
  [645] = {.lex_state = 2},
  [646] = {.lex_state = 2},
  [647] = {.lex_state = 2},
  [648] = {.lex_state = 2},
  [649] = {.lex_state = 2},
  [650] = {.lex_state = 2},
  [651] = {.lex_state = 2},
  [652] = {.lex_state = 2},
  [653] = {.lex_state = 2},
  [654] = {.lex_state = 2},
  [655] = {.lex_state = 2},
  [656] = {.lex_state = 2, .external_lex_state = 17},
  [657] = {.lex_state = 2},
  [658] = {.lex_state = 2},
  [659] = {.lex_state = 2, .external_lex_state = 17},
  [660] = {.lex_state = 2},
  [661] = {.lex_state = 2},
  [662] = {.lex_state = 2},
  [663] = {.lex_state = 2},
  [664] = {.lex_state = 2},
  [665] = {.lex_state = 2},
  [666] = {.lex_state = 2},
  [667] = {.lex_state = 6, .external_lex_state = 15},
  [668] = {.lex_state = 1, .external_lex_state = 18},
  [669] = {.lex_state = 6, .external_lex_state = 14},
  [670] = {.lex_state = 2},
  [671] = {.lex_state = 1, .external_lex_state = 19},
  [672] = {.lex_state = 5, .external_lex_state = 15},
  [673] = {.lex_state = 5, .external_lex_state = 14},
  [674] = {.lex_state = 1, .external_lex_state = 18},
  [675] = {.lex_state = 1, .external_lex_state = 16},
  [676] = {.lex_state = 1, .external_lex_state = 16},
  [677] = {.lex_state = 1, .external_lex_state = 16},
  [678] = {.lex_state = 3, .external_lex_state = 15},
  [679] = {.lex_state = 3, .external_lex_state = 14},
  [680] = {.lex_state = 1, .external_lex_state = 16},
  [681] = {.lex_state = 2},
  [682] = {.lex_state = 2, .external_lex_state = 17},
  [683] = {.lex_state = 2, .external_lex_state = 17},
  [684] = {.lex_state = 2},
  [685] = {.lex_state = 2},
  [686] = {.lex_state = 2},
  [687] = {.lex_state = 2},
  [688] = {.lex_state = 2},
  [689] = {.lex_state = 2, .external_lex_state = 17},
  [690] = {.lex_state = 2},
  [691] = {.lex_state = 2},
  [692] = {.lex_state = 7, .external_lex_state = 15},
  [693] = {.lex_state = 2},
  [694] = {.lex_state = 2},
  [695] = {.lex_state = 7, .external_lex_state = 20},
  [696] = {.lex_state = 2},
  [697] = {.lex_state = 2},
  [698] = {.lex_state = 7, .external_lex_state = 14},
  [699] = {.lex_state = 2},
  [700] = {.lex_state = 7, .external_lex_state = 21},
  [701] = {.lex_state = 2},
  [702] = {.lex_state = 4, .external_lex_state = 17},
  [703] = {.lex_state = 7, .external_lex_state = 22},
  [704] = {.lex_state = 4, .external_lex_state = 17},
  [705] = {.lex_state = 7, .external_lex_state = 23},
  [706] = {.lex_state = 2},
  [707] = {.lex_state = 7, .external_lex_state = 23},
  [708] = {.lex_state = 4, .external_lex_state = 17},
  [709] = {.lex_state = 2178},
  [710] = {.lex_state = 4, .external_lex_state = 17},
  [711] = {.lex_state = 7, .external_lex_state = 20},
  [712] = {.lex_state = 4, .external_lex_state = 17},
  [713] = {.lex_state = 2178},
  [714] = {.lex_state = 4, .external_lex_state = 17},
  [715] = {.lex_state = 7, .external_lex_state = 22},
  [716] = {.lex_state = 2178},
  [717] = {.lex_state = 4, .external_lex_state = 17},
  [718] = {.lex_state = 4, .external_lex_state = 17},
  [719] = {.lex_state = 4, .external_lex_state = 17},
  [720] = {.lex_state = 7, .external_lex_state = 21},
  [721] = {.lex_state = 4, .external_lex_state = 17},
  [722] = {.lex_state = 4, .external_lex_state = 17},
  [723] = {.lex_state = 4, .external_lex_state = 17},
  [724] = {.lex_state = 4, .external_lex_state = 17},
  [725] = {.lex_state = 4, .external_lex_state = 17},
  [726] = {.lex_state = 9},
  [727] = {.lex_state = 8},
  [728] = {.lex_state = 9},
  [729] = {.lex_state = 7, .external_lex_state = 15},
  [730] = {.lex_state = 7, .external_lex_state = 14},
  [731] = {.lex_state = 7, .external_lex_state = 15},
  [732] = {.lex_state = 7, .external_lex_state = 15},
  [733] = {.lex_state = 7, .external_lex_state = 15},
  [734] = {.lex_state = 7, .external_lex_state = 15},
  [735] = {.lex_state = 7, .external_lex_state = 15},
  [736] = {.lex_state = 4},
  [737] = {.lex_state = 4},
  [738] = {.lex_state = 7, .external_lex_state = 15},
  [739] = {.lex_state = 7, .external_lex_state = 15},
  [740] = {.lex_state = 7, .external_lex_state = 15},
  [741] = {.lex_state = 7, .external_lex_state = 15},
  [742] = {.lex_state = 4},
  [743] = {.lex_state = 4},
  [744] = {.lex_state = 4},
  [745] = {.lex_state = 7, .external_lex_state = 15},
  [746] = {.lex_state = 7, .external_lex_state = 15},
  [747] = {.lex_state = 4},
  [748] = {.lex_state = 8},
  [749] = {.lex_state = 9},
  [750] = {.lex_state = 7, .external_lex_state = 15},
  [751] = {.lex_state = 7, .external_lex_state = 15},
  [752] = {.lex_state = 7, .external_lex_state = 14},
  [753] = {.lex_state = 7, .external_lex_state = 15},
  [754] = {.lex_state = 7, .external_lex_state = 14},
  [755] = {.lex_state = 4},
  [756] = {.lex_state = 4},
  [757] = {.lex_state = 7, .external_lex_state = 14},
  [758] = {.lex_state = 7, .external_lex_state = 14},
  [759] = {.lex_state = 7, .external_lex_state = 14},
  [760] = {.lex_state = 7, .external_lex_state = 15},
  [761] = {.lex_state = 4},
  [762] = {.lex_state = 4},
  [763] = {.lex_state = 4},
  [764] = {.lex_state = 4},
  [765] = {.lex_state = 7, .external_lex_state = 14},
  [766] = {.lex_state = 7, .external_lex_state = 14},
  [767] = {.lex_state = 7, .external_lex_state = 14},
  [768] = {.lex_state = 7, .external_lex_state = 14},
  [769] = {.lex_state = 7, .external_lex_state = 14},
  [770] = {.lex_state = 7, .external_lex_state = 14},
  [771] = {.lex_state = 4},
  [772] = {.lex_state = 8},
  [773] = {.lex_state = 9},
  [774] = {.lex_state = 8},
  [775] = {.lex_state = 4},
  [776] = {.lex_state = 7, .external_lex_state = 14},
  [777] = {.lex_state = 4},
  [778] = {.lex_state = 7, .external_lex_state = 14},
  [779] = {.lex_state = 4},
  [780] = {.lex_state = 7, .external_lex_state = 14},
  [781] = {.lex_state = 4},
  [782] = {.lex_state = 4},
  [783] = {.lex_state = 4},
  [784] = {.lex_state = 7, .external_lex_state = 14},
  [785] = {.lex_state = 4},
  [786] = {.lex_state = 7, .external_lex_state = 15},
  [787] = {.lex_state = 7, .external_lex_state = 14},
  [788] = {.lex_state = 7, .external_lex_state = 15},
  [789] = {.lex_state = 4},
  [790] = {.lex_state = 4},
  [791] = {.lex_state = 4},
  [792] = {.lex_state = 7, .external_lex_state = 14},
  [793] = {.lex_state = 7, .external_lex_state = 15},
  [794] = {.lex_state = 4},
  [795] = {.lex_state = 8},
  [796] = {.lex_state = 9},
  [797] = {.lex_state = 7, .external_lex_state = 14},
  [798] = {.lex_state = 7, .external_lex_state = 14},
  [799] = {.lex_state = 4},
  [800] = {.lex_state = 4},
  [801] = {.lex_state = 7, .external_lex_state = 15},
  [802] = {.lex_state = 8},
  [803] = {.lex_state = 4},
  [804] = {.lex_state = 4},
  [805] = {.lex_state = 4},
  [806] = {.lex_state = 4},
  [807] = {.lex_state = 8},
  [808] = {.lex_state = 9},
  [809] = {.lex_state = 4},
  [810] = {.lex_state = 4},
  [811] = {.lex_state = 4},
  [812] = {.lex_state = 4},
  [813] = {.lex_state = 4},
  [814] = {.lex_state = 7, .external_lex_state = 14},
  [815] = {.lex_state = 4},
  [816] = {.lex_state = 8},
  [817] = {.lex_state = 9},
  [818] = {.lex_state = 4},
  [819] = {.lex_state = 4},
  [820] = {.lex_state = 4},
  [821] = {.lex_state = 4},
  [822] = {.lex_state = 4},
  [823] = {.lex_state = 4},
  [824] = {.lex_state = 9},
  [825] = {.lex_state = 4},
  [826] = {.lex_state = 7, .external_lex_state = 15},
  [827] = {.lex_state = 10},
  [828] = {.lex_state = 10},
  [829] = {.lex_state = 2},
  [830] = {.lex_state = 2, .external_lex_state = 24},
  [831] = {.lex_state = 10},
  [832] = {.lex_state = 2, .external_lex_state = 24},
  [833] = {.lex_state = 10},
  [834] = {.lex_state = 10},
  [835] = {.lex_state = 10},
  [836] = {.lex_state = 2, .external_lex_state = 17},
  [837] = {.lex_state = 10},
  [838] = {.lex_state = 2, .external_lex_state = 17},
  [839] = {.lex_state = 2},
  [840] = {.lex_state = 10},
  [841] = {.lex_state = 10},
  [842] = {.lex_state = 10},
  [843] = {.lex_state = 2, .external_lex_state = 17},
  [844] = {.lex_state = 2},
  [845] = {.lex_state = 10},
  [846] = {.lex_state = 2},
  [847] = {.lex_state = 10},
  [848] = {.lex_state = 10},
  [849] = {.lex_state = 2, .external_lex_state = 17},
  [850] = {.lex_state = 2, .external_lex_state = 17},
  [851] = {.lex_state = 2, .external_lex_state = 17},
  [852] = {.lex_state = 10},
  [853] = {.lex_state = 10},
  [854] = {.lex_state = 10},
  [855] = {.lex_state = 10},
  [856] = {.lex_state = 10},
  [857] = {.lex_state = 10},
  [858] = {.lex_state = 10},
  [859] = {.lex_state = 10},
  [860] = {.lex_state = 2, .external_lex_state = 17},
  [861] = {.lex_state = 2},
  [862] = {.lex_state = 2},
  [863] = {.lex_state = 2},
  [864] = {.lex_state = 2},
  [865] = {.lex_state = 2},
  [866] = {.lex_state = 2},
  [867] = {.lex_state = 2},
  [868] = {.lex_state = 2},
  [869] = {.lex_state = 2},
  [870] = {.lex_state = 2},
  [871] = {.lex_state = 2},
  [872] = {.lex_state = 2},
  [873] = {.lex_state = 2},
  [874] = {.lex_state = 2},
  [875] = {.lex_state = 2},
  [876] = {.lex_state = 2},
  [877] = {.lex_state = 2},
  [878] = {.lex_state = 2},
  [879] = {.lex_state = 2, .external_lex_state = 17},
  [880] = {.lex_state = 2},
  [881] = {.lex_state = 2},
  [882] = {.lex_state = 4, .external_lex_state = 24},
  [883] = {.lex_state = 4, .external_lex_state = 17},
  [884] = {.lex_state = 2178, .external_lex_state = 17},
  [885] = {.lex_state = 4, .external_lex_state = 24},
  [886] = {.lex_state = 8, .external_lex_state = 24},
  [887] = {.lex_state = 8, .external_lex_state = 24},
  [888] = {.lex_state = 9, .external_lex_state = 24},
  [889] = {.lex_state = 4, .external_lex_state = 17},
  [890] = {.lex_state = 4},
  [891] = {.lex_state = 9, .external_lex_state = 24},
  [892] = {.lex_state = 8, .external_lex_state = 17},
  [893] = {.lex_state = 9, .external_lex_state = 17},
  [894] = {.lex_state = 10, .external_lex_state = 24},
  [895] = {.lex_state = 10, .external_lex_state = 17},
  [896] = {.lex_state = 10, .external_lex_state = 24},
  [897] = {.lex_state = 4},
  [898] = {.lex_state = 4},
  [899] = {.lex_state = 4},
  [900] = {.lex_state = 4},
  [901] = {.lex_state = 2178},
  [902] = {.lex_state = 9},
  [903] = {.lex_state = 9},
  [904] = {.lex_state = 8},
  [905] = {.lex_state = 9},
  [906] = {.lex_state = 8},
  [907] = {.lex_state = 8},
  [908] = {.lex_state = 10, .external_lex_state = 17},
  [909] = {.lex_state = 10, .external_lex_state = 17},
  [910] = {.lex_state = 10},
  [911] = {.lex_state = 10},
  [912] = {.lex_state = 10},
  [913] = {.lex_state = 10},
  [914] = {.lex_state = 10},
  [915] = {.lex_state = 10},
  [916] = {.lex_state = 10},
  [917] = {.lex_state = 10},
  [918] = {.lex_state = 10},
  [919] = {.lex_state = 10},
  [920] = {.lex_state = 10},
  [921] = {.lex_state = 10},
  [922] = {.lex_state = 0},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 0},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 0},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 0},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 0},
  [933] = {.lex_state = 0},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 0},
  [936] = {.lex_state = 0},
  [937] = {.lex_state = 0},
  [938] = {.lex_state = 0},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 0},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 0},
  [943] = {.lex_state = 11},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 0},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 0},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 0},
  [956] = {.lex_state = 11},
  [957] = {.lex_state = 11},
  [958] = {.lex_state = 11},
  [959] = {.lex_state = 0},
  [960] = {.lex_state = 0},
  [961] = {.lex_state = 0},
  [962] = {.lex_state = 12},
  [963] = {.lex_state = 12},
  [964] = {.lex_state = 12},
  [965] = {.lex_state = 12},
  [966] = {.lex_state = 12},
  [967] = {.lex_state = 12},
  [968] = {.lex_state = 12},
  [969] = {.lex_state = 12},
  [970] = {.lex_state = 12},
  [971] = {.lex_state = 12},
  [972] = {.lex_state = 12},
  [973] = {.lex_state = 12},
  [974] = {.lex_state = 11},
  [975] = {.lex_state = 2178},
  [976] = {.lex_state = 12},
  [977] = {.lex_state = 2178},
  [978] = {.lex_state = 12},
  [979] = {.lex_state = 2178},
  [980] = {.lex_state = 12},
  [981] = {.lex_state = 11, .external_lex_state = 24},
  [982] = {.lex_state = 11, .external_lex_state = 24},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 0},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 0},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 0},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 0},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 0},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 0},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 0},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 0},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 0},
  [1016] = {.lex_state = 0},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 0},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 0},
  [1025] = {.lex_state = 0},
  [1026] = {.lex_state = 0},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 0},
  [1030] = {.lex_state = 0},
  [1031] = {.lex_state = 0},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 0},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 0},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 0},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 0},
  [1043] = {.lex_state = 0},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 12, .external_lex_state = 24},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 12, .external_lex_state = 24},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 12},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 12},
  [1103] = {.lex_state = 11},
  [1104] = {.lex_state = 11},
  [1105] = {.lex_state = 12},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0, .external_lex_state = 25},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0, .external_lex_state = 26},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0, .external_lex_state = 26},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0, .external_lex_state = 26},
  [1151] = {.lex_state = 0, .external_lex_state = 26},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__backslash_escape] = ACTIONS(1),
    [sym_entity_reference] = ACTIONS(1),
    [sym_numeric_character_reference] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_BSLASH] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [sym__newline_token] = ACTIONS(1),
    [sym_uri_autolink] = ACTIONS(1),
    [sym_email_autolink] = ACTIONS(1),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1),
    [anon_sym_DASH_DASH_GT] = ACTIONS(1),
    [anon_sym_LT_QMARK] = ACTIONS(1),
    [anon_sym_QMARK_GT] = ACTIONS(1),
    [aux_sym__declaration_token1] = ACTIONS(1),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK_RBRACK_GT] = ACTIONS(1),
    [sym__whitespace_ge_2] = ACTIONS(1),
    [aux_sym__whitespace_token1] = ACTIONS(1),
    [sym__word_no_digit] = ACTIONS(1),
    [sym__digits] = ACTIONS(1),
    [sym__error] = ACTIONS(1),
    [sym__trigger_error] = ACTIONS(1),
    [sym__code_span_start] = ACTIONS(1),
    [sym__code_span_close] = ACTIONS(1),
    [sym__emphasis_open_star] = ACTIONS(1),
    [sym__emphasis_open_underscore] = ACTIONS(1),
    [sym__emphasis_close_star] = ACTIONS(1),
    [sym__emphasis_close_underscore] = ACTIONS(1),
    [sym__last_token_whitespace] = ACTIONS(1),
    [sym__last_token_punctuation] = ACTIONS(1),
    [sym__strikethrough_open] = ACTIONS(1),
    [sym__strikethrough_close] = ACTIONS(1),
    [sym__latex_span_start] = ACTIONS(1),
    [sym__latex_span_close] = ACTIONS(1),
    [sym__unclosed_span] = ACTIONS(1),
  },
  [1] = {
    [sym_inline] = STATE(1139),
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1119),
    [sym__link_text_non_empty] = STATE(469),
    [sym_shortcut_link] = STATE(529),
    [sym_full_reference_link] = STATE(529),
    [sym_collapsed_reference_link] = STATE(529),
    [sym_inline_link] = STATE(529),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1117),
    [sym__image_description_non_empty] = STATE(478),
    [sym__html_tag] = STATE(505),
    [sym__open_tag] = STATE(522),
    [sym__closing_tag] = STATE(522),
    [sym__html_comment] = STATE(522),
    [sym__processing_instruction] = STATE(522),
    [sym__declaration] = STATE(522),
    [sym__cdata_section] = STATE(522),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(529),
    [sym__text_base] = STATE(155),
    [sym__inline_element] = STATE(529),
    [aux_sym__inline] = STATE(14),
    [sym__strikethrough] = STATE(529),
    [sym__emphasis_star] = STATE(534),
    [sym__strong_emphasis_star] = STATE(529),
    [sym__emphasis_underscore] = STATE(534),
    [sym__strong_emphasis_underscore] = STATE(529),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__last_token_whitespace] = ACTIONS(41),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(5),
  },
  [2] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(52),
    [sym_full_reference_link] = STATE(52),
    [sym_collapsed_reference_link] = STATE(52),
    [sym_inline_link] = STATE(52),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(52),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(52),
    [aux_sym__inline_no_underscore] = STATE(52),
    [sym__strikethrough] = STATE(52),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(52),
    [sym__emphasis_underscore] = STATE(454),
    [sym__strong_emphasis_underscore] = STATE(52),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [ts_builtin_sym_end] = ACTIONS(47),
    [sym__backslash_escape] = ACTIONS(49),
    [sym_entity_reference] = ACTIONS(52),
    [sym_numeric_character_reference] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(58),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(64),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(64),
    [anon_sym_POUND] = ACTIONS(64),
    [anon_sym_DOLLAR] = ACTIONS(64),
    [anon_sym_PERCENT] = ACTIONS(64),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_SQUOTE] = ACTIONS(64),
    [anon_sym_STAR] = ACTIONS(64),
    [anon_sym_PLUS] = ACTIONS(64),
    [anon_sym_COMMA] = ACTIONS(64),
    [anon_sym_DASH] = ACTIONS(64),
    [anon_sym_DOT] = ACTIONS(64),
    [anon_sym_SLASH] = ACTIONS(64),
    [anon_sym_COLON] = ACTIONS(64),
    [anon_sym_SEMI] = ACTIONS(64),
    [anon_sym_EQ] = ACTIONS(64),
    [anon_sym_QMARK] = ACTIONS(64),
    [anon_sym_AT] = ACTIONS(64),
    [anon_sym_BSLASH] = ACTIONS(73),
    [anon_sym_CARET] = ACTIONS(64),
    [anon_sym__] = ACTIONS(64),
    [anon_sym_BQUOTE] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(64),
    [anon_sym_PIPE] = ACTIONS(64),
    [anon_sym_RBRACE] = ACTIONS(64),
    [anon_sym_TILDE] = ACTIONS(64),
    [anon_sym_LPAREN] = ACTIONS(64),
    [anon_sym_RPAREN] = ACTIONS(64),
    [sym__newline_token] = ACTIONS(76),
    [sym_uri_autolink] = ACTIONS(52),
    [sym_email_autolink] = ACTIONS(52),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(79),
    [anon_sym_LT_QMARK] = ACTIONS(82),
    [aux_sym__declaration_token1] = ACTIONS(85),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(88),
    [sym__whitespace_ge_2] = ACTIONS(91),
    [aux_sym__whitespace_token1] = ACTIONS(94),
    [sym__word_no_digit] = ACTIONS(52),
    [sym__digits] = ACTIONS(52),
    [sym__code_span_start] = ACTIONS(97),
    [sym__emphasis_open_star] = ACTIONS(100),
    [sym__emphasis_open_underscore] = ACTIONS(103),
    [sym__last_token_punctuation] = ACTIONS(106),
    [sym__strikethrough_open] = ACTIONS(108),
    [sym__latex_span_start] = ACTIONS(111),
    [sym__unclosed_span] = ACTIONS(52),
  },
  [3] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(28),
    [sym_full_reference_link] = STATE(28),
    [sym_collapsed_reference_link] = STATE(28),
    [sym_inline_link] = STATE(28),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(28),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(28),
    [aux_sym__inline_no_star] = STATE(28),
    [sym__strikethrough] = STATE(28),
    [sym__emphasis_star] = STATE(423),
    [sym__strong_emphasis_star] = STATE(28),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(28),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [ts_builtin_sym_end] = ACTIONS(47),
    [sym__backslash_escape] = ACTIONS(114),
    [sym_entity_reference] = ACTIONS(117),
    [sym_numeric_character_reference] = ACTIONS(117),
    [anon_sym_LBRACK] = ACTIONS(120),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_LT] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [anon_sym_POUND] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(135),
    [anon_sym_SQUOTE] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_AT] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(138),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym__] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [sym__newline_token] = ACTIONS(141),
    [sym_uri_autolink] = ACTIONS(117),
    [sym_email_autolink] = ACTIONS(117),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(144),
    [anon_sym_LT_QMARK] = ACTIONS(147),
    [aux_sym__declaration_token1] = ACTIONS(150),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(153),
    [sym__whitespace_ge_2] = ACTIONS(156),
    [aux_sym__whitespace_token1] = ACTIONS(159),
    [sym__word_no_digit] = ACTIONS(117),
    [sym__digits] = ACTIONS(117),
    [sym__code_span_start] = ACTIONS(162),
    [sym__emphasis_open_star] = ACTIONS(165),
    [sym__emphasis_open_underscore] = ACTIONS(168),
    [sym__last_token_punctuation] = ACTIONS(171),
    [sym__strikethrough_open] = ACTIONS(173),
    [sym__latex_span_start] = ACTIONS(176),
    [sym__unclosed_span] = ACTIONS(117),
  },
  [4] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(30),
    [sym_full_reference_link] = STATE(30),
    [sym_collapsed_reference_link] = STATE(30),
    [sym_inline_link] = STATE(30),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(30),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(30),
    [aux_sym__inline_no_underscore] = STATE(30),
    [sym__strikethrough] = STATE(30),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(30),
    [sym__emphasis_underscore] = STATE(424),
    [sym__strong_emphasis_underscore] = STATE(30),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(179),
    [sym_entity_reference] = ACTIONS(182),
    [sym_numeric_character_reference] = ACTIONS(182),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(188),
    [anon_sym_LT] = ACTIONS(191),
    [anon_sym_GT] = ACTIONS(194),
    [anon_sym_BANG] = ACTIONS(197),
    [anon_sym_DQUOTE] = ACTIONS(194),
    [anon_sym_POUND] = ACTIONS(194),
    [anon_sym_DOLLAR] = ACTIONS(194),
    [anon_sym_PERCENT] = ACTIONS(194),
    [anon_sym_AMP] = ACTIONS(200),
    [anon_sym_SQUOTE] = ACTIONS(194),
    [anon_sym_STAR] = ACTIONS(194),
    [anon_sym_PLUS] = ACTIONS(194),
    [anon_sym_COMMA] = ACTIONS(194),
    [anon_sym_DASH] = ACTIONS(194),
    [anon_sym_DOT] = ACTIONS(194),
    [anon_sym_SLASH] = ACTIONS(194),
    [anon_sym_COLON] = ACTIONS(194),
    [anon_sym_SEMI] = ACTIONS(194),
    [anon_sym_EQ] = ACTIONS(194),
    [anon_sym_QMARK] = ACTIONS(194),
    [anon_sym_AT] = ACTIONS(194),
    [anon_sym_BSLASH] = ACTIONS(203),
    [anon_sym_CARET] = ACTIONS(194),
    [anon_sym__] = ACTIONS(194),
    [anon_sym_BQUOTE] = ACTIONS(194),
    [anon_sym_LBRACE] = ACTIONS(194),
    [anon_sym_PIPE] = ACTIONS(194),
    [anon_sym_RBRACE] = ACTIONS(194),
    [anon_sym_TILDE] = ACTIONS(194),
    [anon_sym_LPAREN] = ACTIONS(194),
    [anon_sym_RPAREN] = ACTIONS(194),
    [sym__newline_token] = ACTIONS(206),
    [sym_uri_autolink] = ACTIONS(182),
    [sym_email_autolink] = ACTIONS(182),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(209),
    [anon_sym_LT_QMARK] = ACTIONS(212),
    [aux_sym__declaration_token1] = ACTIONS(215),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(218),
    [sym__whitespace_ge_2] = ACTIONS(221),
    [aux_sym__whitespace_token1] = ACTIONS(224),
    [sym__word_no_digit] = ACTIONS(182),
    [sym__digits] = ACTIONS(182),
    [sym__code_span_start] = ACTIONS(227),
    [sym__emphasis_open_star] = ACTIONS(230),
    [sym__emphasis_open_underscore] = ACTIONS(233),
    [sym__emphasis_close_star] = ACTIONS(236),
    [sym__last_token_punctuation] = ACTIONS(238),
    [sym__strikethrough_open] = ACTIONS(240),
    [sym__latex_span_start] = ACTIONS(243),
    [sym__unclosed_span] = ACTIONS(182),
  },
  [5] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(31),
    [sym_full_reference_link] = STATE(31),
    [sym_collapsed_reference_link] = STATE(31),
    [sym_inline_link] = STATE(31),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(31),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(31),
    [aux_sym__inline_no_tilde] = STATE(31),
    [sym__strikethrough] = STATE(31),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(31),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(31),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(246),
    [sym_entity_reference] = ACTIONS(249),
    [sym_numeric_character_reference] = ACTIONS(249),
    [anon_sym_LBRACK] = ACTIONS(252),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_LT] = ACTIONS(258),
    [anon_sym_GT] = ACTIONS(261),
    [anon_sym_BANG] = ACTIONS(264),
    [anon_sym_DQUOTE] = ACTIONS(261),
    [anon_sym_POUND] = ACTIONS(261),
    [anon_sym_DOLLAR] = ACTIONS(261),
    [anon_sym_PERCENT] = ACTIONS(261),
    [anon_sym_AMP] = ACTIONS(267),
    [anon_sym_SQUOTE] = ACTIONS(261),
    [anon_sym_STAR] = ACTIONS(261),
    [anon_sym_PLUS] = ACTIONS(261),
    [anon_sym_COMMA] = ACTIONS(261),
    [anon_sym_DASH] = ACTIONS(261),
    [anon_sym_DOT] = ACTIONS(261),
    [anon_sym_SLASH] = ACTIONS(261),
    [anon_sym_COLON] = ACTIONS(261),
    [anon_sym_SEMI] = ACTIONS(261),
    [anon_sym_EQ] = ACTIONS(261),
    [anon_sym_QMARK] = ACTIONS(261),
    [anon_sym_AT] = ACTIONS(261),
    [anon_sym_BSLASH] = ACTIONS(270),
    [anon_sym_CARET] = ACTIONS(261),
    [anon_sym__] = ACTIONS(261),
    [anon_sym_BQUOTE] = ACTIONS(261),
    [anon_sym_LBRACE] = ACTIONS(261),
    [anon_sym_PIPE] = ACTIONS(261),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_TILDE] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(261),
    [anon_sym_RPAREN] = ACTIONS(261),
    [sym__newline_token] = ACTIONS(273),
    [sym_uri_autolink] = ACTIONS(249),
    [sym_email_autolink] = ACTIONS(249),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(276),
    [anon_sym_LT_QMARK] = ACTIONS(279),
    [aux_sym__declaration_token1] = ACTIONS(282),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(285),
    [sym__whitespace_ge_2] = ACTIONS(288),
    [aux_sym__whitespace_token1] = ACTIONS(291),
    [sym__word_no_digit] = ACTIONS(249),
    [sym__digits] = ACTIONS(249),
    [sym__code_span_start] = ACTIONS(294),
    [sym__emphasis_open_star] = ACTIONS(297),
    [sym__emphasis_open_underscore] = ACTIONS(300),
    [sym__emphasis_close_star] = ACTIONS(236),
    [sym__last_token_punctuation] = ACTIONS(303),
    [sym__strikethrough_open] = ACTIONS(305),
    [sym__latex_span_start] = ACTIONS(308),
    [sym__unclosed_span] = ACTIONS(249),
  },
  [6] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(17),
    [sym_full_reference_link] = STATE(17),
    [sym_collapsed_reference_link] = STATE(17),
    [sym_inline_link] = STATE(17),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(17),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(17),
    [aux_sym__inline_no_tilde] = STATE(17),
    [sym__strikethrough] = STATE(17),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(17),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(17),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [ts_builtin_sym_end] = ACTIONS(47),
    [sym__backslash_escape] = ACTIONS(311),
    [sym_entity_reference] = ACTIONS(314),
    [sym_numeric_character_reference] = ACTIONS(314),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_DQUOTE] = ACTIONS(326),
    [anon_sym_POUND] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(326),
    [anon_sym_PERCENT] = ACTIONS(326),
    [anon_sym_AMP] = ACTIONS(332),
    [anon_sym_SQUOTE] = ACTIONS(326),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_COMMA] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(326),
    [anon_sym_COLON] = ACTIONS(326),
    [anon_sym_SEMI] = ACTIONS(326),
    [anon_sym_EQ] = ACTIONS(326),
    [anon_sym_QMARK] = ACTIONS(326),
    [anon_sym_AT] = ACTIONS(326),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_CARET] = ACTIONS(326),
    [anon_sym__] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_LBRACE] = ACTIONS(326),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_TILDE] = ACTIONS(326),
    [anon_sym_LPAREN] = ACTIONS(326),
    [anon_sym_RPAREN] = ACTIONS(326),
    [sym__newline_token] = ACTIONS(338),
    [sym_uri_autolink] = ACTIONS(314),
    [sym_email_autolink] = ACTIONS(314),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(341),
    [anon_sym_LT_QMARK] = ACTIONS(344),
    [aux_sym__declaration_token1] = ACTIONS(347),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(350),
    [sym__whitespace_ge_2] = ACTIONS(353),
    [aux_sym__whitespace_token1] = ACTIONS(356),
    [sym__word_no_digit] = ACTIONS(314),
    [sym__digits] = ACTIONS(314),
    [sym__code_span_start] = ACTIONS(359),
    [sym__emphasis_open_star] = ACTIONS(362),
    [sym__emphasis_open_underscore] = ACTIONS(365),
    [sym__last_token_punctuation] = ACTIONS(368),
    [sym__strikethrough_open] = ACTIONS(370),
    [sym__latex_span_start] = ACTIONS(373),
    [sym__unclosed_span] = ACTIONS(314),
  },
  [7] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(11),
    [sym_full_reference_link] = STATE(11),
    [sym_collapsed_reference_link] = STATE(11),
    [sym_inline_link] = STATE(11),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(11),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(11),
    [aux_sym__inline_no_star] = STATE(11),
    [sym__strikethrough] = STATE(11),
    [sym__emphasis_star] = STATE(445),
    [sym__strong_emphasis_star] = STATE(11),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(11),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(376),
    [sym_entity_reference] = ACTIONS(379),
    [sym_numeric_character_reference] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(382),
    [anon_sym_RBRACK] = ACTIONS(385),
    [anon_sym_LT] = ACTIONS(388),
    [anon_sym_GT] = ACTIONS(391),
    [anon_sym_BANG] = ACTIONS(394),
    [anon_sym_DQUOTE] = ACTIONS(391),
    [anon_sym_POUND] = ACTIONS(391),
    [anon_sym_DOLLAR] = ACTIONS(391),
    [anon_sym_PERCENT] = ACTIONS(391),
    [anon_sym_AMP] = ACTIONS(397),
    [anon_sym_SQUOTE] = ACTIONS(391),
    [anon_sym_STAR] = ACTIONS(391),
    [anon_sym_PLUS] = ACTIONS(391),
    [anon_sym_COMMA] = ACTIONS(391),
    [anon_sym_DASH] = ACTIONS(391),
    [anon_sym_DOT] = ACTIONS(391),
    [anon_sym_SLASH] = ACTIONS(391),
    [anon_sym_COLON] = ACTIONS(391),
    [anon_sym_SEMI] = ACTIONS(391),
    [anon_sym_EQ] = ACTIONS(391),
    [anon_sym_QMARK] = ACTIONS(391),
    [anon_sym_AT] = ACTIONS(391),
    [anon_sym_BSLASH] = ACTIONS(400),
    [anon_sym_CARET] = ACTIONS(391),
    [anon_sym__] = ACTIONS(391),
    [anon_sym_BQUOTE] = ACTIONS(391),
    [anon_sym_LBRACE] = ACTIONS(391),
    [anon_sym_PIPE] = ACTIONS(391),
    [anon_sym_RBRACE] = ACTIONS(391),
    [anon_sym_TILDE] = ACTIONS(391),
    [anon_sym_LPAREN] = ACTIONS(391),
    [anon_sym_RPAREN] = ACTIONS(391),
    [sym__newline_token] = ACTIONS(403),
    [sym_uri_autolink] = ACTIONS(379),
    [sym_email_autolink] = ACTIONS(379),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(406),
    [anon_sym_LT_QMARK] = ACTIONS(409),
    [aux_sym__declaration_token1] = ACTIONS(412),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(415),
    [sym__whitespace_ge_2] = ACTIONS(418),
    [aux_sym__whitespace_token1] = ACTIONS(421),
    [sym__word_no_digit] = ACTIONS(379),
    [sym__digits] = ACTIONS(379),
    [sym__code_span_start] = ACTIONS(424),
    [sym__emphasis_open_star] = ACTIONS(427),
    [sym__emphasis_open_underscore] = ACTIONS(430),
    [sym__emphasis_close_underscore] = ACTIONS(433),
    [sym__last_token_punctuation] = ACTIONS(435),
    [sym__strikethrough_open] = ACTIONS(437),
    [sym__latex_span_start] = ACTIONS(440),
    [sym__unclosed_span] = ACTIONS(379),
  },
  [8] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(36),
    [sym_full_reference_link] = STATE(36),
    [sym_collapsed_reference_link] = STATE(36),
    [sym_inline_link] = STATE(36),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(36),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(36),
    [aux_sym__inline_no_tilde] = STATE(36),
    [sym__strikethrough] = STATE(36),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(36),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(36),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(443),
    [sym_entity_reference] = ACTIONS(446),
    [sym_numeric_character_reference] = ACTIONS(446),
    [anon_sym_LBRACK] = ACTIONS(449),
    [anon_sym_RBRACK] = ACTIONS(452),
    [anon_sym_LT] = ACTIONS(455),
    [anon_sym_GT] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(461),
    [anon_sym_DQUOTE] = ACTIONS(458),
    [anon_sym_POUND] = ACTIONS(458),
    [anon_sym_DOLLAR] = ACTIONS(458),
    [anon_sym_PERCENT] = ACTIONS(458),
    [anon_sym_AMP] = ACTIONS(464),
    [anon_sym_SQUOTE] = ACTIONS(458),
    [anon_sym_STAR] = ACTIONS(458),
    [anon_sym_PLUS] = ACTIONS(458),
    [anon_sym_COMMA] = ACTIONS(458),
    [anon_sym_DASH] = ACTIONS(458),
    [anon_sym_DOT] = ACTIONS(458),
    [anon_sym_SLASH] = ACTIONS(458),
    [anon_sym_COLON] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(458),
    [anon_sym_EQ] = ACTIONS(458),
    [anon_sym_QMARK] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(458),
    [anon_sym_BSLASH] = ACTIONS(467),
    [anon_sym_CARET] = ACTIONS(458),
    [anon_sym__] = ACTIONS(458),
    [anon_sym_BQUOTE] = ACTIONS(458),
    [anon_sym_LBRACE] = ACTIONS(458),
    [anon_sym_PIPE] = ACTIONS(458),
    [anon_sym_RBRACE] = ACTIONS(458),
    [anon_sym_TILDE] = ACTIONS(458),
    [anon_sym_LPAREN] = ACTIONS(458),
    [anon_sym_RPAREN] = ACTIONS(458),
    [sym__newline_token] = ACTIONS(470),
    [sym_uri_autolink] = ACTIONS(446),
    [sym_email_autolink] = ACTIONS(446),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(473),
    [anon_sym_LT_QMARK] = ACTIONS(476),
    [aux_sym__declaration_token1] = ACTIONS(479),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(482),
    [sym__whitespace_ge_2] = ACTIONS(485),
    [aux_sym__whitespace_token1] = ACTIONS(488),
    [sym__word_no_digit] = ACTIONS(446),
    [sym__digits] = ACTIONS(446),
    [sym__code_span_start] = ACTIONS(491),
    [sym__emphasis_open_star] = ACTIONS(494),
    [sym__emphasis_open_underscore] = ACTIONS(497),
    [sym__emphasis_close_underscore] = ACTIONS(433),
    [sym__last_token_punctuation] = ACTIONS(500),
    [sym__strikethrough_open] = ACTIONS(502),
    [sym__latex_span_start] = ACTIONS(505),
    [sym__unclosed_span] = ACTIONS(446),
  },
  [9] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(40),
    [sym_full_reference_link] = STATE(40),
    [sym_collapsed_reference_link] = STATE(40),
    [sym_inline_link] = STATE(40),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(40),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(40),
    [aux_sym__inline_no_star] = STATE(40),
    [sym__strikethrough] = STATE(40),
    [sym__emphasis_star] = STATE(468),
    [sym__strong_emphasis_star] = STATE(40),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(40),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(508),
    [sym_entity_reference] = ACTIONS(511),
    [sym_numeric_character_reference] = ACTIONS(511),
    [anon_sym_LBRACK] = ACTIONS(514),
    [anon_sym_RBRACK] = ACTIONS(517),
    [anon_sym_LT] = ACTIONS(520),
    [anon_sym_GT] = ACTIONS(523),
    [anon_sym_BANG] = ACTIONS(526),
    [anon_sym_DQUOTE] = ACTIONS(523),
    [anon_sym_POUND] = ACTIONS(523),
    [anon_sym_DOLLAR] = ACTIONS(523),
    [anon_sym_PERCENT] = ACTIONS(523),
    [anon_sym_AMP] = ACTIONS(529),
    [anon_sym_SQUOTE] = ACTIONS(523),
    [anon_sym_STAR] = ACTIONS(523),
    [anon_sym_PLUS] = ACTIONS(523),
    [anon_sym_COMMA] = ACTIONS(523),
    [anon_sym_DASH] = ACTIONS(523),
    [anon_sym_DOT] = ACTIONS(523),
    [anon_sym_SLASH] = ACTIONS(523),
    [anon_sym_COLON] = ACTIONS(523),
    [anon_sym_SEMI] = ACTIONS(523),
    [anon_sym_EQ] = ACTIONS(523),
    [anon_sym_QMARK] = ACTIONS(523),
    [anon_sym_AT] = ACTIONS(523),
    [anon_sym_BSLASH] = ACTIONS(532),
    [anon_sym_CARET] = ACTIONS(523),
    [anon_sym__] = ACTIONS(523),
    [anon_sym_BQUOTE] = ACTIONS(523),
    [anon_sym_LBRACE] = ACTIONS(523),
    [anon_sym_PIPE] = ACTIONS(523),
    [anon_sym_RBRACE] = ACTIONS(523),
    [anon_sym_TILDE] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(523),
    [anon_sym_RPAREN] = ACTIONS(523),
    [sym__newline_token] = ACTIONS(535),
    [sym_uri_autolink] = ACTIONS(511),
    [sym_email_autolink] = ACTIONS(511),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(538),
    [anon_sym_LT_QMARK] = ACTIONS(541),
    [aux_sym__declaration_token1] = ACTIONS(544),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(547),
    [sym__whitespace_ge_2] = ACTIONS(550),
    [aux_sym__whitespace_token1] = ACTIONS(553),
    [sym__word_no_digit] = ACTIONS(511),
    [sym__digits] = ACTIONS(511),
    [sym__code_span_start] = ACTIONS(556),
    [sym__emphasis_open_star] = ACTIONS(559),
    [sym__emphasis_open_underscore] = ACTIONS(562),
    [sym__last_token_punctuation] = ACTIONS(565),
    [sym__strikethrough_open] = ACTIONS(567),
    [sym__strikethrough_close] = ACTIONS(570),
    [sym__latex_span_start] = ACTIONS(572),
    [sym__unclosed_span] = ACTIONS(511),
  },
  [10] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(41),
    [sym_full_reference_link] = STATE(41),
    [sym_collapsed_reference_link] = STATE(41),
    [sym_inline_link] = STATE(41),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(41),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(41),
    [aux_sym__inline_no_underscore] = STATE(41),
    [sym__strikethrough] = STATE(41),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(41),
    [sym__emphasis_underscore] = STATE(470),
    [sym__strong_emphasis_underscore] = STATE(41),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(575),
    [sym_entity_reference] = ACTIONS(578),
    [sym_numeric_character_reference] = ACTIONS(578),
    [anon_sym_LBRACK] = ACTIONS(581),
    [anon_sym_RBRACK] = ACTIONS(584),
    [anon_sym_LT] = ACTIONS(587),
    [anon_sym_GT] = ACTIONS(590),
    [anon_sym_BANG] = ACTIONS(593),
    [anon_sym_DQUOTE] = ACTIONS(590),
    [anon_sym_POUND] = ACTIONS(590),
    [anon_sym_DOLLAR] = ACTIONS(590),
    [anon_sym_PERCENT] = ACTIONS(590),
    [anon_sym_AMP] = ACTIONS(596),
    [anon_sym_SQUOTE] = ACTIONS(590),
    [anon_sym_STAR] = ACTIONS(590),
    [anon_sym_PLUS] = ACTIONS(590),
    [anon_sym_COMMA] = ACTIONS(590),
    [anon_sym_DASH] = ACTIONS(590),
    [anon_sym_DOT] = ACTIONS(590),
    [anon_sym_SLASH] = ACTIONS(590),
    [anon_sym_COLON] = ACTIONS(590),
    [anon_sym_SEMI] = ACTIONS(590),
    [anon_sym_EQ] = ACTIONS(590),
    [anon_sym_QMARK] = ACTIONS(590),
    [anon_sym_AT] = ACTIONS(590),
    [anon_sym_BSLASH] = ACTIONS(599),
    [anon_sym_CARET] = ACTIONS(590),
    [anon_sym__] = ACTIONS(590),
    [anon_sym_BQUOTE] = ACTIONS(590),
    [anon_sym_LBRACE] = ACTIONS(590),
    [anon_sym_PIPE] = ACTIONS(590),
    [anon_sym_RBRACE] = ACTIONS(590),
    [anon_sym_TILDE] = ACTIONS(590),
    [anon_sym_LPAREN] = ACTIONS(590),
    [anon_sym_RPAREN] = ACTIONS(590),
    [sym__newline_token] = ACTIONS(602),
    [sym_uri_autolink] = ACTIONS(578),
    [sym_email_autolink] = ACTIONS(578),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(605),
    [anon_sym_LT_QMARK] = ACTIONS(608),
    [aux_sym__declaration_token1] = ACTIONS(611),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(614),
    [sym__whitespace_ge_2] = ACTIONS(617),
    [aux_sym__whitespace_token1] = ACTIONS(620),
    [sym__word_no_digit] = ACTIONS(578),
    [sym__digits] = ACTIONS(578),
    [sym__code_span_start] = ACTIONS(623),
    [sym__emphasis_open_star] = ACTIONS(626),
    [sym__emphasis_open_underscore] = ACTIONS(629),
    [sym__last_token_punctuation] = ACTIONS(632),
    [sym__strikethrough_open] = ACTIONS(634),
    [sym__strikethrough_close] = ACTIONS(570),
    [sym__latex_span_start] = ACTIONS(637),
    [sym__unclosed_span] = ACTIONS(578),
  },
  [11] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(678),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [12] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(35),
    [sym_full_reference_link] = STATE(35),
    [sym_collapsed_reference_link] = STATE(35),
    [sym_inline_link] = STATE(35),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(35),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(35),
    [aux_sym__inline_no_underscore] = STATE(35),
    [sym__strikethrough] = STATE(35),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(35),
    [sym__emphasis_underscore] = STATE(447),
    [sym__strong_emphasis_underscore] = STATE(35),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__last_token_punctuation] = ACTIONS(722),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [13] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1119),
    [sym__link_text_non_empty] = STATE(469),
    [sym_shortcut_link] = STATE(529),
    [sym_full_reference_link] = STATE(529),
    [sym_collapsed_reference_link] = STATE(529),
    [sym_inline_link] = STATE(529),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1117),
    [sym__image_description_non_empty] = STATE(478),
    [sym__html_tag] = STATE(505),
    [sym__open_tag] = STATE(522),
    [sym__closing_tag] = STATE(522),
    [sym__html_comment] = STATE(522),
    [sym__processing_instruction] = STATE(522),
    [sym__declaration] = STATE(522),
    [sym__cdata_section] = STATE(522),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(529),
    [sym__text_base] = STATE(155),
    [sym__inline_element] = STATE(529),
    [aux_sym__inline] = STATE(18),
    [sym__strikethrough] = STATE(529),
    [sym__emphasis_star] = STATE(534),
    [sym__strong_emphasis_star] = STATE(529),
    [sym__emphasis_underscore] = STATE(534),
    [sym__strong_emphasis_underscore] = STATE(529),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [ts_builtin_sym_end] = ACTIONS(728),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(5),
  },
  [14] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1119),
    [sym__link_text_non_empty] = STATE(469),
    [sym_shortcut_link] = STATE(529),
    [sym_full_reference_link] = STATE(529),
    [sym_collapsed_reference_link] = STATE(529),
    [sym_inline_link] = STATE(529),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1117),
    [sym__image_description_non_empty] = STATE(478),
    [sym__html_tag] = STATE(505),
    [sym__open_tag] = STATE(522),
    [sym__closing_tag] = STATE(522),
    [sym__html_comment] = STATE(522),
    [sym__processing_instruction] = STATE(522),
    [sym__declaration] = STATE(522),
    [sym__cdata_section] = STATE(522),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(529),
    [sym__text_base] = STATE(155),
    [sym__inline_element] = STATE(529),
    [aux_sym__inline] = STATE(18),
    [sym__strikethrough] = STATE(529),
    [sym__emphasis_star] = STATE(534),
    [sym__strong_emphasis_star] = STATE(529),
    [sym__emphasis_underscore] = STATE(534),
    [sym__strong_emphasis_underscore] = STATE(529),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [ts_builtin_sym_end] = ACTIONS(730),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(5),
  },
  [15] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(29),
    [sym_full_reference_link] = STATE(29),
    [sym_collapsed_reference_link] = STATE(29),
    [sym_inline_link] = STATE(29),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(29),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(29),
    [aux_sym__inline_no_star] = STATE(29),
    [sym__strikethrough] = STATE(29),
    [sym__emphasis_star] = STATE(422),
    [sym__strong_emphasis_star] = STATE(29),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(29),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__last_token_punctuation] = ACTIONS(732),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [16] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(42),
    [sym_full_reference_link] = STATE(42),
    [sym_collapsed_reference_link] = STATE(42),
    [sym_inline_link] = STATE(42),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(42),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(42),
    [aux_sym__inline_no_tilde] = STATE(42),
    [sym__strikethrough] = STATE(42),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(42),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(42),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__last_token_punctuation] = ACTIONS(772),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [17] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(778),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [18] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1119),
    [sym__link_text_non_empty] = STATE(469),
    [sym_shortcut_link] = STATE(529),
    [sym_full_reference_link] = STATE(529),
    [sym_collapsed_reference_link] = STATE(529),
    [sym_inline_link] = STATE(529),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1117),
    [sym__image_description_non_empty] = STATE(478),
    [sym__html_tag] = STATE(505),
    [sym__open_tag] = STATE(522),
    [sym__closing_tag] = STATE(522),
    [sym__html_comment] = STATE(522),
    [sym__processing_instruction] = STATE(522),
    [sym__declaration] = STATE(522),
    [sym__cdata_section] = STATE(522),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(529),
    [sym__text_base] = STATE(155),
    [sym__inline_element] = STATE(529),
    [aux_sym__inline] = STATE(18),
    [sym__strikethrough] = STATE(529),
    [sym__emphasis_star] = STATE(534),
    [sym__strong_emphasis_star] = STATE(529),
    [sym__emphasis_underscore] = STATE(534),
    [sym__strong_emphasis_underscore] = STATE(529),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [ts_builtin_sym_end] = ACTIONS(780),
    [sym__backslash_escape] = ACTIONS(782),
    [sym_entity_reference] = ACTIONS(785),
    [sym_numeric_character_reference] = ACTIONS(785),
    [anon_sym_LBRACK] = ACTIONS(788),
    [anon_sym_RBRACK] = ACTIONS(791),
    [anon_sym_LT] = ACTIONS(794),
    [anon_sym_GT] = ACTIONS(797),
    [anon_sym_BANG] = ACTIONS(800),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [anon_sym_POUND] = ACTIONS(797),
    [anon_sym_DOLLAR] = ACTIONS(797),
    [anon_sym_PERCENT] = ACTIONS(797),
    [anon_sym_AMP] = ACTIONS(803),
    [anon_sym_SQUOTE] = ACTIONS(797),
    [anon_sym_STAR] = ACTIONS(797),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_COMMA] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_DOT] = ACTIONS(797),
    [anon_sym_SLASH] = ACTIONS(797),
    [anon_sym_COLON] = ACTIONS(797),
    [anon_sym_SEMI] = ACTIONS(797),
    [anon_sym_EQ] = ACTIONS(797),
    [anon_sym_QMARK] = ACTIONS(797),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_BSLASH] = ACTIONS(806),
    [anon_sym_CARET] = ACTIONS(797),
    [anon_sym__] = ACTIONS(797),
    [anon_sym_BQUOTE] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_PIPE] = ACTIONS(797),
    [anon_sym_RBRACE] = ACTIONS(797),
    [anon_sym_TILDE] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(797),
    [anon_sym_RPAREN] = ACTIONS(797),
    [sym__newline_token] = ACTIONS(809),
    [sym_uri_autolink] = ACTIONS(785),
    [sym_email_autolink] = ACTIONS(785),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(812),
    [anon_sym_LT_QMARK] = ACTIONS(815),
    [aux_sym__declaration_token1] = ACTIONS(818),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(821),
    [sym__whitespace_ge_2] = ACTIONS(824),
    [aux_sym__whitespace_token1] = ACTIONS(827),
    [sym__word_no_digit] = ACTIONS(785),
    [sym__digits] = ACTIONS(785),
    [sym__code_span_start] = ACTIONS(830),
    [sym__emphasis_open_star] = ACTIONS(833),
    [sym__emphasis_open_underscore] = ACTIONS(836),
    [sym__strikethrough_open] = ACTIONS(839),
    [sym__latex_span_start] = ACTIONS(842),
    [sym__unclosed_span] = ACTIONS(785),
  },
  [19] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(845),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [20] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(847),
    [sym_entity_reference] = ACTIONS(850),
    [sym_numeric_character_reference] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(853),
    [anon_sym_RBRACK] = ACTIONS(856),
    [anon_sym_LT] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(862),
    [anon_sym_BANG] = ACTIONS(865),
    [anon_sym_DQUOTE] = ACTIONS(862),
    [anon_sym_POUND] = ACTIONS(862),
    [anon_sym_DOLLAR] = ACTIONS(862),
    [anon_sym_PERCENT] = ACTIONS(862),
    [anon_sym_AMP] = ACTIONS(868),
    [anon_sym_SQUOTE] = ACTIONS(862),
    [anon_sym_STAR] = ACTIONS(862),
    [anon_sym_PLUS] = ACTIONS(862),
    [anon_sym_COMMA] = ACTIONS(862),
    [anon_sym_DASH] = ACTIONS(862),
    [anon_sym_DOT] = ACTIONS(862),
    [anon_sym_SLASH] = ACTIONS(862),
    [anon_sym_COLON] = ACTIONS(862),
    [anon_sym_SEMI] = ACTIONS(862),
    [anon_sym_EQ] = ACTIONS(862),
    [anon_sym_QMARK] = ACTIONS(862),
    [anon_sym_AT] = ACTIONS(862),
    [anon_sym_BSLASH] = ACTIONS(871),
    [anon_sym_CARET] = ACTIONS(862),
    [anon_sym__] = ACTIONS(862),
    [anon_sym_BQUOTE] = ACTIONS(862),
    [anon_sym_LBRACE] = ACTIONS(862),
    [anon_sym_PIPE] = ACTIONS(862),
    [anon_sym_RBRACE] = ACTIONS(862),
    [anon_sym_TILDE] = ACTIONS(862),
    [anon_sym_LPAREN] = ACTIONS(862),
    [anon_sym_RPAREN] = ACTIONS(862),
    [sym__newline_token] = ACTIONS(874),
    [sym_uri_autolink] = ACTIONS(850),
    [sym_email_autolink] = ACTIONS(850),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(877),
    [anon_sym_LT_QMARK] = ACTIONS(880),
    [aux_sym__declaration_token1] = ACTIONS(883),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(886),
    [sym__whitespace_ge_2] = ACTIONS(889),
    [aux_sym__whitespace_token1] = ACTIONS(892),
    [sym__word_no_digit] = ACTIONS(850),
    [sym__digits] = ACTIONS(850),
    [sym__code_span_start] = ACTIONS(895),
    [sym__emphasis_open_star] = ACTIONS(898),
    [sym__emphasis_open_underscore] = ACTIONS(901),
    [sym__emphasis_close_star] = ACTIONS(904),
    [sym__strikethrough_open] = ACTIONS(906),
    [sym__latex_span_start] = ACTIONS(909),
    [sym__unclosed_span] = ACTIONS(850),
  },
  [21] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(912),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [22] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(914),
    [sym_entity_reference] = ACTIONS(917),
    [sym_numeric_character_reference] = ACTIONS(917),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_RBRACK] = ACTIONS(923),
    [anon_sym_LT] = ACTIONS(926),
    [anon_sym_GT] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(932),
    [anon_sym_DQUOTE] = ACTIONS(929),
    [anon_sym_POUND] = ACTIONS(929),
    [anon_sym_DOLLAR] = ACTIONS(929),
    [anon_sym_PERCENT] = ACTIONS(929),
    [anon_sym_AMP] = ACTIONS(935),
    [anon_sym_SQUOTE] = ACTIONS(929),
    [anon_sym_STAR] = ACTIONS(929),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_COMMA] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_DOT] = ACTIONS(929),
    [anon_sym_SLASH] = ACTIONS(929),
    [anon_sym_COLON] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(929),
    [anon_sym_EQ] = ACTIONS(929),
    [anon_sym_QMARK] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym_BSLASH] = ACTIONS(938),
    [anon_sym_CARET] = ACTIONS(929),
    [anon_sym__] = ACTIONS(929),
    [anon_sym_BQUOTE] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(929),
    [anon_sym_PIPE] = ACTIONS(929),
    [anon_sym_RBRACE] = ACTIONS(929),
    [anon_sym_TILDE] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(929),
    [anon_sym_RPAREN] = ACTIONS(929),
    [sym__newline_token] = ACTIONS(941),
    [sym_uri_autolink] = ACTIONS(917),
    [sym_email_autolink] = ACTIONS(917),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(944),
    [anon_sym_LT_QMARK] = ACTIONS(947),
    [aux_sym__declaration_token1] = ACTIONS(950),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(953),
    [sym__whitespace_ge_2] = ACTIONS(956),
    [aux_sym__whitespace_token1] = ACTIONS(959),
    [sym__word_no_digit] = ACTIONS(917),
    [sym__digits] = ACTIONS(917),
    [sym__code_span_start] = ACTIONS(962),
    [sym__emphasis_open_star] = ACTIONS(965),
    [sym__emphasis_open_underscore] = ACTIONS(968),
    [sym__emphasis_close_underscore] = ACTIONS(971),
    [sym__strikethrough_open] = ACTIONS(973),
    [sym__latex_span_start] = ACTIONS(976),
    [sym__unclosed_span] = ACTIONS(917),
  },
  [23] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(979),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [24] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(981),
    [sym_entity_reference] = ACTIONS(984),
    [sym_numeric_character_reference] = ACTIONS(984),
    [anon_sym_LBRACK] = ACTIONS(987),
    [anon_sym_RBRACK] = ACTIONS(990),
    [anon_sym_LT] = ACTIONS(993),
    [anon_sym_GT] = ACTIONS(996),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(996),
    [anon_sym_POUND] = ACTIONS(996),
    [anon_sym_DOLLAR] = ACTIONS(996),
    [anon_sym_PERCENT] = ACTIONS(996),
    [anon_sym_AMP] = ACTIONS(1002),
    [anon_sym_SQUOTE] = ACTIONS(996),
    [anon_sym_STAR] = ACTIONS(996),
    [anon_sym_PLUS] = ACTIONS(996),
    [anon_sym_COMMA] = ACTIONS(996),
    [anon_sym_DASH] = ACTIONS(996),
    [anon_sym_DOT] = ACTIONS(996),
    [anon_sym_SLASH] = ACTIONS(996),
    [anon_sym_COLON] = ACTIONS(996),
    [anon_sym_SEMI] = ACTIONS(996),
    [anon_sym_EQ] = ACTIONS(996),
    [anon_sym_QMARK] = ACTIONS(996),
    [anon_sym_AT] = ACTIONS(996),
    [anon_sym_BSLASH] = ACTIONS(1005),
    [anon_sym_CARET] = ACTIONS(996),
    [anon_sym__] = ACTIONS(996),
    [anon_sym_BQUOTE] = ACTIONS(996),
    [anon_sym_LBRACE] = ACTIONS(996),
    [anon_sym_PIPE] = ACTIONS(996),
    [anon_sym_RBRACE] = ACTIONS(996),
    [anon_sym_TILDE] = ACTIONS(996),
    [anon_sym_LPAREN] = ACTIONS(996),
    [anon_sym_RPAREN] = ACTIONS(996),
    [sym__newline_token] = ACTIONS(1008),
    [sym_uri_autolink] = ACTIONS(984),
    [sym_email_autolink] = ACTIONS(984),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1011),
    [anon_sym_LT_QMARK] = ACTIONS(1014),
    [aux_sym__declaration_token1] = ACTIONS(1017),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1020),
    [sym__whitespace_ge_2] = ACTIONS(1023),
    [aux_sym__whitespace_token1] = ACTIONS(1026),
    [sym__word_no_digit] = ACTIONS(984),
    [sym__digits] = ACTIONS(984),
    [sym__code_span_start] = ACTIONS(1029),
    [sym__emphasis_open_star] = ACTIONS(1032),
    [sym__emphasis_open_underscore] = ACTIONS(1035),
    [sym__strikethrough_open] = ACTIONS(1038),
    [sym__strikethrough_close] = ACTIONS(1041),
    [sym__latex_span_start] = ACTIONS(1043),
    [sym__unclosed_span] = ACTIONS(984),
  },
  [25] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(46),
    [sym_full_reference_link] = STATE(46),
    [sym_collapsed_reference_link] = STATE(46),
    [sym_inline_link] = STATE(46),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(46),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(46),
    [aux_sym__inline_no_star] = STATE(46),
    [sym__strikethrough] = STATE(46),
    [sym__emphasis_star] = STATE(491),
    [sym__strong_emphasis_star] = STATE(46),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(46),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(114),
    [sym_entity_reference] = ACTIONS(117),
    [sym_numeric_character_reference] = ACTIONS(117),
    [anon_sym_LBRACK] = ACTIONS(120),
    [anon_sym_RBRACK] = ACTIONS(123),
    [anon_sym_LT] = ACTIONS(126),
    [anon_sym_GT] = ACTIONS(129),
    [anon_sym_BANG] = ACTIONS(132),
    [anon_sym_DQUOTE] = ACTIONS(129),
    [anon_sym_POUND] = ACTIONS(129),
    [anon_sym_DOLLAR] = ACTIONS(129),
    [anon_sym_PERCENT] = ACTIONS(129),
    [anon_sym_AMP] = ACTIONS(135),
    [anon_sym_SQUOTE] = ACTIONS(129),
    [anon_sym_STAR] = ACTIONS(129),
    [anon_sym_PLUS] = ACTIONS(129),
    [anon_sym_COMMA] = ACTIONS(129),
    [anon_sym_DASH] = ACTIONS(129),
    [anon_sym_DOT] = ACTIONS(129),
    [anon_sym_SLASH] = ACTIONS(129),
    [anon_sym_COLON] = ACTIONS(129),
    [anon_sym_SEMI] = ACTIONS(129),
    [anon_sym_EQ] = ACTIONS(129),
    [anon_sym_QMARK] = ACTIONS(129),
    [anon_sym_AT] = ACTIONS(129),
    [anon_sym_BSLASH] = ACTIONS(138),
    [anon_sym_CARET] = ACTIONS(129),
    [anon_sym__] = ACTIONS(129),
    [anon_sym_BQUOTE] = ACTIONS(129),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_PIPE] = ACTIONS(129),
    [anon_sym_RBRACE] = ACTIONS(129),
    [anon_sym_TILDE] = ACTIONS(129),
    [anon_sym_LPAREN] = ACTIONS(129),
    [anon_sym_RPAREN] = ACTIONS(129),
    [sym__newline_token] = ACTIONS(141),
    [sym_uri_autolink] = ACTIONS(117),
    [sym_email_autolink] = ACTIONS(117),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(144),
    [anon_sym_LT_QMARK] = ACTIONS(147),
    [aux_sym__declaration_token1] = ACTIONS(150),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(153),
    [sym__whitespace_ge_2] = ACTIONS(156),
    [aux_sym__whitespace_token1] = ACTIONS(159),
    [sym__word_no_digit] = ACTIONS(117),
    [sym__digits] = ACTIONS(117),
    [sym__code_span_start] = ACTIONS(162),
    [sym__emphasis_open_star] = ACTIONS(165),
    [sym__emphasis_open_underscore] = ACTIONS(168),
    [sym__last_token_punctuation] = ACTIONS(1046),
    [sym__strikethrough_open] = ACTIONS(173),
    [sym__latex_span_start] = ACTIONS(176),
    [sym__unclosed_span] = ACTIONS(117),
  },
  [26] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(47),
    [sym_full_reference_link] = STATE(47),
    [sym_collapsed_reference_link] = STATE(47),
    [sym_inline_link] = STATE(47),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(47),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(47),
    [aux_sym__inline_no_underscore] = STATE(47),
    [sym__strikethrough] = STATE(47),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(47),
    [sym__emphasis_underscore] = STATE(493),
    [sym__strong_emphasis_underscore] = STATE(47),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(49),
    [sym_entity_reference] = ACTIONS(52),
    [sym_numeric_character_reference] = ACTIONS(52),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_RBRACK] = ACTIONS(58),
    [anon_sym_LT] = ACTIONS(61),
    [anon_sym_GT] = ACTIONS(64),
    [anon_sym_BANG] = ACTIONS(67),
    [anon_sym_DQUOTE] = ACTIONS(64),
    [anon_sym_POUND] = ACTIONS(64),
    [anon_sym_DOLLAR] = ACTIONS(64),
    [anon_sym_PERCENT] = ACTIONS(64),
    [anon_sym_AMP] = ACTIONS(70),
    [anon_sym_SQUOTE] = ACTIONS(64),
    [anon_sym_STAR] = ACTIONS(64),
    [anon_sym_PLUS] = ACTIONS(64),
    [anon_sym_COMMA] = ACTIONS(64),
    [anon_sym_DASH] = ACTIONS(64),
    [anon_sym_DOT] = ACTIONS(64),
    [anon_sym_SLASH] = ACTIONS(64),
    [anon_sym_COLON] = ACTIONS(64),
    [anon_sym_SEMI] = ACTIONS(64),
    [anon_sym_EQ] = ACTIONS(64),
    [anon_sym_QMARK] = ACTIONS(64),
    [anon_sym_AT] = ACTIONS(64),
    [anon_sym_BSLASH] = ACTIONS(73),
    [anon_sym_CARET] = ACTIONS(64),
    [anon_sym__] = ACTIONS(64),
    [anon_sym_BQUOTE] = ACTIONS(64),
    [anon_sym_LBRACE] = ACTIONS(64),
    [anon_sym_PIPE] = ACTIONS(64),
    [anon_sym_RBRACE] = ACTIONS(64),
    [anon_sym_TILDE] = ACTIONS(64),
    [anon_sym_LPAREN] = ACTIONS(64),
    [anon_sym_RPAREN] = ACTIONS(64),
    [sym__newline_token] = ACTIONS(76),
    [sym_uri_autolink] = ACTIONS(52),
    [sym_email_autolink] = ACTIONS(52),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(79),
    [anon_sym_LT_QMARK] = ACTIONS(82),
    [aux_sym__declaration_token1] = ACTIONS(85),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(88),
    [sym__whitespace_ge_2] = ACTIONS(91),
    [aux_sym__whitespace_token1] = ACTIONS(94),
    [sym__word_no_digit] = ACTIONS(52),
    [sym__digits] = ACTIONS(52),
    [sym__code_span_start] = ACTIONS(97),
    [sym__emphasis_open_star] = ACTIONS(100),
    [sym__emphasis_open_underscore] = ACTIONS(103),
    [sym__last_token_punctuation] = ACTIONS(1048),
    [sym__strikethrough_open] = ACTIONS(108),
    [sym__latex_span_start] = ACTIONS(111),
    [sym__unclosed_span] = ACTIONS(52),
  },
  [27] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(48),
    [sym_full_reference_link] = STATE(48),
    [sym_collapsed_reference_link] = STATE(48),
    [sym_inline_link] = STATE(48),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(48),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(48),
    [aux_sym__inline_no_tilde] = STATE(48),
    [sym__strikethrough] = STATE(48),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(48),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(48),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(311),
    [sym_entity_reference] = ACTIONS(314),
    [sym_numeric_character_reference] = ACTIONS(314),
    [anon_sym_LBRACK] = ACTIONS(317),
    [anon_sym_RBRACK] = ACTIONS(320),
    [anon_sym_LT] = ACTIONS(323),
    [anon_sym_GT] = ACTIONS(326),
    [anon_sym_BANG] = ACTIONS(329),
    [anon_sym_DQUOTE] = ACTIONS(326),
    [anon_sym_POUND] = ACTIONS(326),
    [anon_sym_DOLLAR] = ACTIONS(326),
    [anon_sym_PERCENT] = ACTIONS(326),
    [anon_sym_AMP] = ACTIONS(332),
    [anon_sym_SQUOTE] = ACTIONS(326),
    [anon_sym_STAR] = ACTIONS(326),
    [anon_sym_PLUS] = ACTIONS(326),
    [anon_sym_COMMA] = ACTIONS(326),
    [anon_sym_DASH] = ACTIONS(326),
    [anon_sym_DOT] = ACTIONS(326),
    [anon_sym_SLASH] = ACTIONS(326),
    [anon_sym_COLON] = ACTIONS(326),
    [anon_sym_SEMI] = ACTIONS(326),
    [anon_sym_EQ] = ACTIONS(326),
    [anon_sym_QMARK] = ACTIONS(326),
    [anon_sym_AT] = ACTIONS(326),
    [anon_sym_BSLASH] = ACTIONS(335),
    [anon_sym_CARET] = ACTIONS(326),
    [anon_sym__] = ACTIONS(326),
    [anon_sym_BQUOTE] = ACTIONS(326),
    [anon_sym_LBRACE] = ACTIONS(326),
    [anon_sym_PIPE] = ACTIONS(326),
    [anon_sym_RBRACE] = ACTIONS(326),
    [anon_sym_TILDE] = ACTIONS(326),
    [anon_sym_LPAREN] = ACTIONS(326),
    [anon_sym_RPAREN] = ACTIONS(326),
    [sym__newline_token] = ACTIONS(338),
    [sym_uri_autolink] = ACTIONS(314),
    [sym_email_autolink] = ACTIONS(314),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(341),
    [anon_sym_LT_QMARK] = ACTIONS(344),
    [aux_sym__declaration_token1] = ACTIONS(347),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(350),
    [sym__whitespace_ge_2] = ACTIONS(353),
    [aux_sym__whitespace_token1] = ACTIONS(356),
    [sym__word_no_digit] = ACTIONS(314),
    [sym__digits] = ACTIONS(314),
    [sym__code_span_start] = ACTIONS(359),
    [sym__emphasis_open_star] = ACTIONS(362),
    [sym__emphasis_open_underscore] = ACTIONS(365),
    [sym__last_token_punctuation] = ACTIONS(1050),
    [sym__strikethrough_open] = ACTIONS(370),
    [sym__latex_span_start] = ACTIONS(373),
    [sym__unclosed_span] = ACTIONS(314),
  },
  [28] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1052),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [29] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1054),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [30] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1056),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [31] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1058),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [32] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1060),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [33] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1062),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [34] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1064),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [35] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1066),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [36] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1068),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [37] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1070),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [38] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1072),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [39] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1074),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [40] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1076),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [41] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1078),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [42] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1080),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [43] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1082),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [44] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1084),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [45] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1086),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [46] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1088),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [47] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1090),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [48] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1092),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [49] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(20),
    [sym_full_reference_link] = STATE(20),
    [sym_collapsed_reference_link] = STATE(20),
    [sym_inline_link] = STATE(20),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(20),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(20),
    [aux_sym__inline_no_star] = STATE(20),
    [sym__strikethrough] = STATE(20),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(20),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(20),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__emphasis_close_star] = ACTIONS(1094),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [50] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1096),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [51] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(24),
    [sym_full_reference_link] = STATE(24),
    [sym_collapsed_reference_link] = STATE(24),
    [sym_inline_link] = STATE(24),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(24),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(24),
    [aux_sym__inline_no_tilde] = STATE(24),
    [sym__strikethrough] = STATE(24),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(24),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(24),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__strikethrough_close] = ACTIONS(1098),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [52] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(22),
    [sym_full_reference_link] = STATE(22),
    [sym_collapsed_reference_link] = STATE(22),
    [sym_inline_link] = STATE(22),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(22),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(22),
    [aux_sym__inline_no_underscore] = STATE(22),
    [sym__strikethrough] = STATE(22),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(22),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(22),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__emphasis_close_underscore] = ACTIONS(1100),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [53] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(33),
    [sym_full_reference_link] = STATE(33),
    [sym_collapsed_reference_link] = STATE(33),
    [sym_inline_link] = STATE(33),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(33),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(33),
    [aux_sym__inline_no_underscore] = STATE(33),
    [sym__strikethrough] = STATE(33),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(33),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(33),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [54] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(67),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [55] = {
    [sym_backslash_escape] = STATE(155),
    [sym_code_span] = STATE(155),
    [sym_latex_block] = STATE(155),
    [sym__link_text] = STATE(1119),
    [sym__link_text_non_empty] = STATE(469),
    [sym_shortcut_link] = STATE(529),
    [sym_full_reference_link] = STATE(529),
    [sym_collapsed_reference_link] = STATE(529),
    [sym_inline_link] = STATE(529),
    [sym_image] = STATE(155),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1117),
    [sym__image_description_non_empty] = STATE(478),
    [sym__html_tag] = STATE(505),
    [sym__open_tag] = STATE(522),
    [sym__closing_tag] = STATE(522),
    [sym__html_comment] = STATE(522),
    [sym__processing_instruction] = STATE(522),
    [sym__declaration] = STATE(522),
    [sym__cdata_section] = STATE(522),
    [sym_hard_line_break] = STATE(155),
    [sym__whitespace] = STATE(155),
    [sym__word] = STATE(155),
    [sym__soft_line_break] = STATE(155),
    [sym__inline_base] = STATE(529),
    [sym__text_base] = STATE(155),
    [sym__inline_element] = STATE(529),
    [aux_sym__inline] = STATE(13),
    [sym__strikethrough] = STATE(529),
    [sym__emphasis_star] = STATE(534),
    [sym__strong_emphasis_star] = STATE(529),
    [sym__emphasis_underscore] = STATE(534),
    [sym__strong_emphasis_underscore] = STATE(529),
    [aux_sym__inline_base_repeat1] = STATE(155),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(5),
    [sym_numeric_character_reference] = ACTIONS(5),
    [anon_sym_LBRACK] = ACTIONS(7),
    [anon_sym_RBRACK] = ACTIONS(9),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(5),
    [sym_email_autolink] = ACTIONS(5),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(5),
    [sym__digits] = ACTIONS(5),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(37),
    [sym__emphasis_open_underscore] = ACTIONS(39),
    [sym__strikethrough_open] = ACTIONS(43),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(5),
  },
  [56] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(23),
    [sym_full_reference_link] = STATE(23),
    [sym_collapsed_reference_link] = STATE(23),
    [sym_inline_link] = STATE(23),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(23),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(23),
    [aux_sym__inline_no_tilde] = STATE(23),
    [sym__strikethrough] = STATE(23),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(23),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(23),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [57] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1144),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [58] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [59] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(21),
    [sym_full_reference_link] = STATE(21),
    [sym_collapsed_reference_link] = STATE(21),
    [sym_inline_link] = STATE(21),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(21),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(21),
    [aux_sym__inline_no_underscore] = STATE(21),
    [sym__strikethrough] = STATE(21),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(21),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(21),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [60] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(19),
    [sym_full_reference_link] = STATE(19),
    [sym_collapsed_reference_link] = STATE(19),
    [sym_inline_link] = STATE(19),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(19),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(19),
    [aux_sym__inline_no_star] = STATE(19),
    [sym__strikethrough] = STATE(19),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(19),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(19),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [61] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1148),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [62] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(58),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [63] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1150),
    [sym_entity_reference] = ACTIONS(1153),
    [sym_numeric_character_reference] = ACTIONS(1153),
    [anon_sym_LBRACK] = ACTIONS(1156),
    [anon_sym_RBRACK] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1162),
    [anon_sym_GT] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1168),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [anon_sym_POUND] = ACTIONS(1165),
    [anon_sym_DOLLAR] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_SQUOTE] = ACTIONS(1165),
    [anon_sym_STAR] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_DOT] = ACTIONS(1165),
    [anon_sym_SLASH] = ACTIONS(1165),
    [anon_sym_COLON] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_EQ] = ACTIONS(1165),
    [anon_sym_QMARK] = ACTIONS(1165),
    [anon_sym_AT] = ACTIONS(1165),
    [anon_sym_BSLASH] = ACTIONS(1174),
    [anon_sym_CARET] = ACTIONS(1165),
    [anon_sym__] = ACTIONS(1165),
    [anon_sym_BQUOTE] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_PIPE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_RPAREN] = ACTIONS(1165),
    [sym__newline_token] = ACTIONS(1177),
    [sym_uri_autolink] = ACTIONS(1153),
    [sym_email_autolink] = ACTIONS(1153),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1180),
    [anon_sym_LT_QMARK] = ACTIONS(1183),
    [aux_sym__declaration_token1] = ACTIONS(1186),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1189),
    [sym__whitespace_ge_2] = ACTIONS(1192),
    [aux_sym__whitespace_token1] = ACTIONS(1195),
    [sym__word_no_digit] = ACTIONS(1153),
    [sym__digits] = ACTIONS(1153),
    [sym__code_span_start] = ACTIONS(1198),
    [sym__emphasis_open_star] = ACTIONS(1201),
    [sym__emphasis_open_underscore] = ACTIONS(1204),
    [sym__strikethrough_open] = ACTIONS(1207),
    [sym__latex_span_start] = ACTIONS(1210),
    [sym__unclosed_span] = ACTIONS(1153),
  },
  [64] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [65] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1215),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [66] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [67] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1219),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [68] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(32),
    [sym_full_reference_link] = STATE(32),
    [sym_collapsed_reference_link] = STATE(32),
    [sym_inline_link] = STATE(32),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(32),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(32),
    [aux_sym__inline_no_star] = STATE(32),
    [sym__strikethrough] = STATE(32),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(32),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(32),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [69] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(63),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [70] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(34),
    [sym_full_reference_link] = STATE(34),
    [sym_collapsed_reference_link] = STATE(34),
    [sym_inline_link] = STATE(34),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(34),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(34),
    [aux_sym__inline_no_tilde] = STATE(34),
    [sym__strikethrough] = STATE(34),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(34),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(34),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [71] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(69),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [72] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(37),
    [sym_full_reference_link] = STATE(37),
    [sym_collapsed_reference_link] = STATE(37),
    [sym_inline_link] = STATE(37),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(37),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(37),
    [aux_sym__inline_no_star] = STATE(37),
    [sym__strikethrough] = STATE(37),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(37),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(37),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [73] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(38),
    [sym_full_reference_link] = STATE(38),
    [sym_collapsed_reference_link] = STATE(38),
    [sym_inline_link] = STATE(38),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(38),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(38),
    [aux_sym__inline_no_underscore] = STATE(38),
    [sym__strikethrough] = STATE(38),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(38),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(38),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [74] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(39),
    [sym_full_reference_link] = STATE(39),
    [sym_collapsed_reference_link] = STATE(39),
    [sym_inline_link] = STATE(39),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(39),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(39),
    [aux_sym__inline_no_tilde] = STATE(39),
    [sym__strikethrough] = STATE(39),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(39),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(39),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [75] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(61),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [76] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(43),
    [sym_full_reference_link] = STATE(43),
    [sym_collapsed_reference_link] = STATE(43),
    [sym_inline_link] = STATE(43),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(43),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(43),
    [aux_sym__inline_no_star] = STATE(43),
    [sym__strikethrough] = STATE(43),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(43),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(43),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [77] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(44),
    [sym_full_reference_link] = STATE(44),
    [sym_collapsed_reference_link] = STATE(44),
    [sym_inline_link] = STATE(44),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(44),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(44),
    [aux_sym__inline_no_underscore] = STATE(44),
    [sym__strikethrough] = STATE(44),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(44),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(44),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [78] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(45),
    [sym_full_reference_link] = STATE(45),
    [sym_collapsed_reference_link] = STATE(45),
    [sym_inline_link] = STATE(45),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(45),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(45),
    [aux_sym__inline_no_tilde] = STATE(45),
    [sym__strikethrough] = STATE(45),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(45),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(45),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [79] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(57),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [80] = {
    [sym_backslash_escape] = STATE(148),
    [sym_code_span] = STATE(148),
    [sym_latex_block] = STATE(148),
    [sym__link_text] = STATE(1121),
    [sym__link_text_non_empty] = STATE(360),
    [sym_shortcut_link] = STATE(49),
    [sym_full_reference_link] = STATE(49),
    [sym_collapsed_reference_link] = STATE(49),
    [sym_inline_link] = STATE(49),
    [sym_image] = STATE(148),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(148),
    [sym__whitespace] = STATE(148),
    [sym__word] = STATE(148),
    [sym__soft_line_break] = STATE(148),
    [sym__inline_base] = STATE(49),
    [sym__text_base] = STATE(148),
    [sym__inline_element_no_star] = STATE(49),
    [aux_sym__inline_no_star] = STATE(49),
    [sym__strikethrough] = STATE(49),
    [sym__emphasis_star] = STATE(425),
    [sym__strong_emphasis_star] = STATE(49),
    [sym__emphasis_underscore] = STATE(425),
    [sym__strong_emphasis_underscore] = STATE(49),
    [aux_sym__inline_base_repeat1] = STATE(148),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(642),
    [sym_numeric_character_reference] = ACTIONS(642),
    [anon_sym_LBRACK] = ACTIONS(644),
    [anon_sym_RBRACK] = ACTIONS(646),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(642),
    [sym_email_autolink] = ACTIONS(642),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(642),
    [sym__digits] = ACTIONS(642),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(674),
    [sym__emphasis_open_underscore] = ACTIONS(676),
    [sym__strikethrough_open] = ACTIONS(680),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(642),
  },
  [81] = {
    [sym_backslash_escape] = STATE(150),
    [sym_code_span] = STATE(150),
    [sym_latex_block] = STATE(150),
    [sym__link_text] = STATE(1122),
    [sym__link_text_non_empty] = STATE(449),
    [sym_shortcut_link] = STATE(50),
    [sym_full_reference_link] = STATE(50),
    [sym_collapsed_reference_link] = STATE(50),
    [sym_inline_link] = STATE(50),
    [sym_image] = STATE(150),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(150),
    [sym__whitespace] = STATE(150),
    [sym__word] = STATE(150),
    [sym__soft_line_break] = STATE(150),
    [sym__inline_base] = STATE(50),
    [sym__text_base] = STATE(150),
    [sym__inline_element_no_underscore] = STATE(50),
    [aux_sym__inline_no_underscore] = STATE(50),
    [sym__strikethrough] = STATE(50),
    [sym__emphasis_star] = STATE(453),
    [sym__strong_emphasis_star] = STATE(50),
    [sym__emphasis_underscore] = STATE(453),
    [sym__strong_emphasis_underscore] = STATE(50),
    [aux_sym__inline_base_repeat1] = STATE(150),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(686),
    [sym_numeric_character_reference] = ACTIONS(686),
    [anon_sym_LBRACK] = ACTIONS(688),
    [anon_sym_RBRACK] = ACTIONS(690),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(686),
    [sym_email_autolink] = ACTIONS(686),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(686),
    [sym__digits] = ACTIONS(686),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(718),
    [sym__emphasis_open_underscore] = ACTIONS(720),
    [sym__strikethrough_open] = ACTIONS(724),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(686),
  },
  [82] = {
    [sym_backslash_escape] = STATE(154),
    [sym_code_span] = STATE(154),
    [sym_latex_block] = STATE(154),
    [sym__link_text] = STATE(1115),
    [sym__link_text_non_empty] = STATE(288),
    [sym_shortcut_link] = STATE(51),
    [sym_full_reference_link] = STATE(51),
    [sym_collapsed_reference_link] = STATE(51),
    [sym_inline_link] = STATE(51),
    [sym_image] = STATE(154),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(154),
    [sym__whitespace] = STATE(154),
    [sym__word] = STATE(154),
    [sym__soft_line_break] = STATE(154),
    [sym__inline_base] = STATE(51),
    [sym__text_base] = STATE(154),
    [sym__inline_element_no_tilde] = STATE(51),
    [aux_sym__inline_no_tilde] = STATE(51),
    [sym__strikethrough] = STATE(51),
    [sym__emphasis_star] = STATE(482),
    [sym__strong_emphasis_star] = STATE(51),
    [sym__emphasis_underscore] = STATE(482),
    [sym__strong_emphasis_underscore] = STATE(51),
    [aux_sym__inline_base_repeat1] = STATE(154),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(736),
    [sym_numeric_character_reference] = ACTIONS(736),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_RBRACK] = ACTIONS(740),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(736),
    [sym_email_autolink] = ACTIONS(736),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(736),
    [sym__digits] = ACTIONS(736),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(768),
    [sym__emphasis_open_underscore] = ACTIONS(770),
    [sym__strikethrough_open] = ACTIONS(774),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(736),
  },
  [83] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(64),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [84] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(65),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [85] = {
    [sym_backslash_escape] = STATE(156),
    [sym_code_span] = STATE(156),
    [sym_latex_block] = STATE(156),
    [sym__link_text] = STATE(1120),
    [sym__link_text_non_empty] = STATE(541),
    [sym_shortcut_link] = STATE(538),
    [sym_full_reference_link] = STATE(538),
    [sym_collapsed_reference_link] = STATE(538),
    [sym_inline_link] = STATE(538),
    [sym_image] = STATE(156),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(156),
    [sym__whitespace] = STATE(156),
    [sym__word] = STATE(156),
    [sym__soft_line_break] = STATE(156),
    [sym__inline_base] = STATE(538),
    [sym__text_base] = STATE(156),
    [sym__inline_element] = STATE(538),
    [aux_sym__inline] = STATE(66),
    [sym__strikethrough] = STATE(538),
    [sym__emphasis_star] = STATE(539),
    [sym__strong_emphasis_star] = STATE(538),
    [sym__emphasis_underscore] = STATE(539),
    [sym__strong_emphasis_underscore] = STATE(538),
    [aux_sym__inline_base_repeat1] = STATE(156),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(1104),
    [sym_numeric_character_reference] = ACTIONS(1104),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_RBRACK] = ACTIONS(1108),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(1104),
    [sym_email_autolink] = ACTIONS(1104),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(1104),
    [sym__digits] = ACTIONS(1104),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(1136),
    [sym__emphasis_open_underscore] = ACTIONS(1138),
    [sym__strikethrough_open] = ACTIONS(1140),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(1104),
  },
  [86] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(110),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1223),
    [sym_entity_reference] = ACTIONS(1226),
    [sym_numeric_character_reference] = ACTIONS(1226),
    [anon_sym_LBRACK] = ACTIONS(236),
    [anon_sym_RBRACK] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1232),
    [anon_sym_GT] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1238),
    [anon_sym_DQUOTE] = ACTIONS(1235),
    [anon_sym_POUND] = ACTIONS(1235),
    [anon_sym_DOLLAR] = ACTIONS(1235),
    [anon_sym_PERCENT] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_SQUOTE] = ACTIONS(1235),
    [anon_sym_STAR] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_DASH] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1235),
    [anon_sym_SLASH] = ACTIONS(1235),
    [anon_sym_COLON] = ACTIONS(1235),
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_EQ] = ACTIONS(1235),
    [anon_sym_QMARK] = ACTIONS(1235),
    [anon_sym_AT] = ACTIONS(1235),
    [anon_sym_BSLASH] = ACTIONS(1244),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym__] = ACTIONS(1235),
    [anon_sym_BQUOTE] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_PIPE] = ACTIONS(1235),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_RPAREN] = ACTIONS(1235),
    [sym__newline_token] = ACTIONS(1247),
    [sym_uri_autolink] = ACTIONS(1226),
    [sym_email_autolink] = ACTIONS(1226),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1250),
    [anon_sym_LT_QMARK] = ACTIONS(1253),
    [aux_sym__declaration_token1] = ACTIONS(1256),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1259),
    [sym__whitespace_ge_2] = ACTIONS(1262),
    [aux_sym__whitespace_token1] = ACTIONS(1265),
    [sym__word_no_digit] = ACTIONS(1226),
    [sym__digits] = ACTIONS(1226),
    [sym__code_span_start] = ACTIONS(1268),
    [sym__emphasis_open_star] = ACTIONS(1271),
    [sym__emphasis_open_underscore] = ACTIONS(1274),
    [sym__emphasis_close_star] = ACTIONS(236),
    [sym__last_token_punctuation] = ACTIONS(1277),
    [sym__strikethrough_open] = ACTIONS(1279),
    [sym__latex_span_start] = ACTIONS(1282),
    [sym__unclosed_span] = ACTIONS(1226),
  },
  [87] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(125),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1285),
    [sym_entity_reference] = ACTIONS(1288),
    [sym_numeric_character_reference] = ACTIONS(1288),
    [anon_sym_LBRACK] = ACTIONS(570),
    [anon_sym_RBRACK] = ACTIONS(1291),
    [anon_sym_LT] = ACTIONS(1294),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [anon_sym_POUND] = ACTIONS(1297),
    [anon_sym_DOLLAR] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1303),
    [anon_sym_SQUOTE] = ACTIONS(1297),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_COMMA] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1297),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_COLON] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [anon_sym_EQ] = ACTIONS(1297),
    [anon_sym_QMARK] = ACTIONS(1297),
    [anon_sym_AT] = ACTIONS(1297),
    [anon_sym_BSLASH] = ACTIONS(1306),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym__] = ACTIONS(1297),
    [anon_sym_BQUOTE] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1297),
    [anon_sym_RPAREN] = ACTIONS(1297),
    [sym__newline_token] = ACTIONS(1309),
    [sym_uri_autolink] = ACTIONS(1288),
    [sym_email_autolink] = ACTIONS(1288),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1312),
    [anon_sym_LT_QMARK] = ACTIONS(1315),
    [aux_sym__declaration_token1] = ACTIONS(1318),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1321),
    [sym__whitespace_ge_2] = ACTIONS(1324),
    [aux_sym__whitespace_token1] = ACTIONS(1327),
    [sym__word_no_digit] = ACTIONS(1288),
    [sym__digits] = ACTIONS(1288),
    [sym__code_span_start] = ACTIONS(1330),
    [sym__emphasis_open_star] = ACTIONS(1333),
    [sym__emphasis_open_underscore] = ACTIONS(1336),
    [sym__last_token_punctuation] = ACTIONS(1339),
    [sym__strikethrough_open] = ACTIONS(1341),
    [sym__strikethrough_close] = ACTIONS(570),
    [sym__latex_span_start] = ACTIONS(1344),
    [sym__unclosed_span] = ACTIONS(1288),
  },
  [88] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(134),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [ts_builtin_sym_end] = ACTIONS(47),
    [sym__backslash_escape] = ACTIONS(1347),
    [sym_entity_reference] = ACTIONS(1350),
    [sym_numeric_character_reference] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [anon_sym_POUND] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_PERCENT] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_DOT] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym__] = ACTIONS(1359),
    [anon_sym_BQUOTE] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(1359),
    [sym__newline_token] = ACTIONS(1371),
    [sym_uri_autolink] = ACTIONS(1350),
    [sym_email_autolink] = ACTIONS(1350),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1374),
    [anon_sym_LT_QMARK] = ACTIONS(1377),
    [aux_sym__declaration_token1] = ACTIONS(1380),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1383),
    [sym__whitespace_ge_2] = ACTIONS(1386),
    [aux_sym__whitespace_token1] = ACTIONS(1389),
    [sym__word_no_digit] = ACTIONS(1350),
    [sym__digits] = ACTIONS(1350),
    [sym__code_span_start] = ACTIONS(1392),
    [sym__emphasis_open_star] = ACTIONS(1395),
    [sym__emphasis_open_underscore] = ACTIONS(1398),
    [sym__last_token_punctuation] = ACTIONS(1401),
    [sym__strikethrough_open] = ACTIONS(1403),
    [sym__latex_span_start] = ACTIONS(1406),
    [sym__unclosed_span] = ACTIONS(1350),
  },
  [89] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(118),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1409),
    [sym_entity_reference] = ACTIONS(1412),
    [sym_numeric_character_reference] = ACTIONS(1412),
    [anon_sym_LBRACK] = ACTIONS(433),
    [anon_sym_RBRACK] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1418),
    [anon_sym_GT] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1424),
    [anon_sym_DQUOTE] = ACTIONS(1421),
    [anon_sym_POUND] = ACTIONS(1421),
    [anon_sym_DOLLAR] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1427),
    [anon_sym_SQUOTE] = ACTIONS(1421),
    [anon_sym_STAR] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_DASH] = ACTIONS(1421),
    [anon_sym_DOT] = ACTIONS(1421),
    [anon_sym_SLASH] = ACTIONS(1421),
    [anon_sym_COLON] = ACTIONS(1421),
    [anon_sym_SEMI] = ACTIONS(1421),
    [anon_sym_EQ] = ACTIONS(1421),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_AT] = ACTIONS(1421),
    [anon_sym_BSLASH] = ACTIONS(1430),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym__] = ACTIONS(1421),
    [anon_sym_BQUOTE] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(1421),
    [anon_sym_PIPE] = ACTIONS(1421),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [anon_sym_TILDE] = ACTIONS(1421),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_RPAREN] = ACTIONS(1421),
    [sym__newline_token] = ACTIONS(1433),
    [sym_uri_autolink] = ACTIONS(1412),
    [sym_email_autolink] = ACTIONS(1412),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1436),
    [anon_sym_LT_QMARK] = ACTIONS(1439),
    [aux_sym__declaration_token1] = ACTIONS(1442),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1445),
    [sym__whitespace_ge_2] = ACTIONS(1448),
    [aux_sym__whitespace_token1] = ACTIONS(1451),
    [sym__word_no_digit] = ACTIONS(1412),
    [sym__digits] = ACTIONS(1412),
    [sym__code_span_start] = ACTIONS(1454),
    [sym__emphasis_open_star] = ACTIONS(1457),
    [sym__emphasis_open_underscore] = ACTIONS(1460),
    [sym__emphasis_close_underscore] = ACTIONS(433),
    [sym__last_token_punctuation] = ACTIONS(1463),
    [sym__strikethrough_open] = ACTIONS(1465),
    [sym__latex_span_start] = ACTIONS(1468),
    [sym__unclosed_span] = ACTIONS(1412),
  },
  [90] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(132),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1347),
    [sym_entity_reference] = ACTIONS(1350),
    [sym_numeric_character_reference] = ACTIONS(1350),
    [anon_sym_LBRACK] = ACTIONS(47),
    [anon_sym_RBRACK] = ACTIONS(1353),
    [anon_sym_LT] = ACTIONS(1356),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1362),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [anon_sym_POUND] = ACTIONS(1359),
    [anon_sym_DOLLAR] = ACTIONS(1359),
    [anon_sym_PERCENT] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1365),
    [anon_sym_SQUOTE] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_COMMA] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_DOT] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_COLON] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [anon_sym_EQ] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_BSLASH] = ACTIONS(1368),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym__] = ACTIONS(1359),
    [anon_sym_BQUOTE] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_RPAREN] = ACTIONS(1359),
    [sym__newline_token] = ACTIONS(1371),
    [sym_uri_autolink] = ACTIONS(1350),
    [sym_email_autolink] = ACTIONS(1350),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1374),
    [anon_sym_LT_QMARK] = ACTIONS(1377),
    [aux_sym__declaration_token1] = ACTIONS(1380),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1383),
    [sym__whitespace_ge_2] = ACTIONS(1386),
    [aux_sym__whitespace_token1] = ACTIONS(1389),
    [sym__word_no_digit] = ACTIONS(1350),
    [sym__digits] = ACTIONS(1350),
    [sym__code_span_start] = ACTIONS(1392),
    [sym__emphasis_open_star] = ACTIONS(1395),
    [sym__emphasis_open_underscore] = ACTIONS(1398),
    [sym__last_token_punctuation] = ACTIONS(1471),
    [sym__strikethrough_open] = ACTIONS(1403),
    [sym__latex_span_start] = ACTIONS(1406),
    [sym__unclosed_span] = ACTIONS(1350),
  },
  [91] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(101),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(101),
    [aux_sym__inline_no_tilde_no_link] = STATE(101),
    [sym__strikethrough_no_link] = STATE(101),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(101),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(101),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1473),
    [sym_entity_reference] = ACTIONS(1476),
    [sym_numeric_character_reference] = ACTIONS(1476),
    [anon_sym_RBRACK] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1481),
    [anon_sym_GT] = ACTIONS(1484),
    [anon_sym_BANG] = ACTIONS(1487),
    [anon_sym_DQUOTE] = ACTIONS(1484),
    [anon_sym_POUND] = ACTIONS(1484),
    [anon_sym_DOLLAR] = ACTIONS(1484),
    [anon_sym_PERCENT] = ACTIONS(1484),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_COMMA] = ACTIONS(1484),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_DOT] = ACTIONS(1484),
    [anon_sym_SLASH] = ACTIONS(1484),
    [anon_sym_COLON] = ACTIONS(1484),
    [anon_sym_SEMI] = ACTIONS(1484),
    [anon_sym_EQ] = ACTIONS(1484),
    [anon_sym_QMARK] = ACTIONS(1484),
    [anon_sym_AT] = ACTIONS(1484),
    [anon_sym_BSLASH] = ACTIONS(1493),
    [anon_sym_CARET] = ACTIONS(1484),
    [anon_sym__] = ACTIONS(1484),
    [anon_sym_BQUOTE] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1484),
    [anon_sym_PIPE] = ACTIONS(1484),
    [anon_sym_RBRACE] = ACTIONS(1484),
    [anon_sym_TILDE] = ACTIONS(1484),
    [anon_sym_LPAREN] = ACTIONS(1484),
    [anon_sym_RPAREN] = ACTIONS(1484),
    [sym__newline_token] = ACTIONS(1496),
    [sym_uri_autolink] = ACTIONS(1476),
    [sym_email_autolink] = ACTIONS(1476),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1499),
    [anon_sym_LT_QMARK] = ACTIONS(1502),
    [aux_sym__declaration_token1] = ACTIONS(1505),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1508),
    [sym__whitespace_ge_2] = ACTIONS(1511),
    [aux_sym__whitespace_token1] = ACTIONS(1514),
    [sym__word_no_digit] = ACTIONS(1476),
    [sym__digits] = ACTIONS(1476),
    [sym__code_span_start] = ACTIONS(1517),
    [sym__emphasis_open_star] = ACTIONS(1520),
    [sym__emphasis_open_underscore] = ACTIONS(1523),
    [sym__last_token_punctuation] = ACTIONS(1526),
    [sym__strikethrough_open] = ACTIONS(1528),
    [sym__latex_span_start] = ACTIONS(1531),
    [sym__unclosed_span] = ACTIONS(1476),
  },
  [92] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(126),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(126),
    [aux_sym__inline_no_star_no_link] = STATE(126),
    [sym__strikethrough_no_link] = STATE(126),
    [sym__emphasis_star_no_link] = STATE(640),
    [sym__strong_emphasis_star_no_link] = STATE(126),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(126),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(1534),
    [sym_entity_reference] = ACTIONS(1537),
    [sym_numeric_character_reference] = ACTIONS(1537),
    [anon_sym_LT] = ACTIONS(1540),
    [anon_sym_GT] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1546),
    [anon_sym_DQUOTE] = ACTIONS(1543),
    [anon_sym_POUND] = ACTIONS(1543),
    [anon_sym_DOLLAR] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_PLUS] = ACTIONS(1543),
    [anon_sym_COMMA] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1543),
    [anon_sym_DOT] = ACTIONS(1543),
    [anon_sym_SLASH] = ACTIONS(1543),
    [anon_sym_COLON] = ACTIONS(1543),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_EQ] = ACTIONS(1543),
    [anon_sym_QMARK] = ACTIONS(1543),
    [anon_sym_AT] = ACTIONS(1543),
    [anon_sym_BSLASH] = ACTIONS(1552),
    [anon_sym_CARET] = ACTIONS(1543),
    [anon_sym__] = ACTIONS(1543),
    [anon_sym_BQUOTE] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_PIPE] = ACTIONS(1543),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_LPAREN] = ACTIONS(1543),
    [anon_sym_RPAREN] = ACTIONS(1543),
    [sym__newline_token] = ACTIONS(1555),
    [sym_uri_autolink] = ACTIONS(1537),
    [sym_email_autolink] = ACTIONS(1537),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1558),
    [anon_sym_LT_QMARK] = ACTIONS(1561),
    [aux_sym__declaration_token1] = ACTIONS(1564),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1567),
    [sym__whitespace_ge_2] = ACTIONS(1570),
    [aux_sym__whitespace_token1] = ACTIONS(1573),
    [sym__word_no_digit] = ACTIONS(1537),
    [sym__digits] = ACTIONS(1537),
    [sym__code_span_start] = ACTIONS(1576),
    [sym__emphasis_open_star] = ACTIONS(1579),
    [sym__emphasis_open_underscore] = ACTIONS(1582),
    [sym__last_token_punctuation] = ACTIONS(1585),
    [sym__strikethrough_open] = ACTIONS(1587),
    [sym__strikethrough_close] = ACTIONS(1590),
    [sym__latex_span_start] = ACTIONS(1592),
    [sym__unclosed_span] = ACTIONS(1537),
  },
  [93] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(121),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(121),
    [aux_sym__inline_no_tilde_no_link] = STATE(121),
    [sym__strikethrough_no_link] = STATE(121),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(121),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(121),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1595),
    [sym_entity_reference] = ACTIONS(1598),
    [sym_numeric_character_reference] = ACTIONS(1598),
    [anon_sym_LT] = ACTIONS(1601),
    [anon_sym_GT] = ACTIONS(1604),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [anon_sym_POUND] = ACTIONS(1604),
    [anon_sym_DOLLAR] = ACTIONS(1604),
    [anon_sym_PERCENT] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1610),
    [anon_sym_SQUOTE] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1604),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_COMMA] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_DOT] = ACTIONS(1604),
    [anon_sym_SLASH] = ACTIONS(1604),
    [anon_sym_COLON] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1604),
    [anon_sym_EQ] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [anon_sym_BSLASH] = ACTIONS(1613),
    [anon_sym_CARET] = ACTIONS(1604),
    [anon_sym__] = ACTIONS(1604),
    [anon_sym_BQUOTE] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_PIPE] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_RPAREN] = ACTIONS(1604),
    [sym__newline_token] = ACTIONS(1616),
    [sym_uri_autolink] = ACTIONS(1598),
    [sym_email_autolink] = ACTIONS(1598),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1619),
    [anon_sym_LT_QMARK] = ACTIONS(1622),
    [aux_sym__declaration_token1] = ACTIONS(1625),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1628),
    [sym__whitespace_ge_2] = ACTIONS(1631),
    [aux_sym__whitespace_token1] = ACTIONS(1634),
    [sym__word_no_digit] = ACTIONS(1598),
    [sym__digits] = ACTIONS(1598),
    [sym__code_span_start] = ACTIONS(1637),
    [sym__emphasis_open_star] = ACTIONS(1640),
    [sym__emphasis_open_underscore] = ACTIONS(1643),
    [sym__emphasis_close_underscore] = ACTIONS(1646),
    [sym__last_token_punctuation] = ACTIONS(1648),
    [sym__strikethrough_open] = ACTIONS(1650),
    [sym__latex_span_start] = ACTIONS(1653),
    [sym__unclosed_span] = ACTIONS(1598),
  },
  [94] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(119),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(119),
    [aux_sym__inline_no_star_no_link] = STATE(119),
    [sym__strikethrough_no_link] = STATE(119),
    [sym__emphasis_star_no_link] = STATE(631),
    [sym__strong_emphasis_star_no_link] = STATE(119),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(119),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(1656),
    [sym_entity_reference] = ACTIONS(1659),
    [sym_numeric_character_reference] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1662),
    [anon_sym_GT] = ACTIONS(1665),
    [anon_sym_BANG] = ACTIONS(1668),
    [anon_sym_DQUOTE] = ACTIONS(1665),
    [anon_sym_POUND] = ACTIONS(1665),
    [anon_sym_DOLLAR] = ACTIONS(1665),
    [anon_sym_PERCENT] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1671),
    [anon_sym_SQUOTE] = ACTIONS(1665),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_DOT] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1665),
    [anon_sym_COLON] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [anon_sym_QMARK] = ACTIONS(1665),
    [anon_sym_AT] = ACTIONS(1665),
    [anon_sym_BSLASH] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1665),
    [anon_sym__] = ACTIONS(1665),
    [anon_sym_BQUOTE] = ACTIONS(1665),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_PIPE] = ACTIONS(1665),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_RPAREN] = ACTIONS(1665),
    [sym__newline_token] = ACTIONS(1677),
    [sym_uri_autolink] = ACTIONS(1659),
    [sym_email_autolink] = ACTIONS(1659),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1680),
    [anon_sym_LT_QMARK] = ACTIONS(1683),
    [aux_sym__declaration_token1] = ACTIONS(1686),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1689),
    [sym__whitespace_ge_2] = ACTIONS(1692),
    [aux_sym__whitespace_token1] = ACTIONS(1695),
    [sym__word_no_digit] = ACTIONS(1659),
    [sym__digits] = ACTIONS(1659),
    [sym__code_span_start] = ACTIONS(1698),
    [sym__emphasis_open_star] = ACTIONS(1701),
    [sym__emphasis_open_underscore] = ACTIONS(1704),
    [sym__emphasis_close_underscore] = ACTIONS(1646),
    [sym__last_token_punctuation] = ACTIONS(1707),
    [sym__strikethrough_open] = ACTIONS(1709),
    [sym__latex_span_start] = ACTIONS(1712),
    [sym__unclosed_span] = ACTIONS(1659),
  },
  [95] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(127),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(127),
    [aux_sym__inline_no_underscore_no_link] = STATE(127),
    [sym__strikethrough_no_link] = STATE(127),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(127),
    [sym__emphasis_underscore_no_link] = STATE(641),
    [sym__strong_emphasis_underscore_no_link] = STATE(127),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(1715),
    [sym_entity_reference] = ACTIONS(1718),
    [sym_numeric_character_reference] = ACTIONS(1718),
    [anon_sym_LT] = ACTIONS(1721),
    [anon_sym_GT] = ACTIONS(1724),
    [anon_sym_BANG] = ACTIONS(1727),
    [anon_sym_DQUOTE] = ACTIONS(1724),
    [anon_sym_POUND] = ACTIONS(1724),
    [anon_sym_DOLLAR] = ACTIONS(1724),
    [anon_sym_PERCENT] = ACTIONS(1724),
    [anon_sym_AMP] = ACTIONS(1730),
    [anon_sym_SQUOTE] = ACTIONS(1724),
    [anon_sym_STAR] = ACTIONS(1724),
    [anon_sym_PLUS] = ACTIONS(1724),
    [anon_sym_COMMA] = ACTIONS(1724),
    [anon_sym_DASH] = ACTIONS(1724),
    [anon_sym_DOT] = ACTIONS(1724),
    [anon_sym_SLASH] = ACTIONS(1724),
    [anon_sym_COLON] = ACTIONS(1724),
    [anon_sym_SEMI] = ACTIONS(1724),
    [anon_sym_EQ] = ACTIONS(1724),
    [anon_sym_QMARK] = ACTIONS(1724),
    [anon_sym_AT] = ACTIONS(1724),
    [anon_sym_BSLASH] = ACTIONS(1733),
    [anon_sym_CARET] = ACTIONS(1724),
    [anon_sym__] = ACTIONS(1724),
    [anon_sym_BQUOTE] = ACTIONS(1724),
    [anon_sym_LBRACE] = ACTIONS(1724),
    [anon_sym_PIPE] = ACTIONS(1724),
    [anon_sym_RBRACE] = ACTIONS(1724),
    [anon_sym_TILDE] = ACTIONS(1724),
    [anon_sym_LPAREN] = ACTIONS(1724),
    [anon_sym_RPAREN] = ACTIONS(1724),
    [sym__newline_token] = ACTIONS(1736),
    [sym_uri_autolink] = ACTIONS(1718),
    [sym_email_autolink] = ACTIONS(1718),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1739),
    [anon_sym_LT_QMARK] = ACTIONS(1742),
    [aux_sym__declaration_token1] = ACTIONS(1745),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1748),
    [sym__whitespace_ge_2] = ACTIONS(1751),
    [aux_sym__whitespace_token1] = ACTIONS(1754),
    [sym__word_no_digit] = ACTIONS(1718),
    [sym__digits] = ACTIONS(1718),
    [sym__code_span_start] = ACTIONS(1757),
    [sym__emphasis_open_star] = ACTIONS(1760),
    [sym__emphasis_open_underscore] = ACTIONS(1763),
    [sym__last_token_punctuation] = ACTIONS(1766),
    [sym__strikethrough_open] = ACTIONS(1768),
    [sym__strikethrough_close] = ACTIONS(1590),
    [sym__latex_span_start] = ACTIONS(1771),
    [sym__unclosed_span] = ACTIONS(1718),
  },
  [96] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(113),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(113),
    [aux_sym__inline_no_tilde_no_link] = STATE(113),
    [sym__strikethrough_no_link] = STATE(113),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(113),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(113),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(1774),
    [sym_entity_reference] = ACTIONS(1777),
    [sym_numeric_character_reference] = ACTIONS(1777),
    [anon_sym_LT] = ACTIONS(1780),
    [anon_sym_GT] = ACTIONS(1783),
    [anon_sym_BANG] = ACTIONS(1786),
    [anon_sym_DQUOTE] = ACTIONS(1783),
    [anon_sym_POUND] = ACTIONS(1783),
    [anon_sym_DOLLAR] = ACTIONS(1783),
    [anon_sym_PERCENT] = ACTIONS(1783),
    [anon_sym_AMP] = ACTIONS(1789),
    [anon_sym_SQUOTE] = ACTIONS(1783),
    [anon_sym_STAR] = ACTIONS(1783),
    [anon_sym_PLUS] = ACTIONS(1783),
    [anon_sym_COMMA] = ACTIONS(1783),
    [anon_sym_DASH] = ACTIONS(1783),
    [anon_sym_DOT] = ACTIONS(1783),
    [anon_sym_SLASH] = ACTIONS(1783),
    [anon_sym_COLON] = ACTIONS(1783),
    [anon_sym_SEMI] = ACTIONS(1783),
    [anon_sym_EQ] = ACTIONS(1783),
    [anon_sym_QMARK] = ACTIONS(1783),
    [anon_sym_AT] = ACTIONS(1783),
    [anon_sym_BSLASH] = ACTIONS(1792),
    [anon_sym_CARET] = ACTIONS(1783),
    [anon_sym__] = ACTIONS(1783),
    [anon_sym_BQUOTE] = ACTIONS(1783),
    [anon_sym_LBRACE] = ACTIONS(1783),
    [anon_sym_PIPE] = ACTIONS(1783),
    [anon_sym_RBRACE] = ACTIONS(1783),
    [anon_sym_TILDE] = ACTIONS(1783),
    [anon_sym_LPAREN] = ACTIONS(1783),
    [anon_sym_RPAREN] = ACTIONS(1783),
    [sym__newline_token] = ACTIONS(1795),
    [sym_uri_autolink] = ACTIONS(1777),
    [sym_email_autolink] = ACTIONS(1777),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1798),
    [anon_sym_LT_QMARK] = ACTIONS(1801),
    [aux_sym__declaration_token1] = ACTIONS(1804),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1807),
    [sym__whitespace_ge_2] = ACTIONS(1810),
    [aux_sym__whitespace_token1] = ACTIONS(1813),
    [sym__word_no_digit] = ACTIONS(1777),
    [sym__digits] = ACTIONS(1777),
    [sym__code_span_start] = ACTIONS(1816),
    [sym__emphasis_open_star] = ACTIONS(1819),
    [sym__emphasis_open_underscore] = ACTIONS(1822),
    [sym__emphasis_close_star] = ACTIONS(1825),
    [sym__last_token_punctuation] = ACTIONS(1827),
    [sym__strikethrough_open] = ACTIONS(1829),
    [sym__latex_span_start] = ACTIONS(1832),
    [sym__unclosed_span] = ACTIONS(1777),
  },
  [97] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(112),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(112),
    [aux_sym__inline_no_underscore_no_link] = STATE(112),
    [sym__strikethrough_no_link] = STATE(112),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(112),
    [sym__emphasis_underscore_no_link] = STATE(630),
    [sym__strong_emphasis_underscore_no_link] = STATE(112),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(1835),
    [sym_entity_reference] = ACTIONS(1838),
    [sym_numeric_character_reference] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym_BANG] = ACTIONS(1847),
    [anon_sym_DQUOTE] = ACTIONS(1844),
    [anon_sym_POUND] = ACTIONS(1844),
    [anon_sym_DOLLAR] = ACTIONS(1844),
    [anon_sym_PERCENT] = ACTIONS(1844),
    [anon_sym_AMP] = ACTIONS(1850),
    [anon_sym_SQUOTE] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym_COLON] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1844),
    [anon_sym_QMARK] = ACTIONS(1844),
    [anon_sym_AT] = ACTIONS(1844),
    [anon_sym_BSLASH] = ACTIONS(1853),
    [anon_sym_CARET] = ACTIONS(1844),
    [anon_sym__] = ACTIONS(1844),
    [anon_sym_BQUOTE] = ACTIONS(1844),
    [anon_sym_LBRACE] = ACTIONS(1844),
    [anon_sym_PIPE] = ACTIONS(1844),
    [anon_sym_RBRACE] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1844),
    [anon_sym_RPAREN] = ACTIONS(1844),
    [sym__newline_token] = ACTIONS(1856),
    [sym_uri_autolink] = ACTIONS(1838),
    [sym_email_autolink] = ACTIONS(1838),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1859),
    [anon_sym_LT_QMARK] = ACTIONS(1862),
    [aux_sym__declaration_token1] = ACTIONS(1865),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1868),
    [sym__whitespace_ge_2] = ACTIONS(1871),
    [aux_sym__whitespace_token1] = ACTIONS(1874),
    [sym__word_no_digit] = ACTIONS(1838),
    [sym__digits] = ACTIONS(1838),
    [sym__code_span_start] = ACTIONS(1877),
    [sym__emphasis_open_star] = ACTIONS(1880),
    [sym__emphasis_open_underscore] = ACTIONS(1883),
    [sym__emphasis_close_star] = ACTIONS(1825),
    [sym__last_token_punctuation] = ACTIONS(1886),
    [sym__strikethrough_open] = ACTIONS(1888),
    [sym__latex_span_start] = ACTIONS(1891),
    [sym__unclosed_span] = ACTIONS(1838),
  },
  [98] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(109),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(109),
    [aux_sym__inline_no_star_no_link] = STATE(109),
    [sym__strikethrough_no_link] = STATE(109),
    [sym__emphasis_star_no_link] = STATE(614),
    [sym__strong_emphasis_star_no_link] = STATE(109),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(109),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(1894),
    [sym_entity_reference] = ACTIONS(1897),
    [sym_numeric_character_reference] = ACTIONS(1897),
    [anon_sym_RBRACK] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1900),
    [anon_sym_GT] = ACTIONS(1903),
    [anon_sym_BANG] = ACTIONS(1906),
    [anon_sym_DQUOTE] = ACTIONS(1903),
    [anon_sym_POUND] = ACTIONS(1903),
    [anon_sym_DOLLAR] = ACTIONS(1903),
    [anon_sym_PERCENT] = ACTIONS(1903),
    [anon_sym_AMP] = ACTIONS(1909),
    [anon_sym_SQUOTE] = ACTIONS(1903),
    [anon_sym_STAR] = ACTIONS(1903),
    [anon_sym_PLUS] = ACTIONS(1903),
    [anon_sym_COMMA] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1903),
    [anon_sym_DOT] = ACTIONS(1903),
    [anon_sym_SLASH] = ACTIONS(1903),
    [anon_sym_COLON] = ACTIONS(1903),
    [anon_sym_SEMI] = ACTIONS(1903),
    [anon_sym_EQ] = ACTIONS(1903),
    [anon_sym_QMARK] = ACTIONS(1903),
    [anon_sym_AT] = ACTIONS(1903),
    [anon_sym_BSLASH] = ACTIONS(1912),
    [anon_sym_CARET] = ACTIONS(1903),
    [anon_sym__] = ACTIONS(1903),
    [anon_sym_BQUOTE] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1903),
    [anon_sym_PIPE] = ACTIONS(1903),
    [anon_sym_RBRACE] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_LPAREN] = ACTIONS(1903),
    [anon_sym_RPAREN] = ACTIONS(1903),
    [sym__newline_token] = ACTIONS(1915),
    [sym_uri_autolink] = ACTIONS(1897),
    [sym_email_autolink] = ACTIONS(1897),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1918),
    [anon_sym_LT_QMARK] = ACTIONS(1921),
    [aux_sym__declaration_token1] = ACTIONS(1924),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1927),
    [sym__whitespace_ge_2] = ACTIONS(1930),
    [aux_sym__whitespace_token1] = ACTIONS(1933),
    [sym__word_no_digit] = ACTIONS(1897),
    [sym__digits] = ACTIONS(1897),
    [sym__code_span_start] = ACTIONS(1936),
    [sym__emphasis_open_star] = ACTIONS(1939),
    [sym__emphasis_open_underscore] = ACTIONS(1942),
    [sym__last_token_punctuation] = ACTIONS(1945),
    [sym__strikethrough_open] = ACTIONS(1947),
    [sym__latex_span_start] = ACTIONS(1950),
    [sym__unclosed_span] = ACTIONS(1897),
  },
  [99] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(117),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(117),
    [aux_sym__inline_no_underscore_no_link] = STATE(117),
    [sym__strikethrough_no_link] = STATE(117),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(117),
    [sym__emphasis_underscore_no_link] = STATE(621),
    [sym__strong_emphasis_underscore_no_link] = STATE(117),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(1953),
    [sym_entity_reference] = ACTIONS(1956),
    [sym_numeric_character_reference] = ACTIONS(1956),
    [anon_sym_RBRACK] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1959),
    [anon_sym_GT] = ACTIONS(1962),
    [anon_sym_BANG] = ACTIONS(1965),
    [anon_sym_DQUOTE] = ACTIONS(1962),
    [anon_sym_POUND] = ACTIONS(1962),
    [anon_sym_DOLLAR] = ACTIONS(1962),
    [anon_sym_PERCENT] = ACTIONS(1962),
    [anon_sym_AMP] = ACTIONS(1968),
    [anon_sym_SQUOTE] = ACTIONS(1962),
    [anon_sym_STAR] = ACTIONS(1962),
    [anon_sym_PLUS] = ACTIONS(1962),
    [anon_sym_COMMA] = ACTIONS(1962),
    [anon_sym_DASH] = ACTIONS(1962),
    [anon_sym_DOT] = ACTIONS(1962),
    [anon_sym_SLASH] = ACTIONS(1962),
    [anon_sym_COLON] = ACTIONS(1962),
    [anon_sym_SEMI] = ACTIONS(1962),
    [anon_sym_EQ] = ACTIONS(1962),
    [anon_sym_QMARK] = ACTIONS(1962),
    [anon_sym_AT] = ACTIONS(1962),
    [anon_sym_BSLASH] = ACTIONS(1971),
    [anon_sym_CARET] = ACTIONS(1962),
    [anon_sym__] = ACTIONS(1962),
    [anon_sym_BQUOTE] = ACTIONS(1962),
    [anon_sym_LBRACE] = ACTIONS(1962),
    [anon_sym_PIPE] = ACTIONS(1962),
    [anon_sym_RBRACE] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1962),
    [anon_sym_LPAREN] = ACTIONS(1962),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [sym__newline_token] = ACTIONS(1974),
    [sym_uri_autolink] = ACTIONS(1956),
    [sym_email_autolink] = ACTIONS(1956),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1977),
    [anon_sym_LT_QMARK] = ACTIONS(1980),
    [aux_sym__declaration_token1] = ACTIONS(1983),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1986),
    [sym__whitespace_ge_2] = ACTIONS(1989),
    [aux_sym__whitespace_token1] = ACTIONS(1992),
    [sym__word_no_digit] = ACTIONS(1956),
    [sym__digits] = ACTIONS(1956),
    [sym__code_span_start] = ACTIONS(1995),
    [sym__emphasis_open_star] = ACTIONS(1998),
    [sym__emphasis_open_underscore] = ACTIONS(2001),
    [sym__last_token_punctuation] = ACTIONS(2004),
    [sym__strikethrough_open] = ACTIONS(2006),
    [sym__latex_span_start] = ACTIONS(2009),
    [sym__unclosed_span] = ACTIONS(1956),
  },
  [100] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(120),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(120),
    [aux_sym__inline_no_underscore_no_link] = STATE(120),
    [sym__strikethrough_no_link] = STATE(120),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(120),
    [sym__emphasis_underscore_no_link] = STATE(632),
    [sym__strong_emphasis_underscore_no_link] = STATE(120),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__last_token_punctuation] = ACTIONS(2026),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [101] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__strikethrough_close] = ACTIONS(2046),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [102] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(102),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(2048),
    [sym_entity_reference] = ACTIONS(2051),
    [sym_numeric_character_reference] = ACTIONS(2051),
    [anon_sym_RBRACK] = ACTIONS(2054),
    [anon_sym_LT] = ACTIONS(2056),
    [anon_sym_GT] = ACTIONS(2059),
    [anon_sym_BANG] = ACTIONS(2062),
    [anon_sym_DQUOTE] = ACTIONS(2059),
    [anon_sym_POUND] = ACTIONS(2059),
    [anon_sym_DOLLAR] = ACTIONS(2059),
    [anon_sym_PERCENT] = ACTIONS(2059),
    [anon_sym_AMP] = ACTIONS(2065),
    [anon_sym_SQUOTE] = ACTIONS(2059),
    [anon_sym_STAR] = ACTIONS(2059),
    [anon_sym_PLUS] = ACTIONS(2059),
    [anon_sym_COMMA] = ACTIONS(2059),
    [anon_sym_DASH] = ACTIONS(2059),
    [anon_sym_DOT] = ACTIONS(2059),
    [anon_sym_SLASH] = ACTIONS(2059),
    [anon_sym_COLON] = ACTIONS(2059),
    [anon_sym_SEMI] = ACTIONS(2059),
    [anon_sym_EQ] = ACTIONS(2059),
    [anon_sym_QMARK] = ACTIONS(2059),
    [anon_sym_AT] = ACTIONS(2059),
    [anon_sym_BSLASH] = ACTIONS(2068),
    [anon_sym_CARET] = ACTIONS(2059),
    [anon_sym__] = ACTIONS(2059),
    [anon_sym_BQUOTE] = ACTIONS(2059),
    [anon_sym_LBRACE] = ACTIONS(2059),
    [anon_sym_PIPE] = ACTIONS(2059),
    [anon_sym_RBRACE] = ACTIONS(2059),
    [anon_sym_TILDE] = ACTIONS(2059),
    [anon_sym_LPAREN] = ACTIONS(2059),
    [anon_sym_RPAREN] = ACTIONS(2059),
    [sym__newline_token] = ACTIONS(2071),
    [sym_uri_autolink] = ACTIONS(2051),
    [sym_email_autolink] = ACTIONS(2051),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2074),
    [anon_sym_LT_QMARK] = ACTIONS(2077),
    [aux_sym__declaration_token1] = ACTIONS(2080),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2083),
    [sym__whitespace_ge_2] = ACTIONS(2086),
    [aux_sym__whitespace_token1] = ACTIONS(2089),
    [sym__word_no_digit] = ACTIONS(2051),
    [sym__digits] = ACTIONS(2051),
    [sym__code_span_start] = ACTIONS(2092),
    [sym__emphasis_open_star] = ACTIONS(2095),
    [sym__emphasis_open_underscore] = ACTIONS(2098),
    [sym__strikethrough_open] = ACTIONS(2101),
    [sym__latex_span_start] = ACTIONS(2104),
    [sym__unclosed_span] = ACTIONS(2051),
  },
  [103] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__emphasis_close_star] = ACTIONS(2121),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [104] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(111),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(111),
    [aux_sym__inline_no_star_no_link] = STATE(111),
    [sym__strikethrough_no_link] = STATE(111),
    [sym__emphasis_star_no_link] = STATE(629),
    [sym__strong_emphasis_star_no_link] = STATE(111),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(111),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__last_token_punctuation] = ACTIONS(2125),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [105] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__emphasis_close_underscore] = ACTIONS(2127),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [106] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(2129),
    [sym_entity_reference] = ACTIONS(2132),
    [sym_numeric_character_reference] = ACTIONS(2132),
    [anon_sym_LT] = ACTIONS(2135),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_BANG] = ACTIONS(2141),
    [anon_sym_DQUOTE] = ACTIONS(2138),
    [anon_sym_POUND] = ACTIONS(2138),
    [anon_sym_DOLLAR] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2144),
    [anon_sym_SQUOTE] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2138),
    [anon_sym_EQ] = ACTIONS(2138),
    [anon_sym_QMARK] = ACTIONS(2138),
    [anon_sym_AT] = ACTIONS(2138),
    [anon_sym_BSLASH] = ACTIONS(2147),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym__] = ACTIONS(2138),
    [anon_sym_BQUOTE] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2138),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_RBRACE] = ACTIONS(2138),
    [anon_sym_TILDE] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [sym__newline_token] = ACTIONS(2150),
    [sym_uri_autolink] = ACTIONS(2132),
    [sym_email_autolink] = ACTIONS(2132),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2153),
    [anon_sym_LT_QMARK] = ACTIONS(2156),
    [aux_sym__declaration_token1] = ACTIONS(2159),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2162),
    [sym__whitespace_ge_2] = ACTIONS(2165),
    [aux_sym__whitespace_token1] = ACTIONS(2168),
    [sym__word_no_digit] = ACTIONS(2132),
    [sym__digits] = ACTIONS(2132),
    [sym__code_span_start] = ACTIONS(2171),
    [sym__emphasis_open_star] = ACTIONS(2174),
    [sym__emphasis_open_underscore] = ACTIONS(2177),
    [sym__emphasis_close_underscore] = ACTIONS(2180),
    [sym__strikethrough_open] = ACTIONS(2182),
    [sym__latex_span_start] = ACTIONS(2185),
    [sym__unclosed_span] = ACTIONS(2132),
  },
  [107] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__strikethrough_close] = ACTIONS(2188),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [108] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(2190),
    [sym_entity_reference] = ACTIONS(2193),
    [sym_numeric_character_reference] = ACTIONS(2193),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_GT] = ACTIONS(2199),
    [anon_sym_BANG] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2199),
    [anon_sym_POUND] = ACTIONS(2199),
    [anon_sym_DOLLAR] = ACTIONS(2199),
    [anon_sym_PERCENT] = ACTIONS(2199),
    [anon_sym_AMP] = ACTIONS(2205),
    [anon_sym_SQUOTE] = ACTIONS(2199),
    [anon_sym_STAR] = ACTIONS(2199),
    [anon_sym_PLUS] = ACTIONS(2199),
    [anon_sym_COMMA] = ACTIONS(2199),
    [anon_sym_DASH] = ACTIONS(2199),
    [anon_sym_DOT] = ACTIONS(2199),
    [anon_sym_SLASH] = ACTIONS(2199),
    [anon_sym_COLON] = ACTIONS(2199),
    [anon_sym_SEMI] = ACTIONS(2199),
    [anon_sym_EQ] = ACTIONS(2199),
    [anon_sym_QMARK] = ACTIONS(2199),
    [anon_sym_AT] = ACTIONS(2199),
    [anon_sym_BSLASH] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2199),
    [anon_sym__] = ACTIONS(2199),
    [anon_sym_BQUOTE] = ACTIONS(2199),
    [anon_sym_LBRACE] = ACTIONS(2199),
    [anon_sym_PIPE] = ACTIONS(2199),
    [anon_sym_RBRACE] = ACTIONS(2199),
    [anon_sym_TILDE] = ACTIONS(2199),
    [anon_sym_LPAREN] = ACTIONS(2199),
    [anon_sym_RPAREN] = ACTIONS(2199),
    [sym__newline_token] = ACTIONS(2211),
    [sym_uri_autolink] = ACTIONS(2193),
    [sym_email_autolink] = ACTIONS(2193),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2214),
    [anon_sym_LT_QMARK] = ACTIONS(2217),
    [aux_sym__declaration_token1] = ACTIONS(2220),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2223),
    [sym__whitespace_ge_2] = ACTIONS(2226),
    [aux_sym__whitespace_token1] = ACTIONS(2229),
    [sym__word_no_digit] = ACTIONS(2193),
    [sym__digits] = ACTIONS(2193),
    [sym__code_span_start] = ACTIONS(2232),
    [sym__emphasis_open_star] = ACTIONS(2235),
    [sym__emphasis_open_underscore] = ACTIONS(2238),
    [sym__strikethrough_open] = ACTIONS(2241),
    [sym__strikethrough_close] = ACTIONS(2244),
    [sym__latex_span_start] = ACTIONS(2246),
    [sym__unclosed_span] = ACTIONS(2193),
  },
  [109] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__emphasis_close_star] = ACTIONS(2249),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [110] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(102),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2251),
    [sym_numeric_character_reference] = ACTIONS(2251),
    [anon_sym_RBRACK] = ACTIONS(2253),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2251),
    [sym_email_autolink] = ACTIONS(2251),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2257),
    [anon_sym_LT_QMARK] = ACTIONS(2259),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2261),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2251),
    [sym__digits] = ACTIONS(2251),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2263),
    [sym__emphasis_open_underscore] = ACTIONS(2265),
    [sym__strikethrough_open] = ACTIONS(2267),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2251),
  },
  [111] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__emphasis_close_star] = ACTIONS(2269),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [112] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__emphasis_close_underscore] = ACTIONS(2271),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [113] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__strikethrough_close] = ACTIONS(2273),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [114] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__emphasis_close_star] = ACTIONS(2275),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [115] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__emphasis_close_underscore] = ACTIONS(2277),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [116] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__strikethrough_close] = ACTIONS(2279),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [117] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__emphasis_close_underscore] = ACTIONS(2281),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [118] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(102),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2251),
    [sym_numeric_character_reference] = ACTIONS(2251),
    [anon_sym_RBRACK] = ACTIONS(2283),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2251),
    [sym_email_autolink] = ACTIONS(2251),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2257),
    [anon_sym_LT_QMARK] = ACTIONS(2259),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2261),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2251),
    [sym__digits] = ACTIONS(2251),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2263),
    [sym__emphasis_open_underscore] = ACTIONS(2265),
    [sym__strikethrough_open] = ACTIONS(2267),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2251),
  },
  [119] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__emphasis_close_star] = ACTIONS(2285),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [120] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__emphasis_close_underscore] = ACTIONS(2287),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [121] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__strikethrough_close] = ACTIONS(2289),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [122] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__emphasis_close_star] = ACTIONS(2291),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [123] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__emphasis_close_underscore] = ACTIONS(2293),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [124] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__strikethrough_close] = ACTIONS(2295),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [125] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(102),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2251),
    [sym_numeric_character_reference] = ACTIONS(2251),
    [anon_sym_RBRACK] = ACTIONS(2297),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2251),
    [sym_email_autolink] = ACTIONS(2251),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2257),
    [anon_sym_LT_QMARK] = ACTIONS(2259),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2261),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2251),
    [sym__digits] = ACTIONS(2251),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2263),
    [sym__emphasis_open_underscore] = ACTIONS(2265),
    [sym__strikethrough_open] = ACTIONS(2267),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2251),
  },
  [126] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__emphasis_close_star] = ACTIONS(2299),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [127] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__emphasis_close_underscore] = ACTIONS(2301),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [128] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__strikethrough_close] = ACTIONS(2303),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [129] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__emphasis_close_star] = ACTIONS(2305),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [130] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(106),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(106),
    [aux_sym__inline_no_underscore_no_link] = STATE(106),
    [sym__strikethrough_no_link] = STATE(106),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(106),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(106),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__emphasis_close_underscore] = ACTIONS(2307),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [131] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(108),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(108),
    [aux_sym__inline_no_tilde_no_link] = STATE(108),
    [sym__strikethrough_no_link] = STATE(108),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(108),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(108),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__strikethrough_close] = ACTIONS(2309),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [132] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(102),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2251),
    [sym_numeric_character_reference] = ACTIONS(2251),
    [anon_sym_RBRACK] = ACTIONS(2311),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2251),
    [sym_email_autolink] = ACTIONS(2251),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2257),
    [anon_sym_LT_QMARK] = ACTIONS(2259),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2261),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2251),
    [sym__digits] = ACTIONS(2251),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2263),
    [sym__emphasis_open_underscore] = ACTIONS(2265),
    [sym__strikethrough_open] = ACTIONS(2267),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2251),
  },
  [133] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(128),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(128),
    [aux_sym__inline_no_tilde_no_link] = STATE(128),
    [sym__strikethrough_no_link] = STATE(128),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(128),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(128),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__last_token_punctuation] = ACTIONS(2313),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [134] = {
    [sym_backslash_escape] = STATE(165),
    [sym_code_span] = STATE(165),
    [sym_latex_block] = STATE(165),
    [sym_image] = STATE(165),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(165),
    [sym__whitespace] = STATE(165),
    [sym__word] = STATE(165),
    [sym__soft_line_break] = STATE(165),
    [sym__inline_base] = STATE(628),
    [sym__text_base] = STATE(165),
    [sym__inline_element_no_link] = STATE(628),
    [aux_sym__inline_no_link] = STATE(102),
    [sym__strikethrough_no_link] = STATE(628),
    [sym__emphasis_star_no_link] = STATE(616),
    [sym__strong_emphasis_star_no_link] = STATE(628),
    [sym__emphasis_underscore_no_link] = STATE(616),
    [sym__strong_emphasis_underscore_no_link] = STATE(628),
    [aux_sym__inline_base_repeat1] = STATE(165),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2251),
    [sym_numeric_character_reference] = ACTIONS(2251),
    [anon_sym_RBRACK] = ACTIONS(2315),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2251),
    [sym_email_autolink] = ACTIONS(2251),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2257),
    [anon_sym_LT_QMARK] = ACTIONS(2259),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2261),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2251),
    [sym__digits] = ACTIONS(2251),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2263),
    [sym__emphasis_open_underscore] = ACTIONS(2265),
    [sym__strikethrough_open] = ACTIONS(2267),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2251),
  },
  [135] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(135),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(135),
    [aux_sym__inline_no_star_no_link] = STATE(135),
    [sym__strikethrough_no_link] = STATE(135),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(135),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(135),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(2317),
    [sym_entity_reference] = ACTIONS(2320),
    [sym_numeric_character_reference] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2323),
    [anon_sym_GT] = ACTIONS(2326),
    [anon_sym_BANG] = ACTIONS(2329),
    [anon_sym_DQUOTE] = ACTIONS(2326),
    [anon_sym_POUND] = ACTIONS(2326),
    [anon_sym_DOLLAR] = ACTIONS(2326),
    [anon_sym_PERCENT] = ACTIONS(2326),
    [anon_sym_AMP] = ACTIONS(2332),
    [anon_sym_SQUOTE] = ACTIONS(2326),
    [anon_sym_STAR] = ACTIONS(2326),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_COMMA] = ACTIONS(2326),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_DOT] = ACTIONS(2326),
    [anon_sym_SLASH] = ACTIONS(2326),
    [anon_sym_COLON] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2326),
    [anon_sym_EQ] = ACTIONS(2326),
    [anon_sym_QMARK] = ACTIONS(2326),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_BSLASH] = ACTIONS(2335),
    [anon_sym_CARET] = ACTIONS(2326),
    [anon_sym__] = ACTIONS(2326),
    [anon_sym_BQUOTE] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_PIPE] = ACTIONS(2326),
    [anon_sym_RBRACE] = ACTIONS(2326),
    [anon_sym_TILDE] = ACTIONS(2326),
    [anon_sym_LPAREN] = ACTIONS(2326),
    [anon_sym_RPAREN] = ACTIONS(2326),
    [sym__newline_token] = ACTIONS(2338),
    [sym_uri_autolink] = ACTIONS(2320),
    [sym_email_autolink] = ACTIONS(2320),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2341),
    [anon_sym_LT_QMARK] = ACTIONS(2344),
    [aux_sym__declaration_token1] = ACTIONS(2347),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2350),
    [sym__whitespace_ge_2] = ACTIONS(2353),
    [aux_sym__whitespace_token1] = ACTIONS(2356),
    [sym__word_no_digit] = ACTIONS(2320),
    [sym__digits] = ACTIONS(2320),
    [sym__code_span_start] = ACTIONS(2359),
    [sym__emphasis_open_star] = ACTIONS(2362),
    [sym__emphasis_open_underscore] = ACTIONS(2365),
    [sym__emphasis_close_star] = ACTIONS(2368),
    [sym__strikethrough_open] = ACTIONS(2370),
    [sym__latex_span_start] = ACTIONS(2373),
    [sym__unclosed_span] = ACTIONS(2320),
  },
  [136] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(105),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(105),
    [aux_sym__inline_no_underscore_no_link] = STATE(105),
    [sym__strikethrough_no_link] = STATE(105),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(105),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(105),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [137] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(103),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(103),
    [aux_sym__inline_no_star_no_link] = STATE(103),
    [sym__strikethrough_no_link] = STATE(103),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(103),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(103),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [138] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(129),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(129),
    [aux_sym__inline_no_star_no_link] = STATE(129),
    [sym__strikethrough_no_link] = STATE(129),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(129),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(129),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [139] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(124),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(124),
    [aux_sym__inline_no_tilde_no_link] = STATE(124),
    [sym__strikethrough_no_link] = STATE(124),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(124),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(124),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [140] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(107),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(107),
    [aux_sym__inline_no_tilde_no_link] = STATE(107),
    [sym__strikethrough_no_link] = STATE(107),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(107),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(107),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [141] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(116),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(116),
    [aux_sym__inline_no_tilde_no_link] = STATE(116),
    [sym__strikethrough_no_link] = STATE(116),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(116),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(116),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [142] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(115),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(115),
    [aux_sym__inline_no_underscore_no_link] = STATE(115),
    [sym__strikethrough_no_link] = STATE(115),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(115),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(115),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [143] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(114),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(114),
    [aux_sym__inline_no_star_no_link] = STATE(114),
    [sym__strikethrough_no_link] = STATE(114),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(114),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(114),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [144] = {
    [sym_backslash_escape] = STATE(162),
    [sym_code_span] = STATE(162),
    [sym_latex_block] = STATE(162),
    [sym_image] = STATE(162),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(162),
    [sym__whitespace] = STATE(162),
    [sym__word] = STATE(162),
    [sym__soft_line_break] = STATE(162),
    [sym__inline_base] = STATE(122),
    [sym__text_base] = STATE(162),
    [sym__inline_element_no_star_no_link] = STATE(122),
    [aux_sym__inline_no_star_no_link] = STATE(122),
    [sym__strikethrough_no_link] = STATE(122),
    [sym__emphasis_star_no_link] = STATE(615),
    [sym__strong_emphasis_star_no_link] = STATE(122),
    [sym__emphasis_underscore_no_link] = STATE(615),
    [sym__strong_emphasis_underscore_no_link] = STATE(122),
    [aux_sym__inline_base_repeat1] = STATE(162),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2107),
    [sym_numeric_character_reference] = ACTIONS(2107),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2107),
    [sym_email_autolink] = ACTIONS(2107),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2107),
    [sym__digits] = ACTIONS(2107),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2117),
    [sym__emphasis_open_underscore] = ACTIONS(2119),
    [sym__strikethrough_open] = ACTIONS(2123),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2107),
  },
  [145] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(123),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(123),
    [aux_sym__inline_no_underscore_no_link] = STATE(123),
    [sym__strikethrough_no_link] = STATE(123),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(123),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(123),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [146] = {
    [sym_backslash_escape] = STATE(159),
    [sym_code_span] = STATE(159),
    [sym_latex_block] = STATE(159),
    [sym_image] = STATE(159),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(159),
    [sym__whitespace] = STATE(159),
    [sym__word] = STATE(159),
    [sym__soft_line_break] = STATE(159),
    [sym__inline_base] = STATE(130),
    [sym__text_base] = STATE(159),
    [sym__inline_element_no_underscore_no_link] = STATE(130),
    [aux_sym__inline_no_underscore_no_link] = STATE(130),
    [sym__strikethrough_no_link] = STATE(130),
    [sym__emphasis_star_no_link] = STATE(620),
    [sym__strong_emphasis_star_no_link] = STATE(130),
    [sym__emphasis_underscore_no_link] = STATE(620),
    [sym__strong_emphasis_underscore_no_link] = STATE(130),
    [aux_sym__inline_base_repeat1] = STATE(159),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2012),
    [sym_numeric_character_reference] = ACTIONS(2012),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2012),
    [sym_email_autolink] = ACTIONS(2012),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2012),
    [sym__digits] = ACTIONS(2012),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2022),
    [sym__emphasis_open_underscore] = ACTIONS(2024),
    [sym__strikethrough_open] = ACTIONS(2028),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2012),
  },
  [147] = {
    [sym_backslash_escape] = STATE(163),
    [sym_code_span] = STATE(163),
    [sym_latex_block] = STATE(163),
    [sym_image] = STATE(163),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(163),
    [sym__whitespace] = STATE(163),
    [sym__word] = STATE(163),
    [sym__soft_line_break] = STATE(163),
    [sym__inline_base] = STATE(131),
    [sym__text_base] = STATE(163),
    [sym__inline_element_no_tilde_no_link] = STATE(131),
    [aux_sym__inline_no_tilde_no_link] = STATE(131),
    [sym__strikethrough_no_link] = STATE(131),
    [sym__emphasis_star_no_link] = STATE(602),
    [sym__strong_emphasis_star_no_link] = STATE(131),
    [sym__emphasis_underscore_no_link] = STATE(602),
    [sym__strong_emphasis_underscore_no_link] = STATE(131),
    [aux_sym__inline_base_repeat1] = STATE(163),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2030),
    [sym_numeric_character_reference] = ACTIONS(2030),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2030),
    [sym_email_autolink] = ACTIONS(2030),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2030),
    [sym__digits] = ACTIONS(2030),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2040),
    [sym__emphasis_open_underscore] = ACTIONS(2042),
    [sym__strikethrough_open] = ACTIONS(2044),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2030),
  },
  [148] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__text_base] = STATE(149),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2376),
    [sym_numeric_character_reference] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(652),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2376),
    [sym_email_autolink] = ACTIONS(2376),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(660),
    [anon_sym_LT_QMARK] = ACTIONS(662),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(666),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2376),
    [sym__digits] = ACTIONS(2376),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__emphasis_close_star] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2376),
  },
  [149] = {
    [sym_backslash_escape] = STATE(149),
    [sym_code_span] = STATE(149),
    [sym_latex_block] = STATE(149),
    [sym_image] = STATE(149),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(384),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(149),
    [sym__whitespace] = STATE(149),
    [sym__word] = STATE(149),
    [sym__soft_line_break] = STATE(149),
    [sym__text_base] = STATE(149),
    [aux_sym__inline_base_repeat1] = STATE(149),
    [sym__backslash_escape] = ACTIONS(2380),
    [sym_entity_reference] = ACTIONS(2383),
    [sym_numeric_character_reference] = ACTIONS(2383),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2391),
    [anon_sym_BANG] = ACTIONS(2394),
    [anon_sym_DQUOTE] = ACTIONS(2391),
    [anon_sym_POUND] = ACTIONS(2391),
    [anon_sym_DOLLAR] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(2397),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [anon_sym_STAR] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2391),
    [anon_sym_COLON] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_EQ] = ACTIONS(2391),
    [anon_sym_QMARK] = ACTIONS(2391),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_BSLASH] = ACTIONS(2400),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym__] = ACTIONS(2391),
    [anon_sym_BQUOTE] = ACTIONS(2391),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(2391),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_RPAREN] = ACTIONS(2391),
    [sym__newline_token] = ACTIONS(2403),
    [sym_uri_autolink] = ACTIONS(2383),
    [sym_email_autolink] = ACTIONS(2383),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2406),
    [anon_sym_LT_QMARK] = ACTIONS(2409),
    [aux_sym__declaration_token1] = ACTIONS(2412),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2415),
    [sym__whitespace_ge_2] = ACTIONS(2418),
    [aux_sym__whitespace_token1] = ACTIONS(2421),
    [sym__word_no_digit] = ACTIONS(2383),
    [sym__digits] = ACTIONS(2383),
    [sym__code_span_start] = ACTIONS(2424),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__emphasis_close_star] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2427),
    [sym__unclosed_span] = ACTIONS(2383),
  },
  [150] = {
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__text_base] = STATE(151),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2430),
    [sym_numeric_character_reference] = ACTIONS(2430),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(696),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2430),
    [sym_email_autolink] = ACTIONS(2430),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(704),
    [anon_sym_LT_QMARK] = ACTIONS(706),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(710),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2430),
    [sym__digits] = ACTIONS(2430),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__emphasis_close_underscore] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2430),
  },
  [151] = {
    [sym_backslash_escape] = STATE(151),
    [sym_code_span] = STATE(151),
    [sym_latex_block] = STATE(151),
    [sym_image] = STATE(151),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(455),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(151),
    [sym__whitespace] = STATE(151),
    [sym__word] = STATE(151),
    [sym__soft_line_break] = STATE(151),
    [sym__text_base] = STATE(151),
    [aux_sym__inline_base_repeat1] = STATE(151),
    [sym__backslash_escape] = ACTIONS(2432),
    [sym_entity_reference] = ACTIONS(2435),
    [sym_numeric_character_reference] = ACTIONS(2435),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2444),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_POUND] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2447),
    [anon_sym_SQUOTE] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_COMMA] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_COLON] = ACTIONS(2441),
    [anon_sym_SEMI] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_QMARK] = ACTIONS(2441),
    [anon_sym_AT] = ACTIONS(2441),
    [anon_sym_BSLASH] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym__] = ACTIONS(2441),
    [anon_sym_BQUOTE] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(2441),
    [anon_sym_PIPE] = ACTIONS(2441),
    [anon_sym_RBRACE] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_RPAREN] = ACTIONS(2441),
    [sym__newline_token] = ACTIONS(2453),
    [sym_uri_autolink] = ACTIONS(2435),
    [sym_email_autolink] = ACTIONS(2435),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2456),
    [anon_sym_LT_QMARK] = ACTIONS(2459),
    [aux_sym__declaration_token1] = ACTIONS(2462),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2465),
    [sym__whitespace_ge_2] = ACTIONS(2468),
    [aux_sym__whitespace_token1] = ACTIONS(2471),
    [sym__word_no_digit] = ACTIONS(2435),
    [sym__digits] = ACTIONS(2435),
    [sym__code_span_start] = ACTIONS(2474),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__emphasis_close_underscore] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2477),
    [sym__unclosed_span] = ACTIONS(2435),
  },
  [152] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1117),
    [sym__image_description_non_empty] = STATE(478),
    [sym__html_tag] = STATE(505),
    [sym__open_tag] = STATE(522),
    [sym__closing_tag] = STATE(522),
    [sym__html_comment] = STATE(522),
    [sym__processing_instruction] = STATE(522),
    [sym__declaration] = STATE(522),
    [sym__cdata_section] = STATE(522),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__text_base] = STATE(152),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [ts_builtin_sym_end] = ACTIONS(2386),
    [sym__backslash_escape] = ACTIONS(2480),
    [sym_entity_reference] = ACTIONS(2483),
    [sym_numeric_character_reference] = ACTIONS(2483),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2486),
    [anon_sym_GT] = ACTIONS(2489),
    [anon_sym_BANG] = ACTIONS(2492),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_POUND] = ACTIONS(2489),
    [anon_sym_DOLLAR] = ACTIONS(2489),
    [anon_sym_PERCENT] = ACTIONS(2489),
    [anon_sym_AMP] = ACTIONS(2495),
    [anon_sym_SQUOTE] = ACTIONS(2489),
    [anon_sym_STAR] = ACTIONS(2489),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_COMMA] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_DOT] = ACTIONS(2489),
    [anon_sym_SLASH] = ACTIONS(2489),
    [anon_sym_COLON] = ACTIONS(2489),
    [anon_sym_SEMI] = ACTIONS(2489),
    [anon_sym_EQ] = ACTIONS(2489),
    [anon_sym_QMARK] = ACTIONS(2489),
    [anon_sym_AT] = ACTIONS(2489),
    [anon_sym_BSLASH] = ACTIONS(2498),
    [anon_sym_CARET] = ACTIONS(2489),
    [anon_sym__] = ACTIONS(2489),
    [anon_sym_BQUOTE] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(2489),
    [anon_sym_PIPE] = ACTIONS(2489),
    [anon_sym_RBRACE] = ACTIONS(2489),
    [anon_sym_TILDE] = ACTIONS(2489),
    [anon_sym_LPAREN] = ACTIONS(2489),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [sym__newline_token] = ACTIONS(2501),
    [sym_uri_autolink] = ACTIONS(2483),
    [sym_email_autolink] = ACTIONS(2483),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2504),
    [anon_sym_LT_QMARK] = ACTIONS(2507),
    [aux_sym__declaration_token1] = ACTIONS(2510),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2513),
    [sym__whitespace_ge_2] = ACTIONS(2516),
    [aux_sym__whitespace_token1] = ACTIONS(2519),
    [sym__word_no_digit] = ACTIONS(2483),
    [sym__digits] = ACTIONS(2483),
    [sym__code_span_start] = ACTIONS(2522),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2525),
    [sym__unclosed_span] = ACTIONS(2483),
  },
  [153] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__text_base] = STATE(153),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(2528),
    [sym_entity_reference] = ACTIONS(2531),
    [sym_numeric_character_reference] = ACTIONS(2531),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2540),
    [anon_sym_DQUOTE] = ACTIONS(2537),
    [anon_sym_POUND] = ACTIONS(2537),
    [anon_sym_DOLLAR] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_AMP] = ACTIONS(2543),
    [anon_sym_SQUOTE] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_COMMA] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_COLON] = ACTIONS(2537),
    [anon_sym_SEMI] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_QMARK] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2537),
    [anon_sym_BSLASH] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2537),
    [anon_sym__] = ACTIONS(2537),
    [anon_sym_BQUOTE] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2537),
    [anon_sym_PIPE] = ACTIONS(2537),
    [anon_sym_RBRACE] = ACTIONS(2537),
    [anon_sym_TILDE] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2537),
    [anon_sym_RPAREN] = ACTIONS(2537),
    [sym__newline_token] = ACTIONS(2549),
    [sym_uri_autolink] = ACTIONS(2531),
    [sym_email_autolink] = ACTIONS(2531),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2552),
    [anon_sym_LT_QMARK] = ACTIONS(2555),
    [aux_sym__declaration_token1] = ACTIONS(2558),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2561),
    [sym__whitespace_ge_2] = ACTIONS(2564),
    [aux_sym__whitespace_token1] = ACTIONS(2567),
    [sym__word_no_digit] = ACTIONS(2531),
    [sym__digits] = ACTIONS(2531),
    [sym__code_span_start] = ACTIONS(2570),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__strikethrough_close] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2573),
    [sym__unclosed_span] = ACTIONS(2531),
  },
  [154] = {
    [sym_backslash_escape] = STATE(153),
    [sym_code_span] = STATE(153),
    [sym_latex_block] = STATE(153),
    [sym_image] = STATE(153),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(290),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(153),
    [sym__whitespace] = STATE(153),
    [sym__word] = STATE(153),
    [sym__soft_line_break] = STATE(153),
    [sym__text_base] = STATE(153),
    [aux_sym__inline_base_repeat1] = STATE(153),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2576),
    [sym_numeric_character_reference] = ACTIONS(2576),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2576),
    [sym_email_autolink] = ACTIONS(2576),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(754),
    [anon_sym_LT_QMARK] = ACTIONS(756),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(760),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2576),
    [sym__digits] = ACTIONS(2576),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__strikethrough_close] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2576),
  },
  [155] = {
    [sym_backslash_escape] = STATE(152),
    [sym_code_span] = STATE(152),
    [sym_latex_block] = STATE(152),
    [sym_image] = STATE(152),
    [sym__image_inline_link] = STATE(471),
    [sym__image_shortcut_link] = STATE(471),
    [sym__image_full_reference_link] = STATE(471),
    [sym__image_collapsed_reference_link] = STATE(471),
    [sym__image_description] = STATE(1117),
    [sym__image_description_non_empty] = STATE(478),
    [sym__html_tag] = STATE(505),
    [sym__open_tag] = STATE(522),
    [sym__closing_tag] = STATE(522),
    [sym__html_comment] = STATE(522),
    [sym__processing_instruction] = STATE(522),
    [sym__declaration] = STATE(522),
    [sym__cdata_section] = STATE(522),
    [sym_hard_line_break] = STATE(152),
    [sym__whitespace] = STATE(152),
    [sym__word] = STATE(152),
    [sym__soft_line_break] = STATE(152),
    [sym__text_base] = STATE(152),
    [aux_sym__inline_base_repeat1] = STATE(152),
    [ts_builtin_sym_end] = ACTIONS(2378),
    [sym__backslash_escape] = ACTIONS(3),
    [sym_entity_reference] = ACTIONS(2578),
    [sym_numeric_character_reference] = ACTIONS(2578),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_LT] = ACTIONS(11),
    [anon_sym_GT] = ACTIONS(13),
    [anon_sym_BANG] = ACTIONS(15),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_POUND] = ACTIONS(13),
    [anon_sym_DOLLAR] = ACTIONS(13),
    [anon_sym_PERCENT] = ACTIONS(13),
    [anon_sym_AMP] = ACTIONS(17),
    [anon_sym_SQUOTE] = ACTIONS(13),
    [anon_sym_STAR] = ACTIONS(13),
    [anon_sym_PLUS] = ACTIONS(13),
    [anon_sym_COMMA] = ACTIONS(13),
    [anon_sym_DASH] = ACTIONS(13),
    [anon_sym_DOT] = ACTIONS(13),
    [anon_sym_SLASH] = ACTIONS(13),
    [anon_sym_COLON] = ACTIONS(13),
    [anon_sym_SEMI] = ACTIONS(13),
    [anon_sym_EQ] = ACTIONS(13),
    [anon_sym_QMARK] = ACTIONS(13),
    [anon_sym_AT] = ACTIONS(13),
    [anon_sym_BSLASH] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(13),
    [anon_sym__] = ACTIONS(13),
    [anon_sym_BQUOTE] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(13),
    [anon_sym_PIPE] = ACTIONS(13),
    [anon_sym_RBRACE] = ACTIONS(13),
    [anon_sym_TILDE] = ACTIONS(13),
    [anon_sym_LPAREN] = ACTIONS(13),
    [anon_sym_RPAREN] = ACTIONS(13),
    [sym__newline_token] = ACTIONS(21),
    [sym_uri_autolink] = ACTIONS(2578),
    [sym_email_autolink] = ACTIONS(2578),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(23),
    [anon_sym_LT_QMARK] = ACTIONS(25),
    [aux_sym__declaration_token1] = ACTIONS(27),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(29),
    [sym__whitespace_ge_2] = ACTIONS(31),
    [aux_sym__whitespace_token1] = ACTIONS(33),
    [sym__word_no_digit] = ACTIONS(2578),
    [sym__digits] = ACTIONS(2578),
    [sym__code_span_start] = ACTIONS(35),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(45),
    [sym__unclosed_span] = ACTIONS(2578),
  },
  [156] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__text_base] = STATE(157),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2580),
    [sym_numeric_character_reference] = ACTIONS(2580),
    [anon_sym_LBRACK] = ACTIONS(2378),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2580),
    [sym_email_autolink] = ACTIONS(2580),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(1122),
    [anon_sym_LT_QMARK] = ACTIONS(1124),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(1128),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2580),
    [sym__digits] = ACTIONS(2580),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2580),
  },
  [157] = {
    [sym_backslash_escape] = STATE(157),
    [sym_code_span] = STATE(157),
    [sym_latex_block] = STATE(157),
    [sym_image] = STATE(157),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(564),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(157),
    [sym__whitespace] = STATE(157),
    [sym__word] = STATE(157),
    [sym__soft_line_break] = STATE(157),
    [sym__text_base] = STATE(157),
    [aux_sym__inline_base_repeat1] = STATE(157),
    [sym__backslash_escape] = ACTIONS(2582),
    [sym_entity_reference] = ACTIONS(2585),
    [sym_numeric_character_reference] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2386),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2594),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [anon_sym_POUND] = ACTIONS(2591),
    [anon_sym_DOLLAR] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_COMMA] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2591),
    [anon_sym_SLASH] = ACTIONS(2591),
    [anon_sym_COLON] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym_EQ] = ACTIONS(2591),
    [anon_sym_QMARK] = ACTIONS(2591),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_BSLASH] = ACTIONS(2600),
    [anon_sym_CARET] = ACTIONS(2591),
    [anon_sym__] = ACTIONS(2591),
    [anon_sym_BQUOTE] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_PIPE] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_LPAREN] = ACTIONS(2591),
    [anon_sym_RPAREN] = ACTIONS(2591),
    [sym__newline_token] = ACTIONS(2603),
    [sym_uri_autolink] = ACTIONS(2585),
    [sym_email_autolink] = ACTIONS(2585),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2606),
    [anon_sym_LT_QMARK] = ACTIONS(2609),
    [aux_sym__declaration_token1] = ACTIONS(2612),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2615),
    [sym__whitespace_ge_2] = ACTIONS(2618),
    [aux_sym__whitespace_token1] = ACTIONS(2621),
    [sym__word_no_digit] = ACTIONS(2585),
    [sym__digits] = ACTIONS(2585),
    [sym__code_span_start] = ACTIONS(2624),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2627),
    [sym__unclosed_span] = ACTIONS(2585),
  },
  [158] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__text_base] = STATE(158),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(2432),
    [sym_entity_reference] = ACTIONS(2630),
    [sym_numeric_character_reference] = ACTIONS(2630),
    [anon_sym_LT] = ACTIONS(2438),
    [anon_sym_GT] = ACTIONS(2441),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_POUND] = ACTIONS(2441),
    [anon_sym_DOLLAR] = ACTIONS(2441),
    [anon_sym_PERCENT] = ACTIONS(2441),
    [anon_sym_AMP] = ACTIONS(2447),
    [anon_sym_SQUOTE] = ACTIONS(2441),
    [anon_sym_STAR] = ACTIONS(2441),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_COMMA] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_DOT] = ACTIONS(2441),
    [anon_sym_SLASH] = ACTIONS(2441),
    [anon_sym_COLON] = ACTIONS(2441),
    [anon_sym_SEMI] = ACTIONS(2441),
    [anon_sym_EQ] = ACTIONS(2441),
    [anon_sym_QMARK] = ACTIONS(2441),
    [anon_sym_AT] = ACTIONS(2441),
    [anon_sym_BSLASH] = ACTIONS(2450),
    [anon_sym_CARET] = ACTIONS(2441),
    [anon_sym__] = ACTIONS(2441),
    [anon_sym_BQUOTE] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(2441),
    [anon_sym_PIPE] = ACTIONS(2441),
    [anon_sym_RBRACE] = ACTIONS(2441),
    [anon_sym_TILDE] = ACTIONS(2441),
    [anon_sym_LPAREN] = ACTIONS(2441),
    [anon_sym_RPAREN] = ACTIONS(2441),
    [sym__newline_token] = ACTIONS(2453),
    [sym_uri_autolink] = ACTIONS(2630),
    [sym_email_autolink] = ACTIONS(2630),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2636),
    [anon_sym_LT_QMARK] = ACTIONS(2639),
    [aux_sym__declaration_token1] = ACTIONS(2462),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2642),
    [sym__whitespace_ge_2] = ACTIONS(2468),
    [aux_sym__whitespace_token1] = ACTIONS(2471),
    [sym__word_no_digit] = ACTIONS(2630),
    [sym__digits] = ACTIONS(2630),
    [sym__code_span_start] = ACTIONS(2474),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__emphasis_close_underscore] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2477),
    [sym__unclosed_span] = ACTIONS(2630),
  },
  [159] = {
    [sym_backslash_escape] = STATE(158),
    [sym_code_span] = STATE(158),
    [sym_latex_block] = STATE(158),
    [sym_image] = STATE(158),
    [sym__image_inline_link] = STATE(450),
    [sym__image_shortcut_link] = STATE(450),
    [sym__image_full_reference_link] = STATE(450),
    [sym__image_collapsed_reference_link] = STATE(450),
    [sym__image_description] = STATE(1123),
    [sym__image_description_non_empty] = STATE(576),
    [sym__html_tag] = STATE(456),
    [sym__open_tag] = STATE(292),
    [sym__closing_tag] = STATE(292),
    [sym__html_comment] = STATE(292),
    [sym__processing_instruction] = STATE(292),
    [sym__declaration] = STATE(292),
    [sym__cdata_section] = STATE(292),
    [sym_hard_line_break] = STATE(158),
    [sym__whitespace] = STATE(158),
    [sym__word] = STATE(158),
    [sym__soft_line_break] = STATE(158),
    [sym__text_base] = STATE(158),
    [aux_sym__inline_base_repeat1] = STATE(158),
    [sym__backslash_escape] = ACTIONS(684),
    [sym_entity_reference] = ACTIONS(2645),
    [sym_numeric_character_reference] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(692),
    [anon_sym_GT] = ACTIONS(694),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_DQUOTE] = ACTIONS(694),
    [anon_sym_POUND] = ACTIONS(694),
    [anon_sym_DOLLAR] = ACTIONS(694),
    [anon_sym_PERCENT] = ACTIONS(694),
    [anon_sym_AMP] = ACTIONS(698),
    [anon_sym_SQUOTE] = ACTIONS(694),
    [anon_sym_STAR] = ACTIONS(694),
    [anon_sym_PLUS] = ACTIONS(694),
    [anon_sym_COMMA] = ACTIONS(694),
    [anon_sym_DASH] = ACTIONS(694),
    [anon_sym_DOT] = ACTIONS(694),
    [anon_sym_SLASH] = ACTIONS(694),
    [anon_sym_COLON] = ACTIONS(694),
    [anon_sym_SEMI] = ACTIONS(694),
    [anon_sym_EQ] = ACTIONS(694),
    [anon_sym_QMARK] = ACTIONS(694),
    [anon_sym_AT] = ACTIONS(694),
    [anon_sym_BSLASH] = ACTIONS(700),
    [anon_sym_CARET] = ACTIONS(694),
    [anon_sym__] = ACTIONS(694),
    [anon_sym_BQUOTE] = ACTIONS(694),
    [anon_sym_LBRACE] = ACTIONS(694),
    [anon_sym_PIPE] = ACTIONS(694),
    [anon_sym_RBRACE] = ACTIONS(694),
    [anon_sym_TILDE] = ACTIONS(694),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_RPAREN] = ACTIONS(694),
    [sym__newline_token] = ACTIONS(702),
    [sym_uri_autolink] = ACTIONS(2645),
    [sym_email_autolink] = ACTIONS(2645),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2016),
    [anon_sym_LT_QMARK] = ACTIONS(2018),
    [aux_sym__declaration_token1] = ACTIONS(708),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2020),
    [sym__whitespace_ge_2] = ACTIONS(712),
    [aux_sym__whitespace_token1] = ACTIONS(714),
    [sym__word_no_digit] = ACTIONS(2645),
    [sym__digits] = ACTIONS(2645),
    [sym__code_span_start] = ACTIONS(716),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__emphasis_close_underscore] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(726),
    [sym__unclosed_span] = ACTIONS(2645),
  },
  [160] = {
    [sym_backslash_escape] = STATE(160),
    [sym_code_span] = STATE(160),
    [sym_latex_block] = STATE(160),
    [sym_image] = STATE(160),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(160),
    [sym__whitespace] = STATE(160),
    [sym__word] = STATE(160),
    [sym__soft_line_break] = STATE(160),
    [sym__text_base] = STATE(160),
    [aux_sym__inline_base_repeat1] = STATE(160),
    [sym__backslash_escape] = ACTIONS(2528),
    [sym_entity_reference] = ACTIONS(2647),
    [sym_numeric_character_reference] = ACTIONS(2647),
    [anon_sym_LT] = ACTIONS(2534),
    [anon_sym_GT] = ACTIONS(2537),
    [anon_sym_BANG] = ACTIONS(2650),
    [anon_sym_DQUOTE] = ACTIONS(2537),
    [anon_sym_POUND] = ACTIONS(2537),
    [anon_sym_DOLLAR] = ACTIONS(2537),
    [anon_sym_PERCENT] = ACTIONS(2537),
    [anon_sym_AMP] = ACTIONS(2543),
    [anon_sym_SQUOTE] = ACTIONS(2537),
    [anon_sym_STAR] = ACTIONS(2537),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_COMMA] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_DOT] = ACTIONS(2537),
    [anon_sym_SLASH] = ACTIONS(2537),
    [anon_sym_COLON] = ACTIONS(2537),
    [anon_sym_SEMI] = ACTIONS(2537),
    [anon_sym_EQ] = ACTIONS(2537),
    [anon_sym_QMARK] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2537),
    [anon_sym_BSLASH] = ACTIONS(2546),
    [anon_sym_CARET] = ACTIONS(2537),
    [anon_sym__] = ACTIONS(2537),
    [anon_sym_BQUOTE] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2537),
    [anon_sym_PIPE] = ACTIONS(2537),
    [anon_sym_RBRACE] = ACTIONS(2537),
    [anon_sym_TILDE] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2537),
    [anon_sym_RPAREN] = ACTIONS(2537),
    [sym__newline_token] = ACTIONS(2549),
    [sym_uri_autolink] = ACTIONS(2647),
    [sym_email_autolink] = ACTIONS(2647),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2653),
    [anon_sym_LT_QMARK] = ACTIONS(2656),
    [aux_sym__declaration_token1] = ACTIONS(2558),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2659),
    [sym__whitespace_ge_2] = ACTIONS(2564),
    [aux_sym__whitespace_token1] = ACTIONS(2567),
    [sym__word_no_digit] = ACTIONS(2647),
    [sym__digits] = ACTIONS(2647),
    [sym__code_span_start] = ACTIONS(2570),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__strikethrough_close] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2573),
    [sym__unclosed_span] = ACTIONS(2647),
  },
  [161] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__text_base] = STATE(161),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(2380),
    [sym_entity_reference] = ACTIONS(2662),
    [sym_numeric_character_reference] = ACTIONS(2662),
    [anon_sym_LT] = ACTIONS(2388),
    [anon_sym_GT] = ACTIONS(2391),
    [anon_sym_BANG] = ACTIONS(2665),
    [anon_sym_DQUOTE] = ACTIONS(2391),
    [anon_sym_POUND] = ACTIONS(2391),
    [anon_sym_DOLLAR] = ACTIONS(2391),
    [anon_sym_PERCENT] = ACTIONS(2391),
    [anon_sym_AMP] = ACTIONS(2397),
    [anon_sym_SQUOTE] = ACTIONS(2391),
    [anon_sym_STAR] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2391),
    [anon_sym_COMMA] = ACTIONS(2391),
    [anon_sym_DASH] = ACTIONS(2391),
    [anon_sym_DOT] = ACTIONS(2391),
    [anon_sym_SLASH] = ACTIONS(2391),
    [anon_sym_COLON] = ACTIONS(2391),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_EQ] = ACTIONS(2391),
    [anon_sym_QMARK] = ACTIONS(2391),
    [anon_sym_AT] = ACTIONS(2391),
    [anon_sym_BSLASH] = ACTIONS(2400),
    [anon_sym_CARET] = ACTIONS(2391),
    [anon_sym__] = ACTIONS(2391),
    [anon_sym_BQUOTE] = ACTIONS(2391),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_PIPE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(2391),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_RPAREN] = ACTIONS(2391),
    [sym__newline_token] = ACTIONS(2403),
    [sym_uri_autolink] = ACTIONS(2662),
    [sym_email_autolink] = ACTIONS(2662),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2668),
    [anon_sym_LT_QMARK] = ACTIONS(2671),
    [aux_sym__declaration_token1] = ACTIONS(2412),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2674),
    [sym__whitespace_ge_2] = ACTIONS(2418),
    [aux_sym__whitespace_token1] = ACTIONS(2421),
    [sym__word_no_digit] = ACTIONS(2662),
    [sym__digits] = ACTIONS(2662),
    [sym__code_span_start] = ACTIONS(2424),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__emphasis_close_star] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2427),
    [sym__unclosed_span] = ACTIONS(2662),
  },
  [162] = {
    [sym_backslash_escape] = STATE(161),
    [sym_code_span] = STATE(161),
    [sym_latex_block] = STATE(161),
    [sym_image] = STATE(161),
    [sym__image_inline_link] = STATE(367),
    [sym__image_shortcut_link] = STATE(367),
    [sym__image_full_reference_link] = STATE(367),
    [sym__image_collapsed_reference_link] = STATE(367),
    [sym__image_description] = STATE(1116),
    [sym__image_description_non_empty] = STATE(575),
    [sym__html_tag] = STATE(385),
    [sym__open_tag] = STATE(457),
    [sym__closing_tag] = STATE(457),
    [sym__html_comment] = STATE(457),
    [sym__processing_instruction] = STATE(457),
    [sym__declaration] = STATE(457),
    [sym__cdata_section] = STATE(457),
    [sym_hard_line_break] = STATE(161),
    [sym__whitespace] = STATE(161),
    [sym__word] = STATE(161),
    [sym__soft_line_break] = STATE(161),
    [sym__text_base] = STATE(161),
    [aux_sym__inline_base_repeat1] = STATE(161),
    [sym__backslash_escape] = ACTIONS(640),
    [sym_entity_reference] = ACTIONS(2677),
    [sym_numeric_character_reference] = ACTIONS(2677),
    [anon_sym_LT] = ACTIONS(648),
    [anon_sym_GT] = ACTIONS(650),
    [anon_sym_BANG] = ACTIONS(2109),
    [anon_sym_DQUOTE] = ACTIONS(650),
    [anon_sym_POUND] = ACTIONS(650),
    [anon_sym_DOLLAR] = ACTIONS(650),
    [anon_sym_PERCENT] = ACTIONS(650),
    [anon_sym_AMP] = ACTIONS(654),
    [anon_sym_SQUOTE] = ACTIONS(650),
    [anon_sym_STAR] = ACTIONS(650),
    [anon_sym_PLUS] = ACTIONS(650),
    [anon_sym_COMMA] = ACTIONS(650),
    [anon_sym_DASH] = ACTIONS(650),
    [anon_sym_DOT] = ACTIONS(650),
    [anon_sym_SLASH] = ACTIONS(650),
    [anon_sym_COLON] = ACTIONS(650),
    [anon_sym_SEMI] = ACTIONS(650),
    [anon_sym_EQ] = ACTIONS(650),
    [anon_sym_QMARK] = ACTIONS(650),
    [anon_sym_AT] = ACTIONS(650),
    [anon_sym_BSLASH] = ACTIONS(656),
    [anon_sym_CARET] = ACTIONS(650),
    [anon_sym__] = ACTIONS(650),
    [anon_sym_BQUOTE] = ACTIONS(650),
    [anon_sym_LBRACE] = ACTIONS(650),
    [anon_sym_PIPE] = ACTIONS(650),
    [anon_sym_RBRACE] = ACTIONS(650),
    [anon_sym_TILDE] = ACTIONS(650),
    [anon_sym_LPAREN] = ACTIONS(650),
    [anon_sym_RPAREN] = ACTIONS(650),
    [sym__newline_token] = ACTIONS(658),
    [sym_uri_autolink] = ACTIONS(2677),
    [sym_email_autolink] = ACTIONS(2677),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2111),
    [anon_sym_LT_QMARK] = ACTIONS(2113),
    [aux_sym__declaration_token1] = ACTIONS(664),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2115),
    [sym__whitespace_ge_2] = ACTIONS(668),
    [aux_sym__whitespace_token1] = ACTIONS(670),
    [sym__word_no_digit] = ACTIONS(2677),
    [sym__digits] = ACTIONS(2677),
    [sym__code_span_start] = ACTIONS(672),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__emphasis_close_star] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(682),
    [sym__unclosed_span] = ACTIONS(2677),
  },
  [163] = {
    [sym_backslash_escape] = STATE(160),
    [sym_code_span] = STATE(160),
    [sym_latex_block] = STATE(160),
    [sym_image] = STATE(160),
    [sym__image_inline_link] = STATE(289),
    [sym__image_shortcut_link] = STATE(289),
    [sym__image_full_reference_link] = STATE(289),
    [sym__image_collapsed_reference_link] = STATE(289),
    [sym__image_description] = STATE(1124),
    [sym__image_description_non_empty] = STATE(598),
    [sym__html_tag] = STATE(291),
    [sym__open_tag] = STATE(359),
    [sym__closing_tag] = STATE(359),
    [sym__html_comment] = STATE(359),
    [sym__processing_instruction] = STATE(359),
    [sym__declaration] = STATE(359),
    [sym__cdata_section] = STATE(359),
    [sym_hard_line_break] = STATE(160),
    [sym__whitespace] = STATE(160),
    [sym__word] = STATE(160),
    [sym__soft_line_break] = STATE(160),
    [sym__text_base] = STATE(160),
    [aux_sym__inline_base_repeat1] = STATE(160),
    [sym__backslash_escape] = ACTIONS(734),
    [sym_entity_reference] = ACTIONS(2679),
    [sym_numeric_character_reference] = ACTIONS(2679),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(744),
    [anon_sym_BANG] = ACTIONS(2032),
    [anon_sym_DQUOTE] = ACTIONS(744),
    [anon_sym_POUND] = ACTIONS(744),
    [anon_sym_DOLLAR] = ACTIONS(744),
    [anon_sym_PERCENT] = ACTIONS(744),
    [anon_sym_AMP] = ACTIONS(748),
    [anon_sym_SQUOTE] = ACTIONS(744),
    [anon_sym_STAR] = ACTIONS(744),
    [anon_sym_PLUS] = ACTIONS(744),
    [anon_sym_COMMA] = ACTIONS(744),
    [anon_sym_DASH] = ACTIONS(744),
    [anon_sym_DOT] = ACTIONS(744),
    [anon_sym_SLASH] = ACTIONS(744),
    [anon_sym_COLON] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(744),
    [anon_sym_EQ] = ACTIONS(744),
    [anon_sym_QMARK] = ACTIONS(744),
    [anon_sym_AT] = ACTIONS(744),
    [anon_sym_BSLASH] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(744),
    [anon_sym__] = ACTIONS(744),
    [anon_sym_BQUOTE] = ACTIONS(744),
    [anon_sym_LBRACE] = ACTIONS(744),
    [anon_sym_PIPE] = ACTIONS(744),
    [anon_sym_RBRACE] = ACTIONS(744),
    [anon_sym_TILDE] = ACTIONS(744),
    [anon_sym_LPAREN] = ACTIONS(744),
    [anon_sym_RPAREN] = ACTIONS(744),
    [sym__newline_token] = ACTIONS(752),
    [sym_uri_autolink] = ACTIONS(2679),
    [sym_email_autolink] = ACTIONS(2679),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2034),
    [anon_sym_LT_QMARK] = ACTIONS(2036),
    [aux_sym__declaration_token1] = ACTIONS(758),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2038),
    [sym__whitespace_ge_2] = ACTIONS(762),
    [aux_sym__whitespace_token1] = ACTIONS(764),
    [sym__word_no_digit] = ACTIONS(2679),
    [sym__digits] = ACTIONS(2679),
    [sym__code_span_start] = ACTIONS(766),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__strikethrough_close] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(776),
    [sym__unclosed_span] = ACTIONS(2679),
  },
  [164] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__text_base] = STATE(164),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(2582),
    [sym_entity_reference] = ACTIONS(2681),
    [sym_numeric_character_reference] = ACTIONS(2681),
    [anon_sym_RBRACK] = ACTIONS(2386),
    [anon_sym_LT] = ACTIONS(2588),
    [anon_sym_GT] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2684),
    [anon_sym_DQUOTE] = ACTIONS(2591),
    [anon_sym_POUND] = ACTIONS(2591),
    [anon_sym_DOLLAR] = ACTIONS(2591),
    [anon_sym_PERCENT] = ACTIONS(2591),
    [anon_sym_AMP] = ACTIONS(2597),
    [anon_sym_SQUOTE] = ACTIONS(2591),
    [anon_sym_STAR] = ACTIONS(2591),
    [anon_sym_PLUS] = ACTIONS(2591),
    [anon_sym_COMMA] = ACTIONS(2591),
    [anon_sym_DASH] = ACTIONS(2591),
    [anon_sym_DOT] = ACTIONS(2591),
    [anon_sym_SLASH] = ACTIONS(2591),
    [anon_sym_COLON] = ACTIONS(2591),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym_EQ] = ACTIONS(2591),
    [anon_sym_QMARK] = ACTIONS(2591),
    [anon_sym_AT] = ACTIONS(2591),
    [anon_sym_BSLASH] = ACTIONS(2600),
    [anon_sym_CARET] = ACTIONS(2591),
    [anon_sym__] = ACTIONS(2591),
    [anon_sym_BQUOTE] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_PIPE] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_LPAREN] = ACTIONS(2591),
    [anon_sym_RPAREN] = ACTIONS(2591),
    [sym__newline_token] = ACTIONS(2603),
    [sym_uri_autolink] = ACTIONS(2681),
    [sym_email_autolink] = ACTIONS(2681),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2687),
    [anon_sym_LT_QMARK] = ACTIONS(2690),
    [aux_sym__declaration_token1] = ACTIONS(2612),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2693),
    [sym__whitespace_ge_2] = ACTIONS(2618),
    [aux_sym__whitespace_token1] = ACTIONS(2621),
    [sym__word_no_digit] = ACTIONS(2681),
    [sym__digits] = ACTIONS(2681),
    [sym__code_span_start] = ACTIONS(2624),
    [sym__emphasis_open_star] = ACTIONS(2386),
    [sym__emphasis_open_underscore] = ACTIONS(2386),
    [sym__strikethrough_open] = ACTIONS(2386),
    [sym__latex_span_start] = ACTIONS(2627),
    [sym__unclosed_span] = ACTIONS(2681),
  },
  [165] = {
    [sym_backslash_escape] = STATE(164),
    [sym_code_span] = STATE(164),
    [sym_latex_block] = STATE(164),
    [sym_image] = STATE(164),
    [sym__image_inline_link] = STATE(542),
    [sym__image_shortcut_link] = STATE(542),
    [sym__image_full_reference_link] = STATE(542),
    [sym__image_collapsed_reference_link] = STATE(542),
    [sym__image_description] = STATE(1118),
    [sym__image_description_non_empty] = STATE(536),
    [sym__html_tag] = STATE(543),
    [sym__open_tag] = STATE(577),
    [sym__closing_tag] = STATE(577),
    [sym__html_comment] = STATE(577),
    [sym__processing_instruction] = STATE(577),
    [sym__declaration] = STATE(577),
    [sym__cdata_section] = STATE(577),
    [sym_hard_line_break] = STATE(164),
    [sym__whitespace] = STATE(164),
    [sym__word] = STATE(164),
    [sym__soft_line_break] = STATE(164),
    [sym__text_base] = STATE(164),
    [aux_sym__inline_base_repeat1] = STATE(164),
    [sym__backslash_escape] = ACTIONS(1102),
    [sym_entity_reference] = ACTIONS(2696),
    [sym_numeric_character_reference] = ACTIONS(2696),
    [anon_sym_RBRACK] = ACTIONS(2378),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(2255),
    [anon_sym_DQUOTE] = ACTIONS(1112),
    [anon_sym_POUND] = ACTIONS(1112),
    [anon_sym_DOLLAR] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1116),
    [anon_sym_SQUOTE] = ACTIONS(1112),
    [anon_sym_STAR] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_DASH] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1112),
    [anon_sym_SLASH] = ACTIONS(1112),
    [anon_sym_COLON] = ACTIONS(1112),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_EQ] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_AT] = ACTIONS(1112),
    [anon_sym_BSLASH] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym__] = ACTIONS(1112),
    [anon_sym_BQUOTE] = ACTIONS(1112),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_PIPE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_RPAREN] = ACTIONS(1112),
    [sym__newline_token] = ACTIONS(1120),
    [sym_uri_autolink] = ACTIONS(2696),
    [sym_email_autolink] = ACTIONS(2696),
    [anon_sym_LT_BANG_DASH_DASH] = ACTIONS(2257),
    [anon_sym_LT_QMARK] = ACTIONS(2259),
    [aux_sym__declaration_token1] = ACTIONS(1126),
    [anon_sym_LT_BANG_LBRACKCDATA_LBRACK] = ACTIONS(2261),
    [sym__whitespace_ge_2] = ACTIONS(1130),
    [aux_sym__whitespace_token1] = ACTIONS(1132),
    [sym__word_no_digit] = ACTIONS(2696),
    [sym__digits] = ACTIONS(2696),
    [sym__code_span_start] = ACTIONS(1134),
    [sym__emphasis_open_star] = ACTIONS(2378),
    [sym__emphasis_open_underscore] = ACTIONS(2378),
    [sym__strikethrough_open] = ACTIONS(2378),
    [sym__latex_span_start] = ACTIONS(1142),
    [sym__unclosed_span] = ACTIONS(2696),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2713), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2700), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2721), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(748), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [81] = 12,
    ACTIONS(2724), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2737), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2745), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(749), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [164] = 12,
    ACTIONS(2724), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2748), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2750), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(796), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [247] = 11,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2753), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2700), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2755), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(795), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [328] = 12,
    ACTIONS(2724), 1,
      anon_sym_LBRACK,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2758), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2760), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(773), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [411] = 11,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2763), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2700), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2765), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(772), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 26,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [492] = 10,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2748), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2750), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(796), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [571] = 10,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2768), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2770), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(824), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [650] = 10,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2758), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2760), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(773), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [729] = 10,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2713), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2721), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(748), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [808] = 10,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2773), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2775), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(802), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [887] = 10,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2737), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2745), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(749), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [966] = 10,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2753), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2755), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(795), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1045] = 10,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2763), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2765), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(772), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1124] = 12,
    ACTIONS(2786), 1,
      anon_sym_DASH,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2792), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2778), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2800), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2780), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(771), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2783), 25,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1206] = 10,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2803), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2805), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(816), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1284] = 12,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2816), 1,
      anon_sym_DASH,
    ACTIONS(2819), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2808), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2821), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2810), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(747), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2813), 25,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1366] = 12,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2832), 1,
      anon_sym_DASH,
    ACTIONS(2835), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2824), 2,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
    ACTIONS(2837), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2826), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(794), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2829), 25,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1448] = 11,
    ACTIONS(2724), 1,
      anon_sym_LBRACK,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2840), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2842), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(817), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1528] = 11,
    ACTIONS(2700), 1,
      anon_sym_LBRACK,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2803), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2805), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2702), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_QMARK,
      anon_sym_BSLASH,
    STATE(816), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 27,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1608] = 11,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2851), 1,
      anon_sym_DASH,
    ACTIONS(2854), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2856), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2848), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(825), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2845), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1688] = 11,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2816), 1,
      anon_sym_DASH,
    ACTIONS(2819), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2821), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2810), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(747), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2813), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1768] = 11,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2832), 1,
      anon_sym_DASH,
    ACTIONS(2835), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2837), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2826), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(794), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2829), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1848] = 11,
    ACTIONS(2786), 1,
      anon_sym_DASH,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2792), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2800), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2780), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(771), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 14,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2783), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [1928] = 10,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2840), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2842), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2728), 4,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(817), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 12,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 28,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2006] = 11,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2865), 1,
      anon_sym_DASH,
    ACTIONS(2868), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2870), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2862), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(815), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2859), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2085] = 12,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2865), 1,
      anon_sym_DASH,
    ACTIONS(2868), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(2873), 1,
      anon_sym_LBRACK,
    ACTIONS(2870), 2,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(2711), 3,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2862), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(815), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 13,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2859), 26,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [2166] = 5,
    ACTIONS(752), 1,
      sym__newline_token,
    ACTIONS(2879), 1,
      sym__last_token_whitespace,
    STATE(297), 1,
      sym__soft_line_break,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [2232] = 5,
    ACTIONS(21), 1,
      sym__newline_token,
    ACTIONS(2881), 1,
      sym__last_token_punctuation,
    STATE(506), 1,
      sym__soft_line_break,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [2298] = 6,
    ACTIONS(2883), 1,
      anon_sym_SLASH,
    ACTIONS(2886), 1,
      sym__word_no_digit,
    ACTIONS(2889), 1,
      sym__last_token_punctuation,
    STATE(961), 1,
      sym__tag_name,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [2366] = 5,
    ACTIONS(21), 1,
      sym__newline_token,
    ACTIONS(2891), 1,
      sym__last_token_whitespace,
    STATE(506), 1,
      sym__soft_line_break,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [2432] = 5,
    ACTIONS(752), 1,
      sym__newline_token,
    ACTIONS(2893), 1,
      sym__last_token_punctuation,
    STATE(297), 1,
      sym__soft_line_break,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [2498] = 6,
    ACTIONS(2895), 1,
      sym__newline_token,
    ACTIONS(2898), 1,
      sym__whitespace_ge_2,
    ACTIONS(2901), 1,
      aux_sym__whitespace_token1,
    STATE(848), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2711), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [2566] = 6,
    ACTIONS(2886), 1,
      sym__word_no_digit,
    ACTIONS(2904), 1,
      anon_sym_SLASH,
    ACTIONS(2907), 1,
      sym__last_token_punctuation,
    STATE(955), 1,
      sym__tag_name,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [2634] = 6,
    ACTIONS(2895), 1,
      sym__newline_token,
    ACTIONS(2898), 1,
      sym__whitespace_ge_2,
    ACTIONS(2901), 1,
      aux_sym__whitespace_token1,
    STATE(827), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2711), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [2702] = 5,
    ACTIONS(702), 1,
      sym__newline_token,
    ACTIONS(2889), 1,
      sym__last_token_punctuation,
    STATE(463), 1,
      sym__soft_line_break,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [2768] = 5,
    ACTIONS(658), 1,
      sym__newline_token,
    ACTIONS(2909), 1,
      sym__last_token_whitespace,
    STATE(392), 1,
      sym__soft_line_break,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [2834] = 5,
    ACTIONS(658), 1,
      sym__newline_token,
    ACTIONS(2907), 1,
      sym__last_token_punctuation,
    STATE(392), 1,
      sym__soft_line_break,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [2900] = 6,
    ACTIONS(2886), 1,
      sym__word_no_digit,
    ACTIONS(2893), 1,
      sym__last_token_punctuation,
    ACTIONS(2911), 1,
      anon_sym_SLASH,
    STATE(948), 1,
      sym__tag_name,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [2968] = 5,
    ACTIONS(702), 1,
      sym__newline_token,
    ACTIONS(2914), 1,
      sym__last_token_whitespace,
    STATE(463), 1,
      sym__soft_line_break,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [3034] = 6,
    ACTIONS(2881), 1,
      sym__last_token_punctuation,
    ACTIONS(2886), 1,
      sym__word_no_digit,
    ACTIONS(2916), 1,
      anon_sym_SLASH,
    STATE(944), 1,
      sym__tag_name,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [3102] = 6,
    ACTIONS(2895), 1,
      sym__newline_token,
    ACTIONS(2898), 1,
      sym__whitespace_ge_2,
    ACTIONS(2901), 1,
      aux_sym__whitespace_token1,
    STATE(828), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2711), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [3170] = 6,
    ACTIONS(2895), 1,
      sym__newline_token,
    ACTIONS(2898), 1,
      sym__whitespace_ge_2,
    ACTIONS(2901), 1,
      aux_sym__whitespace_token1,
    STATE(837), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2711), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [3238] = 3,
    ACTIONS(2923), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [3299] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2945), 1,
      sym__code_span_close,
    ACTIONS(2925), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(212), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3380] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2967), 1,
      sym__latex_span_close,
    ACTIONS(2947), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(216), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3461] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(2971), 1,
      sym__code_span_close,
    ACTIONS(2969), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(260), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3542] = 4,
    ACTIONS(47), 1,
      anon_sym_RBRACK,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(2975), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2973), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [3605] = 3,
    ACTIONS(1463), 1,
      sym__last_token_punctuation,
    ACTIONS(2977), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(433), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [3666] = 13,
    ACTIONS(2982), 1,
      anon_sym_LT,
    ACTIONS(2988), 1,
      sym__newline_token,
    ACTIONS(2991), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2994), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2997), 1,
      aux_sym__declaration_token1,
    ACTIONS(3000), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3003), 1,
      sym__whitespace_ge_2,
    ACTIONS(3006), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3009), 1,
      sym__latex_span_close,
    ACTIONS(2979), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(215), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2985), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3747] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3013), 1,
      sym__latex_span_close,
    ACTIONS(3011), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(215), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3828] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(2975), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2973), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [3889] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3017), 1,
      sym__code_span_close,
    ACTIONS(3015), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(222), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [3970] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(2975), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2973), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4031] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3021), 1,
      sym__latex_span_close,
    ACTIONS(3019), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(231), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4112] = 3,
    ACTIONS(2889), 1,
      sym__last_token_punctuation,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4173] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3023), 1,
      sym__code_span_close,
    ACTIONS(2969), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(260), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4254] = 4,
    ACTIONS(2893), 1,
      sym__last_token_punctuation,
    ACTIONS(3025), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4317] = 4,
    ACTIONS(2881), 1,
      sym__last_token_punctuation,
    ACTIONS(3028), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4380] = 3,
    ACTIONS(3031), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4441] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3035), 1,
      sym__code_span_close,
    ACTIONS(3033), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(228), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4522] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3039), 1,
      sym__latex_span_close,
    ACTIONS(3037), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(230), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4603] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3041), 1,
      sym__code_span_close,
    ACTIONS(2969), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(260), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4684] = 3,
    ACTIONS(2891), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4745] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3043), 1,
      sym__latex_span_close,
    ACTIONS(3011), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(215), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4826] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3045), 1,
      sym__latex_span_close,
    ACTIONS(3011), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(215), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [4907] = 3,
    ACTIONS(3047), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [4968] = 3,
    ACTIONS(1401), 1,
      sym__last_token_punctuation,
    ACTIONS(3049), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(47), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5029] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(2975), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2973), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5090] = 3,
    ACTIONS(3051), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5151] = 4,
    ACTIONS(47), 1,
      anon_sym_RBRACK,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(2975), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2973), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5214] = 3,
    ACTIONS(2914), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5275] = 4,
    ACTIONS(2907), 1,
      sym__last_token_punctuation,
    ACTIONS(3053), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5338] = 4,
    ACTIONS(2889), 1,
      sym__last_token_punctuation,
    ACTIONS(3056), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5401] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3061), 1,
      sym__code_span_close,
    ACTIONS(3059), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(242), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5482] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3065), 1,
      sym__latex_span_close,
    ACTIONS(3063), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(245), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5563] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3067), 1,
      sym__code_span_close,
    ACTIONS(2969), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(260), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5644] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3069), 1,
      sym__latex_span_close,
    ACTIONS(3011), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(215), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5725] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(2975), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2973), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [5786] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3071), 1,
      sym__latex_span_close,
    ACTIONS(3011), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(215), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5867] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3075), 1,
      sym__code_span_close,
    ACTIONS(3073), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(259), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [5948] = 6,
    ACTIONS(2886), 1,
      sym__word_no_digit,
    ACTIONS(3077), 1,
      anon_sym_SLASH,
    ACTIONS(3080), 1,
      sym__last_token_punctuation,
    STATE(952), 1,
      sym__tag_name,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [6015] = 3,
    ACTIONS(2893), 1,
      sym__last_token_punctuation,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6076] = 5,
    ACTIONS(1120), 1,
      sym__newline_token,
    ACTIONS(3080), 1,
      sym__last_token_punctuation,
    STATE(546), 1,
      sym__soft_line_break,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6141] = 3,
    ACTIONS(2881), 1,
      sym__last_token_punctuation,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6202] = 13,
    ACTIONS(2949), 1,
      anon_sym_LT,
    ACTIONS(2953), 1,
      sym__newline_token,
    ACTIONS(2955), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2957), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2959), 1,
      aux_sym__declaration_token1,
    ACTIONS(2961), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2963), 1,
      sym__whitespace_ge_2,
    ACTIONS(2965), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3084), 1,
      sym__latex_span_close,
    ACTIONS(3082), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(243), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(738), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2951), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [6283] = 6,
    ACTIONS(2895), 1,
      sym__newline_token,
    ACTIONS(2898), 1,
      sym__whitespace_ge_2,
    ACTIONS(2901), 1,
      aux_sym__whitespace_token1,
    STATE(852), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2711), 6,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
    ACTIONS(2698), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [6350] = 4,
    ACTIONS(47), 1,
      anon_sym_RBRACK,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(2975), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2973), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6413] = 3,
    ACTIONS(2907), 1,
      sym__last_token_punctuation,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6474] = 5,
    ACTIONS(1120), 1,
      sym__newline_token,
    ACTIONS(3086), 1,
      sym__last_token_whitespace,
    STATE(546), 1,
      sym__soft_line_break,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6539] = 3,
    ACTIONS(2879), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6600] = 3,
    ACTIONS(1277), 1,
      sym__last_token_punctuation,
    ACTIONS(3088), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(236), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6661] = 3,
    ACTIONS(2909), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6722] = 13,
    ACTIONS(2927), 1,
      anon_sym_LT,
    ACTIONS(2931), 1,
      sym__newline_token,
    ACTIONS(2933), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(2935), 1,
      anon_sym_LT_QMARK,
    ACTIONS(2937), 1,
      aux_sym__declaration_token1,
    ACTIONS(2939), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2941), 1,
      sym__whitespace_ge_2,
    ACTIONS(2943), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3090), 1,
      sym__code_span_close,
    ACTIONS(2969), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(260), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(2929), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [6803] = 13,
    ACTIONS(3009), 1,
      sym__code_span_close,
    ACTIONS(3095), 1,
      anon_sym_LT,
    ACTIONS(3101), 1,
      sym__newline_token,
    ACTIONS(3104), 1,
      anon_sym_LT_BANG_DASH_DASH,
    ACTIONS(3107), 1,
      anon_sym_LT_QMARK,
    ACTIONS(3110), 1,
      aux_sym__declaration_token1,
    ACTIONS(3113), 1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3116), 1,
      sym__whitespace_ge_2,
    ACTIONS(3119), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3092), 4,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      sym__word_no_digit,
      sym__digits,
    STATE(260), 6,
      sym__html_tag,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      aux_sym_code_span_repeat1,
    STATE(730), 6,
      sym__open_tag,
      sym__closing_tag,
      sym__html_comment,
      sym__processing_instruction,
      sym__declaration,
      sym__cdata_section,
    ACTIONS(3098), 29,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [6884] = 3,
    ACTIONS(1339), 1,
      sym__last_token_punctuation,
    ACTIONS(3122), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(570), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [6945] = 2,
    ACTIONS(3126), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3124), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7003] = 2,
    ACTIONS(3130), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3128), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7061] = 2,
    ACTIONS(3134), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7119] = 2,
    ACTIONS(3138), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7177] = 2,
    ACTIONS(3142), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3140), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7235] = 2,
    ACTIONS(3126), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3124), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7293] = 2,
    ACTIONS(3146), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3144), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7351] = 2,
    ACTIONS(3150), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3148), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7409] = 2,
    ACTIONS(3154), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3152), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7467] = 2,
    ACTIONS(3158), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3156), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7525] = 2,
    ACTIONS(3162), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3160), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7583] = 2,
    ACTIONS(3166), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3164), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7641] = 2,
    ACTIONS(3170), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3168), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7699] = 2,
    ACTIONS(3174), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3172), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7757] = 2,
    ACTIONS(3178), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3176), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7815] = 2,
    ACTIONS(3182), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3180), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [7873] = 9,
    ACTIONS(3184), 1,
      sym__backslash_escape,
    ACTIONS(3190), 1,
      anon_sym_RBRACK,
    ACTIONS(3198), 1,
      sym__newline_token,
    ACTIONS(3201), 1,
      sym__whitespace_ge_2,
    ACTIONS(3204), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3192), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(278), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3187), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3195), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [7945] = 2,
    ACTIONS(3209), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8003] = 2,
    ACTIONS(3213), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8061] = 2,
    ACTIONS(3130), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3128), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8119] = 2,
    ACTIONS(3134), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8177] = 2,
    ACTIONS(3138), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8235] = 2,
    ACTIONS(3142), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3140), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8293] = 2,
    ACTIONS(3126), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3124), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8351] = 2,
    ACTIONS(3146), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3144), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8409] = 2,
    ACTIONS(3150), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3148), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8467] = 3,
    ACTIONS(3217), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3220), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8527] = 2,
    ACTIONS(3224), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3222), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8585] = 3,
    ACTIONS(3228), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8645] = 2,
    ACTIONS(3235), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3233), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8703] = 2,
    ACTIONS(3239), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3237), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8761] = 2,
    ACTIONS(3154), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3152), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8819] = 2,
    ACTIONS(3243), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3241), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8877] = 2,
    ACTIONS(3247), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3245), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8935] = 2,
    ACTIONS(3251), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3249), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [8993] = 2,
    ACTIONS(3255), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3253), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9051] = 2,
    ACTIONS(3259), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9109] = 2,
    ACTIONS(3263), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3261), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9167] = 2,
    ACTIONS(3267), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3265), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9225] = 2,
    ACTIONS(3271), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3269), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9283] = 2,
    ACTIONS(3275), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9341] = 2,
    ACTIONS(3279), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3277), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9399] = 2,
    ACTIONS(3283), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3281), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9457] = 2,
    ACTIONS(3158), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3156), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9515] = 2,
    ACTIONS(3287), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3285), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9573] = 2,
    ACTIONS(3291), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3289), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9631] = 2,
    ACTIONS(3295), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3293), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9689] = 2,
    ACTIONS(3299), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3297), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9747] = 2,
    ACTIONS(3303), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3301), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9805] = 2,
    ACTIONS(3307), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3305), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9863] = 2,
    ACTIONS(3311), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3309), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9921] = 2,
    ACTIONS(3315), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3313), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [9979] = 2,
    ACTIONS(3319), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3317), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10037] = 2,
    ACTIONS(3323), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3321), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10095] = 2,
    ACTIONS(3327), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3325), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10153] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10211] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10269] = 2,
    ACTIONS(3339), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10327] = 2,
    ACTIONS(3343), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3341), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10385] = 2,
    ACTIONS(3347), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3345), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10443] = 2,
    ACTIONS(3351), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3349), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10501] = 2,
    ACTIONS(3355), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3353), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10559] = 2,
    ACTIONS(3359), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3357), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10617] = 2,
    ACTIONS(3363), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3361), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10675] = 2,
    ACTIONS(3367), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3365), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10733] = 2,
    ACTIONS(3371), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3369), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10791] = 2,
    ACTIONS(3162), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3160), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10849] = 2,
    ACTIONS(3375), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3373), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10907] = 2,
    ACTIONS(3379), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3377), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [10965] = 2,
    ACTIONS(3182), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3180), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11023] = 2,
    ACTIONS(3209), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11081] = 2,
    ACTIONS(3213), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11139] = 2,
    ACTIONS(3130), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3128), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11197] = 2,
    ACTIONS(3134), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11255] = 2,
    ACTIONS(3138), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11313] = 2,
    ACTIONS(3142), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3140), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11371] = 2,
    ACTIONS(3166), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3164), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11429] = 2,
    ACTIONS(3146), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3144), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11487] = 2,
    ACTIONS(3150), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3148), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11545] = 2,
    ACTIONS(3154), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3152), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11603] = 2,
    ACTIONS(3158), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3156), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11661] = 2,
    ACTIONS(3162), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3160), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11719] = 2,
    ACTIONS(3166), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3164), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11777] = 2,
    ACTIONS(3170), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3168), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11835] = 2,
    ACTIONS(3174), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3172), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11893] = 2,
    ACTIONS(3170), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3168), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [11951] = 2,
    ACTIONS(3174), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3172), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12009] = 4,
    ACTIONS(3080), 1,
      sym__last_token_punctuation,
    ACTIONS(3381), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12071] = 2,
    ACTIONS(3319), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3317), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12129] = 4,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3383), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3049), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(47), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12191] = 2,
    ACTIONS(3178), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3176), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12249] = 2,
    ACTIONS(3178), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3176), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12307] = 2,
    ACTIONS(3323), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3321), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12365] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(3049), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(47), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12425] = 2,
    ACTIONS(3327), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3325), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12483] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12541] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12599] = 2,
    ACTIONS(3239), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3237), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12657] = 3,
    ACTIONS(3217), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3220), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12717] = 2,
    ACTIONS(3251), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3249), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12775] = 2,
    ACTIONS(3259), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12833] = 2,
    ACTIONS(3263), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3261), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12891] = 2,
    ACTIONS(3267), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3265), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [12949] = 2,
    ACTIONS(3271), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3269), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13007] = 2,
    ACTIONS(3275), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13065] = 2,
    ACTIONS(3224), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3222), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13123] = 2,
    ACTIONS(3319), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3317), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13181] = 2,
    ACTIONS(3323), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3321), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13239] = 2,
    ACTIONS(3327), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3325), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13297] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13355] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13413] = 2,
    ACTIONS(3367), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3365), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13471] = 2,
    ACTIONS(3371), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3369), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13529] = 3,
    ACTIONS(1471), 1,
      sym__last_token_punctuation,
    ACTIONS(2975), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2973), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13589] = 2,
    ACTIONS(3375), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3373), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13647] = 2,
    ACTIONS(3379), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3377), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13705] = 2,
    ACTIONS(3130), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3128), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13763] = 2,
    ACTIONS(3134), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13821] = 2,
    ACTIONS(3138), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13879] = 2,
    ACTIONS(3146), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3144), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13937] = 2,
    ACTIONS(3150), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3148), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [13995] = 4,
    ACTIONS(2907), 1,
      sym__last_token_punctuation,
    ACTIONS(3385), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14057] = 3,
    ACTIONS(3228), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14117] = 2,
    ACTIONS(3235), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3233), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14175] = 2,
    ACTIONS(3339), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14233] = 2,
    ACTIONS(3243), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3241), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14291] = 3,
    ACTIONS(3080), 1,
      sym__last_token_punctuation,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14351] = 4,
    ACTIONS(2889), 1,
      sym__last_token_punctuation,
    ACTIONS(3387), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14413] = 3,
    ACTIONS(3389), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14473] = 2,
    ACTIONS(3247), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3245), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14531] = 2,
    ACTIONS(3255), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3253), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14589] = 2,
    ACTIONS(3279), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3277), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14647] = 2,
    ACTIONS(3283), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3281), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14705] = 3,
    ACTIONS(3086), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14765] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3395), 1,
      anon_sym_RBRACK,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(278), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3393), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [14837] = 2,
    ACTIONS(3343), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3341), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14895] = 2,
    ACTIONS(3287), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3285), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [14953] = 4,
    ACTIONS(2893), 1,
      sym__last_token_punctuation,
    ACTIONS(3407), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15015] = 2,
    ACTIONS(3347), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3345), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15073] = 2,
    ACTIONS(3291), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3289), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15131] = 2,
    ACTIONS(3295), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3293), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15189] = 2,
    ACTIONS(3299), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3297), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15247] = 2,
    ACTIONS(3303), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3301), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15305] = 2,
    ACTIONS(3307), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3305), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15363] = 4,
    ACTIONS(3080), 1,
      sym__last_token_punctuation,
    ACTIONS(3409), 1,
      anon_sym_LBRACK,
    ACTIONS(2711), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15425] = 2,
    ACTIONS(3311), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3309), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15483] = 2,
    ACTIONS(3315), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3313), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15541] = 2,
    ACTIONS(3339), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15599] = 2,
    ACTIONS(3343), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3341), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15657] = 2,
    ACTIONS(3347), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3345), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15715] = 2,
    ACTIONS(3351), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3349), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15773] = 2,
    ACTIONS(3355), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3353), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15831] = 2,
    ACTIONS(3414), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3412), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15889] = 2,
    ACTIONS(3363), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3361), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [15947] = 2,
    ACTIONS(3351), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3349), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16005] = 2,
    ACTIONS(3182), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3180), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16063] = 2,
    ACTIONS(3209), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16121] = 2,
    ACTIONS(3213), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16179] = 2,
    ACTIONS(3142), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3140), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16237] = 2,
    ACTIONS(3126), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3124), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16295] = 3,
    ACTIONS(3420), 1,
      sym__emphasis_close_star,
    ACTIONS(3418), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3416), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16355] = 3,
    ACTIONS(3423), 1,
      sym__emphasis_close_star,
    ACTIONS(3418), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3416), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16415] = 3,
    ACTIONS(3430), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3428), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3426), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16475] = 2,
    ACTIONS(3418), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3416), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16533] = 2,
    ACTIONS(3154), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3152), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16591] = 2,
    ACTIONS(3158), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3156), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16649] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3435), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(437), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3433), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [16721] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3437), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(437), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3433), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [16793] = 2,
    ACTIONS(3162), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3160), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16851] = 2,
    ACTIONS(3166), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3164), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16909] = 2,
    ACTIONS(3170), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3168), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [16967] = 2,
    ACTIONS(3174), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3172), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17025] = 2,
    ACTIONS(3178), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3176), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17083] = 2,
    ACTIONS(3355), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3353), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17141] = 2,
    ACTIONS(3359), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3357), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17199] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3439), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(278), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3393), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [17271] = 2,
    ACTIONS(3363), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3361), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17329] = 2,
    ACTIONS(3299), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3297), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17387] = 2,
    ACTIONS(3311), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3309), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17445] = 2,
    ACTIONS(3303), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3301), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17503] = 2,
    ACTIONS(3243), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3241), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17561] = 2,
    ACTIONS(3443), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3441), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17619] = 2,
    ACTIONS(3315), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3313), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17677] = 3,
    ACTIONS(3445), 1,
      sym__emphasis_close_star,
    ACTIONS(3418), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3416), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17737] = 2,
    ACTIONS(3367), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3365), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17795] = 3,
    ACTIONS(3448), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3428), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3426), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17855] = 2,
    ACTIONS(3371), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3369), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17913] = 3,
    ACTIONS(3217), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3220), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [17973] = 2,
    ACTIONS(3224), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3222), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18031] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3453), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(460), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3451), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [18103] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3455), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(460), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3451), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [18175] = 2,
    ACTIONS(3428), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3426), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18233] = 3,
    ACTIONS(3457), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3428), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3426), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18293] = 3,
    ACTIONS(3228), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18353] = 2,
    ACTIONS(3235), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3233), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18411] = 2,
    ACTIONS(3239), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3237), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18469] = 2,
    ACTIONS(3307), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3305), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18527] = 2,
    ACTIONS(3243), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3241), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18585] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3460), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(278), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3393), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [18657] = 2,
    ACTIONS(3247), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3245), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18715] = 2,
    ACTIONS(3251), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3249), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18773] = 2,
    ACTIONS(3255), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3253), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18831] = 2,
    ACTIONS(3259), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18889] = 2,
    ACTIONS(3263), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3261), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [18947] = 2,
    ACTIONS(3267), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3265), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19005] = 2,
    ACTIONS(3271), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3269), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19063] = 3,
    ACTIONS(3462), 1,
      sym__emphasis_close_star,
    ACTIONS(3418), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3416), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19123] = 3,
    ACTIONS(3217), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3220), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19183] = 3,
    ACTIONS(3465), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3428), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3426), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19243] = 2,
    ACTIONS(3224), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3222), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19301] = 2,
    ACTIONS(3275), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19359] = 2,
    ACTIONS(3279), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3277), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19417] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3470), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(483), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3468), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [19489] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3472), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(483), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3468), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [19561] = 2,
    ACTIONS(3283), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3281), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19619] = 2,
    ACTIONS(3375), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3373), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19677] = 3,
    ACTIONS(3228), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19737] = 2,
    ACTIONS(3287), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3285), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19795] = 2,
    ACTIONS(3291), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3289), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19853] = 2,
    ACTIONS(3295), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3293), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19911] = 2,
    ACTIONS(3476), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3474), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [19969] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3478), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(278), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3393), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [20041] = 2,
    ACTIONS(3299), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3297), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20099] = 2,
    ACTIONS(3303), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3301), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20157] = 2,
    ACTIONS(3307), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3305), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20215] = 2,
    ACTIONS(3311), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3309), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20273] = 2,
    ACTIONS(3315), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3313), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20331] = 2,
    ACTIONS(3319), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3317), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20389] = 2,
    ACTIONS(3247), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3245), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20447] = 3,
    ACTIONS(3480), 1,
      sym__emphasis_close_star,
    ACTIONS(3418), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3416), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20507] = 2,
    ACTIONS(3323), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3321), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20565] = 3,
    ACTIONS(3483), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3428), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3426), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20625] = 2,
    ACTIONS(3327), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3325), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20683] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20741] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [20799] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3488), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(503), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3486), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [20871] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3490), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(503), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3486), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [20943] = 2,
    ACTIONS(3339), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21001] = 2,
    ACTIONS(3494), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3492), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21059] = 2,
    ACTIONS(3343), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3341), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21117] = 2,
    ACTIONS(3347), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3345), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21175] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3496), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(278), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3393), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [21247] = 2,
    ACTIONS(3251), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3249), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21305] = 2,
    ACTIONS(3235), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3233), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21363] = 2,
    ACTIONS(3255), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3253), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21421] = 2,
    ACTIONS(3259), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21479] = 2,
    ACTIONS(3263), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3261), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21537] = 2,
    ACTIONS(3267), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3265), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21595] = 2,
    ACTIONS(3271), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3269), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21653] = 2,
    ACTIONS(3351), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3349), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21711] = 2,
    ACTIONS(3355), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3353), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21769] = 2,
    ACTIONS(3359), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3357), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21827] = 2,
    ACTIONS(3275), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [21885] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3500), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(396), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3498), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [21957] = 2,
    ACTIONS(3279), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3277), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22015] = 9,
    ACTIONS(3391), 1,
      sym__backslash_escape,
    ACTIONS(3401), 1,
      sym__newline_token,
    ACTIONS(3403), 1,
      sym__whitespace_ge_2,
    ACTIONS(3405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3502), 1,
      anon_sym_RBRACK,
    ACTIONS(3397), 3,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(396), 7,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      sym__text_base,
      sym__text_inline_no_link,
      aux_sym_link_label_repeat1,
    ACTIONS(3498), 11,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3399), 27,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [22087] = 2,
    ACTIONS(3363), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3361), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22145] = 2,
    ACTIONS(3367), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3365), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22203] = 2,
    ACTIONS(3371), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3369), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22261] = 2,
    ACTIONS(3283), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3281), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22319] = 2,
    ACTIONS(3239), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3237), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22377] = 2,
    ACTIONS(3379), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3377), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22435] = 2,
    ACTIONS(3287), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3285), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22493] = 2,
    ACTIONS(3375), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3373), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22551] = 2,
    ACTIONS(3379), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3377), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22609] = 2,
    ACTIONS(3182), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3180), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22667] = 2,
    ACTIONS(3209), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22725] = 2,
    ACTIONS(3506), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3504), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22783] = 2,
    ACTIONS(3510), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3508), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22841] = 2,
    ACTIONS(3291), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3289), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22899] = 2,
    ACTIONS(3213), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [22957] = 2,
    ACTIONS(3295), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3293), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23015] = 2,
    ACTIONS(3514), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3512), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      ts_builtin_sym_end,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23073] = 2,
    ACTIONS(3359), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3357), 46,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23131] = 4,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    ACTIONS(3516), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23192] = 2,
    ACTIONS(3178), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3176), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23249] = 2,
    ACTIONS(3506), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3504), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23306] = 2,
    ACTIONS(3514), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3512), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23363] = 2,
    ACTIONS(3494), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3492), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23420] = 3,
    ACTIONS(3217), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3220), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3215), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23479] = 2,
    ACTIONS(3224), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3222), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23536] = 2,
    ACTIONS(3235), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3233), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23593] = 2,
    ACTIONS(3243), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3241), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23650] = 2,
    ACTIONS(3247), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3245), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23707] = 2,
    ACTIONS(3255), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3253), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23764] = 2,
    ACTIONS(3279), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3277), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23821] = 2,
    ACTIONS(3283), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3281), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23878] = 2,
    ACTIONS(3287), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3285), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23935] = 2,
    ACTIONS(3291), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3289), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [23992] = 2,
    ACTIONS(3295), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3293), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24049] = 2,
    ACTIONS(3299), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3297), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24106] = 2,
    ACTIONS(3303), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3301), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24163] = 2,
    ACTIONS(3307), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3305), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24220] = 2,
    ACTIONS(3311), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3309), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24277] = 2,
    ACTIONS(3315), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3313), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24334] = 2,
    ACTIONS(3339), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3337), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24391] = 2,
    ACTIONS(3343), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3341), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24448] = 2,
    ACTIONS(3347), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3345), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24505] = 2,
    ACTIONS(3351), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3349), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24562] = 2,
    ACTIONS(3355), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3353), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24619] = 2,
    ACTIONS(3359), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3357), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24676] = 2,
    ACTIONS(3363), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3361), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24733] = 3,
    ACTIONS(3228), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24792] = 2,
    ACTIONS(3209), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3207), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24849] = 2,
    ACTIONS(3213), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3211), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24906] = 2,
    ACTIONS(3142), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3140), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [24963] = 2,
    ACTIONS(3126), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3124), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25020] = 2,
    ACTIONS(3154), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3152), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25077] = 2,
    ACTIONS(3158), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3156), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25134] = 2,
    ACTIONS(3162), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3160), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25191] = 2,
    ACTIONS(3166), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3164), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25248] = 2,
    ACTIONS(3170), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3168), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25305] = 2,
    ACTIONS(3174), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3172), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25362] = 4,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    ACTIONS(3516), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25423] = 4,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    ACTIONS(3516), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25484] = 2,
    ACTIONS(3239), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3237), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25541] = 2,
    ACTIONS(3251), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3249), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25598] = 2,
    ACTIONS(3259), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25655] = 2,
    ACTIONS(3263), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3261), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25712] = 2,
    ACTIONS(3267), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3265), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25769] = 2,
    ACTIONS(3271), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3269), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25826] = 2,
    ACTIONS(3275), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25883] = 2,
    ACTIONS(3319), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3317), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25940] = 2,
    ACTIONS(3323), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3321), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [25997] = 2,
    ACTIONS(3327), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3325), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26054] = 2,
    ACTIONS(3331), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26111] = 2,
    ACTIONS(3335), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26168] = 2,
    ACTIONS(3367), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3365), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26225] = 2,
    ACTIONS(3371), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3369), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26282] = 2,
    ACTIONS(3375), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3373), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26339] = 2,
    ACTIONS(3379), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3377), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26396] = 2,
    ACTIONS(3130), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3128), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26453] = 2,
    ACTIONS(3134), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26510] = 2,
    ACTIONS(3138), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26567] = 2,
    ACTIONS(3146), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3144), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26624] = 2,
    ACTIONS(3150), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3148), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26681] = 4,
    ACTIONS(3228), 1,
      anon_sym_LPAREN,
    ACTIONS(3516), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3226), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26742] = 2,
    ACTIONS(3182), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3180), 45,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26799] = 2,
    ACTIONS(3520), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3518), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26855] = 2,
    ACTIONS(3524), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3522), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26911] = 2,
    ACTIONS(3528), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3526), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [26967] = 2,
    ACTIONS(3532), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3530), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27023] = 2,
    ACTIONS(3520), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3518), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27079] = 2,
    ACTIONS(3536), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3534), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27135] = 2,
    ACTIONS(3540), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3538), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27191] = 2,
    ACTIONS(3544), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3542), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27247] = 2,
    ACTIONS(3520), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3518), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27303] = 2,
    ACTIONS(3536), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3534), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27359] = 2,
    ACTIONS(3520), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3518), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27415] = 2,
    ACTIONS(3536), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3534), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27471] = 2,
    ACTIONS(3540), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3538), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27527] = 2,
    ACTIONS(3544), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3542), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27583] = 3,
    ACTIONS(3550), 1,
      sym__emphasis_close_star,
    ACTIONS(3548), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3546), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27641] = 2,
    ACTIONS(3548), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3546), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27697] = 2,
    ACTIONS(3554), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3552), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27753] = 2,
    ACTIONS(3558), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3556), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27809] = 2,
    ACTIONS(3540), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3538), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27865] = 2,
    ACTIONS(3562), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3560), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27921] = 2,
    ACTIONS(3566), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3564), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [27977] = 3,
    ACTIONS(3568), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3566), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3564), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28035] = 2,
    ACTIONS(3524), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3522), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28091] = 2,
    ACTIONS(3544), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3542), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28147] = 2,
    ACTIONS(3532), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3530), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28203] = 2,
    ACTIONS(3558), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3556), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28259] = 2,
    ACTIONS(3562), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3560), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28315] = 2,
    ACTIONS(3524), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3522), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_star,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28371] = 2,
    ACTIONS(3572), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3570), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28427] = 3,
    ACTIONS(3574), 1,
      sym__emphasis_close_star,
    ACTIONS(3548), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3546), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28485] = 3,
    ACTIONS(3576), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3566), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3564), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28543] = 3,
    ACTIONS(3578), 1,
      sym__emphasis_close_star,
    ACTIONS(3548), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3546), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28601] = 3,
    ACTIONS(3580), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3566), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3564), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28659] = 2,
    ACTIONS(3558), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3556), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28715] = 2,
    ACTIONS(3562), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3560), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28771] = 2,
    ACTIONS(3524), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3522), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28827] = 2,
    ACTIONS(3532), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3530), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28883] = 2,
    ACTIONS(3536), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3534), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28939] = 2,
    ACTIONS(3540), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3538), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [28995] = 2,
    ACTIONS(3544), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3542), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [29051] = 3,
    ACTIONS(3582), 1,
      sym__emphasis_close_star,
    ACTIONS(3548), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3546), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [29109] = 3,
    ACTIONS(3584), 1,
      sym__emphasis_close_underscore,
    ACTIONS(3566), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3564), 43,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [29167] = 2,
    ACTIONS(3558), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3556), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [29223] = 2,
    ACTIONS(3562), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3560), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__emphasis_close_underscore,
      sym__strikethrough_open,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [29279] = 2,
    ACTIONS(3532), 7,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      aux_sym__whitespace_token1,
    ACTIONS(3530), 44,
      sym__code_span_start,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__strikethrough_open,
      sym__strikethrough_close,
      sym__latex_span_start,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym_uri_autolink,
      sym_email_autolink,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [29335] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3602), 1,
      anon_sym_RPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    STATE(1036), 1,
      sym_link_destination,
    STATE(1037), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29416] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3610), 1,
      anon_sym_RPAREN,
    STATE(983), 1,
      sym_link_destination,
    STATE(991), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(650), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29497] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3612), 1,
      anon_sym_RPAREN,
    STATE(1004), 1,
      sym_link_destination,
    STATE(1005), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(651), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29578] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3614), 1,
      anon_sym_RPAREN,
    STATE(1060), 1,
      sym_link_destination,
    STATE(1069), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(657), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29659] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3616), 1,
      anon_sym_RPAREN,
    STATE(1044), 1,
      sym_link_destination,
    STATE(1097), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29740] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3618), 1,
      anon_sym_RPAREN,
    STATE(1016), 1,
      sym_link_destination,
    STATE(1017), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29821] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3620), 1,
      anon_sym_RPAREN,
    STATE(1022), 1,
      sym_link_destination,
    STATE(1023), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29902] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3622), 1,
      anon_sym_RPAREN,
    STATE(1020), 1,
      sym_link_destination,
    STATE(1032), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(654), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [29983] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3624), 1,
      anon_sym_RPAREN,
    STATE(1008), 1,
      sym_link_destination,
    STATE(1013), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(655), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30064] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3626), 1,
      anon_sym_RPAREN,
    STATE(1006), 1,
      sym_link_destination,
    STATE(1007), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30145] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3628), 1,
      anon_sym_RPAREN,
    STATE(1012), 1,
      sym_link_destination,
    STATE(1014), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30226] = 15,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3634), 1,
      anon_sym_DQUOTE,
    ACTIONS(3638), 1,
      anon_sym_LPAREN,
    ACTIONS(3640), 1,
      anon_sym_RPAREN,
    ACTIONS(3643), 1,
      sym__newline_token,
    ACTIONS(3646), 1,
      sym__whitespace_ge_2,
    ACTIONS(3649), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3652), 1,
      sym__last_token_punctuation,
    STATE(846), 1,
      sym__soft_line_break,
    ACTIONS(3636), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(685), 2,
      sym__whitespace,
      aux_sym_link_title_repeat1,
    STATE(693), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(869), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3630), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3632), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30305] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3654), 1,
      anon_sym_RPAREN,
    STATE(1089), 1,
      sym_link_destination,
    STATE(1090), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30386] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3656), 1,
      anon_sym_RPAREN,
    STATE(1040), 1,
      sym_link_destination,
    STATE(1041), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30467] = 15,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3634), 1,
      anon_sym_SQUOTE,
    ACTIONS(3643), 1,
      sym__newline_token,
    ACTIONS(3646), 1,
      sym__whitespace_ge_2,
    ACTIONS(3649), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3652), 1,
      sym__last_token_punctuation,
    ACTIONS(3664), 1,
      anon_sym_LPAREN,
    ACTIONS(3666), 1,
      anon_sym_RPAREN,
    STATE(829), 1,
      sym__soft_line_break,
    ACTIONS(3662), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(681), 2,
      sym__whitespace,
      aux_sym_link_title_repeat2,
    STATE(693), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(863), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3658), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3660), 27,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30546] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    STATE(1072), 1,
      sym_link_destination,
    STATE(1073), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(663), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30627] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    STATE(1079), 1,
      sym_link_destination,
    STATE(1081), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(664), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30708] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    STATE(1087), 1,
      sym_link_destination,
    STATE(1100), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(649), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30789] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3675), 1,
      anon_sym_RPAREN,
    STATE(986), 1,
      sym_link_destination,
    STATE(987), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30870] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3677), 1,
      anon_sym_RPAREN,
    STATE(989), 1,
      sym_link_destination,
    STATE(990), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [30951] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    STATE(1025), 1,
      sym_link_destination,
    STATE(1026), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(645), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31032] = 16,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3592), 1,
      anon_sym_LT,
    ACTIONS(3594), 1,
      anon_sym_DQUOTE,
    ACTIONS(3598), 1,
      anon_sym_SQUOTE,
    ACTIONS(3600), 1,
      anon_sym_LPAREN,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    STATE(1028), 1,
      sym_link_destination,
    STATE(1029), 1,
      sym_link_title,
    ACTIONS(3596), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(658), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    STATE(691), 3,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
    ACTIONS(3588), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3590), 25,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31113] = 9,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3683), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2728), 2,
      anon_sym_RBRACK,
      anon_sym_LT,
    ACTIONS(3685), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(808), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 5,
      sym__latex_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 30,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31179] = 3,
    ACTIONS(3688), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [31233] = 9,
    ACTIONS(2734), 1,
      sym__newline_token,
    ACTIONS(2739), 1,
      sym__whitespace_ge_2,
    ACTIONS(2742), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3690), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(2728), 2,
      anon_sym_RBRACK,
      anon_sym_LT,
    ACTIONS(3692), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(728), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 5,
      sym__code_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2731), 30,
      anon_sym_LBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31299] = 13,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    STATE(872), 1,
      sym__soft_line_break,
    ACTIONS(3699), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(694), 2,
      sym__whitespace,
      aux_sym_link_title_repeat3,
    STATE(839), 2,
      sym__link_destination_parenthesis,
      aux_sym_link_destination_repeat2,
    STATE(862), 2,
      sym_backslash_escape,
      sym__word,
    ACTIONS(3695), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(3697), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [31373] = 3,
    ACTIONS(3705), 1,
      sym__last_token_punctuation,
    ACTIONS(2711), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [31427] = 9,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3707), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2702), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3709), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(807), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 5,
      sym__latex_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 30,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31493] = 9,
    ACTIONS(2708), 1,
      sym__newline_token,
    ACTIONS(2715), 1,
      sym__whitespace_ge_2,
    ACTIONS(2718), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3712), 1,
      anon_sym_QMARK_GT,
    ACTIONS(2702), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    ACTIONS(3714), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(727), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2698), 5,
      sym__code_span_close,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(2705), 30,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31559] = 3,
    ACTIONS(3717), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [31613] = 2,
    ACTIONS(3178), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3176), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [31664] = 2,
    ACTIONS(3259), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [31715] = 2,
    ACTIONS(3251), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3249), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [31766] = 10,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3722), 1,
      anon_sym_LT,
    ACTIONS(3725), 1,
      anon_sym_DASH,
    ACTIONS(3728), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3730), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(806), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 6,
      sym__latex_span_close,
      anon_sym_GT,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3719), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31833] = 10,
    ACTIONS(2789), 1,
      sym__newline_token,
    ACTIONS(2794), 1,
      sym__whitespace_ge_2,
    ACTIONS(2797), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3736), 1,
      anon_sym_LT,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3742), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3744), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(785), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(2698), 6,
      sym__code_span_close,
      anon_sym_GT,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
    ACTIONS(3733), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [31900] = 2,
    ACTIONS(3275), 4,
      anon_sym_LT,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 42,
      sym__emphasis_open_star,
      sym__emphasis_open_underscore,
      sym__unclosed_span,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [31951] = 10,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3753), 1,
      anon_sym_SQUOTE,
    STATE(829), 1,
      sym__soft_line_break,
    ACTIONS(3751), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3747), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(686), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3749), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32017] = 10,
    ACTIONS(3755), 1,
      sym__backslash_escape,
    ACTIONS(3767), 1,
      anon_sym_LPAREN,
    ACTIONS(3770), 1,
      anon_sym_RPAREN,
    ACTIONS(3775), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3777), 1,
      sym__last_token_punctuation,
    ACTIONS(3764), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3773), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3758), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(839), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3761), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32083] = 9,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3652), 1,
      sym__last_token_punctuation,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(3787), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3783), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3785), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3779), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(693), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3781), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32147] = 10,
    ACTIONS(3789), 1,
      sym__backslash_escape,
    ACTIONS(3798), 1,
      anon_sym_DQUOTE,
    ACTIONS(3803), 1,
      sym__newline_token,
    ACTIONS(3806), 1,
      sym__whitespace_ge_2,
    ACTIONS(3809), 1,
      aux_sym__whitespace_token1,
    STATE(846), 1,
      sym__soft_line_break,
    ACTIONS(3800), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3792), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(684), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3795), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32213] = 10,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3753), 1,
      anon_sym_DQUOTE,
    STATE(846), 1,
      sym__soft_line_break,
    ACTIONS(3816), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3812), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(684), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3814), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32279] = 10,
    ACTIONS(3818), 1,
      sym__backslash_escape,
    ACTIONS(3830), 1,
      anon_sym_SQUOTE,
    ACTIONS(3832), 1,
      sym__newline_token,
    ACTIONS(3835), 1,
      sym__whitespace_ge_2,
    ACTIONS(3838), 1,
      aux_sym__whitespace_token1,
    STATE(829), 1,
      sym__soft_line_break,
    ACTIONS(3827), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3821), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(686), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3824), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32345] = 10,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3843), 1,
      anon_sym_DQUOTE,
    STATE(846), 1,
      sym__soft_line_break,
    ACTIONS(3816), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3841), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(685), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat1,
    ACTIONS(3814), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32411] = 10,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3843), 1,
      anon_sym_SQUOTE,
    STATE(829), 1,
      sym__soft_line_break,
    ACTIONS(3751), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3845), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(681), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat2,
    ACTIONS(3749), 29,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [32477] = 10,
    ACTIONS(3847), 1,
      sym__backslash_escape,
    ACTIONS(3859), 1,
      anon_sym_LPAREN,
    ACTIONS(3862), 1,
      anon_sym_RPAREN,
    ACTIONS(3867), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3869), 1,
      sym__last_token_punctuation,
    ACTIONS(3856), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3865), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3850), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(839), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3853), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32543] = 8,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(3875), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3783), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3873), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3871), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(697), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3781), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32604] = 8,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(3787), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3783), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3785), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3779), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(693), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3781), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32665] = 6,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2895), 1,
      sym__newline_token,
    ACTIONS(2898), 1,
      sym__whitespace_ge_2,
    ACTIONS(2901), 1,
      aux_sym__whitespace_token1,
    STATE(841), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2698), 38,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [32722] = 8,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(3875), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3783), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3873), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3877), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(696), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3781), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32783] = 10,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    STATE(872), 1,
      sym__soft_line_break,
    ACTIONS(3883), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3879), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(699), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(3881), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32848] = 6,
    ACTIONS(2886), 1,
      sym__word_no_digit,
    ACTIONS(3885), 1,
      anon_sym_SLASH,
    ACTIONS(3888), 1,
      sym__last_token_punctuation,
    STATE(960), 1,
      sym__tag_name,
    ACTIONS(2711), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 38,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [32905] = 8,
    ACTIONS(3890), 1,
      sym__backslash_escape,
    ACTIONS(3902), 1,
      anon_sym_LPAREN,
    ACTIONS(3907), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3899), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3905), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3893), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(696), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3896), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [32966] = 8,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(3911), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3783), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3909), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(3877), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(696), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3781), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33027] = 6,
    ACTIONS(2711), 1,
      anon_sym_LT,
    ACTIONS(2895), 1,
      sym__newline_token,
    ACTIONS(2898), 1,
      sym__whitespace_ge_2,
    ACTIONS(2901), 1,
      aux_sym__whitespace_token1,
    STATE(853), 2,
      sym__whitespace,
      sym__soft_line_break,
    ACTIONS(2698), 38,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__word_no_digit,
      sym__digits,
  [33084] = 10,
    ACTIONS(3913), 1,
      sym__backslash_escape,
    ACTIONS(3925), 1,
      anon_sym_RPAREN,
    ACTIONS(3927), 1,
      sym__newline_token,
    ACTIONS(3930), 1,
      sym__whitespace_ge_2,
    ACTIONS(3933), 1,
      aux_sym__whitespace_token1,
    STATE(872), 1,
      sym__soft_line_break,
    ACTIONS(3922), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3916), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(699), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(3919), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33149] = 6,
    ACTIONS(2886), 1,
      sym__word_no_digit,
    ACTIONS(3936), 1,
      anon_sym_SLASH,
    ACTIONS(3939), 1,
      sym__last_token_punctuation,
    STATE(950), 1,
      sym__tag_name,
    ACTIONS(2711), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 38,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__digits,
  [33206] = 10,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3604), 1,
      sym__newline_token,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3843), 1,
      anon_sym_RPAREN,
    STATE(872), 1,
      sym__soft_line_break,
    ACTIONS(3883), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3941), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(694), 4,
      sym_backslash_escape,
      sym__whitespace,
      sym__word,
      aux_sym_link_title_repeat3,
    ACTIONS(3881), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [33271] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3949), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3957), 1,
      sym__last_token_punctuation,
    ACTIONS(3955), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(782), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33333] = 3,
    ACTIONS(3959), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33383] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3961), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3965), 1,
      sym__last_token_punctuation,
    ACTIONS(3963), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(762), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33445] = 3,
    ACTIONS(3967), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33495] = 6,
    ACTIONS(3973), 1,
      sym__newline_token,
    ACTIONS(3976), 1,
      sym__whitespace_ge_2,
    ACTIONS(3979), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3971), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    STATE(706), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3969), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [33551] = 3,
    ACTIONS(3982), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33601] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3984), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3988), 1,
      sym__last_token_punctuation,
    ACTIONS(3986), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(737), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33663] = 8,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3994), 1,
      anon_sym_GT,
    ACTIONS(3996), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3990), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(713), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(3992), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33723] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3998), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4002), 1,
      sym__last_token_punctuation,
    ACTIONS(4000), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(789), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33785] = 3,
    ACTIONS(3888), 1,
      sym__last_token_punctuation,
    ACTIONS(2711), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [33835] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4004), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4008), 1,
      sym__last_token_punctuation,
    ACTIONS(4006), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33897] = 8,
    ACTIONS(4010), 1,
      sym__backslash_escape,
    ACTIONS(4019), 1,
      anon_sym_GT,
    ACTIONS(4024), 1,
      sym__whitespace_ge_2,
    ACTIONS(4027), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4021), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4013), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(713), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(4016), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [33957] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4030), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4034), 1,
      sym__last_token_punctuation,
    ACTIONS(4032), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(800), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34019] = 3,
    ACTIONS(4036), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34069] = 8,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3606), 1,
      sym__whitespace_ge_2,
    ACTIONS(3608), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4040), 1,
      anon_sym_GT,
    ACTIONS(3996), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4038), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(709), 5,
      sym_backslash_escape,
      sym__text_no_angle,
      sym__whitespace,
      sym__word,
      aux_sym_link_destination_repeat1,
    ACTIONS(3992), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34129] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4042), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4046), 1,
      sym__last_token_punctuation,
    ACTIONS(4044), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34191] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4048), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4052), 1,
      sym__last_token_punctuation,
    ACTIONS(4050), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34253] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4054), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4058), 1,
      sym__last_token_punctuation,
    ACTIONS(4056), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(823), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34315] = 3,
    ACTIONS(3939), 1,
      sym__last_token_punctuation,
    ACTIONS(2711), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(2698), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34365] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4060), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4064), 1,
      sym__last_token_punctuation,
    ACTIONS(4062), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(810), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34427] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4066), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4070), 1,
      sym__last_token_punctuation,
    ACTIONS(4068), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(811), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34489] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4072), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4076), 1,
      sym__last_token_punctuation,
    ACTIONS(4074), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(819), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34551] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4078), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4082), 1,
      sym__last_token_punctuation,
    ACTIONS(4080), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(820), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34613] = 9,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4084), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4088), 1,
      sym__last_token_punctuation,
    ACTIONS(4086), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(777), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34675] = 8,
    ACTIONS(4093), 1,
      anon_sym_RBRACK,
    ACTIONS(4096), 1,
      sym__newline_token,
    ACTIONS(4099), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4101), 1,
      sym__whitespace_ge_2,
    ACTIONS(4104), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4107), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(4090), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34734] = 8,
    ACTIONS(4110), 1,
      anon_sym_QMARK,
    ACTIONS(4112), 1,
      sym__newline_token,
    ACTIONS(4114), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4116), 1,
      sym__whitespace_ge_2,
    ACTIONS(4118), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4120), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(774), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2700), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34793] = 8,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(4122), 1,
      sym__newline_token,
    ACTIONS(4124), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4126), 1,
      sym__whitespace_ge_2,
    ACTIONS(4128), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4130), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2724), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [34852] = 2,
    ACTIONS(3323), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3321), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34899] = 2,
    ACTIONS(3239), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3237), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34946] = 2,
    ACTIONS(3327), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3325), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [34993] = 2,
    ACTIONS(3331), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35040] = 2,
    ACTIONS(3335), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35087] = 2,
    ACTIONS(3367), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3365), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35134] = 2,
    ACTIONS(3371), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3369), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35181] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4004), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4006), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(742), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35240] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4004), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35299] = 2,
    ACTIONS(3239), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3237), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35346] = 2,
    ACTIONS(3375), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3373), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35393] = 2,
    ACTIONS(3379), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3377), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35440] = 2,
    ACTIONS(3130), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3128), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35487] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4134), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35546] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4134), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4136), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(744), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35605] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4138), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35664] = 2,
    ACTIONS(3134), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35711] = 2,
    ACTIONS(3251), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3249), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35758] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4042), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4044), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(756), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35817] = 8,
    ACTIONS(4110), 1,
      anon_sym_QMARK,
    ACTIONS(4112), 1,
      sym__newline_token,
    ACTIONS(4116), 1,
      sym__whitespace_ge_2,
    ACTIONS(4118), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4140), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4120), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(774), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2700), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35876] = 8,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(4122), 1,
      sym__newline_token,
    ACTIONS(4126), 1,
      sym__whitespace_ge_2,
    ACTIONS(4128), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4142), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4130), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2724), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [35935] = 2,
    ACTIONS(3138), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [35982] = 2,
    ACTIONS(3146), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3144), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36029] = 2,
    ACTIONS(3130), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3128), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36076] = 2,
    ACTIONS(3150), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3148), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36123] = 2,
    ACTIONS(3134), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3132), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36170] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3961), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3963), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(762), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36229] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3961), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36288] = 2,
    ACTIONS(3138), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3136), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36335] = 2,
    ACTIONS(3319), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3317), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36382] = 2,
    ACTIONS(3323), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3321), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36429] = 2,
    ACTIONS(3259), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36476] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4084), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4086), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(777), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36535] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4144), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36594] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4144), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4146), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(764), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36653] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4148), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [36712] = 2,
    ACTIONS(3367), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3365), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36759] = 2,
    ACTIONS(3371), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3369), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36806] = 2,
    ACTIONS(3251), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3249), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36853] = 2,
    ACTIONS(3327), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3325), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36900] = 2,
    ACTIONS(3146), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3144), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36947] = 2,
    ACTIONS(3150), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3148), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [36994] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3949), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3955), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(782), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37053] = 8,
    ACTIONS(4110), 1,
      anon_sym_QMARK,
    ACTIONS(4112), 1,
      sym__newline_token,
    ACTIONS(4116), 1,
      sym__whitespace_ge_2,
    ACTIONS(4118), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4150), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4120), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(774), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2700), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37112] = 8,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(4122), 1,
      sym__newline_token,
    ACTIONS(4126), 1,
      sym__whitespace_ge_2,
    ACTIONS(4128), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4152), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4130), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2724), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37171] = 8,
    ACTIONS(4099), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4157), 1,
      anon_sym_QMARK,
    ACTIONS(4160), 1,
      sym__newline_token,
    ACTIONS(4163), 1,
      sym__whitespace_ge_2,
    ACTIONS(4166), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4169), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(774), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(4154), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37230] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4172), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37289] = 2,
    ACTIONS(3331), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3329), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37336] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4174), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37395] = 2,
    ACTIONS(3259), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37442] = 8,
    ACTIONS(4179), 1,
      anon_sym_DASH,
    ACTIONS(4182), 1,
      sym__newline_token,
    ACTIONS(4185), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4187), 1,
      sym__whitespace_ge_2,
    ACTIONS(4190), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4193), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(4176), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37501] = 2,
    ACTIONS(3263), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3261), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37548] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3998), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4000), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(789), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37607] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3998), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37666] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4174), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4196), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(775), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37725] = 2,
    ACTIONS(3335), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3333), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37772] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3984), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(3986), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(737), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [37831] = 2,
    ACTIONS(3267), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3265), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37878] = 2,
    ACTIONS(3267), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3265), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37925] = 2,
    ACTIONS(3271), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3269), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [37972] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4198), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38031] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4198), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4200), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(791), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38090] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4202), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38149] = 2,
    ACTIONS(3271), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3269), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38196] = 2,
    ACTIONS(3275), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38243] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4030), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4032), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(800), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38302] = 8,
    ACTIONS(4110), 1,
      anon_sym_QMARK,
    ACTIONS(4112), 1,
      sym__newline_token,
    ACTIONS(4116), 1,
      sym__whitespace_ge_2,
    ACTIONS(4118), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4204), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4120), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(774), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2700), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38361] = 8,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(4122), 1,
      sym__newline_token,
    ACTIONS(4126), 1,
      sym__whitespace_ge_2,
    ACTIONS(4128), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4206), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4130), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2724), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38420] = 2,
    ACTIONS(3275), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38467] = 2,
    ACTIONS(3375), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3373), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38514] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4048), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4050), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(803), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38573] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4048), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38632] = 2,
    ACTIONS(3319), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3317), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [38679] = 8,
    ACTIONS(4110), 1,
      anon_sym_QMARK,
    ACTIONS(4112), 1,
      sym__newline_token,
    ACTIONS(4116), 1,
      sym__whitespace_ge_2,
    ACTIONS(4118), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4208), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4120), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(774), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2700), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38738] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4210), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38797] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4210), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4212), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(805), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38856] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4214), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38915] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4060), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4062), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(810), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [38974] = 8,
    ACTIONS(4110), 1,
      anon_sym_QMARK,
    ACTIONS(4112), 1,
      sym__newline_token,
    ACTIONS(4116), 1,
      sym__whitespace_ge_2,
    ACTIONS(4118), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4216), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4120), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(774), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2700), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39033] = 8,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(4122), 1,
      sym__newline_token,
    ACTIONS(4126), 1,
      sym__whitespace_ge_2,
    ACTIONS(4128), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4218), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4130), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2724), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39092] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4066), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4068), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(811), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39151] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4066), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39210] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4220), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39269] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4220), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4222), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(813), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39328] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4224), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39387] = 2,
    ACTIONS(3379), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3377), 40,
      sym__code_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [39434] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4072), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4074), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(819), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39493] = 8,
    ACTIONS(4110), 1,
      anon_sym_QMARK,
    ACTIONS(4112), 1,
      sym__newline_token,
    ACTIONS(4116), 1,
      sym__whitespace_ge_2,
    ACTIONS(4118), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4226), 1,
      anon_sym_QMARK_GT,
    ACTIONS(4120), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(774), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2700), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39552] = 8,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(4122), 1,
      sym__newline_token,
    ACTIONS(4126), 1,
      sym__whitespace_ge_2,
    ACTIONS(4128), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4228), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4130), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2724), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39611] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4078), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4080), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(820), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39670] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4078), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39729] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4230), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39788] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4230), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4232), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(822), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39847] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4234), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39906] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4084), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4132), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(779), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [39965] = 8,
    ACTIONS(2726), 1,
      anon_sym_RBRACK,
    ACTIONS(4122), 1,
      sym__newline_token,
    ACTIONS(4126), 1,
      sym__whitespace_ge_2,
    ACTIONS(4128), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4236), 1,
      anon_sym_RBRACK_RBRACK_GT,
    ACTIONS(4130), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(726), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__processing_instruction_repeat1,
    ACTIONS(2724), 31,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40024] = 8,
    ACTIONS(3945), 1,
      anon_sym_DASH,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4054), 1,
      anon_sym_DASH_DASH_GT,
    ACTIONS(4056), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(823), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__html_comment_repeat1,
    ACTIONS(3943), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40083] = 2,
    ACTIONS(3263), 2,
      anon_sym_LT,
      aux_sym__whitespace_token1,
    ACTIONS(3261), 40,
      sym__latex_span_close,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_LT_BANG_DASH_DASH,
      anon_sym_LT_QMARK,
      aux_sym__declaration_token1,
      anon_sym_LT_BANG_LBRACKCDATA_LBRACK,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40130] = 7,
    ACTIONS(4240), 1,
      anon_sym_GT,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4248), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(842), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40186] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4250), 1,
      anon_sym_GT,
    ACTIONS(4252), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(833), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40242] = 4,
    ACTIONS(4254), 1,
      sym__newline_token,
    STATE(1142), 1,
      sym__soft_line_break,
    ACTIONS(3775), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3773), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40292] = 3,
    ACTIONS(4257), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40340] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4259), 1,
      anon_sym_GT,
    ACTIONS(4261), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40396] = 3,
    ACTIONS(4263), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40444] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4265), 1,
      anon_sym_GT,
    ACTIONS(4261), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40500] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4267), 1,
      anon_sym_GT,
    ACTIONS(4261), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40556] = 7,
    ACTIONS(4272), 1,
      anon_sym_GT,
    ACTIONS(4274), 1,
      sym__newline_token,
    ACTIONS(4277), 1,
      sym__whitespace_ge_2,
    ACTIONS(4280), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4283), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4269), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40612] = 6,
    ACTIONS(4292), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4298), 1,
      sym__last_token_punctuation,
    ACTIONS(4289), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4294), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4286), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [40666] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4300), 1,
      anon_sym_GT,
    ACTIONS(4302), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(840), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40722] = 3,
    ACTIONS(4306), 1,
      sym__last_token_punctuation,
    ACTIONS(4304), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4292), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [40770] = 7,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(4308), 1,
      anon_sym_RPAREN,
    ACTIONS(3783), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(3877), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(696), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3781), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [40826] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4310), 1,
      anon_sym_GT,
    ACTIONS(4261), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40882] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4312), 1,
      anon_sym_GT,
    ACTIONS(4314), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(845), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40938] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4316), 1,
      anon_sym_GT,
    ACTIONS(4261), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [40994] = 3,
    ACTIONS(4324), 1,
      sym__last_token_punctuation,
    ACTIONS(4321), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4318), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41042] = 7,
    ACTIONS(3586), 1,
      sym__backslash_escape,
    ACTIONS(3701), 1,
      anon_sym_LPAREN,
    ACTIONS(4328), 1,
      anon_sym_RPAREN,
    ACTIONS(3783), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4326), 4,
      sym_entity_reference,
      sym_numeric_character_reference,
      sym__word_no_digit,
      sym__digits,
    STATE(839), 4,
      sym_backslash_escape,
      sym__link_destination_parenthesis,
      sym__word,
      aux_sym_link_destination_repeat2,
    ACTIONS(3781), 28,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
  [41098] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4330), 1,
      anon_sym_GT,
    ACTIONS(4261), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41154] = 4,
    ACTIONS(4332), 1,
      sym__newline_token,
    STATE(1151), 1,
      sym__soft_line_break,
    ACTIONS(3867), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3865), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41204] = 7,
    ACTIONS(4338), 1,
      anon_sym_DQUOTE,
    ACTIONS(4340), 1,
      sym__newline_token,
    ACTIONS(4343), 1,
      sym__whitespace_ge_2,
    ACTIONS(4346), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4349), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(847), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4335), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41260] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4352), 1,
      anon_sym_GT,
    ACTIONS(4354), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(834), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41316] = 3,
    ACTIONS(4362), 1,
      sym__last_token_punctuation,
    ACTIONS(4359), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4356), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41364] = 5,
    ACTIONS(4306), 1,
      sym__last_token_punctuation,
    ACTIONS(4367), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4304), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4364), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4292), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      sym__word_no_digit,
      sym__digits,
  [41416] = 3,
    ACTIONS(3777), 1,
      sym__last_token_punctuation,
    ACTIONS(3775), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3773), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41464] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4370), 1,
      anon_sym_GT,
    ACTIONS(4372), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(855), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41520] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4374), 1,
      anon_sym_GT,
    ACTIONS(4376), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(831), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41576] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4380), 1,
      anon_sym_SQUOTE,
    ACTIONS(4382), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(858), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4378), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41632] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4384), 1,
      anon_sym_GT,
    ACTIONS(4261), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(835), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__declaration_repeat1,
    ACTIONS(4238), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41688] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4388), 1,
      anon_sym_DQUOTE,
    ACTIONS(4390), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(859), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4386), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41744] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4388), 1,
      anon_sym_SQUOTE,
    ACTIONS(4392), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(854), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4378), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41800] = 7,
    ACTIONS(4397), 1,
      anon_sym_SQUOTE,
    ACTIONS(4399), 1,
      sym__newline_token,
    ACTIONS(4402), 1,
      sym__whitespace_ge_2,
    ACTIONS(4405), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4408), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(858), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat1,
    ACTIONS(4394), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41856] = 7,
    ACTIONS(4242), 1,
      sym__newline_token,
    ACTIONS(4244), 1,
      sym__whitespace_ge_2,
    ACTIONS(4246), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4380), 1,
      anon_sym_DQUOTE,
    ACTIONS(4411), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(847), 4,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
      aux_sym__attribute_value_repeat2,
    ACTIONS(4386), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [41912] = 3,
    ACTIONS(3869), 1,
      sym__last_token_punctuation,
    ACTIONS(3867), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3865), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [41960] = 2,
    ACTIONS(4415), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4413), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42005] = 5,
    ACTIONS(4292), 1,
      anon_sym_LPAREN,
    ACTIONS(4296), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4289), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4294), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4286), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [42056] = 2,
    ACTIONS(4359), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4356), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42101] = 2,
    ACTIONS(3259), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42146] = 2,
    ACTIONS(4420), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4417), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42191] = 2,
    ACTIONS(4423), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3798), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42236] = 4,
    ACTIONS(4432), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4427), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4429), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4425), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      sym__word_no_digit,
      sym__digits,
  [42285] = 2,
    ACTIONS(3907), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3905), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42330] = 2,
    ACTIONS(4321), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4318), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42375] = 2,
    ACTIONS(4438), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4435), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42420] = 2,
    ACTIONS(4441), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3830), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42465] = 4,
    ACTIONS(4443), 1,
      sym__newline_token,
    STATE(1150), 1,
      sym__soft_line_break,
    ACTIONS(4296), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4294), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42514] = 2,
    ACTIONS(4427), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4425), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42559] = 2,
    ACTIONS(3275), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42604] = 5,
    ACTIONS(3905), 1,
      anon_sym_LPAREN,
    ACTIONS(4452), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3925), 2,
      sym__newline_token,
      sym__whitespace_ge_2,
    ACTIONS(4449), 2,
      anon_sym_AMP,
      anon_sym_BSLASH,
    ACTIONS(4446), 34,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__word_no_digit,
      sym__digits,
  [42655] = 2,
    ACTIONS(4456), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4454), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42700] = 2,
    ACTIONS(4460), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4458), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42745] = 2,
    ACTIONS(3178), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3176), 37,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42790] = 3,
    ACTIONS(4462), 1,
      sym__last_token_punctuation,
    ACTIONS(4296), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4294), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42837] = 2,
    ACTIONS(4452), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(3925), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42881] = 2,
    ACTIONS(4466), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4464), 36,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42925] = 3,
    ACTIONS(4468), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [42971] = 3,
    ACTIONS(4474), 1,
      sym__last_token_punctuation,
    ACTIONS(4472), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4470), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43017] = 3,
    ACTIONS(4480), 1,
      sym__last_token_punctuation,
    ACTIONS(4478), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4476), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43063] = 3,
    ACTIONS(4482), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43109] = 3,
    ACTIONS(4484), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43155] = 3,
    ACTIONS(4486), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43201] = 3,
    ACTIONS(4488), 1,
      sym__last_token_whitespace,
    ACTIONS(2921), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(2919), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43247] = 3,
    ACTIONS(4492), 1,
      sym__last_token_punctuation,
    ACTIONS(4490), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4185), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43293] = 6,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4474), 2,
      sym__word_no_digit,
      sym__digits,
    STATE(897), 3,
      sym__whitespace,
      sym__word,
      sym__soft_line_break,
    ACTIONS(4494), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [43345] = 3,
    ACTIONS(4496), 1,
      sym__last_token_whitespace,
    ACTIONS(2877), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(2875), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43391] = 3,
    ACTIONS(4502), 1,
      sym__last_token_punctuation,
    ACTIONS(4500), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(4498), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43437] = 3,
    ACTIONS(4504), 1,
      sym__last_token_punctuation,
    ACTIONS(4500), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(4498), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43483] = 3,
    ACTIONS(2921), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4506), 1,
      sym__last_token_whitespace,
    ACTIONS(2919), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43528] = 3,
    ACTIONS(4510), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4512), 1,
      sym__last_token_punctuation,
    ACTIONS(4508), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43573] = 3,
    ACTIONS(2877), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4514), 1,
      sym__last_token_whitespace,
    ACTIONS(2875), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43618] = 2,
    ACTIONS(4490), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4185), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43661] = 2,
    ACTIONS(4518), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(4516), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43704] = 2,
    ACTIONS(3259), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43747] = 2,
    ACTIONS(3275), 2,
      anon_sym_DASH,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_DASH_DASH_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43790] = 2,
    ACTIONS(4522), 3,
      anon_sym_AMP,
      anon_sym_BSLASH,
      aux_sym__whitespace_token1,
    ACTIONS(4520), 35,
      sym__backslash_escape,
      sym_entity_reference,
      sym_numeric_character_reference,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43833] = 2,
    ACTIONS(3259), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43876] = 2,
    ACTIONS(3275), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43919] = 2,
    ACTIONS(3259), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [43962] = 2,
    ACTIONS(4524), 2,
      anon_sym_RBRACK,
      aux_sym__whitespace_token1,
    ACTIONS(4099), 36,
      anon_sym_LBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_RBRACK_RBRACK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44005] = 2,
    ACTIONS(3275), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44048] = 2,
    ACTIONS(4524), 2,
      anon_sym_QMARK,
      aux_sym__whitespace_token1,
    ACTIONS(4099), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      anon_sym_QMARK_GT,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44091] = 3,
    ACTIONS(4528), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4530), 1,
      sym__last_token_punctuation,
    ACTIONS(4526), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44136] = 3,
    ACTIONS(4534), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4536), 1,
      sym__last_token_punctuation,
    ACTIONS(4532), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44181] = 2,
    ACTIONS(4538), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4338), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44223] = 2,
    ACTIONS(4540), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4397), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44265] = 2,
    ACTIONS(4542), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4272), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44307] = 2,
    ACTIONS(3259), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44349] = 2,
    ACTIONS(3275), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 36,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
      sym__word_no_digit,
      sym__digits,
  [44391] = 1,
    ACTIONS(4544), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44425] = 1,
    ACTIONS(4546), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44459] = 1,
    ACTIONS(4548), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44493] = 1,
    ACTIONS(4550), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44527] = 1,
    ACTIONS(4552), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44561] = 1,
    ACTIONS(4554), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44595] = 1,
    ACTIONS(4556), 31,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LT,
      anon_sym_BANG,
      anon_sym_DQUOTE,
      anon_sym_POUND,
      anon_sym_DOLLAR,
      anon_sym_PERCENT,
      anon_sym_AMP,
      anon_sym_SQUOTE,
      anon_sym_STAR,
      anon_sym_PLUS,
      anon_sym_COMMA,
      anon_sym_DASH,
      anon_sym_DOT,
      anon_sym_SLASH,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_EQ,
      anon_sym_QMARK,
      anon_sym_AT,
      anon_sym_BSLASH,
      anon_sym_CARET,
      anon_sym__,
      anon_sym_BQUOTE,
      anon_sym_LBRACE,
      anon_sym_PIPE,
      anon_sym_RBRACE,
      anon_sym_TILDE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44629] = 5,
    ACTIONS(4558), 1,
      sym__newline_token,
    ACTIONS(4561), 1,
      sym__whitespace_ge_2,
    ACTIONS(4564), 1,
      aux_sym__whitespace_token1,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
    ACTIONS(3969), 6,
      anon_sym_GT,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [44652] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4573), 1,
      anon_sym_RPAREN,
    STATE(1033), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44682] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4575), 1,
      anon_sym_RPAREN,
    STATE(1056), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44712] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4577), 1,
      anon_sym_RPAREN,
    STATE(1057), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44742] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4579), 1,
      anon_sym_RPAREN,
    STATE(1043), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44772] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4581), 1,
      anon_sym_RPAREN,
    STATE(1024), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44802] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4583), 1,
      anon_sym_RPAREN,
    STATE(1050), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44832] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4585), 1,
      anon_sym_RPAREN,
    STATE(1052), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44862] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4587), 1,
      anon_sym_RPAREN,
    STATE(994), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44892] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4589), 1,
      anon_sym_RPAREN,
    STATE(998), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44922] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4591), 1,
      anon_sym_RPAREN,
    STATE(1000), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44952] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4593), 1,
      anon_sym_RPAREN,
    STATE(1046), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [44982] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4595), 1,
      anon_sym_RPAREN,
    STATE(1074), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45012] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4597), 1,
      anon_sym_RPAREN,
    STATE(1095), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45042] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4599), 1,
      anon_sym_RPAREN,
    STATE(1067), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45072] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4601), 1,
      anon_sym_RPAREN,
    STATE(1064), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45102] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4603), 1,
      anon_sym_RPAREN,
    STATE(1083), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45132] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4605), 1,
      anon_sym_RPAREN,
    STATE(1093), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45162] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4607), 1,
      anon_sym_RPAREN,
    STATE(1038), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45192] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4609), 1,
      anon_sym_RPAREN,
    STATE(1027), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45222] = 9,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4567), 1,
      anon_sym_DQUOTE,
    ACTIONS(4569), 1,
      anon_sym_SQUOTE,
    ACTIONS(4571), 1,
      anon_sym_LPAREN,
    ACTIONS(4611), 1,
      anon_sym_RPAREN,
    STATE(992), 1,
      sym_link_title,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45252] = 8,
    ACTIONS(4613), 1,
      anon_sym_DQUOTE,
    ACTIONS(4615), 1,
      anon_sym_SQUOTE,
    ACTIONS(4617), 1,
      sym__newline_token,
    ACTIONS(4619), 1,
      aux_sym__attribute_value_token1,
    ACTIONS(4621), 1,
      sym__whitespace_ge_2,
    ACTIONS(4623), 1,
      aux_sym__whitespace_token1,
    STATE(1110), 1,
      sym__attribute_value,
    STATE(974), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45279] = 7,
    ACTIONS(4625), 1,
      anon_sym_GT,
    ACTIONS(4627), 1,
      anon_sym_SLASH,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    STATE(953), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(966), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45304] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4635), 1,
      anon_sym_GT,
    ACTIONS(4637), 1,
      anon_sym_SLASH,
    STATE(959), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(968), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45329] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4639), 1,
      anon_sym_GT,
    ACTIONS(4641), 1,
      anon_sym_SLASH,
    STATE(959), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(976), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45354] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4643), 1,
      anon_sym_GT,
    ACTIONS(4645), 1,
      anon_sym_SLASH,
    STATE(959), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(969), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45379] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4647), 1,
      anon_sym_GT,
    ACTIONS(4649), 1,
      anon_sym_SLASH,
    STATE(949), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(978), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45404] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4651), 1,
      anon_sym_GT,
    ACTIONS(4653), 1,
      anon_sym_SLASH,
    STATE(959), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(963), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45429] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4655), 1,
      anon_sym_GT,
    ACTIONS(4657), 1,
      anon_sym_SLASH,
    STATE(951), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(965), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45454] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4659), 1,
      anon_sym_GT,
    ACTIONS(4661), 1,
      anon_sym_SLASH,
    STATE(959), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(967), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45479] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4663), 1,
      anon_sym_GT,
    ACTIONS(4665), 1,
      anon_sym_SLASH,
    STATE(954), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(970), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45504] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4667), 1,
      anon_sym_GT,
    ACTIONS(4669), 1,
      anon_sym_SLASH,
    STATE(959), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(962), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45529] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4671), 1,
      anon_sym_GT,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    STATE(959), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(973), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45554] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4675), 1,
      anon_sym_GT,
    ACTIONS(4677), 1,
      anon_sym_SLASH,
    STATE(947), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(972), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45579] = 8,
    ACTIONS(4613), 1,
      anon_sym_DQUOTE,
    ACTIONS(4615), 1,
      anon_sym_SQUOTE,
    ACTIONS(4617), 1,
      sym__newline_token,
    ACTIONS(4621), 1,
      sym__whitespace_ge_2,
    ACTIONS(4623), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4679), 1,
      aux_sym__attribute_value_token1,
    STATE(1106), 1,
      sym__attribute_value,
    STATE(957), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45606] = 8,
    ACTIONS(4613), 1,
      anon_sym_DQUOTE,
    ACTIONS(4615), 1,
      anon_sym_SQUOTE,
    ACTIONS(4617), 1,
      sym__newline_token,
    ACTIONS(4621), 1,
      sym__whitespace_ge_2,
    ACTIONS(4623), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4681), 1,
      aux_sym__attribute_value_token1,
    STATE(1109), 1,
      sym__attribute_value,
    STATE(974), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45633] = 8,
    ACTIONS(4613), 1,
      anon_sym_DQUOTE,
    ACTIONS(4615), 1,
      anon_sym_SQUOTE,
    ACTIONS(4617), 1,
      sym__newline_token,
    ACTIONS(4621), 1,
      sym__whitespace_ge_2,
    ACTIONS(4623), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4681), 1,
      aux_sym__attribute_value_token1,
    STATE(1109), 1,
      sym__attribute_value,
    STATE(943), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45660] = 6,
    ACTIONS(4685), 1,
      sym__newline_token,
    ACTIONS(4688), 1,
      sym__whitespace_ge_2,
    ACTIONS(4691), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4683), 2,
      anon_sym_GT,
      anon_sym_SLASH,
    STATE(959), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(1091), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45683] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4694), 1,
      anon_sym_GT,
    ACTIONS(4696), 1,
      anon_sym_SLASH,
    STATE(946), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(980), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45708] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4698), 1,
      anon_sym_GT,
    ACTIONS(4700), 1,
      anon_sym_SLASH,
    STATE(945), 2,
      sym__attribute,
      aux_sym__open_tag_repeat1,
    STATE(964), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45733] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4702), 1,
      anon_sym_GT,
    ACTIONS(4704), 1,
      anon_sym_SLASH,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45757] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      sym__attribute_name,
    ACTIONS(4708), 1,
      anon_sym_GT,
    ACTIONS(4710), 1,
      anon_sym_SLASH,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45781] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4635), 1,
      anon_sym_GT,
    ACTIONS(4637), 1,
      anon_sym_SLASH,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45805] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4659), 1,
      anon_sym_GT,
    ACTIONS(4661), 1,
      anon_sym_SLASH,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45829] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4667), 1,
      anon_sym_GT,
    ACTIONS(4669), 1,
      anon_sym_SLASH,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45853] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      sym__attribute_name,
    ACTIONS(4712), 1,
      anon_sym_GT,
    ACTIONS(4714), 1,
      anon_sym_SLASH,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45877] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      sym__attribute_name,
    ACTIONS(4716), 1,
      anon_sym_GT,
    ACTIONS(4718), 1,
      anon_sym_SLASH,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45901] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      sym__attribute_name,
    ACTIONS(4720), 1,
      anon_sym_GT,
    ACTIONS(4722), 1,
      anon_sym_SLASH,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45925] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4671), 1,
      anon_sym_GT,
    ACTIONS(4673), 1,
      anon_sym_SLASH,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45949] = 5,
    ACTIONS(4724), 1,
      sym__newline_token,
    ACTIONS(4727), 1,
      sym__whitespace_ge_2,
    ACTIONS(4730), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3969), 3,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45969] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4643), 1,
      anon_sym_GT,
    ACTIONS(4645), 1,
      anon_sym_SLASH,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [45993] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      sym__attribute_name,
    ACTIONS(4733), 1,
      anon_sym_GT,
    ACTIONS(4735), 1,
      anon_sym_SLASH,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46017] = 5,
    ACTIONS(4737), 1,
      sym__newline_token,
    ACTIONS(4740), 1,
      sym__whitespace_ge_2,
    ACTIONS(4743), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3969), 3,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      aux_sym__attribute_value_token1,
    STATE(974), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46037] = 4,
    ACTIONS(4750), 1,
      aux_sym__whitespace_token1,
    STATE(977), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4748), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4746), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [46055] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      sym__attribute_name,
    ACTIONS(4752), 1,
      anon_sym_GT,
    ACTIONS(4754), 1,
      anon_sym_SLASH,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46079] = 4,
    ACTIONS(4761), 1,
      aux_sym__whitespace_token1,
    STATE(977), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4758), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4756), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [46097] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4651), 1,
      anon_sym_GT,
    ACTIONS(4653), 1,
      anon_sym_SLASH,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46121] = 4,
    ACTIONS(4767), 1,
      aux_sym__whitespace_token1,
    STATE(975), 1,
      aux_sym__tag_name_repeat1,
    ACTIONS(4765), 3,
      anon_sym_DASH,
      sym__word_no_digit,
      sym__digits,
    ACTIONS(4763), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [46139] = 7,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4639), 1,
      anon_sym_GT,
    ACTIONS(4641), 1,
      anon_sym_SLASH,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46163] = 3,
    ACTIONS(2921), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4769), 1,
      sym__last_token_whitespace,
    ACTIONS(2919), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [46177] = 3,
    ACTIONS(2877), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4771), 1,
      sym__last_token_whitespace,
    ACTIONS(2875), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [46191] = 5,
    ACTIONS(3618), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(927), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46209] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4773), 1,
      anon_sym_EQ,
    STATE(1084), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46227] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4611), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46245] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4611), 1,
      anon_sym_RPAREN,
    STATE(931), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46263] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4611), 1,
      anon_sym_RPAREN,
    STATE(993), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46281] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4587), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46299] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4587), 1,
      anon_sym_RPAREN,
    STATE(932), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46317] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4587), 1,
      anon_sym_RPAREN,
    STATE(996), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46335] = 5,
    ACTIONS(3618), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(1015), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46353] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4589), 1,
      anon_sym_RPAREN,
    STATE(997), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46371] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4589), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46389] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4591), 1,
      anon_sym_RPAREN,
    STATE(999), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46407] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4775), 1,
      anon_sym_GT,
    STATE(1080), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46425] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4591), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46443] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4777), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46461] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4777), 1,
      anon_sym_RPAREN,
    STATE(1001), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46479] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4779), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46497] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4779), 1,
      anon_sym_RPAREN,
    STATE(1002), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46515] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4781), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46533] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4783), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46551] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4609), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46569] = 5,
    ACTIONS(3620), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(923), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46587] = 5,
    ACTIONS(3620), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(1021), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46605] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4609), 1,
      anon_sym_RPAREN,
    STATE(937), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46623] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4609), 1,
      anon_sym_RPAREN,
    STATE(1034), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46641] = 5,
    ACTIONS(3628), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(940), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46659] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4607), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46677] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4785), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46695] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4787), 1,
      anon_sym_GT,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46713] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4607), 1,
      anon_sym_RPAREN,
    STATE(936), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46731] = 5,
    ACTIONS(3628), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(1009), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46749] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4607), 1,
      anon_sym_RPAREN,
    STATE(1047), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46767] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4581), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46785] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4581), 1,
      anon_sym_RPAREN,
    STATE(924), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46803] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4581), 1,
      anon_sym_RPAREN,
    STATE(1030), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46821] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4789), 1,
      anon_sym_GT,
    STATE(1099), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46839] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4791), 1,
      anon_sym_GT,
    STATE(1031), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46857] = 5,
    ACTIONS(3626), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(941), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46875] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4573), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46893] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4573), 1,
      anon_sym_RPAREN,
    STATE(925), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46911] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4573), 1,
      anon_sym_RPAREN,
    STATE(1042), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46929] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4575), 1,
      anon_sym_RPAREN,
    STATE(1055), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46947] = 5,
    ACTIONS(3602), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(926), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46965] = 5,
    ACTIONS(3602), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(1035), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [46983] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4601), 1,
      anon_sym_RPAREN,
    STATE(1062), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47001] = 5,
    ACTIONS(3656), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(933), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47019] = 5,
    ACTIONS(3656), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(1039), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47037] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4575), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47055] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4793), 1,
      anon_sym_GT,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47073] = 5,
    ACTIONS(3626), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(1003), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47091] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4577), 1,
      anon_sym_RPAREN,
    STATE(1101), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47109] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4601), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47127] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4579), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47145] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4579), 1,
      anon_sym_RPAREN,
    STATE(928), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47163] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4579), 1,
      anon_sym_RPAREN,
    STATE(1045), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47181] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4599), 1,
      anon_sym_RPAREN,
    STATE(1065), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47199] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4593), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47217] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4593), 1,
      anon_sym_RPAREN,
    STATE(929), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47235] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4593), 1,
      anon_sym_RPAREN,
    STATE(1048), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47253] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4577), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47271] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4583), 1,
      anon_sym_RPAREN,
    STATE(1049), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47289] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4603), 1,
      anon_sym_RPAREN,
    STATE(935), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47307] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4583), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47325] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4585), 1,
      anon_sym_RPAREN,
    STATE(1051), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47343] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4599), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47361] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4585), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47379] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4795), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47397] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4795), 1,
      anon_sym_RPAREN,
    STATE(1053), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47415] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4797), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47433] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4797), 1,
      anon_sym_RPAREN,
    STATE(1054), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47451] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4799), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47469] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4801), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47487] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4803), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47505] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4803), 1,
      anon_sym_RPAREN,
    STATE(1058), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47523] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4805), 1,
      anon_sym_RPAREN,
    STATE(1063), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47541] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4807), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47559] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4809), 1,
      anon_sym_GT,
    STATE(1066), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47577] = 5,
    ACTIONS(3654), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(934), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47595] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4811), 1,
      anon_sym_GT,
    STATE(1011), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47613] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4813), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47631] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4815), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47649] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4813), 1,
      anon_sym_RPAREN,
    STATE(1075), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47667] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4817), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47685] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4819), 1,
      anon_sym_GT,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47703] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4817), 1,
      anon_sym_RPAREN,
    STATE(1076), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47721] = 3,
    ACTIONS(2921), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4821), 1,
      sym__last_token_whitespace,
    ACTIONS(2919), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [47735] = 5,
    ACTIONS(3654), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(1086), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47753] = 3,
    ACTIONS(2877), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4823), 1,
      sym__last_token_whitespace,
    ACTIONS(2875), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [47767] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4825), 1,
      anon_sym_GT,
    STATE(1078), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47785] = 5,
    ACTIONS(3675), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(942), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47803] = 5,
    ACTIONS(3675), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(985), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47821] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4605), 1,
      anon_sym_RPAREN,
    STATE(1092), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47839] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4827), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47857] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4829), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47875] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4831), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47893] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4833), 1,
      anon_sym_GT,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47911] = 5,
    ACTIONS(3677), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(930), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47929] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4835), 1,
      anon_sym_GT,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47947] = 5,
    ACTIONS(3677), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(988), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47965] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4605), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [47983] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4597), 1,
      anon_sym_RPAREN,
    STATE(1094), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48001] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4837), 1,
      anon_sym_EQ,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48019] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4597), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48037] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4595), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48055] = 5,
    ACTIONS(3616), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(938), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48073] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4839), 1,
      anon_sym_GT,
    STATE(1096), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48091] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4595), 1,
      anon_sym_RPAREN,
    STATE(939), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48109] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4595), 1,
      anon_sym_RPAREN,
    STATE(1082), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48127] = 5,
    ACTIONS(4629), 1,
      sym__newline_token,
    ACTIONS(4631), 1,
      sym__whitespace_ge_2,
    ACTIONS(4633), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4706), 1,
      sym__attribute_name,
    STATE(971), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48145] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4841), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48163] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4841), 1,
      anon_sym_RPAREN,
    STATE(1010), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48181] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4843), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48199] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4843), 1,
      anon_sym_RPAREN,
    STATE(1077), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48217] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4845), 1,
      anon_sym_GT,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48235] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4603), 1,
      anon_sym_RPAREN,
    STATE(1085), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48253] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4603), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48271] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4847), 1,
      anon_sym_GT,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48289] = 5,
    ACTIONS(3616), 1,
      anon_sym_RPAREN,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    STATE(1098), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48307] = 5,
    ACTIONS(3947), 1,
      sym__newline_token,
    ACTIONS(3951), 1,
      sym__whitespace_ge_2,
    ACTIONS(3953), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4805), 1,
      anon_sym_RPAREN,
    STATE(922), 3,
      sym__whitespace,
      sym__soft_line_break,
      aux_sym_inline_link_repeat1,
  [48325] = 2,
    ACTIONS(3259), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [48336] = 2,
    ACTIONS(3275), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [48347] = 2,
    ACTIONS(3259), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3257), 5,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym__newline_token,
      aux_sym__attribute_value_token1,
      sym__whitespace_ge_2,
  [48358] = 2,
    ACTIONS(3275), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3273), 5,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__attribute_name,
      sym__whitespace_ge_2,
  [48369] = 2,
    ACTIONS(4851), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4849), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48379] = 2,
    ACTIONS(4855), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4853), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48389] = 2,
    ACTIONS(4859), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4857), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48399] = 2,
    ACTIONS(4863), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4861), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48409] = 2,
    ACTIONS(4867), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4865), 4,
      anon_sym_GT,
      anon_sym_SLASH,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48419] = 2,
    ACTIONS(3911), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3909), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48428] = 2,
    ACTIONS(4871), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4869), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48437] = 2,
    ACTIONS(4875), 1,
      aux_sym__whitespace_token1,
    ACTIONS(4873), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48446] = 2,
    ACTIONS(3875), 1,
      aux_sym__whitespace_token1,
    ACTIONS(3873), 3,
      anon_sym_RPAREN,
      sym__newline_token,
      sym__whitespace_ge_2,
  [48455] = 3,
    ACTIONS(4877), 1,
      anon_sym_LBRACK,
    ACTIONS(4879), 1,
      anon_sym_LPAREN,
    STATE(303), 1,
      sym_link_label,
  [48465] = 3,
    ACTIONS(4881), 1,
      anon_sym_LBRACK,
    ACTIONS(4883), 1,
      anon_sym_LPAREN,
    STATE(394), 1,
      sym_link_label,
  [48475] = 3,
    ACTIONS(4885), 1,
      anon_sym_LBRACK,
    ACTIONS(4887), 1,
      anon_sym_LPAREN,
    STATE(521), 1,
      sym_link_label,
  [48485] = 3,
    ACTIONS(4889), 1,
      anon_sym_LBRACK,
    ACTIONS(4891), 1,
      anon_sym_LPAREN,
    STATE(548), 1,
      sym_link_label,
  [48495] = 3,
    ACTIONS(4893), 1,
      anon_sym_LBRACK,
    ACTIONS(4895), 1,
      anon_sym_LPAREN,
    STATE(516), 1,
      sym_link_label,
  [48505] = 3,
    ACTIONS(4897), 1,
      anon_sym_LBRACK,
    ACTIONS(4899), 1,
      anon_sym_LPAREN,
    STATE(547), 1,
      sym_link_label,
  [48515] = 3,
    ACTIONS(4901), 1,
      anon_sym_LBRACK,
    ACTIONS(4903), 1,
      anon_sym_LPAREN,
    STATE(393), 1,
      sym_link_label,
  [48525] = 3,
    ACTIONS(4905), 1,
      anon_sym_LBRACK,
    ACTIONS(4907), 1,
      anon_sym_LPAREN,
    STATE(473), 1,
      sym_link_label,
  [48535] = 3,
    ACTIONS(4909), 1,
      anon_sym_LBRACK,
    ACTIONS(4911), 1,
      anon_sym_LPAREN,
    STATE(476), 1,
      sym_link_label,
  [48545] = 3,
    ACTIONS(4913), 1,
      anon_sym_LBRACK,
    ACTIONS(4915), 1,
      anon_sym_LPAREN,
    STATE(304), 1,
      sym_link_label,
  [48555] = 2,
    ACTIONS(4917), 1,
      sym__word_no_digit,
    STATE(995), 1,
      sym__tag_name,
  [48562] = 1,
    ACTIONS(4919), 2,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [48567] = 2,
    ACTIONS(4917), 1,
      sym__word_no_digit,
    STATE(1061), 1,
      sym__tag_name,
  [48574] = 2,
    ACTIONS(4917), 1,
      sym__word_no_digit,
    STATE(1088), 1,
      sym__tag_name,
  [48581] = 2,
    ACTIONS(4917), 1,
      sym__word_no_digit,
    STATE(1018), 1,
      sym__tag_name,
  [48588] = 2,
    ACTIONS(2919), 1,
      sym__trigger_error,
    ACTIONS(4921), 1,
      sym__last_token_whitespace,
  [48595] = 2,
    ACTIONS(4917), 1,
      sym__word_no_digit,
    STATE(1019), 1,
      sym__tag_name,
  [48602] = 2,
    ACTIONS(4917), 1,
      sym__word_no_digit,
    STATE(1059), 1,
      sym__tag_name,
  [48609] = 2,
    ACTIONS(4917), 1,
      sym__word_no_digit,
    STATE(1071), 1,
      sym__tag_name,
  [48616] = 1,
    ACTIONS(4667), 1,
      anon_sym_GT,
  [48620] = 1,
    ACTIONS(4752), 1,
      anon_sym_GT,
  [48624] = 1,
    ACTIONS(4712), 1,
      anon_sym_GT,
  [48628] = 1,
    ACTIONS(4923), 1,
      anon_sym_GT,
  [48632] = 1,
    ACTIONS(4639), 1,
      anon_sym_GT,
  [48636] = 1,
    ACTIONS(4925), 1,
      ts_builtin_sym_end,
  [48640] = 1,
    ACTIONS(4927), 1,
      anon_sym_GT,
  [48644] = 1,
    ACTIONS(4671), 1,
      anon_sym_GT,
  [48648] = 1,
    ACTIONS(4929), 1,
      sym__trigger_error,
  [48652] = 1,
    ACTIONS(4702), 1,
      anon_sym_GT,
  [48656] = 1,
    ACTIONS(4733), 1,
      anon_sym_GT,
  [48660] = 1,
    ACTIONS(4708), 1,
      anon_sym_GT,
  [48664] = 1,
    ACTIONS(3257), 1,
      sym__trigger_error,
  [48668] = 1,
    ACTIONS(4931), 1,
      anon_sym_GT,
  [48672] = 1,
    ACTIONS(4651), 1,
      anon_sym_GT,
  [48676] = 1,
    ACTIONS(4635), 1,
      anon_sym_GT,
  [48680] = 1,
    ACTIONS(4933), 1,
      sym__trigger_error,
  [48684] = 1,
    ACTIONS(4935), 1,
      sym__trigger_error,
  [48688] = 1,
    ACTIONS(4643), 1,
      anon_sym_GT,
  [48692] = 1,
    ACTIONS(4720), 1,
      anon_sym_GT,
  [48696] = 1,
    ACTIONS(4937), 1,
      anon_sym_GT,
  [48700] = 1,
    ACTIONS(4939), 1,
      anon_sym_GT,
  [48704] = 1,
    ACTIONS(4941), 1,
      anon_sym_GT,
  [48708] = 1,
    ACTIONS(4716), 1,
      anon_sym_GT,
  [48712] = 1,
    ACTIONS(4659), 1,
      anon_sym_GT,
  [48716] = 1,
    ACTIONS(4943), 1,
      anon_sym_GT,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(166)] = 0,
  [SMALL_STATE(167)] = 81,
  [SMALL_STATE(168)] = 164,
  [SMALL_STATE(169)] = 247,
  [SMALL_STATE(170)] = 328,
  [SMALL_STATE(171)] = 411,
  [SMALL_STATE(172)] = 492,
  [SMALL_STATE(173)] = 571,
  [SMALL_STATE(174)] = 650,
  [SMALL_STATE(175)] = 729,
  [SMALL_STATE(176)] = 808,
  [SMALL_STATE(177)] = 887,
  [SMALL_STATE(178)] = 966,
  [SMALL_STATE(179)] = 1045,
  [SMALL_STATE(180)] = 1124,
  [SMALL_STATE(181)] = 1206,
  [SMALL_STATE(182)] = 1284,
  [SMALL_STATE(183)] = 1366,
  [SMALL_STATE(184)] = 1448,
  [SMALL_STATE(185)] = 1528,
  [SMALL_STATE(186)] = 1608,
  [SMALL_STATE(187)] = 1688,
  [SMALL_STATE(188)] = 1768,
  [SMALL_STATE(189)] = 1848,
  [SMALL_STATE(190)] = 1928,
  [SMALL_STATE(191)] = 2006,
  [SMALL_STATE(192)] = 2085,
  [SMALL_STATE(193)] = 2166,
  [SMALL_STATE(194)] = 2232,
  [SMALL_STATE(195)] = 2298,
  [SMALL_STATE(196)] = 2366,
  [SMALL_STATE(197)] = 2432,
  [SMALL_STATE(198)] = 2498,
  [SMALL_STATE(199)] = 2566,
  [SMALL_STATE(200)] = 2634,
  [SMALL_STATE(201)] = 2702,
  [SMALL_STATE(202)] = 2768,
  [SMALL_STATE(203)] = 2834,
  [SMALL_STATE(204)] = 2900,
  [SMALL_STATE(205)] = 2968,
  [SMALL_STATE(206)] = 3034,
  [SMALL_STATE(207)] = 3102,
  [SMALL_STATE(208)] = 3170,
  [SMALL_STATE(209)] = 3238,
  [SMALL_STATE(210)] = 3299,
  [SMALL_STATE(211)] = 3380,
  [SMALL_STATE(212)] = 3461,
  [SMALL_STATE(213)] = 3542,
  [SMALL_STATE(214)] = 3605,
  [SMALL_STATE(215)] = 3666,
  [SMALL_STATE(216)] = 3747,
  [SMALL_STATE(217)] = 3828,
  [SMALL_STATE(218)] = 3889,
  [SMALL_STATE(219)] = 3970,
  [SMALL_STATE(220)] = 4031,
  [SMALL_STATE(221)] = 4112,
  [SMALL_STATE(222)] = 4173,
  [SMALL_STATE(223)] = 4254,
  [SMALL_STATE(224)] = 4317,
  [SMALL_STATE(225)] = 4380,
  [SMALL_STATE(226)] = 4441,
  [SMALL_STATE(227)] = 4522,
  [SMALL_STATE(228)] = 4603,
  [SMALL_STATE(229)] = 4684,
  [SMALL_STATE(230)] = 4745,
  [SMALL_STATE(231)] = 4826,
  [SMALL_STATE(232)] = 4907,
  [SMALL_STATE(233)] = 4968,
  [SMALL_STATE(234)] = 5029,
  [SMALL_STATE(235)] = 5090,
  [SMALL_STATE(236)] = 5151,
  [SMALL_STATE(237)] = 5214,
  [SMALL_STATE(238)] = 5275,
  [SMALL_STATE(239)] = 5338,
  [SMALL_STATE(240)] = 5401,
  [SMALL_STATE(241)] = 5482,
  [SMALL_STATE(242)] = 5563,
  [SMALL_STATE(243)] = 5644,
  [SMALL_STATE(244)] = 5725,
  [SMALL_STATE(245)] = 5786,
  [SMALL_STATE(246)] = 5867,
  [SMALL_STATE(247)] = 5948,
  [SMALL_STATE(248)] = 6015,
  [SMALL_STATE(249)] = 6076,
  [SMALL_STATE(250)] = 6141,
  [SMALL_STATE(251)] = 6202,
  [SMALL_STATE(252)] = 6283,
  [SMALL_STATE(253)] = 6350,
  [SMALL_STATE(254)] = 6413,
  [SMALL_STATE(255)] = 6474,
  [SMALL_STATE(256)] = 6539,
  [SMALL_STATE(257)] = 6600,
  [SMALL_STATE(258)] = 6661,
  [SMALL_STATE(259)] = 6722,
  [SMALL_STATE(260)] = 6803,
  [SMALL_STATE(261)] = 6884,
  [SMALL_STATE(262)] = 6945,
  [SMALL_STATE(263)] = 7003,
  [SMALL_STATE(264)] = 7061,
  [SMALL_STATE(265)] = 7119,
  [SMALL_STATE(266)] = 7177,
  [SMALL_STATE(267)] = 7235,
  [SMALL_STATE(268)] = 7293,
  [SMALL_STATE(269)] = 7351,
  [SMALL_STATE(270)] = 7409,
  [SMALL_STATE(271)] = 7467,
  [SMALL_STATE(272)] = 7525,
  [SMALL_STATE(273)] = 7583,
  [SMALL_STATE(274)] = 7641,
  [SMALL_STATE(275)] = 7699,
  [SMALL_STATE(276)] = 7757,
  [SMALL_STATE(277)] = 7815,
  [SMALL_STATE(278)] = 7873,
  [SMALL_STATE(279)] = 7945,
  [SMALL_STATE(280)] = 8003,
  [SMALL_STATE(281)] = 8061,
  [SMALL_STATE(282)] = 8119,
  [SMALL_STATE(283)] = 8177,
  [SMALL_STATE(284)] = 8235,
  [SMALL_STATE(285)] = 8293,
  [SMALL_STATE(286)] = 8351,
  [SMALL_STATE(287)] = 8409,
  [SMALL_STATE(288)] = 8467,
  [SMALL_STATE(289)] = 8527,
  [SMALL_STATE(290)] = 8585,
  [SMALL_STATE(291)] = 8645,
  [SMALL_STATE(292)] = 8703,
  [SMALL_STATE(293)] = 8761,
  [SMALL_STATE(294)] = 8819,
  [SMALL_STATE(295)] = 8877,
  [SMALL_STATE(296)] = 8935,
  [SMALL_STATE(297)] = 8993,
  [SMALL_STATE(298)] = 9051,
  [SMALL_STATE(299)] = 9109,
  [SMALL_STATE(300)] = 9167,
  [SMALL_STATE(301)] = 9225,
  [SMALL_STATE(302)] = 9283,
  [SMALL_STATE(303)] = 9341,
  [SMALL_STATE(304)] = 9399,
  [SMALL_STATE(305)] = 9457,
  [SMALL_STATE(306)] = 9515,
  [SMALL_STATE(307)] = 9573,
  [SMALL_STATE(308)] = 9631,
  [SMALL_STATE(309)] = 9689,
  [SMALL_STATE(310)] = 9747,
  [SMALL_STATE(311)] = 9805,
  [SMALL_STATE(312)] = 9863,
  [SMALL_STATE(313)] = 9921,
  [SMALL_STATE(314)] = 9979,
  [SMALL_STATE(315)] = 10037,
  [SMALL_STATE(316)] = 10095,
  [SMALL_STATE(317)] = 10153,
  [SMALL_STATE(318)] = 10211,
  [SMALL_STATE(319)] = 10269,
  [SMALL_STATE(320)] = 10327,
  [SMALL_STATE(321)] = 10385,
  [SMALL_STATE(322)] = 10443,
  [SMALL_STATE(323)] = 10501,
  [SMALL_STATE(324)] = 10559,
  [SMALL_STATE(325)] = 10617,
  [SMALL_STATE(326)] = 10675,
  [SMALL_STATE(327)] = 10733,
  [SMALL_STATE(328)] = 10791,
  [SMALL_STATE(329)] = 10849,
  [SMALL_STATE(330)] = 10907,
  [SMALL_STATE(331)] = 10965,
  [SMALL_STATE(332)] = 11023,
  [SMALL_STATE(333)] = 11081,
  [SMALL_STATE(334)] = 11139,
  [SMALL_STATE(335)] = 11197,
  [SMALL_STATE(336)] = 11255,
  [SMALL_STATE(337)] = 11313,
  [SMALL_STATE(338)] = 11371,
  [SMALL_STATE(339)] = 11429,
  [SMALL_STATE(340)] = 11487,
  [SMALL_STATE(341)] = 11545,
  [SMALL_STATE(342)] = 11603,
  [SMALL_STATE(343)] = 11661,
  [SMALL_STATE(344)] = 11719,
  [SMALL_STATE(345)] = 11777,
  [SMALL_STATE(346)] = 11835,
  [SMALL_STATE(347)] = 11893,
  [SMALL_STATE(348)] = 11951,
  [SMALL_STATE(349)] = 12009,
  [SMALL_STATE(350)] = 12071,
  [SMALL_STATE(351)] = 12129,
  [SMALL_STATE(352)] = 12191,
  [SMALL_STATE(353)] = 12249,
  [SMALL_STATE(354)] = 12307,
  [SMALL_STATE(355)] = 12365,
  [SMALL_STATE(356)] = 12425,
  [SMALL_STATE(357)] = 12483,
  [SMALL_STATE(358)] = 12541,
  [SMALL_STATE(359)] = 12599,
  [SMALL_STATE(360)] = 12657,
  [SMALL_STATE(361)] = 12717,
  [SMALL_STATE(362)] = 12775,
  [SMALL_STATE(363)] = 12833,
  [SMALL_STATE(364)] = 12891,
  [SMALL_STATE(365)] = 12949,
  [SMALL_STATE(366)] = 13007,
  [SMALL_STATE(367)] = 13065,
  [SMALL_STATE(368)] = 13123,
  [SMALL_STATE(369)] = 13181,
  [SMALL_STATE(370)] = 13239,
  [SMALL_STATE(371)] = 13297,
  [SMALL_STATE(372)] = 13355,
  [SMALL_STATE(373)] = 13413,
  [SMALL_STATE(374)] = 13471,
  [SMALL_STATE(375)] = 13529,
  [SMALL_STATE(376)] = 13589,
  [SMALL_STATE(377)] = 13647,
  [SMALL_STATE(378)] = 13705,
  [SMALL_STATE(379)] = 13763,
  [SMALL_STATE(380)] = 13821,
  [SMALL_STATE(381)] = 13879,
  [SMALL_STATE(382)] = 13937,
  [SMALL_STATE(383)] = 13995,
  [SMALL_STATE(384)] = 14057,
  [SMALL_STATE(385)] = 14117,
  [SMALL_STATE(386)] = 14175,
  [SMALL_STATE(387)] = 14233,
  [SMALL_STATE(388)] = 14291,
  [SMALL_STATE(389)] = 14351,
  [SMALL_STATE(390)] = 14413,
  [SMALL_STATE(391)] = 14473,
  [SMALL_STATE(392)] = 14531,
  [SMALL_STATE(393)] = 14589,
  [SMALL_STATE(394)] = 14647,
  [SMALL_STATE(395)] = 14705,
  [SMALL_STATE(396)] = 14765,
  [SMALL_STATE(397)] = 14837,
  [SMALL_STATE(398)] = 14895,
  [SMALL_STATE(399)] = 14953,
  [SMALL_STATE(400)] = 15015,
  [SMALL_STATE(401)] = 15073,
  [SMALL_STATE(402)] = 15131,
  [SMALL_STATE(403)] = 15189,
  [SMALL_STATE(404)] = 15247,
  [SMALL_STATE(405)] = 15305,
  [SMALL_STATE(406)] = 15363,
  [SMALL_STATE(407)] = 15425,
  [SMALL_STATE(408)] = 15483,
  [SMALL_STATE(409)] = 15541,
  [SMALL_STATE(410)] = 15599,
  [SMALL_STATE(411)] = 15657,
  [SMALL_STATE(412)] = 15715,
  [SMALL_STATE(413)] = 15773,
  [SMALL_STATE(414)] = 15831,
  [SMALL_STATE(415)] = 15889,
  [SMALL_STATE(416)] = 15947,
  [SMALL_STATE(417)] = 16005,
  [SMALL_STATE(418)] = 16063,
  [SMALL_STATE(419)] = 16121,
  [SMALL_STATE(420)] = 16179,
  [SMALL_STATE(421)] = 16237,
  [SMALL_STATE(422)] = 16295,
  [SMALL_STATE(423)] = 16355,
  [SMALL_STATE(424)] = 16415,
  [SMALL_STATE(425)] = 16475,
  [SMALL_STATE(426)] = 16533,
  [SMALL_STATE(427)] = 16591,
  [SMALL_STATE(428)] = 16649,
  [SMALL_STATE(429)] = 16721,
  [SMALL_STATE(430)] = 16793,
  [SMALL_STATE(431)] = 16851,
  [SMALL_STATE(432)] = 16909,
  [SMALL_STATE(433)] = 16967,
  [SMALL_STATE(434)] = 17025,
  [SMALL_STATE(435)] = 17083,
  [SMALL_STATE(436)] = 17141,
  [SMALL_STATE(437)] = 17199,
  [SMALL_STATE(438)] = 17271,
  [SMALL_STATE(439)] = 17329,
  [SMALL_STATE(440)] = 17387,
  [SMALL_STATE(441)] = 17445,
  [SMALL_STATE(442)] = 17503,
  [SMALL_STATE(443)] = 17561,
  [SMALL_STATE(444)] = 17619,
  [SMALL_STATE(445)] = 17677,
  [SMALL_STATE(446)] = 17737,
  [SMALL_STATE(447)] = 17795,
  [SMALL_STATE(448)] = 17855,
  [SMALL_STATE(449)] = 17913,
  [SMALL_STATE(450)] = 17973,
  [SMALL_STATE(451)] = 18031,
  [SMALL_STATE(452)] = 18103,
  [SMALL_STATE(453)] = 18175,
  [SMALL_STATE(454)] = 18233,
  [SMALL_STATE(455)] = 18293,
  [SMALL_STATE(456)] = 18353,
  [SMALL_STATE(457)] = 18411,
  [SMALL_STATE(458)] = 18469,
  [SMALL_STATE(459)] = 18527,
  [SMALL_STATE(460)] = 18585,
  [SMALL_STATE(461)] = 18657,
  [SMALL_STATE(462)] = 18715,
  [SMALL_STATE(463)] = 18773,
  [SMALL_STATE(464)] = 18831,
  [SMALL_STATE(465)] = 18889,
  [SMALL_STATE(466)] = 18947,
  [SMALL_STATE(467)] = 19005,
  [SMALL_STATE(468)] = 19063,
  [SMALL_STATE(469)] = 19123,
  [SMALL_STATE(470)] = 19183,
  [SMALL_STATE(471)] = 19243,
  [SMALL_STATE(472)] = 19301,
  [SMALL_STATE(473)] = 19359,
  [SMALL_STATE(474)] = 19417,
  [SMALL_STATE(475)] = 19489,
  [SMALL_STATE(476)] = 19561,
  [SMALL_STATE(477)] = 19619,
  [SMALL_STATE(478)] = 19677,
  [SMALL_STATE(479)] = 19737,
  [SMALL_STATE(480)] = 19795,
  [SMALL_STATE(481)] = 19853,
  [SMALL_STATE(482)] = 19911,
  [SMALL_STATE(483)] = 19969,
  [SMALL_STATE(484)] = 20041,
  [SMALL_STATE(485)] = 20099,
  [SMALL_STATE(486)] = 20157,
  [SMALL_STATE(487)] = 20215,
  [SMALL_STATE(488)] = 20273,
  [SMALL_STATE(489)] = 20331,
  [SMALL_STATE(490)] = 20389,
  [SMALL_STATE(491)] = 20447,
  [SMALL_STATE(492)] = 20507,
  [SMALL_STATE(493)] = 20565,
  [SMALL_STATE(494)] = 20625,
  [SMALL_STATE(495)] = 20683,
  [SMALL_STATE(496)] = 20741,
  [SMALL_STATE(497)] = 20799,
  [SMALL_STATE(498)] = 20871,
  [SMALL_STATE(499)] = 20943,
  [SMALL_STATE(500)] = 21001,
  [SMALL_STATE(501)] = 21059,
  [SMALL_STATE(502)] = 21117,
  [SMALL_STATE(503)] = 21175,
  [SMALL_STATE(504)] = 21247,
  [SMALL_STATE(505)] = 21305,
  [SMALL_STATE(506)] = 21363,
  [SMALL_STATE(507)] = 21421,
  [SMALL_STATE(508)] = 21479,
  [SMALL_STATE(509)] = 21537,
  [SMALL_STATE(510)] = 21595,
  [SMALL_STATE(511)] = 21653,
  [SMALL_STATE(512)] = 21711,
  [SMALL_STATE(513)] = 21769,
  [SMALL_STATE(514)] = 21827,
  [SMALL_STATE(515)] = 21885,
  [SMALL_STATE(516)] = 21957,
  [SMALL_STATE(517)] = 22015,
  [SMALL_STATE(518)] = 22087,
  [SMALL_STATE(519)] = 22145,
  [SMALL_STATE(520)] = 22203,
  [SMALL_STATE(521)] = 22261,
  [SMALL_STATE(522)] = 22319,
  [SMALL_STATE(523)] = 22377,
  [SMALL_STATE(524)] = 22435,
  [SMALL_STATE(525)] = 22493,
  [SMALL_STATE(526)] = 22551,
  [SMALL_STATE(527)] = 22609,
  [SMALL_STATE(528)] = 22667,
  [SMALL_STATE(529)] = 22725,
  [SMALL_STATE(530)] = 22783,
  [SMALL_STATE(531)] = 22841,
  [SMALL_STATE(532)] = 22899,
  [SMALL_STATE(533)] = 22957,
  [SMALL_STATE(534)] = 23015,
  [SMALL_STATE(535)] = 23073,
  [SMALL_STATE(536)] = 23131,
  [SMALL_STATE(537)] = 23192,
  [SMALL_STATE(538)] = 23249,
  [SMALL_STATE(539)] = 23306,
  [SMALL_STATE(540)] = 23363,
  [SMALL_STATE(541)] = 23420,
  [SMALL_STATE(542)] = 23479,
  [SMALL_STATE(543)] = 23536,
  [SMALL_STATE(544)] = 23593,
  [SMALL_STATE(545)] = 23650,
  [SMALL_STATE(546)] = 23707,
  [SMALL_STATE(547)] = 23764,
  [SMALL_STATE(548)] = 23821,
  [SMALL_STATE(549)] = 23878,
  [SMALL_STATE(550)] = 23935,
  [SMALL_STATE(551)] = 23992,
  [SMALL_STATE(552)] = 24049,
  [SMALL_STATE(553)] = 24106,
  [SMALL_STATE(554)] = 24163,
  [SMALL_STATE(555)] = 24220,
  [SMALL_STATE(556)] = 24277,
  [SMALL_STATE(557)] = 24334,
  [SMALL_STATE(558)] = 24391,
  [SMALL_STATE(559)] = 24448,
  [SMALL_STATE(560)] = 24505,
  [SMALL_STATE(561)] = 24562,
  [SMALL_STATE(562)] = 24619,
  [SMALL_STATE(563)] = 24676,
  [SMALL_STATE(564)] = 24733,
  [SMALL_STATE(565)] = 24792,
  [SMALL_STATE(566)] = 24849,
  [SMALL_STATE(567)] = 24906,
  [SMALL_STATE(568)] = 24963,
  [SMALL_STATE(569)] = 25020,
  [SMALL_STATE(570)] = 25077,
  [SMALL_STATE(571)] = 25134,
  [SMALL_STATE(572)] = 25191,
  [SMALL_STATE(573)] = 25248,
  [SMALL_STATE(574)] = 25305,
  [SMALL_STATE(575)] = 25362,
  [SMALL_STATE(576)] = 25423,
  [SMALL_STATE(577)] = 25484,
  [SMALL_STATE(578)] = 25541,
  [SMALL_STATE(579)] = 25598,
  [SMALL_STATE(580)] = 25655,
  [SMALL_STATE(581)] = 25712,
  [SMALL_STATE(582)] = 25769,
  [SMALL_STATE(583)] = 25826,
  [SMALL_STATE(584)] = 25883,
  [SMALL_STATE(585)] = 25940,
  [SMALL_STATE(586)] = 25997,
  [SMALL_STATE(587)] = 26054,
  [SMALL_STATE(588)] = 26111,
  [SMALL_STATE(589)] = 26168,
  [SMALL_STATE(590)] = 26225,
  [SMALL_STATE(591)] = 26282,
  [SMALL_STATE(592)] = 26339,
  [SMALL_STATE(593)] = 26396,
  [SMALL_STATE(594)] = 26453,
  [SMALL_STATE(595)] = 26510,
  [SMALL_STATE(596)] = 26567,
  [SMALL_STATE(597)] = 26624,
  [SMALL_STATE(598)] = 26681,
  [SMALL_STATE(599)] = 26742,
  [SMALL_STATE(600)] = 26799,
  [SMALL_STATE(601)] = 26855,
  [SMALL_STATE(602)] = 26911,
  [SMALL_STATE(603)] = 26967,
  [SMALL_STATE(604)] = 27023,
  [SMALL_STATE(605)] = 27079,
  [SMALL_STATE(606)] = 27135,
  [SMALL_STATE(607)] = 27191,
  [SMALL_STATE(608)] = 27247,
  [SMALL_STATE(609)] = 27303,
  [SMALL_STATE(610)] = 27359,
  [SMALL_STATE(611)] = 27415,
  [SMALL_STATE(612)] = 27471,
  [SMALL_STATE(613)] = 27527,
  [SMALL_STATE(614)] = 27583,
  [SMALL_STATE(615)] = 27641,
  [SMALL_STATE(616)] = 27697,
  [SMALL_STATE(617)] = 27753,
  [SMALL_STATE(618)] = 27809,
  [SMALL_STATE(619)] = 27865,
  [SMALL_STATE(620)] = 27921,
  [SMALL_STATE(621)] = 27977,
  [SMALL_STATE(622)] = 28035,
  [SMALL_STATE(623)] = 28091,
  [SMALL_STATE(624)] = 28147,
  [SMALL_STATE(625)] = 28203,
  [SMALL_STATE(626)] = 28259,
  [SMALL_STATE(627)] = 28315,
  [SMALL_STATE(628)] = 28371,
  [SMALL_STATE(629)] = 28427,
  [SMALL_STATE(630)] = 28485,
  [SMALL_STATE(631)] = 28543,
  [SMALL_STATE(632)] = 28601,
  [SMALL_STATE(633)] = 28659,
  [SMALL_STATE(634)] = 28715,
  [SMALL_STATE(635)] = 28771,
  [SMALL_STATE(636)] = 28827,
  [SMALL_STATE(637)] = 28883,
  [SMALL_STATE(638)] = 28939,
  [SMALL_STATE(639)] = 28995,
  [SMALL_STATE(640)] = 29051,
  [SMALL_STATE(641)] = 29109,
  [SMALL_STATE(642)] = 29167,
  [SMALL_STATE(643)] = 29223,
  [SMALL_STATE(644)] = 29279,
  [SMALL_STATE(645)] = 29335,
  [SMALL_STATE(646)] = 29416,
  [SMALL_STATE(647)] = 29497,
  [SMALL_STATE(648)] = 29578,
  [SMALL_STATE(649)] = 29659,
  [SMALL_STATE(650)] = 29740,
  [SMALL_STATE(651)] = 29821,
  [SMALL_STATE(652)] = 29902,
  [SMALL_STATE(653)] = 29983,
  [SMALL_STATE(654)] = 30064,
  [SMALL_STATE(655)] = 30145,
  [SMALL_STATE(656)] = 30226,
  [SMALL_STATE(657)] = 30305,
  [SMALL_STATE(658)] = 30386,
  [SMALL_STATE(659)] = 30467,
  [SMALL_STATE(660)] = 30546,
  [SMALL_STATE(661)] = 30627,
  [SMALL_STATE(662)] = 30708,
  [SMALL_STATE(663)] = 30789,
  [SMALL_STATE(664)] = 30870,
  [SMALL_STATE(665)] = 30951,
  [SMALL_STATE(666)] = 31032,
  [SMALL_STATE(667)] = 31113,
  [SMALL_STATE(668)] = 31179,
  [SMALL_STATE(669)] = 31233,
  [SMALL_STATE(670)] = 31299,
  [SMALL_STATE(671)] = 31373,
  [SMALL_STATE(672)] = 31427,
  [SMALL_STATE(673)] = 31493,
  [SMALL_STATE(674)] = 31559,
  [SMALL_STATE(675)] = 31613,
  [SMALL_STATE(676)] = 31664,
  [SMALL_STATE(677)] = 31715,
  [SMALL_STATE(678)] = 31766,
  [SMALL_STATE(679)] = 31833,
  [SMALL_STATE(680)] = 31900,
  [SMALL_STATE(681)] = 31951,
  [SMALL_STATE(682)] = 32017,
  [SMALL_STATE(683)] = 32083,
  [SMALL_STATE(684)] = 32147,
  [SMALL_STATE(685)] = 32213,
  [SMALL_STATE(686)] = 32279,
  [SMALL_STATE(687)] = 32345,
  [SMALL_STATE(688)] = 32411,
  [SMALL_STATE(689)] = 32477,
  [SMALL_STATE(690)] = 32543,
  [SMALL_STATE(691)] = 32604,
  [SMALL_STATE(692)] = 32665,
  [SMALL_STATE(693)] = 32722,
  [SMALL_STATE(694)] = 32783,
  [SMALL_STATE(695)] = 32848,
  [SMALL_STATE(696)] = 32905,
  [SMALL_STATE(697)] = 32966,
  [SMALL_STATE(698)] = 33027,
  [SMALL_STATE(699)] = 33084,
  [SMALL_STATE(700)] = 33149,
  [SMALL_STATE(701)] = 33206,
  [SMALL_STATE(702)] = 33271,
  [SMALL_STATE(703)] = 33333,
  [SMALL_STATE(704)] = 33383,
  [SMALL_STATE(705)] = 33445,
  [SMALL_STATE(706)] = 33495,
  [SMALL_STATE(707)] = 33551,
  [SMALL_STATE(708)] = 33601,
  [SMALL_STATE(709)] = 33663,
  [SMALL_STATE(710)] = 33723,
  [SMALL_STATE(711)] = 33785,
  [SMALL_STATE(712)] = 33835,
  [SMALL_STATE(713)] = 33897,
  [SMALL_STATE(714)] = 33957,
  [SMALL_STATE(715)] = 34019,
  [SMALL_STATE(716)] = 34069,
  [SMALL_STATE(717)] = 34129,
  [SMALL_STATE(718)] = 34191,
  [SMALL_STATE(719)] = 34253,
  [SMALL_STATE(720)] = 34315,
  [SMALL_STATE(721)] = 34365,
  [SMALL_STATE(722)] = 34427,
  [SMALL_STATE(723)] = 34489,
  [SMALL_STATE(724)] = 34551,
  [SMALL_STATE(725)] = 34613,
  [SMALL_STATE(726)] = 34675,
  [SMALL_STATE(727)] = 34734,
  [SMALL_STATE(728)] = 34793,
  [SMALL_STATE(729)] = 34852,
  [SMALL_STATE(730)] = 34899,
  [SMALL_STATE(731)] = 34946,
  [SMALL_STATE(732)] = 34993,
  [SMALL_STATE(733)] = 35040,
  [SMALL_STATE(734)] = 35087,
  [SMALL_STATE(735)] = 35134,
  [SMALL_STATE(736)] = 35181,
  [SMALL_STATE(737)] = 35240,
  [SMALL_STATE(738)] = 35299,
  [SMALL_STATE(739)] = 35346,
  [SMALL_STATE(740)] = 35393,
  [SMALL_STATE(741)] = 35440,
  [SMALL_STATE(742)] = 35487,
  [SMALL_STATE(743)] = 35546,
  [SMALL_STATE(744)] = 35605,
  [SMALL_STATE(745)] = 35664,
  [SMALL_STATE(746)] = 35711,
  [SMALL_STATE(747)] = 35758,
  [SMALL_STATE(748)] = 35817,
  [SMALL_STATE(749)] = 35876,
  [SMALL_STATE(750)] = 35935,
  [SMALL_STATE(751)] = 35982,
  [SMALL_STATE(752)] = 36029,
  [SMALL_STATE(753)] = 36076,
  [SMALL_STATE(754)] = 36123,
  [SMALL_STATE(755)] = 36170,
  [SMALL_STATE(756)] = 36229,
  [SMALL_STATE(757)] = 36288,
  [SMALL_STATE(758)] = 36335,
  [SMALL_STATE(759)] = 36382,
  [SMALL_STATE(760)] = 36429,
  [SMALL_STATE(761)] = 36476,
  [SMALL_STATE(762)] = 36535,
  [SMALL_STATE(763)] = 36594,
  [SMALL_STATE(764)] = 36653,
  [SMALL_STATE(765)] = 36712,
  [SMALL_STATE(766)] = 36759,
  [SMALL_STATE(767)] = 36806,
  [SMALL_STATE(768)] = 36853,
  [SMALL_STATE(769)] = 36900,
  [SMALL_STATE(770)] = 36947,
  [SMALL_STATE(771)] = 36994,
  [SMALL_STATE(772)] = 37053,
  [SMALL_STATE(773)] = 37112,
  [SMALL_STATE(774)] = 37171,
  [SMALL_STATE(775)] = 37230,
  [SMALL_STATE(776)] = 37289,
  [SMALL_STATE(777)] = 37336,
  [SMALL_STATE(778)] = 37395,
  [SMALL_STATE(779)] = 37442,
  [SMALL_STATE(780)] = 37501,
  [SMALL_STATE(781)] = 37548,
  [SMALL_STATE(782)] = 37607,
  [SMALL_STATE(783)] = 37666,
  [SMALL_STATE(784)] = 37725,
  [SMALL_STATE(785)] = 37772,
  [SMALL_STATE(786)] = 37831,
  [SMALL_STATE(787)] = 37878,
  [SMALL_STATE(788)] = 37925,
  [SMALL_STATE(789)] = 37972,
  [SMALL_STATE(790)] = 38031,
  [SMALL_STATE(791)] = 38090,
  [SMALL_STATE(792)] = 38149,
  [SMALL_STATE(793)] = 38196,
  [SMALL_STATE(794)] = 38243,
  [SMALL_STATE(795)] = 38302,
  [SMALL_STATE(796)] = 38361,
  [SMALL_STATE(797)] = 38420,
  [SMALL_STATE(798)] = 38467,
  [SMALL_STATE(799)] = 38514,
  [SMALL_STATE(800)] = 38573,
  [SMALL_STATE(801)] = 38632,
  [SMALL_STATE(802)] = 38679,
  [SMALL_STATE(803)] = 38738,
  [SMALL_STATE(804)] = 38797,
  [SMALL_STATE(805)] = 38856,
  [SMALL_STATE(806)] = 38915,
  [SMALL_STATE(807)] = 38974,
  [SMALL_STATE(808)] = 39033,
  [SMALL_STATE(809)] = 39092,
  [SMALL_STATE(810)] = 39151,
  [SMALL_STATE(811)] = 39210,
  [SMALL_STATE(812)] = 39269,
  [SMALL_STATE(813)] = 39328,
  [SMALL_STATE(814)] = 39387,
  [SMALL_STATE(815)] = 39434,
  [SMALL_STATE(816)] = 39493,
  [SMALL_STATE(817)] = 39552,
  [SMALL_STATE(818)] = 39611,
  [SMALL_STATE(819)] = 39670,
  [SMALL_STATE(820)] = 39729,
  [SMALL_STATE(821)] = 39788,
  [SMALL_STATE(822)] = 39847,
  [SMALL_STATE(823)] = 39906,
  [SMALL_STATE(824)] = 39965,
  [SMALL_STATE(825)] = 40024,
  [SMALL_STATE(826)] = 40083,
  [SMALL_STATE(827)] = 40130,
  [SMALL_STATE(828)] = 40186,
  [SMALL_STATE(829)] = 40242,
  [SMALL_STATE(830)] = 40292,
  [SMALL_STATE(831)] = 40340,
  [SMALL_STATE(832)] = 40396,
  [SMALL_STATE(833)] = 40444,
  [SMALL_STATE(834)] = 40500,
  [SMALL_STATE(835)] = 40556,
  [SMALL_STATE(836)] = 40612,
  [SMALL_STATE(837)] = 40666,
  [SMALL_STATE(838)] = 40722,
  [SMALL_STATE(839)] = 40770,
  [SMALL_STATE(840)] = 40826,
  [SMALL_STATE(841)] = 40882,
  [SMALL_STATE(842)] = 40938,
  [SMALL_STATE(843)] = 40994,
  [SMALL_STATE(844)] = 41042,
  [SMALL_STATE(845)] = 41098,
  [SMALL_STATE(846)] = 41154,
  [SMALL_STATE(847)] = 41204,
  [SMALL_STATE(848)] = 41260,
  [SMALL_STATE(849)] = 41316,
  [SMALL_STATE(850)] = 41364,
  [SMALL_STATE(851)] = 41416,
  [SMALL_STATE(852)] = 41464,
  [SMALL_STATE(853)] = 41520,
  [SMALL_STATE(854)] = 41576,
  [SMALL_STATE(855)] = 41632,
  [SMALL_STATE(856)] = 41688,
  [SMALL_STATE(857)] = 41744,
  [SMALL_STATE(858)] = 41800,
  [SMALL_STATE(859)] = 41856,
  [SMALL_STATE(860)] = 41912,
  [SMALL_STATE(861)] = 41960,
  [SMALL_STATE(862)] = 42005,
  [SMALL_STATE(863)] = 42056,
  [SMALL_STATE(864)] = 42101,
  [SMALL_STATE(865)] = 42146,
  [SMALL_STATE(866)] = 42191,
  [SMALL_STATE(867)] = 42236,
  [SMALL_STATE(868)] = 42285,
  [SMALL_STATE(869)] = 42330,
  [SMALL_STATE(870)] = 42375,
  [SMALL_STATE(871)] = 42420,
  [SMALL_STATE(872)] = 42465,
  [SMALL_STATE(873)] = 42514,
  [SMALL_STATE(874)] = 42559,
  [SMALL_STATE(875)] = 42604,
  [SMALL_STATE(876)] = 42655,
  [SMALL_STATE(877)] = 42700,
  [SMALL_STATE(878)] = 42745,
  [SMALL_STATE(879)] = 42790,
  [SMALL_STATE(880)] = 42837,
  [SMALL_STATE(881)] = 42881,
  [SMALL_STATE(882)] = 42925,
  [SMALL_STATE(883)] = 42971,
  [SMALL_STATE(884)] = 43017,
  [SMALL_STATE(885)] = 43063,
  [SMALL_STATE(886)] = 43109,
  [SMALL_STATE(887)] = 43155,
  [SMALL_STATE(888)] = 43201,
  [SMALL_STATE(889)] = 43247,
  [SMALL_STATE(890)] = 43293,
  [SMALL_STATE(891)] = 43345,
  [SMALL_STATE(892)] = 43391,
  [SMALL_STATE(893)] = 43437,
  [SMALL_STATE(894)] = 43483,
  [SMALL_STATE(895)] = 43528,
  [SMALL_STATE(896)] = 43573,
  [SMALL_STATE(897)] = 43618,
  [SMALL_STATE(898)] = 43661,
  [SMALL_STATE(899)] = 43704,
  [SMALL_STATE(900)] = 43747,
  [SMALL_STATE(901)] = 43790,
  [SMALL_STATE(902)] = 43833,
  [SMALL_STATE(903)] = 43876,
  [SMALL_STATE(904)] = 43919,
  [SMALL_STATE(905)] = 43962,
  [SMALL_STATE(906)] = 44005,
  [SMALL_STATE(907)] = 44048,
  [SMALL_STATE(908)] = 44091,
  [SMALL_STATE(909)] = 44136,
  [SMALL_STATE(910)] = 44181,
  [SMALL_STATE(911)] = 44223,
  [SMALL_STATE(912)] = 44265,
  [SMALL_STATE(913)] = 44307,
  [SMALL_STATE(914)] = 44349,
  [SMALL_STATE(915)] = 44391,
  [SMALL_STATE(916)] = 44425,
  [SMALL_STATE(917)] = 44459,
  [SMALL_STATE(918)] = 44493,
  [SMALL_STATE(919)] = 44527,
  [SMALL_STATE(920)] = 44561,
  [SMALL_STATE(921)] = 44595,
  [SMALL_STATE(922)] = 44629,
  [SMALL_STATE(923)] = 44652,
  [SMALL_STATE(924)] = 44682,
  [SMALL_STATE(925)] = 44712,
  [SMALL_STATE(926)] = 44742,
  [SMALL_STATE(927)] = 44772,
  [SMALL_STATE(928)] = 44802,
  [SMALL_STATE(929)] = 44832,
  [SMALL_STATE(930)] = 44862,
  [SMALL_STATE(931)] = 44892,
  [SMALL_STATE(932)] = 44922,
  [SMALL_STATE(933)] = 44952,
  [SMALL_STATE(934)] = 44982,
  [SMALL_STATE(935)] = 45012,
  [SMALL_STATE(936)] = 45042,
  [SMALL_STATE(937)] = 45072,
  [SMALL_STATE(938)] = 45102,
  [SMALL_STATE(939)] = 45132,
  [SMALL_STATE(940)] = 45162,
  [SMALL_STATE(941)] = 45192,
  [SMALL_STATE(942)] = 45222,
  [SMALL_STATE(943)] = 45252,
  [SMALL_STATE(944)] = 45279,
  [SMALL_STATE(945)] = 45304,
  [SMALL_STATE(946)] = 45329,
  [SMALL_STATE(947)] = 45354,
  [SMALL_STATE(948)] = 45379,
  [SMALL_STATE(949)] = 45404,
  [SMALL_STATE(950)] = 45429,
  [SMALL_STATE(951)] = 45454,
  [SMALL_STATE(952)] = 45479,
  [SMALL_STATE(953)] = 45504,
  [SMALL_STATE(954)] = 45529,
  [SMALL_STATE(955)] = 45554,
  [SMALL_STATE(956)] = 45579,
  [SMALL_STATE(957)] = 45606,
  [SMALL_STATE(958)] = 45633,
  [SMALL_STATE(959)] = 45660,
  [SMALL_STATE(960)] = 45683,
  [SMALL_STATE(961)] = 45708,
  [SMALL_STATE(962)] = 45733,
  [SMALL_STATE(963)] = 45757,
  [SMALL_STATE(964)] = 45781,
  [SMALL_STATE(965)] = 45805,
  [SMALL_STATE(966)] = 45829,
  [SMALL_STATE(967)] = 45853,
  [SMALL_STATE(968)] = 45877,
  [SMALL_STATE(969)] = 45901,
  [SMALL_STATE(970)] = 45925,
  [SMALL_STATE(971)] = 45949,
  [SMALL_STATE(972)] = 45969,
  [SMALL_STATE(973)] = 45993,
  [SMALL_STATE(974)] = 46017,
  [SMALL_STATE(975)] = 46037,
  [SMALL_STATE(976)] = 46055,
  [SMALL_STATE(977)] = 46079,
  [SMALL_STATE(978)] = 46097,
  [SMALL_STATE(979)] = 46121,
  [SMALL_STATE(980)] = 46139,
  [SMALL_STATE(981)] = 46163,
  [SMALL_STATE(982)] = 46177,
  [SMALL_STATE(983)] = 46191,
  [SMALL_STATE(984)] = 46209,
  [SMALL_STATE(985)] = 46227,
  [SMALL_STATE(986)] = 46245,
  [SMALL_STATE(987)] = 46263,
  [SMALL_STATE(988)] = 46281,
  [SMALL_STATE(989)] = 46299,
  [SMALL_STATE(990)] = 46317,
  [SMALL_STATE(991)] = 46335,
  [SMALL_STATE(992)] = 46353,
  [SMALL_STATE(993)] = 46371,
  [SMALL_STATE(994)] = 46389,
  [SMALL_STATE(995)] = 46407,
  [SMALL_STATE(996)] = 46425,
  [SMALL_STATE(997)] = 46443,
  [SMALL_STATE(998)] = 46461,
  [SMALL_STATE(999)] = 46479,
  [SMALL_STATE(1000)] = 46497,
  [SMALL_STATE(1001)] = 46515,
  [SMALL_STATE(1002)] = 46533,
  [SMALL_STATE(1003)] = 46551,
  [SMALL_STATE(1004)] = 46569,
  [SMALL_STATE(1005)] = 46587,
  [SMALL_STATE(1006)] = 46605,
  [SMALL_STATE(1007)] = 46623,
  [SMALL_STATE(1008)] = 46641,
  [SMALL_STATE(1009)] = 46659,
  [SMALL_STATE(1010)] = 46677,
  [SMALL_STATE(1011)] = 46695,
  [SMALL_STATE(1012)] = 46713,
  [SMALL_STATE(1013)] = 46731,
  [SMALL_STATE(1014)] = 46749,
  [SMALL_STATE(1015)] = 46767,
  [SMALL_STATE(1016)] = 46785,
  [SMALL_STATE(1017)] = 46803,
  [SMALL_STATE(1018)] = 46821,
  [SMALL_STATE(1019)] = 46839,
  [SMALL_STATE(1020)] = 46857,
  [SMALL_STATE(1021)] = 46875,
  [SMALL_STATE(1022)] = 46893,
  [SMALL_STATE(1023)] = 46911,
  [SMALL_STATE(1024)] = 46929,
  [SMALL_STATE(1025)] = 46947,
  [SMALL_STATE(1026)] = 46965,
  [SMALL_STATE(1027)] = 46983,
  [SMALL_STATE(1028)] = 47001,
  [SMALL_STATE(1029)] = 47019,
  [SMALL_STATE(1030)] = 47037,
  [SMALL_STATE(1031)] = 47055,
  [SMALL_STATE(1032)] = 47073,
  [SMALL_STATE(1033)] = 47091,
  [SMALL_STATE(1034)] = 47109,
  [SMALL_STATE(1035)] = 47127,
  [SMALL_STATE(1036)] = 47145,
  [SMALL_STATE(1037)] = 47163,
  [SMALL_STATE(1038)] = 47181,
  [SMALL_STATE(1039)] = 47199,
  [SMALL_STATE(1040)] = 47217,
  [SMALL_STATE(1041)] = 47235,
  [SMALL_STATE(1042)] = 47253,
  [SMALL_STATE(1043)] = 47271,
  [SMALL_STATE(1044)] = 47289,
  [SMALL_STATE(1045)] = 47307,
  [SMALL_STATE(1046)] = 47325,
  [SMALL_STATE(1047)] = 47343,
  [SMALL_STATE(1048)] = 47361,
  [SMALL_STATE(1049)] = 47379,
  [SMALL_STATE(1050)] = 47397,
  [SMALL_STATE(1051)] = 47415,
  [SMALL_STATE(1052)] = 47433,
  [SMALL_STATE(1053)] = 47451,
  [SMALL_STATE(1054)] = 47469,
  [SMALL_STATE(1055)] = 47487,
  [SMALL_STATE(1056)] = 47505,
  [SMALL_STATE(1057)] = 47523,
  [SMALL_STATE(1058)] = 47541,
  [SMALL_STATE(1059)] = 47559,
  [SMALL_STATE(1060)] = 47577,
  [SMALL_STATE(1061)] = 47595,
  [SMALL_STATE(1062)] = 47613,
  [SMALL_STATE(1063)] = 47631,
  [SMALL_STATE(1064)] = 47649,
  [SMALL_STATE(1065)] = 47667,
  [SMALL_STATE(1066)] = 47685,
  [SMALL_STATE(1067)] = 47703,
  [SMALL_STATE(1068)] = 47721,
  [SMALL_STATE(1069)] = 47735,
  [SMALL_STATE(1070)] = 47753,
  [SMALL_STATE(1071)] = 47767,
  [SMALL_STATE(1072)] = 47785,
  [SMALL_STATE(1073)] = 47803,
  [SMALL_STATE(1074)] = 47821,
  [SMALL_STATE(1075)] = 47839,
  [SMALL_STATE(1076)] = 47857,
  [SMALL_STATE(1077)] = 47875,
  [SMALL_STATE(1078)] = 47893,
  [SMALL_STATE(1079)] = 47911,
  [SMALL_STATE(1080)] = 47929,
  [SMALL_STATE(1081)] = 47947,
  [SMALL_STATE(1082)] = 47965,
  [SMALL_STATE(1083)] = 47983,
  [SMALL_STATE(1084)] = 48001,
  [SMALL_STATE(1085)] = 48019,
  [SMALL_STATE(1086)] = 48037,
  [SMALL_STATE(1087)] = 48055,
  [SMALL_STATE(1088)] = 48073,
  [SMALL_STATE(1089)] = 48091,
  [SMALL_STATE(1090)] = 48109,
  [SMALL_STATE(1091)] = 48127,
  [SMALL_STATE(1092)] = 48145,
  [SMALL_STATE(1093)] = 48163,
  [SMALL_STATE(1094)] = 48181,
  [SMALL_STATE(1095)] = 48199,
  [SMALL_STATE(1096)] = 48217,
  [SMALL_STATE(1097)] = 48235,
  [SMALL_STATE(1098)] = 48253,
  [SMALL_STATE(1099)] = 48271,
  [SMALL_STATE(1100)] = 48289,
  [SMALL_STATE(1101)] = 48307,
  [SMALL_STATE(1102)] = 48325,
  [SMALL_STATE(1103)] = 48336,
  [SMALL_STATE(1104)] = 48347,
  [SMALL_STATE(1105)] = 48358,
  [SMALL_STATE(1106)] = 48369,
  [SMALL_STATE(1107)] = 48379,
  [SMALL_STATE(1108)] = 48389,
  [SMALL_STATE(1109)] = 48399,
  [SMALL_STATE(1110)] = 48409,
  [SMALL_STATE(1111)] = 48419,
  [SMALL_STATE(1112)] = 48428,
  [SMALL_STATE(1113)] = 48437,
  [SMALL_STATE(1114)] = 48446,
  [SMALL_STATE(1115)] = 48455,
  [SMALL_STATE(1116)] = 48465,
  [SMALL_STATE(1117)] = 48475,
  [SMALL_STATE(1118)] = 48485,
  [SMALL_STATE(1119)] = 48495,
  [SMALL_STATE(1120)] = 48505,
  [SMALL_STATE(1121)] = 48515,
  [SMALL_STATE(1122)] = 48525,
  [SMALL_STATE(1123)] = 48535,
  [SMALL_STATE(1124)] = 48545,
  [SMALL_STATE(1125)] = 48555,
  [SMALL_STATE(1126)] = 48562,
  [SMALL_STATE(1127)] = 48567,
  [SMALL_STATE(1128)] = 48574,
  [SMALL_STATE(1129)] = 48581,
  [SMALL_STATE(1130)] = 48588,
  [SMALL_STATE(1131)] = 48595,
  [SMALL_STATE(1132)] = 48602,
  [SMALL_STATE(1133)] = 48609,
  [SMALL_STATE(1134)] = 48616,
  [SMALL_STATE(1135)] = 48620,
  [SMALL_STATE(1136)] = 48624,
  [SMALL_STATE(1137)] = 48628,
  [SMALL_STATE(1138)] = 48632,
  [SMALL_STATE(1139)] = 48636,
  [SMALL_STATE(1140)] = 48640,
  [SMALL_STATE(1141)] = 48644,
  [SMALL_STATE(1142)] = 48648,
  [SMALL_STATE(1143)] = 48652,
  [SMALL_STATE(1144)] = 48656,
  [SMALL_STATE(1145)] = 48660,
  [SMALL_STATE(1146)] = 48664,
  [SMALL_STATE(1147)] = 48668,
  [SMALL_STATE(1148)] = 48672,
  [SMALL_STATE(1149)] = 48676,
  [SMALL_STATE(1150)] = 48680,
  [SMALL_STATE(1151)] = 48684,
  [SMALL_STATE(1152)] = 48688,
  [SMALL_STATE(1153)] = 48692,
  [SMALL_STATE(1154)] = 48696,
  [SMALL_STATE(1155)] = 48700,
  [SMALL_STATE(1156)] = 48704,
  [SMALL_STATE(1157)] = 48708,
  [SMALL_STATE(1158)] = 48712,
  [SMALL_STATE(1159)] = 48716,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(206),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [47] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0),
  [49] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(434),
  [52] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(150),
  [55] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(89),
  [58] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(214),
  [61] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(195),
  [64] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(221),
  [67] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(239),
  [70] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(221),
  [73] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(201),
  [76] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(225),
  [79] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(189),
  [82] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(179),
  [85] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(200),
  [88] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(174),
  [91] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(205),
  [94] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(237),
  [97] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(210),
  [100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(7),
  [103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(12),
  [106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(8),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(211),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(353),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(148),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(86),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(257),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(199),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(254),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(238),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(254),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(203),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(232),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(187),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(175),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(198),
  [153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(177),
  [156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(202),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(258),
  [162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(218),
  [165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(15),
  [168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(4),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(5),
  [176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(220),
  [179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(434),
  [182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(150),
  [185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(89),
  [188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(214),
  [191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(195),
  [194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(221),
  [197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(239),
  [200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(221),
  [203] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(201),
  [206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(225),
  [209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(189),
  [212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(179),
  [215] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(200),
  [218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(174),
  [221] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(205),
  [224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(237),
  [227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(210),
  [230] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(7),
  [233] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(12),
  [236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(8),
  [243] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(211),
  [246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(276),
  [249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(154),
  [252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(87),
  [255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(261),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(204),
  [261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(248),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(223),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(248),
  [270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(197),
  [273] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(209),
  [276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(188),
  [279] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(178),
  [282] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(207),
  [285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(172),
  [288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(193),
  [291] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(256),
  [294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(226),
  [297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(9),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(10),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(16),
  [308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(227),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(276),
  [314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(154),
  [317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(87),
  [320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(261),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(204),
  [326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(248),
  [329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(223),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(248),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(197),
  [338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(209),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(188),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(178),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(207),
  [350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(172),
  [353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(193),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(256),
  [359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(226),
  [362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(9),
  [365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(10),
  [368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(16),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(227),
  [376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(353),
  [379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(148),
  [382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(86),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(257),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(199),
  [391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(254),
  [394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(238),
  [397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(254),
  [400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(203),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(232),
  [406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(187),
  [409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(175),
  [412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(198),
  [415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(177),
  [418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(202),
  [421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(258),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(218),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(15),
  [430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(4),
  [433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0),
  [435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(5),
  [440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(220),
  [443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(276),
  [446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(154),
  [449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(87),
  [452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(261),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(204),
  [458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(248),
  [461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(223),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(248),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(197),
  [470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(209),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(188),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(178),
  [479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(207),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(172),
  [485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(193),
  [488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(256),
  [491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(226),
  [494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(9),
  [497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(10),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(16),
  [505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(227),
  [508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(353),
  [511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(148),
  [514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(86),
  [517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(257),
  [520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(199),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(254),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(238),
  [529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(254),
  [532] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(203),
  [535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(232),
  [538] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(187),
  [541] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(175),
  [544] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(198),
  [547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(177),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(202),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(258),
  [556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(218),
  [559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(15),
  [562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(4),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(5),
  [570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0),
  [572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(220),
  [575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(434),
  [578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(150),
  [581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(89),
  [584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(214),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(195),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(221),
  [593] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(239),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(221),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(201),
  [602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(225),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(189),
  [608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(179),
  [611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(200),
  [614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(174),
  [617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(205),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(237),
  [623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(210),
  [626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(7),
  [629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(12),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(8),
  [637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(211),
  [640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline, 2, 0, 0),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline, 1, 0, 0),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0),
  [782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(352),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(155),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(88),
  [791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(233),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(206),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(250),
  [800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(224),
  [803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(250),
  [806] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(194),
  [809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(235),
  [812] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(186),
  [815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(176),
  [818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(208),
  [821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(173),
  [824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(196),
  [827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(229),
  [830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(246),
  [833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(3),
  [836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(2),
  [839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(6),
  [842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(251),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(353),
  [850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(148),
  [853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(86),
  [856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(257),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(199),
  [862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(254),
  [865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(238),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(254),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(203),
  [874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(232),
  [877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(187),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(175),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(198),
  [886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(177),
  [889] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(202),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(258),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(218),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(15),
  [901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(4),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0),
  [906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(5),
  [909] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star, 2, 0, 0), SHIFT_REPEAT(220),
  [912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(434),
  [917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(150),
  [920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(89),
  [923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(214),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(195),
  [929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(221),
  [932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(239),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(221),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(201),
  [941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(225),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(189),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(179),
  [950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(200),
  [953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(174),
  [956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(205),
  [959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(237),
  [962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(210),
  [965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(7),
  [968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(12),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0),
  [973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(8),
  [976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore, 2, 0, 0), SHIFT_REPEAT(211),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(276),
  [984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(154),
  [987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(87),
  [990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(261),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(204),
  [996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(248),
  [999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(223),
  [1002] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(248),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(197),
  [1008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(209),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(188),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(178),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(207),
  [1020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(172),
  [1023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(193),
  [1026] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(256),
  [1029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(226),
  [1032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(9),
  [1035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(10),
  [1038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(16),
  [1041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0),
  [1043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde, 2, 0, 0), SHIFT_REPEAT(227),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [1058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [1078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(247),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [1132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(537),
  [1153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(156),
  [1156] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(90),
  [1159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(355),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(247),
  [1165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(388),
  [1168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(406),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(388),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(249),
  [1177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(390),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(191),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(181),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(252),
  [1189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(190),
  [1192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(255),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(395),
  [1198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(240),
  [1201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(25),
  [1204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(26),
  [1207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(27),
  [1210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline, 2, 0, 0), SHIFT_REPEAT(241),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(537),
  [1226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(165),
  [1229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(1126),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(247),
  [1235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(388),
  [1238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(349),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(388),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(249),
  [1247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(390),
  [1250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(192),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(185),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(252),
  [1259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(184),
  [1262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(255),
  [1265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(395),
  [1268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(240),
  [1271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(98),
  [1274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(99),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(91),
  [1282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 0), SHIFT(241),
  [1285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(537),
  [1288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(165),
  [1291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(1126),
  [1294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(247),
  [1297] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(388),
  [1300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(349),
  [1303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(388),
  [1306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(249),
  [1309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(390),
  [1312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(192),
  [1315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(185),
  [1318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(252),
  [1321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(184),
  [1324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(255),
  [1327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(395),
  [1330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(240),
  [1333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(98),
  [1336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(99),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [1341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(91),
  [1344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0), SHIFT(241),
  [1347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(537),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(165),
  [1353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(1126),
  [1356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(247),
  [1359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(388),
  [1362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(349),
  [1365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(388),
  [1368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(249),
  [1371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(390),
  [1374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(192),
  [1377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(185),
  [1380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(252),
  [1383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(184),
  [1386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(255),
  [1389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(395),
  [1392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(240),
  [1395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(98),
  [1398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(99),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(91),
  [1406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 0), SHIFT(241),
  [1409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(537),
  [1412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(165),
  [1415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(1126),
  [1418] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(247),
  [1421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(388),
  [1424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(349),
  [1427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(388),
  [1430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(249),
  [1433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(390),
  [1436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(192),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(185),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(252),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(184),
  [1448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(255),
  [1451] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(395),
  [1454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(240),
  [1457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(98),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(99),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(91),
  [1468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0), SHIFT(241),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(276),
  [1476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(163),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0),
  [1481] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(204),
  [1484] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(248),
  [1487] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(399),
  [1490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(248),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(197),
  [1496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(209),
  [1499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(183),
  [1502] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(169),
  [1505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(207),
  [1508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(168),
  [1511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(193),
  [1514] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(256),
  [1517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(226),
  [1520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(92),
  [1523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(95),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [1528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(133),
  [1531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(227),
  [1534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(353),
  [1537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(162),
  [1540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(199),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(254),
  [1546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(383),
  [1549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(254),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(203),
  [1555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(232),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(182),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(166),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(198),
  [1567] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(167),
  [1570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(202),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(258),
  [1576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(218),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(104),
  [1582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(97),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(96),
  [1590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0),
  [1592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(220),
  [1595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(276),
  [1598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(163),
  [1601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(204),
  [1604] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(248),
  [1607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(399),
  [1610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(248),
  [1613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(197),
  [1616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(209),
  [1619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(183),
  [1622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(169),
  [1625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(207),
  [1628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(168),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(193),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(256),
  [1637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(226),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(92),
  [1643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(95),
  [1646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(133),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(227),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(353),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(162),
  [1662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(199),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(254),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(383),
  [1671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(254),
  [1674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(203),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(232),
  [1680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(182),
  [1683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(166),
  [1686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(198),
  [1689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(167),
  [1692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(202),
  [1695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(258),
  [1698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(218),
  [1701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(104),
  [1704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(97),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(96),
  [1712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 0), SHIFT(220),
  [1715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(434),
  [1718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(159),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(195),
  [1724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(221),
  [1727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(389),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(221),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(201),
  [1736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(225),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(180),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(171),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(200),
  [1748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(170),
  [1751] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(205),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(237),
  [1757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(210),
  [1760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(94),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(100),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [1768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(93),
  [1771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 0), SHIFT(211),
  [1774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(276),
  [1777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(163),
  [1780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(204),
  [1783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(248),
  [1786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(399),
  [1789] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(248),
  [1792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(197),
  [1795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(209),
  [1798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(183),
  [1801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(169),
  [1804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(207),
  [1807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(168),
  [1810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(193),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(256),
  [1816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(226),
  [1819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(92),
  [1822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(95),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(133),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(227),
  [1835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(434),
  [1838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(159),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(195),
  [1844] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(221),
  [1847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(389),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(221),
  [1853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(201),
  [1856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(225),
  [1859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(180),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(171),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(200),
  [1868] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(170),
  [1871] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(205),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(237),
  [1877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(210),
  [1880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(94),
  [1883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(100),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(93),
  [1891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 0), SHIFT(211),
  [1894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(353),
  [1897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(162),
  [1900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(199),
  [1903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(254),
  [1906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(383),
  [1909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(254),
  [1912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(203),
  [1915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(232),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(182),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(166),
  [1924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(198),
  [1927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(167),
  [1930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(202),
  [1933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(258),
  [1936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(218),
  [1939] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(104),
  [1942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(97),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [1947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(96),
  [1950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(220),
  [1953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(434),
  [1956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(159),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(195),
  [1962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(221),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(389),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(221),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(201),
  [1974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(225),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(180),
  [1980] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(171),
  [1983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(200),
  [1986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(170),
  [1989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(205),
  [1992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(237),
  [1995] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(210),
  [1998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(94),
  [2001] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(100),
  [2004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [2006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(93),
  [2009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 0), SHIFT(211),
  [2012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [2014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [2018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [2030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(537),
  [2051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(165),
  [2054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(247),
  [2059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(388),
  [2062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(349),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(388),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(249),
  [2071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(390),
  [2074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(192),
  [2077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(185),
  [2080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(252),
  [2083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(184),
  [2086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(255),
  [2089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(395),
  [2092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(240),
  [2095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(98),
  [2098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(99),
  [2101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(91),
  [2104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 2, 0, 0), SHIFT_REPEAT(241),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(434),
  [2132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(159),
  [2135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(195),
  [2138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(221),
  [2141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(389),
  [2144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(221),
  [2147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(201),
  [2150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(225),
  [2153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(180),
  [2156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(171),
  [2159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(200),
  [2162] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(170),
  [2165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(205),
  [2168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(237),
  [2171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(210),
  [2174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(94),
  [2177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(100),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0),
  [2182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(93),
  [2185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_underscore_no_link, 2, 0, 0), SHIFT_REPEAT(211),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(276),
  [2193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(163),
  [2196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(204),
  [2199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(248),
  [2202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(399),
  [2205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(248),
  [2208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(197),
  [2211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(209),
  [2214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(183),
  [2217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(169),
  [2220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(207),
  [2223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(168),
  [2226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(193),
  [2229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(256),
  [2232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(226),
  [2235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(92),
  [2238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(95),
  [2241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(133),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0),
  [2246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_tilde_no_link, 2, 0, 0), SHIFT_REPEAT(227),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [2257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [2259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(353),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(162),
  [2323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(199),
  [2326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(254),
  [2329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(383),
  [2332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(254),
  [2335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(203),
  [2338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(232),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(182),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(166),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(198),
  [2350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(167),
  [2353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(202),
  [2356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(258),
  [2359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(218),
  [2362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(104),
  [2365] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(97),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0),
  [2370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(96),
  [2373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_no_star_no_link, 2, 0, 0), SHIFT_REPEAT(220),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_base, 1, 0, 0),
  [2380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(353),
  [2383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(149),
  [2386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0),
  [2388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(199),
  [2391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(254),
  [2394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(238),
  [2397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(254),
  [2400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(203),
  [2403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(232),
  [2406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(187),
  [2409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(175),
  [2412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(198),
  [2415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(177),
  [2418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(202),
  [2421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(258),
  [2424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(218),
  [2427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(220),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [2432] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(434),
  [2435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(151),
  [2438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(195),
  [2441] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [2444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(239),
  [2447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(221),
  [2450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(201),
  [2453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(225),
  [2456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(189),
  [2459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(179),
  [2462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(200),
  [2465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(174),
  [2468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(205),
  [2471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(237),
  [2474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(210),
  [2477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(211),
  [2480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(352),
  [2483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(152),
  [2486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(206),
  [2489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [2492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(224),
  [2495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(250),
  [2498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(194),
  [2501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(235),
  [2504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(186),
  [2507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(176),
  [2510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(208),
  [2513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(173),
  [2516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(196),
  [2519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(229),
  [2522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(246),
  [2525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(251),
  [2528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(276),
  [2531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(153),
  [2534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(204),
  [2537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [2540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(223),
  [2543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(248),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(197),
  [2549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(209),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(188),
  [2555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(178),
  [2558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(207),
  [2561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(172),
  [2564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(193),
  [2567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(256),
  [2570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(226),
  [2573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(227),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(537),
  [2585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(157),
  [2588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(247),
  [2591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [2594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(406),
  [2597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(388),
  [2600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(249),
  [2603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(390),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(191),
  [2609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(181),
  [2612] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(252),
  [2615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(190),
  [2618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(255),
  [2621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [2624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(240),
  [2627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(241),
  [2630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(158),
  [2633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(389),
  [2636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(180),
  [2639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(171),
  [2642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(170),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [2647] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(160),
  [2650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(399),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(183),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(169),
  [2659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(168),
  [2662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(161),
  [2665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(383),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(182),
  [2671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(166),
  [2674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [2677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [2681] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(164),
  [2684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(349),
  [2687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(192),
  [2690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(185),
  [2693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 2, 0, 0), SHIFT_REPEAT(184),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [2698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [2702] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(892),
  [2705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(892),
  [2708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(886),
  [2711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(887),
  [2718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(887),
  [2721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(748),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [2728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(893),
  [2731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(893),
  [2734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(888),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [2739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(891),
  [2742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(891),
  [2745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(749),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [2750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(796),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [2755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(795),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [2760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(773),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [2765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(772),
  [2768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [2770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(824),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(802),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(702),
  [2783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(702),
  [2786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(918),
  [2789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(882),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [2794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(885),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(885),
  [2800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(771),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2805] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(816),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(717),
  [2813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(717),
  [2816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(920),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(747),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(714),
  [2829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(714),
  [2832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(921),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [2837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(794),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(817),
  [2845] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(719),
  [2848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(719),
  [2851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(916),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [2856] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(825),
  [2859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(723),
  [2862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(723),
  [2865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(915),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(815),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__whitespace, 1, 0, 0),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__whitespace, 1, 0, 0),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [2883] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1129),
  [2886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(979),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [2895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(894),
  [2898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(896),
  [2901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(896),
  [2904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1128),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [2909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1131),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [2916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1125),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_line_break, 1, 0, 0),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_line_break, 1, 0, 0),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [2925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [2969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description_non_empty, 4, 0, 5),
  [2975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_description_non_empty, 4, 0, 5),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 0),
  [2979] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(215),
  [2982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(700),
  [2985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(720),
  [2988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(707),
  [2991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(678),
  [2994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(672),
  [2997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(692),
  [3000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(667),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(705),
  [3006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(705),
  [3009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(79),
  [3028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(62),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 0),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [3053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(71),
  [3056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(75),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [3077] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1133),
  [3080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(260),
  [3095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(695),
  [3098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(711),
  [3101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(703),
  [3104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(679),
  [3107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(673),
  [3110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(698),
  [3113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(669),
  [3116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(715),
  [3119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_code_span_repeat1, 2, 0, 0), SHIFT_REPEAT(715),
  [3122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 0),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 5, 10, 0),
  [3126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 5, 10, 0),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closing_tag, 5, 100, 0),
  [3130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closing_tag, 5, 100, 0),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 5, 100, 0),
  [3134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 5, 100, 0),
  [3136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 5, 100, 0),
  [3138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 5, 100, 0),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 5, 10, 0),
  [3142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 5, 10, 0),
  [3144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 6, 100, 0),
  [3146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 6, 100, 0),
  [3148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 6, 100, 0),
  [3150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 6, 100, 0),
  [3152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 6, 10, 0),
  [3154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 6, 10, 0),
  [3156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 6, 10, 0),
  [3158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 6, 10, 0),
  [3160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 7, 10, 0),
  [3162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 7, 10, 0),
  [3164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 7, 10, 0),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 7, 10, 0),
  [3168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 8, 10, 0),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 8, 10, 0),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 8, 10, 0),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 8, 10, 0),
  [3176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_backslash_escape, 1, 0, 0),
  [3178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_backslash_escape, 1, 0, 0),
  [3180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_label, 3, 0, 0),
  [3182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_label, 3, 0, 0),
  [3184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(675),
  [3187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(278),
  [3190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0),
  [3192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(671),
  [3195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(671),
  [3198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(674),
  [3201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(668),
  [3204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_label_repeat1, 2, 0, 0), SHIFT_REPEAT(668),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 4, 10, 0),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 4, 10, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 4, 10, 0),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 4, 10, 0),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_shortcut_link, 1, 10, 0),
  [3217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__link_text, 1, 10, 0), REDUCE(sym_shortcut_link, 1, 10, 0),
  [3220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_shortcut_link, 1, 10, 0),
  [3222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_image, 1, 0, 0),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_image, 1, 0, 0),
  [3226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_shortcut_link, 1, 30, 0),
  [3228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__image_shortcut_link, 1, 30, 0), REDUCE(sym__image_description, 1, 30, 0),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_shortcut_link, 1, 30, 0),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_base_repeat1, 1, 0, 1),
  [3235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline_base_repeat1, 1, 0, 1),
  [3237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_tag, 1, 0, 0),
  [3239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_tag, 1, 0, 0),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_span, 2, 0, 0),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_span, 2, 0, 0),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_latex_block, 2, 0, 0),
  [3247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_latex_block, 2, 0, 0),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_base, 2, 0, 0),
  [3251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_base, 2, 0, 0),
  [3253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hard_line_break, 2, 0, 0),
  [3255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hard_line_break, 2, 0, 0),
  [3257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__soft_line_break, 2, 0, 0),
  [3259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__soft_line_break, 2, 0, 0),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 2, 100, 0),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 2, 100, 0),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__processing_instruction, 2, 100, 0),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__processing_instruction, 2, 100, 0),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cdata_section, 2, 100, 0),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cdata_section, 2, 100, 0),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__whitespace, 2, 0, 0),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__whitespace, 2, 0, 0),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_full_reference_link, 2, 20, 0),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_full_reference_link, 2, 20, 0),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_full_reference_link, 2, 10, 0),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_full_reference_link, 2, 10, 0),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_code_span, 3, 0, 0),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_code_span, 3, 0, 0),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star, 3, 1, 3),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star, 3, 1, 3),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_star, 3, 2, 3),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_star, 3, 2, 3),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore, 3, 1, 3),
  [3299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore, 3, 1, 3),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_underscore, 3, 2, 3),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_underscore, 3, 2, 3),
  [3305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough, 3, 1, 3),
  [3307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough, 3, 1, 3),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_latex_block, 3, 0, 0),
  [3311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_latex_block, 3, 0, 0),
  [3313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_text_non_empty, 3, 0, 4),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_text_non_empty, 3, 0, 4),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 3, 100, 0),
  [3319] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 3, 100, 0),
  [3321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 3, 100, 0),
  [3323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 3, 100, 0),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__processing_instruction, 3, 100, 0),
  [3327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__processing_instruction, 3, 100, 0),
  [3329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 3, 100, 0),
  [3331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 3, 100, 0),
  [3333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cdata_section, 3, 100, 0),
  [3335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cdata_section, 3, 100, 0),
  [3337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_collapsed_reference_link, 3, 10, 0),
  [3339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_collapsed_reference_link, 3, 10, 0),
  [3341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_link, 3, 10, 0),
  [3343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_link, 3, 10, 0),
  [3345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_collapsed_reference_link, 3, 10, 0),
  [3347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_collapsed_reference_link, 3, 10, 0),
  [3349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_inline_link, 3, 10, 0),
  [3351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__image_inline_link, 3, 10, 0),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star, 4, 1, 3),
  [3355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star, 4, 1, 3),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore, 4, 1, 3),
  [3359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore, 4, 1, 3),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough, 4, 1, 3),
  [3363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough, 4, 1, 3),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__closing_tag, 4, 100, 0),
  [3367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__closing_tag, 4, 100, 0),
  [3369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__open_tag, 4, 100, 0),
  [3371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__open_tag, 4, 100, 0),
  [3373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__html_comment, 4, 100, 0),
  [3375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__html_comment, 4, 100, 0),
  [3377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 4, 100, 0),
  [3379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 4, 100, 0),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description, 3, 30, 0),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(83),
  [3412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 2, 0, 0),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 2, 0, 0),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2),
  [3418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 1, 0, 2),
  [3420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(402),
  [3423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(533),
  [3426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2),
  [3428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2),
  [3430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(404),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 2, 0, 0),
  [3443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 2, 0, 0),
  [3445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(481),
  [3448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(485),
  [3451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [3457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(441),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(308),
  [3465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(310),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 2),
  [3476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde, 1, 0, 2),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [3480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_star, 1, 0, 2), SHIFT(551),
  [3483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__inline_element_no_underscore, 1, 0, 2), SHIFT(553),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [3492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 2, 0, 0),
  [3494] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 2, 0, 0),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [3504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline, 1, 0, 0),
  [3506] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline, 1, 0, 0),
  [3508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star, 2, 0, 0),
  [3510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star, 2, 0, 0),
  [3512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element, 1, 0, 2),
  [3514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element, 1, 0, 2),
  [3516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__image_description, 1, 30, 0),
  [3518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_star_no_link, 3, 2, 3),
  [3520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_star_no_link, 3, 2, 3),
  [3522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough_no_link, 4, 1, 3),
  [3524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough_no_link, 4, 1, 3),
  [3526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 2),
  [3528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_tilde_no_link, 1, 0, 2),
  [3530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star_no_link, 3, 1, 3),
  [3532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star_no_link, 3, 1, 3),
  [3534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore_no_link, 3, 1, 3),
  [3536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore_no_link, 3, 1, 3),
  [3538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strong_emphasis_underscore_no_link, 3, 2, 3),
  [3540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strong_emphasis_underscore_no_link, 3, 2, 3),
  [3542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__strikethrough_no_link, 3, 1, 3),
  [3544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__strikethrough_no_link, 3, 1, 3),
  [3546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 2),
  [3548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_star_no_link, 1, 0, 2),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_link, 1, 0, 2),
  [3554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_link, 1, 0, 2),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_star_no_link, 4, 1, 3),
  [3558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_star_no_link, 4, 1, 3),
  [3560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__emphasis_underscore_no_link, 4, 1, 3),
  [3562] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__emphasis_underscore_no_link, 4, 1, 3),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 2),
  [3566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inline_element_no_underscore_no_link, 1, 0, 2),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [3570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__inline_no_link, 1, 0, 0),
  [3572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__inline_no_link, 1, 0, 0),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [3594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(860),
  [3643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(830),
  [3646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(832),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(832),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [3654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [3660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0), SHIFT(851),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(808),
  [3688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [3692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(728),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [3709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(807),
  [3712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(727),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [3719] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(721),
  [3722] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(721),
  [3725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(917),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [3730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(806),
  [3733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(708),
  [3736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(708),
  [3739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(919),
  [3742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [3744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(785),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [3751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(878),
  [3758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(839),
  [3761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(838),
  [3764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(838),
  [3767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(844),
  [3770] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT(873),
  [3773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [3775] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [3783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(838),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 1, 10, 0),
  [3787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 1, 10, 0),
  [3789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(878),
  [3792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(684),
  [3795] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(860),
  [3798] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [3800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(860),
  [3803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [3806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [3809] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(878),
  [3821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(686),
  [3824] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(851),
  [3827] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(851),
  [3830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [3832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(830),
  [3835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(832),
  [3838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0), SHIFT_REPEAT(832),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3847] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(878),
  [3850] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(839),
  [3853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(838),
  [3856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(838),
  [3859] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(844),
  [3862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT(873),
  [3865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [3867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 2, 10, 0),
  [3875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 2, 10, 0),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [3885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1127),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(878),
  [3893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(696),
  [3896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(838),
  [3899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(838),
  [3902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), SHIFT_REPEAT(844),
  [3905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0),
  [3907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0),
  [3909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_destination, 3, 10, 0),
  [3911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_destination, 3, 10, 0),
  [3913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(878),
  [3916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(699),
  [3919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(879),
  [3922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(879),
  [3925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [3927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(830),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(832),
  [3933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0), SHIFT_REPEAT(832),
  [3936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__text_base, 1, 0, 0), SHIFT(1132),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [3969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0),
  [3971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0),
  [3973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(830),
  [3976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [3979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [3986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [4008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [4010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(878),
  [4013] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(713),
  [4016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(884),
  [4019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0),
  [4021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(884),
  [4024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [4027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [4060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [4070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [4090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [4093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(893),
  [4096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(888),
  [4099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0),
  [4101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [4104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(891),
  [4107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(726),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [4114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [4116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(891),
  [4130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [4148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [4152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(892),
  [4157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(892),
  [4160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(886),
  [4163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [4166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(887),
  [4169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0), SHIFT_REPEAT(774),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [4174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(883),
  [4179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(890),
  [4182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [4185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0),
  [4187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [4190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [4193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0), SHIFT_REPEAT(779),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [4204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [4206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [4216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [4220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [4234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [4240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [4244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [4246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [4248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [4254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 1, 0, 0), SHIFT_REPEAT(1130),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(895),
  [4272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0),
  [4274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [4277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [4280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [4283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(835),
  [4286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [4289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [4292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0),
  [4294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [4296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0),
  [4298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [4308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [4310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [4314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4318] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [4321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat1, 1, 0, 0),
  [4324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [4328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [4332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 1, 0, 0), SHIFT_REPEAT(1130),
  [4335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(908),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0),
  [4340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(894),
  [4343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(896),
  [4346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(896),
  [4349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0), SHIFT_REPEAT(847),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [4356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [4359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(aux_sym_link_title_repeat2, 1, 0, 0),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [4364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(sym_link_title, 2, 0, 0),
  [4367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 1, 0, 0), REDUCE(sym_link_title, 2, 0, 0),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(909),
  [4397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0),
  [4399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(894),
  [4402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [4405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(896),
  [4408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0), SHIFT_REPEAT(858),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [4413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 3, 0, 0),
  [4415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 3, 0, 0),
  [4417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [4420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [4423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 2, 0, 0),
  [4425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0),
  [4427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0),
  [4429] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0), REDUCE(sym_link_title, 2, 0, 0),
  [4432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__link_destination_parenthesis, 2, 0, 0), REDUCE(sym_link_title, 2, 0, 0),
  [4435] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [4438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [4441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 2, 0, 0),
  [4443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 1, 0, 0), SHIFT_REPEAT(1130),
  [4446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [4449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_link_destination_repeat2, 2, 0, 0), REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [4452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 2, 0, 0),
  [4454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat1, 3, 0, 0),
  [4456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat1, 3, 0, 0),
  [4458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat2, 3, 0, 0),
  [4460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat2, 3, 0, 0),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [4464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_link_title_repeat3, 3, 0, 0),
  [4466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_link_title_repeat3, 3, 0, 0),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 1, 0, 0),
  [4472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 1, 0, 0),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_no_angle, 1, 0, 0),
  [4478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_no_angle, 1, 0, 0),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [4490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 2, 0, 0),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__processing_instruction_repeat1, 1, 0, 0),
  [4500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 1, 0, 0),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_repeat1, 1, 0, 0),
  [4510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 1, 0, 0),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [4516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__html_comment_repeat1, 3, 0, 0),
  [4518] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__html_comment_repeat1, 3, 0, 0),
  [4520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__text_no_angle, 2, 0, 0),
  [4522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__text_no_angle, 2, 0, 0),
  [4524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__processing_instruction_repeat1, 2, 0, 0),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat2, 1, 0, 0),
  [4528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 1, 0, 0),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__attribute_value_repeat1, 1, 0, 0),
  [4534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 1, 0, 0),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [4538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat2, 2, 0, 0),
  [4540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__attribute_value_repeat1, 2, 0, 0),
  [4542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_repeat1, 2, 0, 0),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [4558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(882),
  [4561] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [4564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(885),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [4623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [4651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [4653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [4661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [4663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [4669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [4671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [4673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [4675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2, 0, 0),
  [4685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(1068),
  [4688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__open_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(1070),
  [4691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__open_tag_repeat1, 2, 0, 0), SHIFT_REPEAT(1070),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [4724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1068),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1070),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(1070),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [4735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4737] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(981),
  [4740] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(982),
  [4743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_inline_link_repeat1, 2, 0, 0), SHIFT_REPEAT(982),
  [4746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_name, 2, 0, 0),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [4750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tag_name, 2, 0, 0),
  [4752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__tag_name_repeat1, 2, 0, 0),
  [4758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__tag_name_repeat1, 2, 0, 0), SHIFT_REPEAT(977),
  [4761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__tag_name_repeat1, 2, 0, 0),
  [4763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_name, 1, 0, 0),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [4767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tag_name, 1, 0, 0),
  [4769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [4775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [4783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [4785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [4787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [4791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [4795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [4801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [4823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [4831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [4837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 4, 0, 0),
  [4851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 4, 0, 0),
  [4853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_value, 3, 0, 0),
  [4855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_value, 3, 0, 0),
  [4857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute_value, 2, 0, 0),
  [4859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute_value, 2, 0, 0),
  [4861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 5, 0, 0),
  [4863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 5, 0, 0),
  [4865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 6, 0, 0),
  [4867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 6, 0, 0),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_title, 3, 0, 0),
  [4871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_title, 3, 0, 0),
  [4873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_link_title, 2, 0, 0),
  [4875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_link_title, 2, 0, 0),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [4881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [4883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [4893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [4895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [4907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [4919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__link_text, 2, 10, 0),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4925] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [4933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [4937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__error = 0,
  ts_external_token__trigger_error = 1,
  ts_external_token__code_span_start = 2,
  ts_external_token__code_span_close = 3,
  ts_external_token__emphasis_open_star = 4,
  ts_external_token__emphasis_open_underscore = 5,
  ts_external_token__emphasis_close_star = 6,
  ts_external_token__emphasis_close_underscore = 7,
  ts_external_token__last_token_whitespace = 8,
  ts_external_token__last_token_punctuation = 9,
  ts_external_token__strikethrough_open = 10,
  ts_external_token__strikethrough_close = 11,
  ts_external_token__latex_span_start = 12,
  ts_external_token__latex_span_close = 13,
  ts_external_token__unclosed_span = 14,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__error] = sym__error,
  [ts_external_token__trigger_error] = sym__trigger_error,
  [ts_external_token__code_span_start] = sym__code_span_start,
  [ts_external_token__code_span_close] = sym__code_span_close,
  [ts_external_token__emphasis_open_star] = sym__emphasis_open_star,
  [ts_external_token__emphasis_open_underscore] = sym__emphasis_open_underscore,
  [ts_external_token__emphasis_close_star] = sym__emphasis_close_star,
  [ts_external_token__emphasis_close_underscore] = sym__emphasis_close_underscore,
  [ts_external_token__last_token_whitespace] = sym__last_token_whitespace,
  [ts_external_token__last_token_punctuation] = sym__last_token_punctuation,
  [ts_external_token__strikethrough_open] = sym__strikethrough_open,
  [ts_external_token__strikethrough_close] = sym__strikethrough_close,
  [ts_external_token__latex_span_start] = sym__latex_span_start,
  [ts_external_token__latex_span_close] = sym__latex_span_close,
  [ts_external_token__unclosed_span] = sym__unclosed_span,
};

static const bool ts_external_scanner_states[27][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__error] = true,
    [ts_external_token__trigger_error] = true,
    [ts_external_token__code_span_start] = true,
    [ts_external_token__code_span_close] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__latex_span_close] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [2] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [3] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [4] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [5] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [6] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [7] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [8] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [9] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [10] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [11] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__strikethrough_close] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [12] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_star] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [13] = {
    [ts_external_token__code_span_start] = true,
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__emphasis_close_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__strikethrough_open] = true,
    [ts_external_token__latex_span_start] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [14] = {
    [ts_external_token__code_span_close] = true,
  },
  [15] = {
    [ts_external_token__latex_span_close] = true,
  },
  [16] = {
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [17] = {
    [ts_external_token__last_token_punctuation] = true,
  },
  [18] = {
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [19] = {
    [ts_external_token__emphasis_open_star] = true,
    [ts_external_token__emphasis_open_underscore] = true,
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__unclosed_span] = true,
  },
  [20] = {
    [ts_external_token__code_span_close] = true,
    [ts_external_token__last_token_punctuation] = true,
  },
  [21] = {
    [ts_external_token__last_token_punctuation] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [22] = {
    [ts_external_token__code_span_close] = true,
    [ts_external_token__last_token_whitespace] = true,
  },
  [23] = {
    [ts_external_token__last_token_whitespace] = true,
    [ts_external_token__latex_span_close] = true,
  },
  [24] = {
    [ts_external_token__last_token_whitespace] = true,
  },
  [25] = {
    [ts_external_token__trigger_error] = true,
    [ts_external_token__last_token_whitespace] = true,
  },
  [26] = {
    [ts_external_token__trigger_error] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_markdown_inline_external_scanner_create(void);
void tree_sitter_markdown_inline_external_scanner_destroy(void *);
bool tree_sitter_markdown_inline_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_markdown_inline_external_scanner_serialize(void *, char *);
void tree_sitter_markdown_inline_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_markdown_inline(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_markdown_inline_external_scanner_create,
      tree_sitter_markdown_inline_external_scanner_destroy,
      tree_sitter_markdown_inline_external_scanner_scan,
      tree_sitter_markdown_inline_external_scanner_serialize,
      tree_sitter_markdown_inline_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
